<?php
/*
 *      login_form.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8


// Function to get the client IP address
function get_client_ip() {
    $ipaddress = '';
    if (isset($_SERVER['HTTP_CLIENT_IP']))
        $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
    else if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_X_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
    else if(isset($_SERVER['HTTP_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_FORWARDED'];
    else if(isset($_SERVER['REMOTE_ADDR']))
        $ipaddress = $_SERVER['REMOTE_ADDR'];
    else
        $ipaddress = 'UNKNOWN';
    return $ipaddress;
}


include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";

// KM: 2013-12-12 Alten auskommentierten Code geloescht, damit es uebersichtlicher wird.

//$_GET und $_POST entpacken
// import_request_variables("gp","vso_");
// MA: import_request_variables wird nicht mehr unterstützt

extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//DW: 2013-08-20 Bugfix wg. undefined $db
function seite($db=null,$message)
	{
	$seite=new vs_div( "", "", "", "", "", "vs_seite_login");
	
	$oben=new vs_div("300","180");
	
	$oben->add(new vs_text("<h1> Vetsoft Office</h1>"));
	$oben->add(new vs_img("security","../img/security.png"));
	$oben->add(new vs_text("<h2> Login</h2>"));
	
	$mitte=new vs_div("300","90");
	
	$login=new vs_form_x("login",6);
	$login->add_control(1,new vs_edit("user",15,50,"","Benutzer"));
	
	$pw =new vs_edit("pwort",15,50,"","Passwort");
	$pw->set_type("password");
	
	$login->add_control(2,$pw);
	$login->add_control(3,new vs_button("submit","Login"));
	$login->add_control(3,new vs_button("reset","Abbruch"));
	$login->add_control(3,new vs_hidden("action","a_control_pw"));
	
	$mitte->add($login);
	$unten=new vs_div("300","40");
	$unten->add(new vs_text($message));
	$seite->add($oben);
	$seite->add($unten);
	$seite->add($mitte);
	$seite->write();
	
	}

$b = new vs_page_begin("VS-Office[Login] ","../vs_office_inc/","../vs_office_inc/head_login.inc","../vs_office_inc/body.inc");
$b->write();


//DW: wie ueblich die Beseitigung eines undefined variable $vso_action
if (!isset ($vso_action))
	{$vso_action = "";}
	
	switch ($vso_action)
		{
			case "a_control_pw" : //Passwortkontrolle und Weiterleitung
			$db = new vs_db();
			$db->connect();
			$db->query("Select pw from vs_user where db_user='$vso_user'");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			@session_start();  //!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
			// 01.02.2017 EW: Anpassung wg. verschluesselter PWs in DB
			//if (($num<1) or ($vso_pwort!=$row[0]))  // Eingabe ungueltig
			if (($num<1) or (password_verify ($vso_pwort, $row[0]) != 1))  // Eingabe ungueltig
				{
				// MA: Zeichensatz angepasst
				$_SESSION['user']="oiuhzvaknlg";
				$_SESSION['pw']="i8rzpcqbrso"; 
				
				seite($db,"Falsche Eingabe. Noch einmal versuchen.");
				//-----------------------------------------------------------
				}
			else //hat klappt
				{
				$_SESSION['user']=$vso_user;
				$_SESSION['pw']=$vso_pwort;
				// KM: 2013-12-12 Bugfix
				// Muessen hier stehen, sonst: PHP Fatal error:  Call to a member function free_result() on a non-object in
				
				$db->free_result();
				$db->close();
				// EW: Nur fuer Demosystem, Protokollierung der Nutzung als User demo
			        if ( $vso_user == "demo") {
					$DemoLoginLogFile="../DemoLogin.log";
			                $fp=fopen ($DemoLoginLogFile,"a+");
                			fprintf($fp, "Login User Demo at:%s from %s\n", date(DATE_RFC822), get_client_ip());
                			fclose($fp);
                			}

				
				//2015-03-04 KM: Startseite direkt aufrufen
				//echo"<script language=\"javascript\">opener.location.reload();window.close();</script>";  
				header("Location: ../home/start.php"); 
				}
				break;
			
			default:
			// KM: 2013-12-12 Bugfix ($db=null) wg. undefined Variable beim Login
			seite($db=null,"<b>Bitte anmelden</b>");
				break;
		}


$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot_kartei.inc");
$e->write();

?> 
