/*
 *      NewConfigObject.js
 *			JQuery: Button Aktionen von NewConfigObject.php
 *      
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//
$(document).ready(function(){ 

	$('form').validationEngine ({
		promptPosition : "topLeft", 
		scroll: false
	});
	
	$('#var_type').on('change', function() {

		ResetClass('#delimiter');
		ResetClass('#allowed_values');
		ResetClass('#var_value');
		ResetClass('#var_default_value');
		
		switch ($(this).val()) {
	    case "0": // Integer
			$('#var_value').addClass('validate[required,custom[integer]]');
			$('#var_default_value').addClass('validate[required,custom[integer]]');
	        break;
    	case "1": // Kommazahl
			$('#var_value').addClass('validate[required,custom[Kommazahl]]');
			$('#var_default_value').addClass('validate[required,custom[Kommazahl]]');
    	    break;
	    case "2": // String
			$('#var_value').addClass('validate[required]');
			$('#var_default_value').addClass('validate[required]');
        	break;
	    case "3": // Text
			$('#var_value').addClass('validate[required]');
			$('#var_default_value').addClass('validate[required]');
        	break;
	    case "4": // HTML
			$('#var_value').addClass('validate[required]');
			$('#var_default_value').addClass('validate[required]');
        	break;
	    case "5": //Email
			$('#var_value').addClass('validate[required,custom[email]]');
			$('#var_default_value').addClass('validate[required,custom[email]]');
	        break;
    	case "6": // Directory
			$('#var_value').addClass('validate[required]');
			$('#var_default_value').addClass('validate[required]');
	        break;
    	case "7": // Pfad
			$('#var_value').addClass('validate[required]');
			$('#var_default_value').addClass('validate[required]');
        	break;
    	case "8": // Boolean
			$('#delimiter').addClass('validate[required]');
			$('#allowed_values').addClass('validate[required]');
			$('#var_value').addClass('validate[required,minSize[0],maxSize[1]]');
			$('#var_default_value').addClass('validate[required,minSize[0],maxSize[1]]');
	        break;
    	case "9": // Floatingpoint
			$('#var_value').addClass('validate[required,custom[number]]');
			$('#var_default_value').addClass('validate[required,custom[number]]');
	        break;
		}
	})
	
	
	$("[id^=new]").click(function (e) {
       	e.preventDefault();

		var myform = '#NewConfigObjectform';
		var action=$(myform).attr("action");
		var val=$("#var_value").val();
		var params = $(myform).serialize()+"&vs_action=new";
		var msg = "#messages";

		status=$(myform).validationEngine('validate');

		if (status=='true') {
			jQuery.post (
				action,
				params,
				function(data) {
					$(msg).empty().append(data).show('1000');
					setTimeout(function() {$(msg).hide('slow');
					}, 8000);
				}
			)
		} else {
			$('#messages').html("FEHLER validate");
		}
	});
});

//**********************************************************
// SetClass
//		Entfernt alle Klassen mit Aufbau validate[.....]
//		und setzt die verbliebenen Klassen wieder.
//**********************************************************
function ResetClass (element) {
	classes=$(element).attr('class');
	KeepClass=RemoveValidationClass(classes);
	$(element).removeClass();
	$(element).addClass(KeepClass);
}


//**********************************************************
// RemoveValidationClass
//   Entfernt alle Klassen mit Aufbau validate[.....]
//**********************************************************
function RemoveValidationClass (ClassString) {

	ClassString=ClassString.trim();
	identifier1='validate[';
	identifier2=']';
	idx1=ClassString.indexOf(identifier1);
	
	if (idx1 >= 0) {
		KeepClass=ClassString.substr(0,idx1);

		Rest=ClassString.substr(idx1+identifier1.length);

		RestArray=Rest.split("");
		idx2=0;
		bracketct=0;
		for (i=0; i < Rest.length; i++) {
			if (RestArray[i] == '[') {
				bracketct++;
			}
			if (RestArray[i] == ']') {
				if (bracketct == 0) {
					idx2=i;
					break;
				} else {
					bracketct--;
				}
			}
		}
	
		Rest=Rest.substr(idx2+1);
		KeepClass=KeepClass+" "+Rest;
		if (Rest != "" ) {
			KeepClass=RemoveValidationClass(KeepClass);
		}

	} else {
		KeepClass=ClassString;
	}
	return (KeepClass);

}