<?
/*
 *      NewConfigObject.php
 *			Definition einer neuen Config-Inc Variablen und Abspeichern in DB
  *      
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//
include_once "../vs_lib/vs_db_objects.php";
include_once "./include/functions.inc.php";
include_once "./include/classes.inc.php";
include_once "../home/login_function.php";
	
$db = new vs_db();
$db->connect();
		
global $user_id;
global $is_sysadmin;

office_login($db);

?>
<script src="./NewConfigObject.js"></script>
<script src="../js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
<script src="../js/jquery.validationEngine-de.js" type="text/javascript" charset="utf-8"></script>
<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>

<?
// Menü nur wenn User auch Sysadmin ist
if ($is_sysadmin){
?>	
	<form id="NewConfigObjectform" action="newconfigobject_process.php" class="form-horizontal" role="form" method="POST">
		<div class="row">
			<h3><? echo "NEU"; ?></h3>
		</div>
		<div class="form-group">
			<label class="col-sm-2" for="menu_class">Menuclass:</label>
			<div class="col-sm-8"><input id="menu_class" type="text" class="col-sm-5 form-control validate[required]" 
						name="menu_class" placeholder="Men&uuml;punkt"  />
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-2" for="var_title">Titel:</label>
			<div class="col-sm-8"><input id="var_title" type="text" class="col-sm-5 form-control validate[required]" 
						name="var_title" placeholder="Titel"  />
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-2" for="var_name">Variablenname</label>
			<div class="col-sm-8"><input id="var_name" type="text" class="col-sm-5 form-control validate[required]" 
					name="var_name" placeholder="Variablenname" />
			</div>

			<div class="col-sm-2">
				<div class="checkbox">
  					<input id="protected" type="checkbox" value="protected" name="protected" >Schreibgesch&uuml;tzt
				</div>
			</div>
		</div>
		
		<div class="form-group">
			<label class="col-sm-2" for="var_type">Variablentype</label>
			<div class="col-sm-8">
				<select id="var_type" class="form-control" name="var_type">
					<?
					$ct=0;
					foreach (VARTYPE as $idx => $typename) {
						printf ('<option value=%d>%s</option>', $idx, $typename);
					}
					?>
				</select>
			</div>
			<div class="col-sm-2">
				<button id="new" name="action" value="new" type="submit" class="btn btn-success btn-sm pull-right">Speichern</button>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-2" for="var_value">Variablenwert</label>
			<div class="col-sm-10">
				<textarea class="form-control validate[required]" id="var_value" name="var_value" rows="2" cols="135" placeholder="Variablenwert"></textarea>
			</div>
		</div>
		
		<div class="form-group">
			<label class="col-sm-2" for="var_default_value">Standardwert bei Reset</label>
			<div class="col-sm-10">
				<textarea class="form-control validate[required]" id="var_default_value" name="var_default_value" rows="2" cols="135" 
					placeholder="Standardwert bei Reset"></textarea>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-2" for="description">Beschreibung</label>
			<div class="col-sm-10">
				<textarea class="form-control validate[required]" id="description" name="description" rows="2" cols="135" placeholder="Beschreibung"></textarea>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-2" for="allowed_values">erlaubte Werte</label>
			<div class="col-sm-10">
				<textarea class="form-control" id="allowed_values" name="allowed_values" rows="2" cols="135" 
						placeholder="erlaubte Werte"></textarea>
			</div>
		</div>

		<div class="form-group">
			<label class="col-sm-2" for="delimiter">Delimiter:</label>
			<div class="col-sm-10">
				<input id="delimiter" type="text" class="form-control" name="delimiter" placeholder="Delimiter"/>
			</div>
		</div>
	</form>

<?
} else {
	// Falls kein Sysadmin, dann nur Meldung
	?>
	<div class="row">
		Einstellungen d&uuml;rfen nur von Administratoren ge&auml;ndert werden
	</div>
	<?
}
?>
