<?
/*
 *      functions.inc.php
 *			globale Funktionen Vetsoft-Admin Oberfläche
  *      
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//
/*******************************************************************************
* Konstanten
*******************************************************************************/
// Reihenfolge nicht veraendern, neue Elemente nur am Ende anfuegen
define('VARTYPE', array( 'Integer', 'Kommazahl', 'String', 'Text', 'HTML', 'Email', 'nur Verzeichnis', 'Dateiname inkl. Pfad', 'Boolean','Floating Point' ));

/*******************************************************************************
* Exeption & Error Handler
*******************************************************************************/
function fExeption($exception) {
	fDebug($exception->getMessage(), "		fExeption Message\n");
	fDebug($exception->getFile (), "		fExeption File\n");
	fDebug($exception->getLine (), "		fExeption Line\n");
}


function fError($fehlercode, $fehlertext, $fehlerdatei, $fehlerzeile) {
	fDebug($fehlertext, "		fExeption Message\n");
	fDebug($fehlerdatei, "		fExeption File\n");
	fDebug($fehlerzeile, "		fExeption Line\n");
}

set_exception_handler('fExeption');

/*******************************************************************************
* Functions
*******************************************************************************/
//=======================================================================
// = LoadConfigInc()
//=======================================================================
function LoadConfigInc($MenuClass="") {
	$AllConfigs=GetAllConfigs();
	foreach ($AllConfigs as $config) {
		define ($config->var_name,$config->var_value);
	}
}
//=======================================================================
// = GetAllConfigs()
//=======================================================================
function GetAllConfigs($MenuClass="") {
	$condition="";
	$objlist=array();
	$db = new vs_db();
	$db->connect();
	$ordered=" order by var_name ASC";
	
	if ( ! empty ($MenuClass) ) {
		$condition= "where menu_class ='$MenuClass'";
	}
	$query = "SELECT id from vs_config " . $condition . $ordered;
	$rs=$db->query($query);
	//$row=$db->fetch_row();
	//$num_rows=$db->num_rows();

	while ($dbobj = $db->fetch_object($rs)) {
		$obj= NEW vs_config ();
		$obj->id=$dbobj->id;
		$obj->dbload();
		$objlist[]=$obj;
	}
	$db->close();
	$db->free_result();

	return $objlist;
}

//=======================================================================
// = GetAllMajorMenues()
//=======================================================================
function GetAllMajorMenues() {
	$objlist=array();
	$db = new vs_db();
	$db->connect();
	$MajorMenuName=array();
	
	$query = "SELECT DISTINCT menu_class from vs_config ";
	$rs=$db->query($query);

	while ($dbobj = $db->fetch_object($rs)) {
		$menu=array();
		$obj=$dbobj->menu_class;
		$menu = explode(":", $obj);
		if ( ! empty ($menu[0])) {
			$objlist[]=trim("$menu[0]");
		}
	}
	$db->close();
	$db->free_result();
	$objlist=array_unique($objlist);
	natsort ($objlist);
	return $objlist;
}

//=======================================================================
// = GetAllMinorMenues()
//=======================================================================
function GetAllMinorMenues($MajorMenuName) {
	$objlist=array();
	$db = new vs_db();
	$db->connect();
	$MajorMenuName=$MajorMenuName."%";
	$query = "SELECT DISTINCT menu_class from vs_config where menu_class like '$MajorMenuName'";
	$rs=$db->query($query);

	while ($dbobj = $db->fetch_object($rs)) {
		$menu=array();
		$obj=$dbobj->menu_class;
		$menu = explode(":", $obj);

		$menu[1]=trim("$menu[1]");
		if ( ! empty ($menu[1])) {
			$objlist[]=trim("$menu[1]");
		}
	}
	$db->close();
	$db->free_result();
	natsort ($objlist);
	return $objlist;
}



//=======================================================================
// = Debug - Ausgabe in File /var/www/vhosts/ew/ordersmart/debug.log
// 
//=======================================================================
function fDebug($val,$name="") {
	$datum=date('d.m.y - H:i:s', time());

	$LogFile="/tmp/vsdebug.log";
	$fp=fopen($LogFile,"a+");
	fprintf ($fp, " ==%s==%s:%s\n",$datum,$name,$val);
	fclose($fp);
}
?>