 <?php
/*
 *      handlechat.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



//wegen charset
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_form_objects.php";



function filter_chat_text($input,$user,$smileypath="../img/smiley/")
{
	//Dienstlich
	$input=str_replace("/kunde","<big>Ich muss hier <u>unbedingt</u> gerettet werden</big>",$input);
	$input=str_replace("/labor","<big>Ich brauche jemand für Laboruntersuchungen</big>",$input);
	$input=str_replace("/blut","<big>Ich brauche jemand für eine Blutabnahme</big>",$input);
	$input=str_replace("/röntgen","<big>Ich brauche jemand zum R&ouml;ntgen / zur R&ouml;ntgenentwicklung</big>",$input);
	$input=str_replace("/hund","<big>Hilfe! Jemand muß mir den Hund festhalten!</big>",$input);
	$input=str_replace("/katze","<big>Hilfe! Jemand muß mir die Katze festhalten!</big>",$input);
	//Smileys
	$input=str_replace(":-)","<img src=\" ".$smileypath."smile.gif\">",$input);
	$input=str_replace(":)","<img src=\" ".$smileypath."smile.gif\">",$input);
	$input=str_replace(":-(","<img src=\" ".$smileypath."nosmile.gif\">",$input);
	$input=str_replace(":(","<img src=\" ".$smileypath."nosmile.gif\">",$input);
	$input=str_replace(";-)","<img src=\" ".$smileypath."wink.gif\">",$input);
	$input=str_replace(":-|","<img src=\" ".$smileypath."neutral.gif\">",$input);
	$input=str_replace(":!","<img src=\" ".$smileypath."kotz.gif\">",$input);
	$input=str_replace(":B","<img src=\" ".$smileypath."hurra.gif\">",$input);
	$input=str_replace(":D","<img src=\" ".$smileypath."biggrin.gif\">",$input);
	$input=str_replace("*lol*","<img src=\" ".$smileypath."biggrin.gif\">",$input);
	$input=str_replace(":P","<img src=\" ".$smileypath."razz.gif\">",$input);
	$input=str_replace(":*","<img src=\" ".$smileypath."bussi.gif\">",$input);
	$input=str_replace("*kiss*","<img src=\" ".$smileypath."bussi.gif\">",$input);
	$input=str_replace(":C","<img src=\" ".$smileypath."frown.gif\">",$input);
	return $input;
}	

function handle_input($text,$user_kurz,$farbe)
{
	$error="";
	$a=array();
	$chat_buffer_size=chat_buffer_size;
  	if ($error=="")
	{
		$farbe=str_replace(" ","",$farbe);
		$file = datadir."chat_text.txt";
		$now = now();
		$date=today();
		$buffer= "";
		$buffer = file_get_contents($file);
		$len=strlen($buffer);
		if($len >$chat_buffer_size)
		{
			$buffer=substr($buffer,(-1)*$chat_buffer_size);
		}
		//2014-08-11 KM: geaendert wg. undefined variable
		if (!isset ($user))
			{$user = null;}
		//2014-12-01 KM: Leerzeichen eingefuegt  ." "
		$buffer .= "$date $now <span style=\"color: $farbe;\">[".$user_kurz."]"." ".filter_chat_text($text,$user)."</span><br>";
		file_put_contents($file, $buffer);
		//file_put_contents($file, $buffer,FILE_TEXT); //erst ab php 6
		$a['success']="ok";
		$a['inner_html'] =	$buffer;
		$a['clear_input'] = 1;
	}	
	return json_encode($a);
}

function handle_refresh()
{
	$error="";
	$a=array();
  	if ($error=="")
	{
		$file = datadir."chat_text.txt";
		$buffer = file_get_contents($file);
       	$a['success']="ok";
		$a['inner_html'] = $buffer;
		$a['clear_input'] = 0;
	}	
	return json_encode($a);
}


function handle_online_users($user,$usercolor)
{
	$chat_user_logout_time=chat_user_logout_time;
	$file = datadir."online_users.txt";
	$o_users=file($file);
	//array aktualisieren:sich selbst und alte user löschen
	for ($i=0; $i < count($o_users);$i++)
	{
		$u=explode(";",$o_users[$i]);
		if(($u[0] ==$user) or ($u[1] <  (time()-$chat_user_logout_time)))
		{
			unset($o_users[$i]);
		}
	}	
	//für sich selbst die neue zeit eintragen
	$u[0] =$user;
	$u[1]=time();
	$u[2]=$usercolor;
	$cs = implode(";", $u)."\n";
	$o_users[] = $cs; 
	//das aktualisierte array speichern
	file_put_contents($file, $o_users);
	//Anzeigen nach dem Neuladen
	$o_users=file($file);
	$buffer="<table><tr><td><b>BENUTZER </b></td><td><b> AKTIV</b></td></tr>";
	for ($i=0; $i < count($o_users);$i++)
	{
		$u=explode(";",$o_users[$i]);
		$d_time= t_2dis($u[1],"hh:mm:ss");
		$onuserclick="javascript:{document.getElementsByName('input')[0].value = document.getElementsByName('input')[0].value +'<b><i><big> ". 
								"  @' + '$u[0]' + '</b></i></big>';   document.getElementsByName('input')[0].focus();}";
		$buffer.= "<tr><td><span style=\"font-weight:bold;color:$u[2];\" onclick=\"$onuserclick\">$u[0]</span></td><td>$d_time</td></tr>";
	}	
	$buffer.="</table>";
	$a['success']="ok";
	$a['inner_html_user'] =$buffer;
	return json_encode($a);
}	

if (chat_with_login =="1")
{
	include_once "../home/login_function.php";
	include_once "../vs_lib/vs_db_objects.php";
	$db = new vs_db();	
	$db->connect();
	office_login($db);
}

switch ($_REQUEST["action"]) 
{
	case "a_after_input":
		echo handle_input($_REQUEST["text"],$_REQUEST["user_kurz"],$_REQUEST["color"]);
	break;
	case "a_refresh":
		echo handle_refresh();
	break;	
	case "a_user_refresh":
		echo handle_online_users($_REQUEST["user_kurz"],$_REQUEST["color"]);
	break;	
	default:
		echo handle_refresh();
	break;
} //switch

if (chat_with_login =="1")
{
	$db->close();
	$db->free_result();
}


?>
