-- Description:	SQL-Skript zum Einbau einer Tabelle in die der Vetsoft Office DB Ver. 1.82 zur Versionskontrolle
-- Author:		Klaus Munsteiner
-- Create Date:	2015-08-24



----------------------------------
-- Teil 1 - Strukturaenderungen --
----------------------------------

-- Neue Tabelle: vs_db_version

-- Column: db_version_id
-- Column: db_version
-- Column: db_version_aktiv
-- Column: db_version_bemerkung


CREATE TABLE vs_db_version ()
WITH (OIDS=FALSE);
ALTER TABLE vs_db_version OWNER TO postgres;

ALTER TABLE vs_db_version ADD COLUMN db_version_id serial PRIMARY KEY;
COMMENT ON COLUMN vs_db_version.db_version_id IS '2015-08-23 KM: Datensatz-Nummer';

ALTER TABLE vs_db_version ADD COLUMN db_version character varying(10);
COMMENT ON COLUMN vs_db_version.db_version IS '2015-08-23 KM: Vetsoft Office DB-Version';

ALTER TABLE vs_db_version ADD COLUMN db_version_aktiv character varying(1) DEFAULT 0;
COMMENT ON COLUMN vs_db_version.db_version_aktiv IS '2015-08-23 KM: Aktive Version = "1", Default = "0"';

ALTER TABLE vs_db_version ADD COLUMN db_version_bemerkung character varying(255);
COMMENT ON COLUMN vs_db_version.db_version_bemerkung IS '2015-08-23 KM: Bemerkungen zur DB-Version';





---------------------------------------------------------------
-- Teil 2 - Datenaenderungen Datensaetze einfuegen --
---------------------------------------------------------------

-- vs_db_version 
-- Datensaetze einfuegen
------------------------

INSERT INTO vs_db_version (db_version, db_version_aktiv, db_version_bemerkung)
   VALUES('1.74', '0', 'Datenbankupgrade fuer Version 1.74');

INSERT INTO vs_db_version (db_version, db_version_aktiv, db_version_bemerkung)
   VALUES('1.81', '0', 'Datenbankupgrade fuer neue Einzelrechnung erstellen');

INSERT INTO vs_db_version (db_version, db_version_aktiv, db_version_bemerkung)
   VALUES('1.82', '1', 'Datenbankupgrade fuer Versionskontrolle und STORNO');

