#!/usr/bin/php
<?php
/*
 *      ConvertPwTable.php
 *			Verschlüsselt Vetsoft PWs und speichert sie in der DB ab
 *      
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//

  if (php_sapi_name() == "cli") {
     $CR="\n";
     if ( $argc == 2 ) {
        $VsHome=$argv[1];
        $VsObjInc=$VsHome."/vs_lib/vs_db_objects.php";
     } else { 
        echo " Parameter Vetsoft-Home fehlt\n ABBRUCH\n";
        exit (1);
     }
  } else {
     echo " Aufruf nur ueber Command Line\n ABBRUCH\n";
     exit (1);
  }

  if (!file_exists($VsObjInc)){   
     echo " Die Datei $VsObjInc exisitert nicht\n ABBRUCH\n";
     exit (1);
  }   

  include_once $VsObjInc;

  $Note="\n\nPlease note the following usernames and passwords:\n";
  $Note=$Note . "==================================================\n";

  $db = new vs_db();
  $db->connect();

  echo " === START, script may run several times ===\n";

  $db->query("select user_id,db_user,pw from vs_user");
  $row=$db->fetch_row();  
  $num_rows=$db->num_rows();
  
  $query=array();

  for ( $ct=0; $ct < $num_rows; $ct ++) {

    if ( (strlen( $row[2]) != 60) or (substr ($row[2],0,4) != '$2y$') ) {
       $hash=password_hash($row[2], PASSWORD_BCRYPT, ['cost' => 12]);
       echo $row[0] . ".User=" . $row[1] . " convert PW to NEW format\n";
       $query[$ct]="update vs_user set pw='$hash' where user_id='$row[0]'";
       $Note=$Note . "$row[1]" . "\t\t" . $row[2] . "\n";
    } else {
       echo "\t\tUser=" . $row[1] . " has already new PW format\n";
    }
    $row=$db->fetch_row();
  }
  
  foreach ($query as $q ) {
    $db->query($q);
  }

  $Note=$Note . "==================================================\n";
  echo $Note;
  echo " === ENDE ===\n";
  exit(0);
?> 
