DROP TABLE IF EXISTS public.vs_config;
DROP SEQUENCE IF EXISTS public.vs_config_config_id_seq;

CREATE SEQUENCE IF NOT EXISTS public.vs_config_config_id_seq
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 309
  CACHE 1;
ALTER TABLE public.vs_config_config_id_seq
  OWNER TO :DBOWNER;
GRANT ALL ON SEQUENCE public.vs_config_config_id_seq TO :DBA;
GRANT ALL ON SEQUENCE public.vs_config_config_id_seq TO :DBOWNER;

CREATE TABLE IF NOT EXISTS public.vs_config
(
  id integer NOT NULL DEFAULT nextval('vs_config_config_id_seq'::regclass),
  var_name character varying(40),
  var_value character varying(500),
  var_default_value character varying(500),
  description text,
  var_type integer,
  allowed_values character varying(250),
  delimiter character(1),
  protected boolean,
  menu_class character varying(50),
  var_title character varying(40),
  CONSTRAINT vs_config_pkey PRIMARY KEY (id)
)
WITH (
  OIDS=FALSE
);

ALTER TABLE public.vs_config
  OWNER TO :DBOWNER;
GRANT ALL ON TABLE public.vs_config TO :DBA;
GRANT ALL ON TABLE public.vs_config TO :DBOWNER;

