<?php
/*
 *      abrechnung_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";



//  2015-05-28 KM: function show_abrechnungold und function add_abrechnungold geloescht, wird nicht mehr gebraucht.


//2013-08-13 DW: Bugfix: default fuer bezahlt_id (-1) eingefuegt, da ansonsten moeglicherweise undefined variables auftreten
function show_abrechnung($db, $besitzer_id, $patient_id, $behandlung_id, $bezahlt_id = -1)
//Dokumentationen zeigen
	{
	
	global $can_view_abrechnung;
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_doku_rechts");
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_doku_links");
		if ($can_view_abrechnung == 1)
			{
			$behandlung_rechts->add(zeige_behbezahlt($db, $besitzer_id, $patient_id, $behandlung_id, $bezahlt_id));
			$behandlung_links->add(make_bezahlt_list($db, $besitzer_id, $patient_id, $behandlung_id, $bezahlt_id));
			}
		else
			{
			$behandlung_rechts->add(new vs_text("<br><br><b>Sie haben f&uuml;r diesen Bereich keine Berechtigung </b><br><br>"));
			$behandlung_links->add(new vs_link_img("../img/kein_zutritt.jpeg", "../home/login.php", $typ = "_top"));
			}
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 6, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	}

function add_abrechnung($db, $besitzer_id, $patient_id, $behandlung_id)
//Dokumentationen zeigen
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_doku_rechts");
		$behandlung_rechts->add(neue_behbezahlt($db, $besitzer_id, $patient_id, $behandlung_id));
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_doku_links");
		
		//2015-02-12 KM Fehler beseitigt: Undefined Variable auf -1
		if (!isset($bezahlt_id))
			{
			$bezahlt_id = -1;
			}
			
		$behandlung_links->add(make_bezahlt_list($db, $besitzer_id, $patient_id, $behandlung_id, $bezahlt_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 6, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	}


//2013-08-13 DW: Bugfix: default fuer bezahlt_id (-1) eingefuegt, da ansonsten moeglicherweise undefined variables auftreten
// deaktiviert: function make_bezahlt_list($db,$besitzer_id,$patient_id,$behandlung_id,$bezahlt_id=-1)
function make_bezahlt_list($db, $besitzer_id, $patient_id, $behandlung_id, $bezahlt_id)
	{
	//2013-08-07 DW: Bugfix wg. undefined variable
	if (isset($bezahlt_id) and $bezahlt_id != -1)
		{
		$db->query("Select bezahlt_id,quittung,gebucht,rech_bez_id from vs_bezahlt where bezahlt_id=" . $bezahlt_id);
		$row = $db->fetch_row();
		$num = $db->num_rows();
		$q   = $row[1];
		$g   = $row[2];
		$r   = $row[3];
		$db->free_result();
		}
	$db->query("select offen,rechnung_id from vs_behandlung where behandlung_id=$behandlung_id");
	$beh = $db->fetch_row();
	$db->free_result();
	
	//2013-08-07 DW: Vorsicht - diese query wird erst spaeter benutzt in Zeile ca. wo new vs_db_table steht
	//2015-06-03 KM: Query geaendert --- Tabelle jetzt mit Spalte fuer Quittung und gebucht
	//$db->query("Select bezahlt_id,datum,typ,betrag from vs_bezahlt where behandlung_id=" . $behandlung_id);
	$db->query("Select bezahlt_id, datum, typ, quittung, gebucht, betrag from vs_bezahlt where behandlung_id=" . $behandlung_id);
	
	$t = new vs_table("abrechnung_area", 2, 1);
	$d = new vs_div("", "30", "left");
	if (($beh[0] > 0) and ($beh[1] < 1)) // Behandlung zumindest teilweise unbezahlt und nicht Teil einer Sammelrechnung
		$d->add(new vs_action_img("add", "../img/add_24.gif", "a_karte_add_abrechnung&besitzer_id=$besitzer_id" . 
									"&patient_id=$patient_id&behandlung_id=$behandlung_id"));
	//2013-08-07 DW: Bugfix 4x undefined variables
	if (!isset($q))
		$q = null;
	if (!isset($g))
		$g = null;
	if (!isset($r))
		$r = null;
	if (!isset($num))
		$num = null;
	
	if (($q != "1") and ($g != "1") and ($num > 0) and ($r < 1))
	//Loeschen nur wenn keine Quittung und noch nicht gebucht und nicht Teil einer Sammelrechnung
		$d->add(new vs_action_img("del", "../img/delete_24.gif", "a_karte_del_abrechnung&besitzer_id=$besitzer_id&patient_id=$patient_id" . 
									"&behandlung_id=$behandlung_id&bezahlt_id=$bezahlt_id"));
	
	//KM: Tabelle jetzt mit Spalte fuer Quittung und gebucht
	$pt = new vs_db_table($db, 376, $bezahlt_id);
	$pt->set_field_width(1, 80);
	$pt->set_field_width(2, 40);
	$pt->set_field_width(3, 40);
	$pt->set_field_label(3, "Quit.");
	$pt->set_field_align(3, "center");
	$pt->set_field_width(4, 40);
	$pt->set_field_align(4, "center");
	$pt->set_field_width(5, 90);
	$pt->set_field_align(5, "right");
	$pt->set_field_formatstr(5, "%s " . currency_string);
	$pt->set_field_label(5, "Betrag &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	
	if ($r < 1) //nicht Teil einer Sammelrechnung  
		$pt->add_action(new vs_action("a_karte_show_abrechnung&besitzer_id=$besitzer_id&patient_id=$patient_id" . 
										"&behandlung_id=$behandlung_id", "../img/edit.gif"));
	$t->add(1, 1, $d);
	$t->add(2, 1, $pt);
	
	return $t;
	}


//2013-08-13 DW: Bugfix: default fuer bezahlt_id (-1) eingefuegt, da ansonsten moeglicherweise undefined variables auftreten
//2013-08-20 DW: CONFLICT wg. neuer function mit & - hinzugefuegt fuer merge
function zeige_behbezahlt($db, $besitzer_id, $patient_id, $behandlung_id, &$bezahlt_id = -1)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		//nix zu tun
		$t = new vs_form_x("behc_neu", 5);
		$t->add_control(1, new vs_text("Es ist keine Behandlung selektiert!!"));
		return $t;
		}
	else
		{
		$db->query("select rechnung_id from vs_behandlung where behandlung_id=$behandlung_id");
		$beh         = $db->fetch_row();
		$rechnung_nr = $beh[0];
		
		//2013-08-07 DW: Bugfix wg. undefined vso_bezahlt_id hier Abpruefung auf -1 statt !isset($bezahlt_id)
		if (isset($bezahlt_id) and $bezahlt_id == -1) //keine Bezahlung festgelegt, alle listen
			{
			//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
			$db->query("Select bezahlt_id,datum,typ,gebucht,quittung,betrag," . 
						"brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id,rechnung_id,rech_bez_id,time_id from " . 
						" vs_bezahlt where behandlung_id=" . $behandlung_id);
			}
			
		//2013-08-07 DW: Bugfix wg. undefined vso_bezahlt_id hier Abpruefung auf !=-1 statt reinem else-Zweig
		elseif (isset($bezahlt_id) and $bezahlt_id != -1) //Bezahlung festgelegt
			{
			//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
			$db->query("Select bezahlt_id,datum,typ,gebucht,quittung,betrag," . 
						"brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id,rechnung_id,rech_bez_id,time_id from " . 
						" vs_bezahlt where bezahlt_id=" . $bezahlt_id);
			}
		
		//DW: else der Vollstaendigkeit halber
		else
			{
			return new vs_text("<h2>Behandlung_id nicht gesetzt, bitte Vetsoft Office Administrator benachrichtigen!</h2>");
			}
		
		$row        = $db->fetch_row();
		$n          = $db->num_rows();
		$bezahlt_id = $row[0];
		
		//2015-06-04 KM: Muss auch augeblendet werden, wenn Teil einer Sammelrechnung
		//if ($n > 0) //Bezahlungen vorhanden
		if (($n > 0) and ($rechnung_nr <= 0))//Bezahlungen vorhanden und Quittung oder Einzelrechnung nach altem Schema
			{
			$olddata = $db->curr_row_as_string();
			$row[5]  = ptc($row[5]); //Betrag
			$t       = new vs_form_x("behdoc_edit", 3);
			$t->set_cellspacing(5);
			
			// controls liefern falls disabled liefert einen leeren String
			if ($row[3] == 0)
				{
				//2015-03-03 KM: Hier keine Datumsumstellung auf Datepicker
				// Hier soll nur ein Datumsfeld angezeigt werden. 
				$c=new vs_date_edit("xyz",10,10,$row[1],"Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
				$c->set_disabled("true"); //falls gebucht
				//2015-03-03 KM: fuer die Optik
				$c->set_css_class("vs_disabled_edit");
				$t->add_control(1, $c);
				
				$t->add_control(1, new vs_hidden("datum", d_db2dis($row[1])));
				
				//2015-03-03 KM: "xyz" macht Fehler und falsches Label
				//$c = new vs_db_listbox("xyz", 30, $db, "vs_zahlweise", "bezeichnung", "kurz", $row[2], 0, "", "", "", "reihenfolge");
				$c = new vs_db_listbox("typ", 30, $db, "vs_zahlweise", "bezeichnung", "kurz", $row[2], 0, "", "", "", "reihenfolge");
				
				$c->set_disabled("true"); //falls gebucht
				$t->add_control(1, $c);
				$t->add_control(1, new vs_hidden("typ", $row[2]));
				}
			else
				{
				//2015-01-09 KM: Datum Umstellung auf Datepicker
				$t->add_control(1, new vs_datepicker("datum", d_db2dis($row[1]), "multi_today1_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
				
				$t->add_control(1, new vs_db_listbox("typ", 30, $db, "vs_zahlweise", "bezeichnung", "kurz", $row[2], 0, "", "", "", "reihenfolge"));
				}
			
			$c = new vs_checkbox("quittung", $row[4]);
			//2015-05-19 KM: wenn Einzelrechnung nicht erlaubt (er_possible == 0)
			if (($row[3] == 1) or (er_possible == 0)) //gebucht
				{
				$c->set_disabled("true");
				}
			$t->add_control(1, $c);
			
			$c = new vs_checkbox("gebucht", $row[3]);
			$c->set_disabled("true");
			$t->add_control(1, $c);
			
			$c = new vs_d_edit("betrag", 10, 10, $row[5]);
			if ($row[3] == 1) //gebucht
				{
				$c->set_disabled("true");
				}
			$t->add_control(1, $c);
			
			$betrag = ptc($row[5]);
			
			//2015-04-09 KM: wenn eine Sammelrechnung existiert, kein Wechselgeldrechner
			if ($rechnung_nr < 1) 
				//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
				$t->add_control(1, new vs_link_img("../img/kasse.gif", "rueckgeld.php?betrag=$betrag", "_blank"));
			
			//2015-05-19 KM: wenn Einzelrechnung nicht erlaubt (er_possible == 0) oder eine Sammelrechnung existiert, kein Quittungsdruck
			if (er_possible != 0)
				{
					if ((isset($row[13])) and ($row[13] > 0) and (($rechnung_nr < 1))) //keine time_id bei alten Bezahlungen, keine Sammelrechnung 
					{
					//2014-12-03 KM: geaendert vs_new_window_img -> vs_link_img
					$c = new vs_link_img("../img/sammel_quittung.png", "behbez_quittung.php?time_id=$row[13]", "_blank");
					$c->set_title("Quittung f&uuml;r alle zu diesem Zeitpunkt get&auml;tigten Bezahlungen erstellen");
					$t->add_control(1, $c);
					}
				}
			//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
			$t->add_control(2, new vs_memo("bez_bemerkung", 80, 20, $row[9],"Bemerkung"));
			$t->add_control(3, new vs_hidden("besitzer_id", $besitzer_id));
			$t->add_control(3, new vs_hidden("patient_id", $patient_id));
			$t->add_control(3, new vs_hidden("behandlung_id", $behandlung_id));
			$t->add_control(3, new vs_hidden("bezahlt_id", $bezahlt_id));
			$t->add_control(3, new vs_hidden("olddata", $olddata));
			$t->add_control(3, new vs_hidden("action", "a_karte_post_edit_abrechnung"));
			
			//$row[12] ---> rech-bez_id
			//$row[3] ---> gebucht
			//$rechnung_nr ---> bezahlt_id
			
			//keine Einzelrechnung möglich
			if (er_possible == 0)
				{
				//nicht Teil einer Sammelrechnung oder Quittung und noch nicht gebucht
				if (($row[12] < 1) and ($row[3] < 1) and ($rechnung_nr != -1000))
					{
					$t->add_control(3, new vs_submit("submit", "&Auml;ndern", "true"));
					$t->add_control(3, new vs_reset("reset", "Abbrechen", "true"));
					}
				}
			//Einzelrechnung möglich, Zahlung bei Rechnung_id von -1000 muss möglich sein   
			else
				{
				//nicht Teil einer Sammelrechnung und noch nicht gebucht
				if (($row[12] < 1) and ($row[3] < 1))
					{
					$t->add_control(3, new vs_submit("submit", "&Auml;ndern", "true"));
					$t->add_control(3, new vs_reset("reset", "Abbrechen", "true"));
					}
				}
			return $t;
			}
		
		else //keine Bezahlungen vorhanden also evtl neue einfuegen oder wenn Teil einer Sammelrechnung
			{
			return neue_behbezahlt($db, $besitzer_id, $patient_id, $behandlung_id);
			}
		}
	}

function neue_behbezahlt($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		//nix zu tun
		$t = new vs_form_x("behdoc_neu", 5);
		$t->set_cellspacing(5);
		return $t;
		}
	else
		{
		$db->query("select offen,rechnung_id from vs_behandlung where behandlung_id=$behandlung_id");
		$row = $db->fetch_row();
		$db->free_result();
		$t = new vs_form_x("behdoc_edit", 3);
		if ($row[1] < 1) //Behandlung nicht Teil einer Sammelrechnung
			{
			$t->set_cellspacing(5);
			
			//2015-01-05 KM: Datum Umstellung auf Datepicker
			$t->add_control(1, new vs_datepicker("datum", "", "multi_today2_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			
			$t->add_control(1, new vs_db_listbox("typ", 30, $db, "vs_zahlweise", "bezeichnung", "kurz", "B", 0, "", "", "", "reihenfolge"));
			
			$c = new vs_checkbox("quittung", "0");
			//2015-05-19 KM: wenn Einzelrechnung nicht erlaubt (er_possible == 0)
			if (er_possible == 0)
				{
				$c->set_disabled("true");
				}
			$t->add_control(1, $c);
			
			$c = new vs_checkbox("gebucht", "0");
			$c->set_disabled("true");
			$t->add_control(1, $c);
			
			$t->add_control(1, new vs_d_edit("betrag", 10, 10, ptc($row[0])));
			$betrag = ptc($row[0]);
			
			//2015-04-09 KM: wenn eine Sammelrechnung existiert, kein Wechselgeldrechner
			if (!isset($rechnung_nr))
				{
				$rechnung_nr = 0;
				}
			if ($rechnung_nr < 1)
				//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
				$t->add_control(1, new vs_link_img("../img/kasse.gif", "rueckgeld.php?betrag=$betrag", "_blank"));
				
			//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
			$t->add_control(2, new vs_memo("bez_bemerkung", 80, 20, "","Bemerkung"));
			$t->add_control(3, new vs_hidden("besitzer_id", $besitzer_id));
			$t->add_control(3, new vs_hidden("patient_id", $patient_id));
			$t->add_control(3, new vs_hidden("behandlung_id", $behandlung_id));
			
			//2015-02-12 KM Fehler beseitigt: Undefined Variable auf -1
			if (!isset($bezahlt_id))
				//$bezahlt_id = "";
				$bezahlt_id = -1;
				
			$t->add_control(3, new vs_hidden("bezahlt_id", $bezahlt_id));
			//2013-08-07 DW: Bugfix $olddata nicht definiert:
			if (!isset($olddata))
				$olddata = "";
			$t->add_control(3, new vs_hidden("olddata", $olddata));
			$t->add_control(3, new vs_hidden("action", "a_karte_post_insert_abrechnung"));
			$t->add_control(3, new vs_submit("submit", "Speichern", "false"));
			$t->add_control(3, new vs_reset("reset", "Abbrechen", "false"));
			}
		else
			$t->add_control(3, new vs_text("<h2>Diese Behandlung ist Teil einer Rechnung,<br> " . 
								"Zahlungseingaben bitte &uuml;ber das Rechnungsformular.</h2>"));
		return $t;
		}
	}

//---------------------------------------------------------------------------------------------
?> 
