/*
 *      behandlung.js
 *
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM),
 *                     Markus Angeli (MA)
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */
 
 

//------------------begin of file------------------------

//allgemeine Funktion zum Erzeigen des Requestobjectes incl. Browserweiche
function createXMLHttpRequest() {
    var resObject = null;
    try {
        resObject = new ActiveXObject("Microsoft.XMLHTTP");
    } catch (Error) {
        try {
            resObject = new ActiveXObject("MSXML2.XMLHTTP");
        } catch (Error) {
            try {
                resObject = new XMLHttpRequest();
            } catch (Error) {
                alert("VS-Office  AJAX Anforderung nicht moeglich. Ueberpruefen SIe Ihren Browser und  die Einstellungen.");
            }
        }
    }
    return resObject;
}


var resObject;

resObject = createXMLHttpRequest();



//fuegt text ion an die selektierte Stelle eines inputs ein
function txt_insert(input, aTag, eTag) {
    //var input = document.forms['formular'].elements['eingabe'];
    input.focus();
    /* für Internet Explorer */
    if (typeof document.selection != 'undefined') {
        /* Einfügen des Formatierungscodes */
        var range = document.selection.createRange();
        var insText = range.text;
        range.text = aTag + insText + eTag;
        /* Anpassen der Cursorposition */
        range = document.selection.createRange();
        if (insText.length == 0) {
            range.move('character', -eTag.length);
        } else {
            range.moveStart('character', aTag.length + insText.length + eTag.length);
        }
        range.select();
    }

    /* für neuere auf Gecko basierende Browser */
    else if (typeof input.selectionStart != 'undefined') {
        /* Einfügen des Formatierungscodes */
        var start = input.selectionStart;
        var end = input.selectionEnd;
        var insText = input.value.substring(start, end);
        input.value = input.value.substr(0, start) + aTag + insText + eTag + input.value.substr(end);
        /* Anpassen der Cursorposition */
        var pos;
        if (insText.length == 0) {
            pos = start + aTag.length;
        } else {
            pos = start + aTag.length + insText.length + eTag.length;
        }
        input.selectionStart = pos;
        input.selectionEnd = pos;
    }

    /* für die übrigen Browser */
    else {
        /* Abfrage der Einfügeposition */
        var pos;
        var re = new RegExp('^[0-9]{0,3}$');
        while (!re.test(pos)) {
            pos = prompt("Einfügen an Position (0.." + input.value.length + "):", "0");
        }
        if (pos > input.value.length) {
            pos = input.value.length;
        }
        /* Einfügen des Formatierungscodes */
        var insText = prompt("Bitte geben Sie den zu formatierenden Text ein:");
        input.value = input.value.substr(0, pos) + aTag + insText + eTag + input.value.substr(pos);
    }

}


//löscht alle HTML Tags in einem String.
function stripHTML(str) {
    // remove all string within tags
    var tmp = str.replace(/(<.*['"])([^'"]*)(['"]>)/g, function(x, p1, p2, p3) {
        return p1 + p3;
    });
    // now remove the tags
    return tmp.replace(/<\/?[^>]+>/gi, '');
}

//löscht alle Zeilenumbrüche, Leerzeichen am Anfang und Ende und doppelten Leerzeichen.
function trim(str) {
    return str.replace(/[\n\r]/g, '').replace(/ +/g, ' ').replace(/^\s+/g, '').replace(/\s+$/g, '');
}


/**
 * htmlEntities
 *
 * Convert all applicable characters to HTML entities
 *
 * object string
 * return string
 *
 * example:
 *   test = 'äöü'
 *   test.htmlEntities() //returns '&auml;&ouml;&uuml;'
 */

String.prototype.encHtmlEntities = function() {
    var chars = new Array('&', 'à', 'á', 'â', 'ã', 'ä', 'å', 'æ', 'ç', 'è', 'é',
        'ê', 'ë', 'ì', 'í', 'î', 'ï', 'ð', 'ñ', 'ò', 'ó', 'ô',
        'õ', 'ö', 'ø', 'ù', 'ú', 'û', 'ü', 'ý', 'þ', 'ÿ', 'À',
        'Á', 'Â', 'Ã', 'Ä', 'Å', 'Æ', 'Ç', 'È', 'É', 'Ê', 'Ë',
        'Ì', 'Í', 'Î', 'Ï', 'Ð', 'Ñ', 'Ò', 'Ó', 'Ô', 'Õ', 'Ö',
        'Ø', 'Ù', 'Ú', 'Û', 'Ü', 'Ý', 'Þ', '€', '\"', 'ß', '<',
        '>', '¢', '£', '¤', '¥', '¦', '§', '¨', '©', 'ª', '«',
        '¬', '­', '®', '¯', '°', '±', '²', '³', '´', 'µ', '¶',
        '·', '¸', '¹', 'º', '»', '¼', '½', '¾');

    var entities = new Array('amp', 'agrave', 'aacute', 'acirc', 'atilde', 'auml', 'aring',
        'aelig', 'ccedil', 'egrave', 'eacute', 'ecirc', 'euml', 'igrave',
        'iacute', 'icirc', 'iuml', 'eth', 'ntilde', 'ograve', 'oacute',
        'ocirc', 'otilde', 'ouml', 'oslash', 'ugrave', 'uacute', 'ucirc',
        'uuml', 'yacute', 'thorn', 'yuml', 'Agrave', 'Aacute', 'Acirc',
        'Atilde', 'Auml', 'Aring', 'AElig', 'Ccedil', 'Egrave', 'Eacute',
        'Ecirc', 'Euml', 'Igrave', 'Iacute', 'Icirc', 'Iuml', 'ETH', 'Ntilde',
        'Ograve', 'Oacute', 'Ocirc', 'Otilde', 'Ouml', 'Oslash', 'Ugrave',
        'Uacute', 'Ucirc', 'Uuml', 'Yacute', 'THORN', 'euro', 'quot', 'szlig',
        'lt', 'gt', 'cent', 'pound', 'curren', 'yen', 'brvbar', 'sect', 'uml',
        'copy', 'ordf', 'laquo', 'not', 'shy', 'reg', 'macr', 'deg', 'plusmn',
        'sup2', 'sup3', 'acute', 'micro', 'para', 'middot', 'cedil', 'sup1',
        'ordm', 'raquo', 'frac14', 'frac12', 'frac34');

    newString = this;
    for (var i = 0; i < chars.length; i++) {
        myRegExp = new RegExp();
        myRegExp.compile(chars[i], 'g')
        newString = newString.replace(myRegExp, '&' + entities[i] + ';');
    }
    return newString;
}



function decodeHtml(str) {
    var entities = new Array('&quot;', '&auml;', '&Auml;');
    var chars = new Array(' ', 'ä', 'Ä');

    str = str.replace(/&quot;/g, '"');
    str = str.replace(/&szlig;/g, 'ß');
    str = str.replace(/&uuml;/g, 'ü');
    str = str.replace(/&Uuml;/g, 'Ü');
    str = str.replace(/&ouml;/g, 'ö');
    str = str.replace(/&Ouml;/g, 'Ö');
    str = str.replace(/&auml;/g, 'ä');
    str = str.replace(/&Auml;/g, 'Ä');
    return str;
}



function send_behtext_insert_req(besitzer_id, patient_id, behandlung_id) {
    var textbaustein_id = document.getElementsByName("vorlage")[0].value;
    resObject.open('get', 'handle_textbaustein_insert.php?besitzer_id=' + besitzer_id + '&patient_id=' + patient_id + '&behandlung_id=' + behandlung_id + '&textbaustein_id=' + textbaustein_id, true);
    resObject.onreadystatechange = handle_behtext_insert_response;
    resObject.send(null);
}



function handle_behtext_insert_response() {
    if (resObject.readyState == 4) {
        var rt = resObject.responseText;
        var a = eval(" (" + rt + ")");
        if (a.success == 'ok') {
            var inp = document.getElementsByName('text')[0];
            txt_insert(inp, a.value, '');
            inp.form.submit.disabled = false;
            inp.form.reset.disabled = false;
        } else {
            alert('Fehler beim Einf&uuml;gen von Text');
        }
    }
}


function send_labtext_insert_req(besitzer_id, patient_id, behandlung_id) {
    var textbaustein_id = document.getElementsByName("vorlage")[0].value;
    resObject.open('get', 'handle_textbaustein_insert.php?besitzer_id=' + besitzer_id + '&patient_id=' + patient_id + '&behandlung_id=' + behandlung_id + '&textbaustein_id=' + textbaustein_id, true);
    resObject.onreadystatechange = handle_labtext_insert_response;
    resObject.send(null);
}



function handle_labtext_insert_response() {
    if (resObject.readyState == 4) {
        var rt = resObject.responseText;
        var a = eval(" (" + rt + ")");
        if (a.success == 'ok') {
            var inp = document.getElementsByName('bemerkung')[0];
            txt_insert(inp, a.value, '');
            inp.form.submit.disabled = false;
            inp.form.reset.disabled = false;
        } else {
            alert('Fehler beim Einf&uuml;gen von Text');
        }
    }
}



function send_roetext_insert_req(besitzer_id, patient_id, behandlung_id) {
    var textbaustein_id = document.getElementsByName("vorlage")[0].value;
    resObject.open('get', 'handle_textbaustein_insert.php?besitzer_id=' + besitzer_id + '&patient_id=' + patient_id + '&behandlung_id=' + behandlung_id + '&textbaustein_id=' + textbaustein_id, true);
    resObject.onreadystatechange = handle_roetext_insert_response;
    resObject.send(null);
}



function handle_roetext_insert_response() {
    if (resObject.readyState == 4) {
        var rt = resObject.responseText;
        var a = eval(" (" + rt + ")");
        if (a.success == 'ok') {
            var inp = document.getElementsByName('memo')[0];
            txt_insert(inp, a.value, '');
            inp.form.submit.disabled = false;
            inp.form.reset.disabled = false;
        } else {
            alert('Fehler beim Einf&uuml;gen von Text');
        }
    }
}
