 <?php
/*
 *      behbez_quittung.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8
// Das hier ist die Quittung.



include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../tcpdf/tcpdf.php";
// KM Bugfix 2013-08-25: Sprachkonfiguration fuer tcpdf ergaenzt
require_once("../tcpdf/examples/lang/ger.php");
//wichtig: keine Leerzeichen vor dem php Tag und keine nach dem Ende!!!!!!!
//sonst streikt fpdf
//WICHTIG: Alle Skripte, die fpdf/tcpdf benutzen muessen so enkodiert sein wie das System
//Bei den anderen Skripten ist dies nicht von Bedeutung!!!!

// KM Bugfix 2013-09-10: rech_ausdruck.php ist Vorlage fuer beh_quittung.php und behbez_quittung.php
// KM Bugfix 2013-09-10: Formatierung ueberarbeitet

//$_GET und $_POST entpacken

extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

class quittung extends TCPDF
	{
	//Page header
	function Header()
		{
		//Nothing to do
		}
	
	//Page footer
	function Footer()
		{
		$this->SetY(pn_bottom);
		//FreeSans italic 8
		$this->SetFont('FreeSans', 'I', 7);
		//Page number
		$this->Cell(0, 7, 'Seite ' . $this->PageNo(), 0, 0, 'C');
		//Zeichenerklaerung
		$this->SetXY(rand_links, ze_bottom);
		$this->SetFont('FreeSans', "", 7);
		$this->setfillcolor("230");
		$this->Cell(175, 5, "L = Leistung(GOT) A/M = Medikament F = Futtermittel I = Impfung R = Fremdleistung V = Verbrauchsmaterial W = Warenartikel", 1, 0, "C", 1);
		} //Footer
	
	} //class

function get_bes_data($db, $besitzer_id, &$bes_anrede, &$bes_titel, &$bes_vorname, &$bes_name, &$bes_strasse, &$bes_plz, &$bes_wohnort)
	{
	$db->query("Select anrede,titel,vorname,name,strasse,plz,wohnort from vs_besitzer where besitzer_id=$besitzer_id");
	$row         = $db->fetch_row();
	$bes_anrede  = $row[0];
	$bes_titel   = $row[1];
	$bes_vorname = $row[2];
	$bes_name    = $row[3];
	$bes_strasse = $row[4];
	$bes_plz     = $row[5];
	$bes_wohnort = $row[6];
	$db->free_result();
	}

function get_pat_data($db, $patient_id, &$pat_tierart, &$pat_rasse, &$pat_name)
	{
	$db->query("Select tierart,rasse,name from vs_patient where patient_id=$patient_id");
	$row         = $db->fetch_row();
	$pat_tierart = $row[0];
	$pat_rasse   = $row[1];
	$pat_name    = $row[2];
	$db->free_result();
	}

function get_beh_data($db, &$behandlung_id, &$beh_datum, &$beh_diagnose, &$beh_brutto, &$beh_mwst, &$beh_bezahlt, &$beh_netto, &$beh_offen, &$beh_text)
	{
	$db->query("Select datum,diagnose,brutto,netto,bezahlt,offen,text from vs_behandlung where behandlung_id=$behandlung_id");
	$row          = $db->fetch_row();
	$beh_datum    = $row[0];
	$beh_diagnose = $row[1];
	$beh_brutto   = $row[2];
	$beh_netto    = $row[3];
	$beh_mwst     = $row[2] - $row[3];
	$beh_bezahlt  = $row[4];
	$beh_offen    = $row[5];
	$beh_text     = $row[6];
	$db->free_result();
	}


//Instanciation of inherited class
$db  = new vs_db();
$db2 = new vs_db();
$db->connect();
$db2->connect();

//-------Start Document-----------
$quittung = new quittung(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true);
$quittung->getAliasNbPages();
$quittung->AddPage();

if (logo != "")
	{
	//Logo	
	$quittung->Image(logo, logo_left, logo_top, logo_width, logo_height);
	$quittung->SetFont('FreeSans', 'B', 18);
	//1.und 2. Zeile
	$quittung->Sety(first_lines_top);
	$quittung->Setx(first_lines_left);
	$quittung->cell(40, 10, zeile1, 0, 1);
	$quittung->SetFont('FreeSans', 'B', 14);
	$quittung->Setx(first_lines_left);
	$quittung->cell(40, 10, zeile2, 0, 1);
	}
else
	{
	$quittung->Sety(first_lines_top);
	$quittung->Setx(first_lines_left);
	$quittung->cell(40, 10, zeile1, 0, 1);
	$quittung->SetFont('FreeSans', 'B', 14);
	$quittung->Setx(first_lines_left);
	$quittung->cell(40, 10, zeile2, 0, 1);
	}
$quittung->setx(rand_links);
// KM Design 2013-08-31: Bei gety()+1 eingefuegt, damit Linie etwas tiefer kommt.
$quittung->line($quittung->getx(), $quittung->gety() + 1, $quittung->getx() + 175, $quittung->gety() + 1);

// Praxisdaten oben rechts
// KM Design 2013-08-31: Schrift 9 geaendert und Setxy (alt: Setx) fuer Hoeheneinstellung ergaenzt
$quittung->SetFont('FreeSans', 'I', 9);
$quittung->Setxy(rand_links + 119, 37);
// KM 2013-08-31: Zeilenhoehe von 7 auf 5 gändert.
$quittung->cell(40, 5, zeile3, 0, 3);
$quittung->cell(40, 5, zeile4, 0, 3);
$quittung->cell(40, 5, zeile5, 0, 3);
$quittung->cell(40, 5, zeile6, 0, 3);
$quittung->cell(40, 5, zeile7, 0, 3);
// KM 2013-08-31: IBAN und BIC eingefuegt, ACHTUNG die folgenden Zeilennummern haben sich geaendert!
$quittung->cell(40, 5, zeile8, 0, 3);
$quittung->cell(40, 5, zeile9, 0, 3);
$quittung->cell(40, 5, zeile10, 0, 3);
// KM Bugfix 2013-07-29: UmsStID eingefuegt, fehlte in der Rechnung
$quittung->cell(40, 5, zeile11, 0, 3);

//Umschlagfenster
// KM Design 2013-08-31: Umschlgfenster hoeher Schrift Absender kleiner
$quittung->SetFont('FreeSans', 'U', 6);
$quittung->Setxy(rand_links, 43);
$quittung->cell(60, 12, absender, 0, 3);
$quittung->SetFont('FreeSans', '', 10);

//Adressfeld
//Besitzer_id holen

//erst den Besitzer bestimmmen
$sql = "select pat.besitzer_id from vs_patient pat,vs_behandlung beh, vs_bezahlt bez " . 
		"where pat.patient_id=beh.patient_id and beh.behandlung_id=bez.behandlung_id " . 
		"and bez.time_id = $vso_time_id ";
$db->query($sql);
$row         = $db->fetch_row();
$besitzer_id = $row[0];
$db->free_result();
get_bes_data($db, $besitzer_id, $bes_anrede, $bes_titel, $bes_vorname, $bes_name, $bes_strasse, $bes_plz, $bes_wohnort);

//Gesamtsummen
$sql = "select  sum(betrag), sum(brutto_a), sum(brutto_b) from  vs_bezahlt where time_id = $vso_time_id ";
$db->query($sql);
$sum_row    = $db->fetch_row();
$q_brutto   = $sum_row[0];
$q_brutto_a = $sum_row[1];
$q_brutto_b = $sum_row[2];
$db->free_result();

//Datum
$sql = "select  datum from  vs_bezahlt where time_id = $vso_time_id ";
$db->query($sql);
$date_row = $db->fetch_row();
$q_datum  = $date_row[0];


//Adresse Besitzer
$quittung->cell(60, 5, $bes_anrede, 0, 3);
if ($bes_titel != "")
	$bes_titel = $bes_titel . " ";
$quittung->cell(60, 5, $bes_titel . $bes_vorname . " " . $bes_name, 0, 3);
$quittung->cell(60, 5, $bes_strasse, 0, 3);
$quittung->cell(60, 5, $bes_plz . " " . $bes_wohnort, 0, 3);

//Rechnungstext
$quittung->Setxy(rand_links, 110);
$quittung->SetFont('FreeSans', 'B', 14);
$quittung->cell(110, 6, "Quittung", 0, 0);

$quittung->SetFont('FreeSans', '', 10);
$quittung->setx(rand_links + 135);
$quittung->cell(40, 10, $q_datum, 0, 1, "R");
$quittung->setx(rand_links);
$quittung->line($quittung->getx(), $quittung->gety(), $quittung->getx() + 170, $quittung->gety());
$quittung->SetFont('FreeSans', 'B', 10);

//jetzt alle enthaltenen Behandlungen auflisten
$sql = "select beh.patient_id, beh.behandlung_id from vs_behandlung beh, vs_bezahlt bez " . 
		"where beh.behandlung_id=bez.behandlung_id and bez.time_id = $vso_time_id order by beh.datum ";
$db->query($sql);

while ($b_row = $db->fetch_row())
	{
	$patient_id    = $b_row[0];
	$behandlung_id = $b_row[1];
	get_pat_data($db2, $patient_id, $pat_tierart, $pat_rasse, $pat_name);
	get_beh_data($db2, $behandlung_id, $beh_datum, $beh_diagnose, $beh_brutto, $beh_mwst, $beh_bezahlt, $beh_netto, $beh_offen, $beh_text);
	//Patient und Behandlung
	//Linie
	$quittung->line(rand_links, $quittung->gety(), 195, $quittung->gety());
	//Angaben zum Patient  
	$quittung->setx(rand_links);
	$quittung->SetFont('FreeSans', 'B', 10);
	$quittung->cell(40, 10, $pat_tierart . " " . $pat_name . ", " . $pat_rasse, 0, 1);
	
	//Behandlung Datum und Diagnose  
	$quittung->setx(rand_links);
	$quittung->SetFont('FreeSans', 'B', 10);
	$quittung->cell(40, 10, $beh_datum, 0, 0);
	$quittung->cell(40, 10, $beh_diagnose, 0, 3);
	$quittung->SetFont('FreeSans', '', 10);
	//Positionen
	//NEU RECHBEZEICHNUNG , kontrollierte Reihenfolge der Positionstypen
	
	for ($i = 0; $i < 8; $i++)
		{
		$VS_RRF = VS_RRF; //Leistung-Medikament-Abgabemedikament-ImpfungFutter_Fremdleistung-Verbrauchsmaterial
		$typ    = $VS_RRF[$i]; //VS_RRF=Rechnungsreihenfolge in config.inc.php
		$db2->query("Select menge,typ,rechbezeichnung,brutto,netto,ziffer from vs_behposition where behandlung_id=$behandlung_id and typ='$typ'");
		
		while ($row = $db2->fetch_row())
			{
			//v.a. fuer alte Rechnungen....  ohne Rechbezeichnung
			if ($row[2] == "")
				$row[2] = $row[5];
			$quittung->setx(rand_links);
			$quittung->cell(10, 5, $row[0] = ptc($row[0]), 0, 0, "R");
			$quittung->cell(7, 5, $row[1], 0, 0);
			$y1 = $quittung->GetY();
			//Schalter,ob die GOT-Ziffer angegeben wird
			if (rechnung_show_got == 1)
				{
				if ($row[1] == "L")
					$row[2] = $row[2] . " (" . $row[5] . ")";
				}
			// Schalter ob angewandte Medikamente mit Namen angegeben werden   
			if (rechnung_show_m_med != 1)
				{
				if ($row[1] == "M")
					$row[2] = "angewandtes Medikament";
				}
			$quittung->MultiCell(143, 5, $row[2], "0", "L", "0", "1");
			$y2 = $quittung->GetY();
			$quittung->sety($y1);
			$quittung->setx(175);
			$quittung->cell(20, 5, $row[4] = ptc($row[4]) . " " . pdf_currency_string, 0, 1, "R");
			$quittung->sety($y2);
			}
		//Behandlung/Zahlung als quittiert markieren
		$db2->query("Update vs_bezahlt set quittung='1' where behandlung_id=$behandlung_id");
		$db2->query("Update vs_behandlung set rechnung_id='-1000' where behandlung_id=$behandlung_id");
		}
	}
$q_netto_a = $q_brutto_a / (1 + ctp($dummy_A = A) / 100);
$q_netto_b = $q_brutto_b / (1 + ctp($dummy_B = B) / 100);
$q_netto   = $q_netto_a + $q_netto_b;
$q_mwst    = $q_brutto - $q_netto;
//$q_netto=round($q_netto,2);
$q_netto   = number_format($q_netto, 2, ",", ".");
//$q_brutto=round($q_brutto,2);
$q_brutto  = number_format($q_brutto, 2, ",", ".");
//$q_mwst=round($q_mwst,2);
$q_mwst    = number_format($q_mwst, 2, ",", ".");
$brutto    = ptc($q_brutto) . " " . pdf_currency_string;
$netto     = ptc($q_netto) . " " . pdf_currency_string;
$mwst      = ptc($q_mwst) . " " . pdf_currency_string;

//Dummy wegen Abstand
$quittung->setx(rand_links);
$quittung->Cell(175, 2, " ", "l", 1);

//2015-04-19 KM: Schriftformatierung geaendert
$quittung->setx(rand_links);
$quittung->SetFont('FreeSans', 'B', 10);
$quittung->Cell(175, 10, "Bezahlt wurden am $q_datum:         Brutto: $brutto", "l", 1, "R");

//2015-04-19 KM: Schriftformatierung geaendert
$quittung->setx(rand_links);
$quittung->SetFont('FreeSans', '', 10);
$quittung->Cell(175, 8, "Netto: $netto", "l", 1, "R");

//2015-04-19 KM: Schriftformatierung geaendert
$quittung->setx(rand_links);
$quittung->Cell(175, 8, "MWST: $mwst", "l", 1, "R");


//Dummy wegen Abstand
$quittung->setx(rand_links);
$quittung->Cell(175, 2, " ", "l", 1);

$quittung->setx(rand_links);
$quittung->SetFont('FreeSans', '', 8);
$quittung->multicell(175, 5, "Durch evtl. früher erfolgte oder noch ausstehende Zahlungen kann die Summe der Behandlungskosten höher als die am $q_datum bezahlte Summe sein.", "0", "L");
$quittung->SetFont('FreeSans', '', 8);

//2015-03-18 KM: neu Dummy wegen Abstand
$quittung->setx(rand_links);
$quittung->Cell(175, 2, "", "", 1);

//Schlusstext
$quittung->setx(rand_links);
$quittung->SetFont('FreeSans', '', 8);
$quittung->MultiCell(175, 5, rechnung_text_ende, "0", "L");
$db->free_result();

$db->close();

ob_start();
$quittung->Output();
ob_end_flush();

?>
