 <?php
/*
 *      besitzer_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";



function bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, $text_1 = "", $text_2 = "", $text3 = "", $help = "")
	{
	global $user_kurz;
	//2015-02-20 KM: Formatierung geaendert
	$nl = new vs_div("", "", "", "", "", "vs_statusbar");
	
	//2015-01-16 KM: vor, zurueck und neu laden raus genommen, nachen nur Durcheinander
	
	
	//2014-11-26 KM: Hier ist help jetzt
	if ($help != "") 
		{
		//2014-01-15 KM: Hilfe in neuem Fenster und Sprung auf Position, jetzt vs_link_img
		$hi = new vs_link_img("../img/help.gif", $help, "_blank", $imgwidth = "");
		$hi->set_title("Hilfe zum Thema");
		$nl->add($hi);
		}
	
	//2014-11-26 KM: Hier sind Rechnungsdaten unten Anfang
	
	//Offene Behandlungen, die nicht Teil einer Rechnunung sind
	
	//Besitzer  
	$db->query("select sum(b.offen) from vs_behandlung b,vs_patient p where " . 
				"b.patient_id = p.patient_id and p.besitzer_id=$besitzer_id and b.rechnung_id < 1 and b.rechnung_id > -1000 ");
	$row = $db->fetch_row();
	if (!isset($row[0]))
		$row[0] = 0;
	
	//2015-03-25 KM: Einzelrechnung moeglich, wenn in config.inc.php er_possible = 1
	//if ($row[0] > 0)
	if (($row[0] > 0) and (er_possible == 1))
		{
		$o_bes = ptc($row[0]) . " " . currency_string;
		$nl->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
		//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
		//2015-04-22 KM: macht jetzt eigens Fenster auf, "_blank"
		$bez_bes = new vs_link_img("../img/besitzer_bez_24.gif", "behbez_dialog.php?action=a_show_form&besitzer_id=" . 
									"$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id", "_blank");
		$bez_bes->set_title("Alle offenen Behandlungen dieses Tierbesitzers bezahlen");
		$nl->add($bez_bes);
		$nl->add(new vs_text("<span style=\"color:red;\"> $o_bes </span> "));
		}
	$db->free_result();
	
	//Patient
	//DW: 2013-09-07 Bugfix ctp-reference-error
	$row[0] = ctp($row[0]);
	$db->query("update vs_besitzer set offen='$row[0]' where besitzer_id=$besitzer_id");
	//DW: wg. moeglicherweise auf -1 gesetzter vso_patient_id and hinzugefuegt
	if (isset($patient_id) and ($patient_id != -1))
		{
		$db->query("select sum(b.offen) from vs_behandlung b where " . "b.patient_id =" . $patient_id . "and b.rechnung_id < 1 and b.rechnung_id > -1000");
		$row2 = $db->fetch_row();
		
		//2015-03-25 KM: Einzelrechnung moeglich, wenn in config.inc.php er_possible = 1
		//if ($row2[0] > 0)
		if (($row2[0] > 0) and (er_possible == 1))
			{
			//2014-11-26 KM: neu --> Spacer
			$nl->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
			$o_pat   = ptc($row2[0]) . " " . currency_string;
			//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
			//2015-04-22 KM: macht jetzt eigens Fenster auf, "_blank"
			$bez_pat = new vs_link_img("../img/patient.gif", "behbez_dialog.php?action=a_show_form&besitzer_id=" .
										"$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id&preset=pat", "_blank");
			$bez_pat->set_title("Alle offenen Behandlungen dieses Patienten bezahlen");
			$nl->add($bez_pat);
			$nl->add(new vs_text("<span style=\"color:red;\"> $o_pat </span> "));
			
			}
		//Patient aktualisieren
		if ($row2[0] == "")
			$row2[0] = "0.00";
		//DW: 2013-09-07 Bugfix ctp-reference-error
		$row2[0] = ctp($row2[0]);
		$db->query("update vs_patient set offen='$row2[0]' where patient_id=$patient_id");
		$db->free_result();
		}
	
	//Offene Behandlungen, die Teil einer Einzelrechnunung sind	
	$db->query("select sum(b.offen) from vs_behandlung b,vs_patient p where " . "b.patient_id = p.patient_id and " . "b.rechnung_id = -1000 and p.besitzer_id=$besitzer_id ");
	$row2 = $db->fetch_row();
	if ($row2[0] == "")
		$row2[0] = "0.00";
	$o_br = ptc($row2[0]) . " " . currency_string;
	$db->free_result();
	if ($row2[0] > 0)
		{
		$nl->add(new vs_img("spacer_1", "../img/vert_gray.gif "));
		//2014-12-04 KM: geaendert vs_new_window_img -> vs_link_img
		//$erech= new vs_new_window_img("../img/browse_einzel_rechnung.png","einzelrechnung_offen.php?besitzer_id=" . "$besitzer_id",630,340,100,100);
		$erech = new vs_link_img("../img/browse_einzel_rechnung.png", "einzelrechnung_offen.php?besitzer_id=$besitzer_id", "_blank");
		$erech->set_title("Alle unbezahlten Einzelrechnungen anzeigen");
		$nl->add($erech);
		$nl->add(new vs_text("<span style=\"color:red;\">$o_br </span>"));
		}
	
	
	//2015-01-16 KM: Hier jetzt User Login kurz
	$nl->add(new vs_img("spacer_u", "../img/vert_gray.gif "));
	$nl->add(new vs_text("<span style=\"background-color:blue;color:yellow;font-weight:bold;\">" . $user_kurz . "</span>"));
	
	//2015-01-16 KM: Copyright eingefuegt
	$nl->add(new vs_img("spacer_4", "../img/vert_gray.gif "));
	$nl->add(new vs_text("VS-Office 2005 - 2012 &copy; Dr. Norbert Klumpp, &nbsp; 2013 - 2015 &copy; Vetsoft Office Projekt "));
	
	
	return $nl;
	}



function make_title($db, $besitzer_id)
	{
	if (isset($besitzer_id))
		{
		$db->query("select titel,name,vorname,strasse,wohnort,telefon_1 from" . " vs_besitzer where besitzer_id=$besitzer_id");
		$row = $db->fetch_row();
		return "Karte [" . $row[0] . " " . $row[1] . ", " . $row[2] . ", " . $row[3] . ", " . $row[4] . ", " . $row[5] . "]";
		}
		else
		return "Karteikarte[unbenannt]";
	}


function standard_zahlweise($db, $besitzer_id)
	{
	//ermittelt die standard(=haeufigste) zahlweise des besitzers und traegt sie in den Besitzer-Datensatz ein
	$max = 0;
	$sql = "select z.bezahlt_id from vs_bezahlt z, vs_behandlung b, vs_patient p  where p.besitzer_id=$besitzer_id " . 
				" and b.patient_id=p.patient_id and z.behandlung_id=b.behandlung_id and z.typ='B' and z.quittung <>'1' ";
	$db->query($sql);
	$b   = $db->num_rows();
	$max = $b;
	$zw  = 1;
	//2015-02-04 KM: Undefined property: vs_db::$free_result beseitigt
	//$db->free_result;
	$db->free_result();
	$sql = "select z.bezahlt_id from vs_bezahlt z, vs_behandlung b, vs_patient p  where p.besitzer_id=$besitzer_id " . 
				" and b.patient_id=p.patient_id and z.behandlung_id=b.behandlung_id and z.typ='B' and z.quittung ='1' ";
	$db->query($sql);
	$bq = $db->num_rows();
	if ($bq > $max) 
		{
		$max = $bq;
		$zw  = 2;
		}
	//2015-02-04 KM: Undefined property: vs_db::$free_result beseitigt
	//$db->free_result;
	$db->free_result();
	$sql = "select z.bezahlt_id from vs_bezahlt z, vs_behandlung b, vs_patient p  where p.besitzer_id=$besitzer_id " . 
				" and b.patient_id=p.patient_id and z.behandlung_id=b.behandlung_id and z.typ='K' ";
	$db->query($sql);
	$k = $db->num_rows();
	if ($k > $max)
		{
		$max = $k;
		$zw  = 3;
		}
	//2015-02-04 KM: Undefined property: vs_db::$free_result beseitigt
	//$db->free_result;
	$db->free_result();
	$sql = "select z.bezahlt_id from vs_bezahlt z, vs_behandlung b, vs_patient p where p.besitzer_id=$besitzer_id " . 
				" and b.patient_id=p.patient_id and z.behandlung_id=b.behandlung_id and z.typ='U' ";
	$db->query($sql);
	$u = $db->num_rows();
	if ($u > $max)
		{
		$max = $u;
		$zw  = 4;
		}
	//2015-02-04 KM: Undefined property: vs_db::$free_result beseitigt
	//$db->free_result;
	$db->free_result();
	
	//die Standardzahlweise und den angepasste Faktor noch beim  Besitzer eintragen
	switch ($zw) 
		{
		case 1:
			$bes_faktor = bes_zw1_faktor;
			break;
		case 2:
			$bes_faktor = bes_zw2_faktor;
			break;
		case 3:
			$bes_faktor = bes_zw3_faktor;
			break;
		case 4:
			$bes_faktor = bes_zw4_faktor;
			break;
		}
	
	$sql = "update vs_besitzer set standard_zahlweise = '$zw' where besitzer_id=$besitzer_id";
	$db->query($sql);
	
	if (auto_edit_zw_faktor == "1") //config.inc.php
		{
		$sql = "update vs_besitzer set faktor= '$bes_faktor' where besitzer_id=$besitzer_id";
		$db->query($sql);
		}
	//2015-02-04 KM: Undefined property: vs_db::$free_result beseitigt
	//$db->free_result;
	$db->free_result();
	return $zw;
	}


function bes_area($db, $besitzer_id)
	{
	$db->query("Select patient_id from  vs_patient where besitzer_id=" . $besitzer_id);
	$z = $db->num_rows();
	$db->free_result();
	
	//2015-05-20 KM: Formatierung geaendert
	$d = new vs_div("", "", "", "", "", "topliste");
	//KM: Legt Anzahl der Zeilen und Spalten fest, 3 Spalten
	$t              = new vs_table("topliste", 2, 3);
	$bes_background = "transparent";
	if (isset($besitzer_id))
		{
		//2015-11-06 KM: besitzer_id fuer Kunden-Nr. eingefuegt.
		$db->query("Select memo,messagetext,mail,titel,name,vorname,strasse,wohnort,telefon_1,zahl_typ," . 
					"www,standard_zahlweise,telefon_2,telefon_mobil,besitzer_id from  vs_besitzer where besitzer_id=" . $besitzer_id);
		$row = $db->fetch_row();
		
		switch ($row[9])
			{
			case 2:
				$bes_background = "#FFD700";
				break;
			case 3:
				$bes_background = "#FF4500";
				break;
			case 4:
				$bes_background = "#FF3E96";
				break;
			default: // 0
				$bes_background = "transparent";
				break;
			}
		//2014-11-26 KM: neu --> $bes_data jetzt in 2 Zeilen: $bes_data_z1 und $bes_data_z2
		//2015-11-06 KM: Kunden-Nr. eingefuegt.
		$bes_data_z1 = "<span style=\"background-color:$bes_background;font-size:1.2em;\"><b>" . $row[3] . " " . $row[4] . ", " . $row[5] . ", </b> Kunden-Nr. " . $row[14] . "</span> ";
		$t->add(1, 1, new vs_text($bes_data_z1));
		//KM: Breite der 1. Spalte festlegen
		$t->set_cell_width(1, 1, "650px");
		$bes_data_z2 = $row[6] . ", " . $row[7] . ", Tel.: " . $row[8] . ", Tel.: " . $row[12] . ", Mobil: " . $row[13];
		$t->add(2, 1, new vs_text($bes_data_z2));
		$db->free_result();
		
		$row[0] = str_replace("\n", "<br>", $row[0]);
		$row[0] = str_replace("\r", "", $row[0]);
		
		//KM TEST 
		// Formatierung Schrott
		$page = "<html><head></head><body> $row[0] </body></html>";
		
		//2015-02-04 KM: Undefined offset beseitigt
		if (!isset($row[1]))
			{
			$row[1] = "";
			}
		if ($row[1] != "")
			{
			//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
			$info = new vs_link_img("../img/info_red_24.gif", "besitzer_event.php?besitzer_id=$besitzer_id&action=a_show_bes_detail", "_blank");
			$info->set_title($row[1]);
			//KM: hier wird Zeile, Spalte angegeben
			$t->add(1, 2, $info);
			}
		else
			{
			//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
			$info = new vs_link_img("../img/info_24.gif", "besitzer_event.php?besitzer_id=$besitzer_id&action=a_show_bes_detail", "_blank");
			$info->set_title("Angaben zum Tierbesitzer");
			//KM: hier wird Zeile, Spalte angegeben
			$t->add(1, 2, $info);
			}
		
		//Zusaetzliche events
		$db->query("select bes_event_id from vs_bes_event where besitzer_id=$besitzer_id;");
		$e_row = $db->fetch_row();
		$n     = $db->num_rows();
		$db->free_result();
		if ($n > 0) 
			{
			//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
			$infoplus = new vs_link_img("../img/bes_event_24.gif", "besitzer_event.php?besitzer_id=$besitzer_id", "_blank");
			$infoplus->set_title("Weitere Vorkommnisse/Events zum Tierbesitzer");
			$t->add(1, 2, $infoplus);
			}
		
		//keine Patienten also loeschbar
		if ($z < 1)
			{
			//2015-01-28 KM: Eingefuegt, hier muss ein Wechsel zum Besitzer moeglich sein. 
			$ed = new vs_action_img("edit", "../img/besitzer.gif", "a_edit_besitzer&besitzer_id=$besitzer_id");
			$ed->set_title("Angaben zum Patientenbesitzer bearbeiten");
			$t->add(1, 2, $ed);
			
			$del = new vs_action_img("del", "../img/delete_24.gif", "a_del_besitzer&besitzer_id=$besitzer_id");
			// KM: 2013-12-04 Bugfix Undefined variable: l$ouml;schen $ durch & ersetzt
			$del->set_title("Karteikarte l&ouml;schen");
			$t->add(1, 2, $del);
			}
		else
			{
			//2014-10-18 KM: Design-Aenderung   edit24.gif -->  besitzer.gif
			$ed = new vs_action_img("edit", "../img/besitzer.gif", "a_edit_besitzer&besitzer_id=$besitzer_id");
			$ed->set_title("Angaben zum Patientenbesitzer bearbeiten");
			$t->add(1, 2, $ed);
			}
		
		//standard_zahlweise
		//2015-02-04 KM: Undefined offset beseitigt
		if (!isset($row[11]))
			{
			$row[11] = 0;
			}
		$zw = $row[11];
		if ($zw < 1)
			$zw = standard_zahlweise($db, $besitzer_id); //um die alten Besitzer zu aktualisieren
		switch ($zw)
			{
			case 1:
				$zw_img = "../img/zw_1.gif";
				break;
			case 2:
				$zw_img = "../img/zw_2.gif";
				break;
			case 3:
				$zw_img = "../img/zw_3.gif";
				break;
			case 4:
				$zw_img = "../img/zw_4.gif";
				break;
			}
		
		//2014-11-26 KM: geaendert vs_new_window_img -> vs_img
		$zwi = new vs_img("", $zw_img);
		$zwi->set_title("H&auml;ufigste Zahlweise des Patientenbesitzers B=bar BQ=bar mit Quittung EC=Karte &Uuml;=&Uuml;berweisung ");
		$t->add(1, 2, $zwi);
		
		
		//e-mail
		//2015-02-04 KM: Undefined offset beseitigt
		if (!isset($row[2]))
			{
			$row[2] = "";
			}
		if ($row[2] != "")
			{
			if (use_mta) //mail-transfer-agent auf dem Server
				{
				//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
				$em = new vs_link_img("../img/email_24.gif", "mail_form.php?mail_adress=$row[2] ", "_blank");
				$em->set_title("E-Mail an den Patientenbesitzer");
				$t->add(1, 2, $em);
				}
			else
				{
				$em = new vs_link_img("../img/email_24.gif", "mailto: $row[2] ", "_blank");
				$em->set_title("E-Mail an den Patientenbesitzer");
				$t->add(1, 2, $em);
				}
			}
		
		// www Website
		//2015-02-04 KM: Undefined offset beseitigt
		if (!isset($row[10]))
			{
			$row[10] = "";
			}
		if ($row[10] != "")
			{
			//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
			$www = new vs_link_img("../img/www_24.gif", "http://$row[10]", "_blank");
			$www->set_title("Homepage des Patientenbesitzers ansehen");
			$t->add(1, 2, $www);
			}
		
		//Sammelrechnungen
		$t->set_cell_width(1, 3, "220px");
		
		//Rechnungen vorhanden?
		$db->query("select rechnung_id from vs_rechnung where besitzer_id=$besitzer_id");
		$r = $db->num_rows();
		$db->free_result();
		if ($r > 0) 
			{
			//$t->add(1,3,new vs_img("spacer_1", "../img/vert_gray.gif "));
			//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
			$rech = new vs_link_img("../img/browse_rechnung.png", "../rechnung/rechnung.php?action=a_browse&besitzer_id=$besitzer_id", "_self");
			$rech->set_title("Alle Rechnungen dieses Patientenbesitzrs anzeigen");
			$t->add(1, 3, $rech);
			}
		}
		
		
		//2015-03-26 KM: Alle unbezahlten Sammelrechnungen anzeigen nach oben zum Besitzer verlagert
		//Offene Behandlungen, die Teil einer Sammelrechnung sind
		$db->query("select sum(b.offen) from vs_behandlung b,vs_patient p where " . 
					"b.patient_id = p.patient_id and p.besitzer_id=$besitzer_id and b.rechnung_id >0 ");
		$row3 = $db->fetch_row();
		if ($row3[0] == "")
			{
			$row3[0] = "0.00";
			}
		$o_sr = ptc($row3[0]) . " " . currency_string;
		$db->free_result();
		
		if ($row3[0] > 0)
			{
			$sarech = new vs_link_img("../img/browse_offene_rechnung.png", "../rechnung/rechnung.php?action=a_browse&besitzer_id=" . 
										"$besitzer_id&zahlstatus=unbezahlt", "_self");
			$sarech->set_title("Alle unbezahlten Rechnungen anzeigen");
			$t->add(1,3,$sarech);
			$t->add(1,3,new vs_text("<span style=\"color:red;\"> $o_sr </span> "));
			}
		
		
		//2015-03-26 KM: "Neue Sammelrechnung erstellen" nach oben zum Besitzer verlagert
		//Besitzer  
		$db->query("select sum(b.offen) from vs_behandlung b,vs_patient p where " . 
					"b.patient_id = p.patient_id and p.besitzer_id=$besitzer_id and b.rechnung_id < 1 and b.rechnung_id > -1000 ");
		$row = $db->fetch_row();
		if (!isset($row[0]))
			$row[0] = 0;
		$db->free_result();
		
		//Offene Posten -> Neue Rechnung erstellen
		if ($row[0] > 0)
			{
			$t->add(1,3,new vs_img("spacer_1", "../img/vert_gray.gif "));
			$rech = new vs_link_img("../img/add_rechnung.png", "../rechnung/rechnung.php?action=a_ins&besitzer_id=$besitzer_id", "_self");
			$rech->set_title("Neue Rechnung erstellen");
			$t->add(1,3,$rech);
			}
		
		//2016-01-24 KM: NEU "Offene Behandlungen gesamt" anzeigen
		if ($row[0] > 0)
			{
			$o_bes2 = ptc($row[0]) . " " . currency_string;
			$t->add(2,3, new vs_text("<span style=\"color:red;\">&nbsp;Offene Behandlungen GESAMT: </span> "));
			$t->add(2,3, new vs_text("<span style=\"color:red;\"> $o_bes2 </span> "));
			}
		
		//2016-01-24 KM: NEU "Offene Behandlungen Patient" anzeigen
		global $vso_patient_id;
		
		
		if (isset($vso_patient_id) and ($vso_patient_id!=-1))
			{
			$db->query("select sum(b.offen) from vs_behandlung b where " .
					"b.patient_id =".$vso_patient_id. "and b.rechnung_id < 1 and b.rechnung_id > -1000");
			$row2=$db->fetch_row();
			
			//2016-08-25 KM: Die neue globale Variable wird in patient_functions.php fuer den Button Besitzerwechsel gebraucht.
			global $o_pat2;
			
			if ($row2[0] >0)
					{
					$o_pat2=ptc($row2[0])." ".currency_string;
					$t->add(2,2, new vs_text("<span style=\"color:red;\">&nbsp;Offene Behandlungen PATIENT: </span> "));
					$t->add(2,2, new vs_text("<span style=\"color:red;\"> $o_pat2 </span> ")); 
					}
			}
	
	$d->add($t);
	return $d;
	
	}


function edit_besitzer($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	//seite
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div("", "", "", "", "", "vs_seite");
	//content ist die Tabelle mit Besitzer und Patient
	$t_content = new vs_table("content", 5, 1);
	//Besitzer
	$d_bes     = new vs_div;
	$d_bes->set_css_class("vs_besitzer_area");
	$d_bes->add(bes_area($db, $besitzer_id));
	//Patient
	$d_pat = new vs_div;
	$d_pat->set_css_class("vs_patient_area");
	$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
	$t_content->add(1, 1, $d_bes);
	$t_content->add(2, 1, $d_pat);
	//KM: Dieser Bereich ist fuer die Daten des Besitzers
	$d_behandlung = new vs_div("", "", "", "", "", "kartei_mitte_ohne_tabs");
	//*****************************************************************
	//2015-11-06 KM: Kunden-Nr. zugefuegt
	$d_behandlung->add(new vs_text("<h2>&nbsp; Kunden-Nr. $besitzer_id &nbsp;&nbsp;&nbsp;&nbsp; Daten &auml;ndern</h2>"));
	$d_behandlung->add(new vs_text("<b>&nbsp; Hinweis:</b> bei den Telefonnummern Vorwahl und Rufnummer durch Leerzeichen trennen!<br><br>"));
	$d_behandlung->add(besitzer_aendern($db, $besitzer_id));
	//*****************************************************************
	$t_content->add(4, 1, $d_behandlung);
	//KM: hier wird festgelegt, wo die Leiste hin kommt
	
	//2015-02-04 KM: Undefinierte Variable beseitigt
		if (!isset($behandlung_id))
		{
		$behandlung_id = -1;
		}
	$t_content->add(5, 1, bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id)); //Untere Navigationsleiste
	//content
	$seite->add($t_content);
	$seite->write();
	
	//KM TEST var_dump
	//var_dump('besitzer_functions.php - edit_besitzer --> besitzer_id = '.$besitzer_id.'   patient_id = '.$patient_id.'   behandlung_id = '.$behandlung_id);
	
	}


function topliste($db, $besitzer_id) //soll spaeter geloescht werden
	{
	bes_area($db, $besitzer_id);
	}


function neuer_besitzer($db)
	{
	//seite
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div("", "", "", "", "", "vs_seite");
	//content ist die Tabelle mit Besitzer und Patient
	$t_content = new vs_table("content", 4, 1);
	//Besitzer
	$d_bes     = new vs_div;
	$d_bes->set_css_class("vs_besitzer_area");
	$d_bes->add(new vs_text("<h2>&nbsp; NEUE KARTEIKARTE ERSTELLEN - BESITZERDATEN</b2>"));
	//Patient
	$d_pat = new vs_div();
	$d_pat->set_css_class("vs_patient_area");
	//$d_pat->add(patient_area($db,$besitzer_id,$patient_id));
	
	//KM: Dieser Bereich ist fuer die Daten des Besitzers
	$d_behandlung = new vs_div("", "", "", "", "", "kartei_mitte_ohne_tabs");
	//*****************************************************************
	$d_behandlung->add(new vs_text("<b>&nbsp; Hinweis:</b> bei den Telefonnummern bitte Vorwahl und Rufnummer durch Leerzeichen trennen!<br><br>"));
	$d_behandlung->add(make_neuer_besitzer($db));
	//*****************************************************************
	$t_content->add(1, 1, $d_bes);
	$t_content->add(2, 1, $d_pat);
	$t_content->add(3, 1, $d_behandlung);
	//$t_content->add(4,1,bottom_menu($db,$besitzer_id,$patient_id,$behandlung_id));	//Untere Navigationsleiste
	//content
	$seite->add($t_content);
	$seite->write();
	
	}


function make_neuer_besitzer($db)
	{
	//2014-11-26 KM: Formatierung geaendert
	$f1 = new vs_form_x("besitzerform", 12);
	$f1->set_cellspacing(2);
	//Datenfelder
	$f1->add_control(1, new vs_edit("name", 30, 30, "","Name &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$f1->add_control(1, new vs_edit("vorname", 20, 20, ""));
	$f1->add_control(1, new vs_db_listbox("anrede", 20, $db, "vs_anrede", "bezeichnung", "bezeichnung", ""));
	$f1->add_control(1, new vs_db_listbox("titel", 20, $db, "vs_titel", "bezeichnung", "bezeichnung", ""));
	$f1->add_control(1, new vs_db_listbox("briefanrede", 50, $db, "vs_briefanrede", "bezeichnung", "bezeichnung", ""));
	
	$f1->add_control(2, new vs_edit("plz", 5, 5, "","PLZ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$f1->add_control(2, new vs_edit("wohnort", 30, 30, ""));
	$f1->add_control(2, new vs_edit("strasse", 30, 30, ""));
	$f1->add_control(2, new vs_edit("lebenspartner", 40, 200, ""));
	
	$f1->add_control(3, new vs_edit("telefon_1", 20, 25, "","Telefon 1"));
	$f1->add_control(3, new vs_edit("telefon_2", 20, 25, "","Telefon 2"));
	$f1->add_control(3, new vs_edit("telefon_mobil", 20, 25, "","Mobiltelefon"));
	$f1->add_control(3, new vs_edit("telefax", 18, 25, "","Fax"));
	
	$f1->add_control(4, new vs_edit("mail", 40, 125, "","E-Mail &nbsp;&nbsp;&nbsp;&nbsp;"));
	$f1->add_control(4, new vs_edit("www", 25, 25, "","www"));
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$f1->add_control(4, new vs_datepicker("erstbesuch", "", "multi_today1_Datepicker", "Erstbesuch"));
	$f1->add_control(4, new vs_datepicker("letzterbesuch", "", "multi_today2_Datepicker", "Letzter Besuch"));
	
	$c = new vs_checkbox("impferinnerung", "0");
	$c->set_label("Impferinnerungen");
	$f1->add_control(4, $c);
	
	$c = new vs_db_listbox("gruppe1", 20, $db, "vs_gruppe1", "bezeichnung", "value", "1");
	$c->set_label(gruppe_1);
	$f1->add_control(5, $c);
	
	$c = new vs_db_listbox("gruppe2", 20, $db, "vs_gruppe2", "bezeichnung", "value", "1");
	$c->set_label(gruppe_2);
	$f1->add_control(5, $c);
	
	$c = new vs_db_listbox("gruppe3", 20, $db, "vs_gruppe3", "bezeichnung", "value", "1");
	$c->set_label(gruppe_3);
	$f1->add_control(5, $c);
	
	$c = new vs_db_listbox("gruppe4", 20, $db, "vs_gruppe4", "bezeichnung", "value", "1");
	$c->set_label(gruppe_4);
	$f1->add_control(5, $c);
	
	$c = new vs_db_listbox("gruppe5", 20, $db, "vs_gruppe5", "bezeichnung", "value", "1");
	$c->set_label(gruppe_5);
	$f1->add_control(5, $c);
	
	$f1->add_control(6, new vs_d_edit("rabatt", 10, 4, "0,00","Rabatt &#037;"));
	$f1->add_control(6, new vs_d_edit("faktor", 10, 4, "1,00"));
	
	$c = new vs_listbox("zahl_typ", 30, "0", "0", "Zahltyp &nbsp;");
	$c->add_item("1", "zahlt problemlos");
	$c->add_item("2", "zahlt mit Aufforderung");
	$c->add_item("3", "zahlt nicht");
	$c->add_item("4", "zahlt nicht/eidesstattliche Versicherung");
	$f1->add_control(7, $c);
	
	$c = new vs_listbox("standard_zahlweise", 40, "B", "0", "Zahlweise");
	$c->add_item("1", "Barzahlung");
	$c->add_item("2", "Barzahlung mit Quittung");
	$c->add_item("3", "Kartezahlung");
	$c->add_item("4", "&Uuml;berweisung");
	$f1->add_control(7, $c);
	
	$f1->add_control(7, new vs_edit("konto", 15, 15, ""));
	$f1->add_control(7,new vs_edit("blz", 8, 8, "","BLZ"));
	
	$c = new vs_checkbox("einzug", "0");
	$c->set_label("Einzugserm&auml;chtigung liegt vor");
	$f1->add_control(7, $c);
	
	$f1->add_control(8, new vs_i_edit("rechnungnach", 2, 2, "3","Rechnung nach"));
	$f1->add_control(8, new vs_i_edit("zahlfrist", 2, 2, "14","Tagen &nbsp;&nbsp;&nbsp; Zahlfrist"));
	$f1->add_control(8, new vs_d_edit("maxoffen", 10, 10, "0,00","Tage &nbsp;&nbsp;&nbsp; H&ouml;chstens unbezahlt &euro;"));
	$f1->add_control(8, new vs_d_edit("rechnungoffen", 10, 10, "0,00","Unbezahlte Rechnungen &euro;"));
	
	$f1->add_control(9, new vs_edit("messagetext", 90, 200, "","Messagetext &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	$f1->add_control(10, new vs_memo("memo", 140, 6, "","Memo &nbsp;&nbsp;&nbsp;"));
	
	$f1->add_control(11, new vs_hidden("action", "a_post_ins_besitzer"));
	
	$f1->add_control(12, new vs_submit("submit", "Speichern", "true"));
	$f1->add_control(12, new vs_reset("reset", "Abbrechen", "true"));
	return $f1;
	}

function besitzer_aendern($db, $besitzer_id)
	{
	$db->query("Select besitzer_id,titel,anrede,briefanrede,vorname,name,strasse,plz," . 
				"wohnort,telefon_1,telefon_2,telefon_mobil,telefax,mail,www," . "gruppe1,gruppe2,gruppe3,gruppe4,gruppe5,faktor,rabatt,impferinnerung," . 
				"erstbesuch,letzterbesuch,konto,blz,einzug,messagetext,offen,rechnungnach,zahlfrist," . 
				"maxoffen,rechnungoffen,lebenspartner,memo,zahl_typ,standard_zahlweise from vs_besitzer where besitzer_id=" . $besitzer_id);
	
	$row     = $db->fetch_row();
	//falls der Ursprungswert gespeichert werden soll...
	$olddata = $db->curr_row_as_string();
	ptc($row[20]);
	ptc($row[21]);
	ptc($row[29]);
	ptc($row[32]);
	ptc($row[33]);
	$f1 = new vs_form_x("besitzerform", 12);
	$f1->set_cellspacing(2);
	//Datenfelder
	$f1->add_control(1, new vs_edit("name", 30, 30, $row[5],"Name"));
	$f1->add_control(1, new vs_edit("vorname", 20, 20, $row[4]));
	$f1->add_control(1, new vs_db_listbox("anrede", 20, $db, "vs_anrede", "bezeichnung", "bezeichnung", $row[2]));
	$f1->add_control(1, new vs_db_listbox("titel", 20, $db, "vs_titel", "bezeichnung", "bezeichnung", $row[1]));
	$f1->add_control(1, new vs_db_listbox("briefanrede", 50, $db, "vs_briefanrede", "bezeichnung", "bezeichnung", $row[3]));
	
	$f1->add_control(2, new vs_edit("plz", 5, 5, $row[7],"PLZ &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$f1->add_control(2, new vs_edit("wohnort", 30, 30, $row[8],"Wohnort"));
	$f1->add_control(2, new vs_edit("strasse", 30, 30, $row[6],"Strasse"));
	$f1->add_control(2, new vs_edit("lebenspartner", 30, 200, $row[34],"Lebenspartner"));
	
	$f1->add_control(3, new vs_edit("telefon_1", 20, 25, $row[9],"Telefon 1"));
	$f1->add_control(3, new vs_edit("telefon_2", 20, 25, $row[10],"Telefon 2"));
	
	$f1->add_control(3, new vs_edit("telefon_mobil", 20, 25, $row[11],"Mobiltelefon"));
	$f1->add_control(3, new vs_edit("telefax", 20, 25, $row[12],"Fax"));
	
	$f1->add_control(4, new vs_edit("mail", 40, 125, $row[13],"E-Mail &nbsp;&nbsp;&nbsp;&nbsp;"));
	$f1->add_control(4, new vs_edit("www", 25, 25, $row[14],"www"));
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$f1->add_control(4, new vs_datepicker("erstbesuch", $row[23], "multi_no1_Datepicker", "Erstbesuch"));
	$f1->add_control(4, new vs_datepicker("letzterbesuch", $row[24], "multi_no2_Datepicker", "Letzter Besuch"));
	
	$c = new vs_checkbox("impferinnerung", $row[22]);
	$c->set_label("Impferinnerungen");
	$f1->add_control(4, $c);
	
	$c = new vs_db_listbox("gruppe1", 20, $db, "vs_gruppe1", "bezeichnung", "value", $row[15]);
	$c->set_label(gruppe_1);
	$f1->add_control(5, $c);
	
	$c = new vs_db_listbox("gruppe2", 20, $db, "vs_gruppe2", "bezeichnung", "value", $row[16]);
	$c->set_label(gruppe_2);
	$f1->add_control(5, $c);
	
	$c = new vs_db_listbox("gruppe3", 20, $db, "vs_gruppe3", "bezeichnung", "value", $row[17]);
	$c->set_label(gruppe_3);
	$f1->add_control(5, $c);
	
	$c = new vs_db_listbox("gruppe4", 20, $db, "vs_gruppe4", "bezeichnung", "value", $row[18]);
	$c->set_label(gruppe_4);
	$f1->add_control(5, $c);
	
	$c = new vs_db_listbox("gruppe5", 20, $db, "vs_gruppe5", "bezeichnung", "value", $row[19]);
	$c->set_label(gruppe_5);
	$f1->add_control(5, $c);
	
	$f1->add_control(6, new vs_d_edit("rabatt", 10, 4, $row[21],"Rabatt &#037;"));
	$f1->add_control(6, new vs_d_edit("faktor", 10, 4, $row[20]));
	
	$c = new vs_listbox("zahl_typ", 40, $row[36], "0", "Zahltyp &nbsp;");
	$c->add_item("1", "zahlt problemlos");
	$c->add_item("2", "zahlt mit Aufforderung");
	$c->add_item("3", "zahlt nicht");
	$c->add_item("4", "zahlt nicht/eidesstattliche Versicherung");
	$f1->add_control(7, $c);
	
	$c = new vs_listbox("standard_zahlweise", 40, $row[37], "0", "Zahlweise");
	$c->add_item("1", "Barzahlung");
	$c->add_item("2", "Barzahlung mit Quittung");
	$c->add_item("3", "Kartezahlung");
	$c->add_item("4", "&Uuml;berweisung");
	$f1->add_control(7, $c);
	
	$f1->add_control(7, new vs_edit("konto", 15, 15, $row[25]));
	$f1->add_control(7, new vs_edit("blz", 8, 8, $row[26],"BLZ"));
	
	$c = new vs_checkbox("einzug", $row[27]);
	$c->set_label("Einzugserm&auml;chtigung liegt vor");
	$f1->add_control(7, $c);
	
	$f1->add_control(8, new vs_i_edit("rechnungnach", 2, 2, $row[30],"Rechnung nach"));
	$f1->add_control(8, new vs_i_edit("zahlfrist", 2, 2, $row[31],"Tagen &nbsp;&nbsp;&nbsp; Zahlfrist"));
	$f1->add_control(8, new vs_d_edit("maxoffen", 10, 10, $row[32],"Tage &nbsp;&nbsp;&nbsp; H&ouml;chstens unbezahlt &euro;"));
	$f1->add_control(8, new vs_d_edit("rechnungoffen", 10, 10, $row[33],"Unbezahlte Rechnungen &euro;"));
	
	$f1->add_control(9, new vs_edit("messagetext", 90, 200, $row[28],"Messagetext &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	$f1->add_control(10, new vs_memo("memo", 140, 6, $row[35],"Memo &nbsp;&nbsp;&nbsp;"));
	
	$f1->add_control(11, new vs_hidden("action", "a_post_ins_besitzer"));
	
	//um dem Zielskript den Indexspaltenwert mitzuteilen
	$f1->add_control(11, new vs_hidden("besitzer_id", $row[0]));
	//Datensatz von vor der (möglichen) Veränderung
	$f1->add_control(11, new vs_hidden("olddata", $olddata));
	$f1->add_control(11, new vs_hidden("action", "a_post_edit_besitzer"));
	//2015-01-31 KM: Tastenbeschriftung geaendert
		$f1->add_control(12, new vs_submit("submit", "Speichern", "true"));
	$f1->add_control(12, new vs_reset("reset", "Abbrechen", "true"));
	return $f1;
	}


?> 
