 <?php
/*
 *      besitzer_info.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8


// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

function b2text($b)
	{
	if ($b == 0)
		return "nein";
		
	else
		return "ja";
	}

office_login($db);

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
$b = new vs_page_begin("Besitzerinfo", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();
$db->query("Select telefon_1,telefon_2,telefon_mobil,telefax,mail,www," .
			"gruppe1,gruppe2,gruppe3,gruppe4,gruppe5,faktor,rabatt,impferinnerung," .
			"erstbesuch,letzterbesuch,konto,blz,einzug,messagetext,offen,rechnungnach,zahlfrist," .
			"maxoffen,rechnungoffen,lebenspartner,memo " .
			" from  vs_besitzer where besitzer_id=$vso_besitzer_id");
$bes_row = $db->fetch_row();
$db->free_result();
//Gesamtumsatz
$db->query("select sum(brutto) from vs_behandlung b,  vs_patient p where b.patient_id=p.patient_id and " . "p.besitzer_id=$vso_besitzer_id");
$row1 = $db->fetch_row();
$db->free_result();
//Zahl der Behandlungen
$db->query("select count(*) from vs_behandlung b,  vs_patient p where b.patient_id=p.patient_id and " . "p.besitzer_id=$vso_besitzer_id");
$row2 = $db->fetch_row();
$db->free_result();
//Umsatz/Behandlung
if ($row2[0] == 0)
	$upb = 0;
else
	$upb = round($row1[0] / $row2[0], 2);


$p_div = new vs_div(350, 270);
$p_div->set_css_class("vs_seite");
$p_div->add(new vs_text("<b>" . "ANGABEN ZUM BESITZER</b><br><br>"));
$p_div->add(new vs_text("<b> Telefon 1: </b>"));
$p_div->add(new vs_text($bes_row[0] . "<br>"));
$p_div->add(new vs_text("<b> Telefon 2: </b>"));
$p_div->add(new vs_text($bes_row[1] . "<br>"));
$p_div->add(new vs_text("<b> mobil: </b>"));
$p_div->add(new vs_text($bes_row[2] . "<br>"));
$p_div->add(new vs_text("<b> Telefax: </b>"));
$p_div->add(new vs_text($bes_row[3] . "<br>"));
$p_div->add(new vs_text("<b> mail: </b>"));
$p_div->add(new vs_text($bes_row[4] . "<br>"));
$p_div->add(new vs_text("<b> www: </b>"));
$p_div->add(new vs_text($bes_row[5] . "<br>"));
$p_div->add(new vs_text("<b> Erster Besuch: </b>"));
$p_div->add(new vs_text(d_db2dis($bes_row[14]) . "<br>"));
$p_div->add(new vs_text("<b> Letzter Besuch: </b>"));
$p_div->add(new vs_text(d_db2dis($bes_row[15]) . "<br>"));
$p_div->add(new vs_text("<b> Kontonummer: </b>"));
$p_div->add(new vs_text($bes_row[16] . "<br>"));
$p_div->add(new vs_text("<b> BLZ: </b>"));
$p_div->add(new vs_text($bes_row[17] . "<br>"));
$p_div->add(new vs_text("<b> Einzugserm&auml;chtigung: </b>"));
$p_div->add(new vs_text(b2text($bes_row[18]) . "<br>"));
$p_div->add(new vs_text("<b> Rechnung nach  </b>"));
$p_div->add(new vs_text($bes_row[21] . " Tagen <br>"));
$p_div->add(new vs_text("<b> Zahlfrist:  </b>"));
$p_div->add(new vs_text($bes_row[22] . " Tage <br>"));
$p_div->add(new vs_text("<b> H&ouml;chstens offen:  </b>"));
$p_div->add(new vs_text($bes_row[23] . " " . currency_string . " <br>"));
$p_div->add(new vs_text("<b> Lebenspartner: </b>"));
$p_div->add(new vs_text($bes_row[25] . "<br><br>"));

//Steuerzeichen fueZeilenumbruch durch <br> ersetzen
$bes_row[26] = str_replace("\n", "<br>", $bes_row[26]);
$bes_row[26] = str_replace("\r", "", $bes_row[26]);

$p_div->add(new vs_text("<b> Memo</b><br>"));
$p_div->add(new vs_text($bes_row[26] . "<br><br>"));


//Gruppen
$it = new vs_table("grupen", 6, 2, "250px");

$it->add(1, 1, new vs_text("<b>" . gruppe_1 . "  </b>"));

$c = new vs_db_listbox("gruppe1", 50, $db, "vs_gruppe1", "bezeichnung", "value", $bes_row[6]);
$c->set_disabled("true");
$c->set_label("");
$it->add(1, 2, $c);

$it->add(2, 1, new vs_text("<b>" . gruppe_2 . "  </b>"));
$c = new vs_db_listbox("gruppe2", 50, $db, "vs_gruppe2", "bezeichnung", "value", $bes_row[7]);
$c->set_disabled("true");
$c->set_label("");
$it->add(2, 2, $c);

$it->add(3, 1, new vs_text("<b>" . gruppe_3 . "  </b>"));
$c = new vs_db_listbox("gruppe3", 50, $db, "vs_gruppe3", "bezeichnung", "value", $bes_row[8]);
$c->set_disabled("true");
$c->set_label("");
$it->add(3, 2, $c);


$it->add(4, 1, new vs_text("<b>" . gruppe_4 . "  </b>"));
$c = new vs_db_listbox("gruppe4", 50, $db, "vs_gruppe4", "bezeichnung", "value", $bes_row[9]);
$c->set_disabled("true");
$c->set_label("");
$it->add(4, 2, $c);

$it->add(5, 1, new vs_text("<b>" . gruppe_5 . "  </b>"));
$c = new vs_db_listbox("gruppe5", 50, $db, "vs_gruppe5", "bezeichnung", "value", $bes_row[10]);
$c->set_disabled("true");
$c->set_label("");
$it->add(5, 2, $c);

$it->add(6, 1, new vs_text("<b>Zahltyp</b>"));
$c = new vs_listbox("zahl_typ", 30, $row[36], "0", "Zahltyp");
$c->add_item("0", "zahlt problemlos");
$c->add_item("5", "zahlt mit Aufforderung");
$c->add_item("10", "zahlt nicht");
$c->add_item("15", "zahlt nicht/eidesstattliche Versicherung");
$c->set_disabled("true");
$c->set_label("");
$it->add(6, 2, $c);


$p_div->add($it);
$p_div->add(new vs_text(" <nl>"));
$p_div->add(new vs_text(" <br> <br><b>" . "STATISTIK </b><br><br>"));
$p_div->add(new vs_text("<b>" . "Gesamtumsatz : </b>"));
$p_div->add(new vs_text($row1[0] = ptc($row1[0]) . currency_string . "<br>"));
$p_div->add(new vs_text("<b>" . "Zahl der Behandlungen : </b>"));
$p_div->add(new vs_text($row2[0] = ptc($row2[0]) . "<br>"));
$p_div->add(new vs_text("<b>" . "Umsatz/Behandlung : </b>"));
$p_div->add(new vs_text($upb = ptc($upb) . " " . currency_string . "<br>"));



$p_div->write();
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

//______________________________________________________________________________________________________

$db->free_result();
$db->close();

?> 
