<?php
/*
 *      einzelrechnung_offen.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




/* Created on 12.09.2006 */

// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();



function b2text($b)
	{
	if ($b == 0)
		return "nein";
	else
		return "ja";
	}


office_login($db);

//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
$b = new vs_page_begin("Unbezahlte Einzelrechnungen", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();


$db->query("Select p.patient_id,b.behandlung_id,b.datum,b.behandlung_id,p.name,b.diagnose,b.offen from  vs_behandlung b, vs_patient p " . 
			"where b.rechnung_id = -1000 and b.offen > 0 and b.patient_id=p.patient_id and p.besitzer_id=$vso_besitzer_id order by b.datum");
$pt = new vs_db_table($db, 350);
$pt->set_indexfield(1); //behandlung_id doppelt, weil der wert beim 2.Maldurch formatstring geändert wird
$pt->firstfield = 2;
$pt->set_field_width(2, 90);
$pt->set_field_width(3, 150);
$pt->set_field_label(3, "Nummer");
$pt->set_field_formatstr(3, rechnung_nr_prefix . "%s ");
$pt->set_field_width(4, 120);
$pt->set_field_label(4, "Patient");
$pt->set_field_width(5, 220);
$pt->set_field_label(5, "Diagnose");
$pt->set_field_width(6, 80);
$pt->set_field_align(6, "right");
$pt->set_field_formatstr(6, "%s " . currency_string);
$pt->set_field_label(6,"Offen &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
$pt->add_action(new vs_action("a_show", "../img/einzel_rechnung_48x24.png", "", "beh_quittung.php","_blank"));
//2015-02-20 KM: Formatierung geaendert
$p_div = new vs_div( "", "", "", "", "", "vs_seite");
$t_div = new vs_table("table", 1, 2);
$t_div->add(1, 1, new vs_text("<h2><br>&nbsp; UNBEZAHLTE EINZELRECHNUNGEN &nbsp; altes Schema &nbsp; (Besitzer)<br>&nbsp;</h2>"));
//$t_div->add(1, 2, new vs_close("Schlie&szlig;en"));
$p_div->add($t_div);
$p_div->add($pt);
$p_div->write();
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

//_________________________________________________________________________________________________________

$db->free_result();
$db->close();


?>
