 <?php
/*
 *      handle_all_lb.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

//wg function create_pos_info_text
include_once "pos_info.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

function analyze_all_handle($text, &$typ, &$menge, &$tp, &$error)
	{
	$error  = "";
	$tp     = 0;
	$firsts = array(
		"m",
		"M",
		"A",
		"a",
		"l",
		"i",
		"F",
		"f",
		"r",
		"s",
		"v",
		"w"
	);
	$med    = array(
		"M",
		"A",
		"m",
		"a"
	);
	$med_tp = array(
		"m",
		"a",
		"f"
	);
	$menge  = 1; //falls sie nicht untengeaendert wird
	//$t=ucfirst($text);//1. Buchstabe gross
	$t      = $text;
	$t      = chunk_split($t); //string->array
	if (in_array($t[0], $firsts))
		{
		//1. Buchstabe stimmt
		$typ = $t[0];
		//Dezimalzahlen nur bei Medikamenten/Abgabe
		if (in_array($typ, $med))
			$zahl = array(
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9",
				"0",
				","
			);
		else
			$zahl = array(
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9",
				"0"
			);
		$i = 1; //1.Zeichen nach der Typangabe
		while (in_array($t[$i], $zahl))
			$i++;
		if ($i > 1)
			{
			//Mengenangabe vorhanden;
			$z     = substr($t, 1, $i - 1);
			$menge = $z;
			}
		if (in_array($typ, $med_tp))
			$tp = 1;
		}
	else
		$error = "Erlaubt sind: A,a,i,F,f,l,m,M,r,v,w,s";
	}

function handleall_lb($db, $text, $id, $faktor)
	{
	$a     = array();
	$error = "";
	analyze_all_handle($text, $typ, $menge, $tp, $error);
	if ($error == "")
		{
		$a = create_pos_info_text($db, $typ, $menge, $id, $tp, $faktor, $error);
		return json_encode($a);
		}
	else
		{
		$a['success']      = 'error';
		$a['inner_html_1'] = "<img src='../img/warning.gif'><span style=\"color:#FF0000;\"> " . 
								htmlentities($error, ENT_COMPAT, charset) . "</span>";
		return json_encode($a);
		}
	}


echo handleall_lb($db, $_REQUEST["text"], $_REQUEST["id"], $_REQUEST["faktor"]);

$db->free_result();
$db->close();

?>
