 <?php
/*
 *      handleall.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";



function analyze_all_handle($db, &$text, &$typ, &$menge, &$sql, &$tp)
	{
	$error  = "";
	$tp     = 0;
	$firsts = array(
		"m",
		"M",
		"A",
		"a",
		"l",
		"i",
		"F",
		"f",
		"r",
		"s",
		"v",
		"w"
	);
	$med    = array(
		"M",
		"A",
		"m",
		"a"
	);
	//$t=ucfirst($text);//1. Buchstabe gross
	$t      = $text;
	$t      = chunk_split($t); //string->array
	if (in_array($t[0], $firsts))
		{
		//1. Buchstabe stimmt
		$typ = $t[0];
		//Dezimalzahlen nur bei Medikamenten/Abgabe
		if (in_array($typ, $med))
			$zahl = array(
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9",
				"0",
				","
			);
		else
			$zahl = array(
				"1",
				"2",
				"3",
				"4",
				"5",
				"6",
				"7",
				"8",
				"9",
				"0"
			);
		$i = 1; //1.Zeichen nach der Typangabe
		while (in_array($t[$i], $zahl))
			$i++;
		if ($i > 1)
			{
			//Mengenangabe vorhanden;
			$z        = substr($t, 1, $i - 1);
			$menge    = $z;
			$all_text = rtrim(substr($t, $i));
			}
		else
			{
			$all_text = rtrim(substr($t, $i));
			$menge    = 1;
			}
		//----------------------aus kurz die id bestimmen----------
		switch ($typ)
		{
			case "l":
				//Leistung 
				$sql = "select leistung_id,bezeichnung from vs_leistung where bezeichnung like '%" . 
						$all_text . "%' order by bezeichnung";
				break;
			
			case "M":
				//Medikament(OP, Angewendet)  
				$sql = "select medikament_id,bezeichnung from vs_medikament where bezeichnung like '%" . 
						$all_text . "%'  and verfuegbar = '1' order by bezeichnung";
				break;
			
			case "m":
				//Medikament(Angewendet,Teilpackung)  
				$sql = "select medikament_id,t_bezeichnung from vs_medikament where bezeichnung like '%" . 
						$all_text . "%'   and verfuegbar = '1' order by bezeichnung";
				break;
			
			case "A":
				//Medikament zur Abgabe (OP)
				$sql = "select medikament_id,bezeichnung from vs_medikament where bezeichnung like '%" . 
						$all_text . "%'  and verfuegbar = '1' order by bezeichnung";
				break;
			
			case "a":
				//Medikament zur Abgabe (Teilpackung)
				$sql = "select medikament_id,t_bezeichnung from vs_medikament where bezeichnung like '%" . 
						$all_text . "%'  and verfuegbar = '1' order by bezeichnung";
				break;
			
			case "F":
				//Futter 
				$sql = "select futter_id,bezeichnung from vs_futter where bezeichnung like '%" . 
						$all_text . "%' and verfuegbar = '1'  order by bezeichnung";
				break;
			
			case "f":
				//Futter Teilmenge
				$sql = "select futter_id,t_bezeichnung from vs_futter where bezeichnung like '%" . 
						$all_text . "%' and verfuegbar = '1' order by bezeichnung";
				break;
			
			case "i":
				//Impfung
				$sql = "select impfung_id,bezeichnung from vs_impfung where bezeichnung like '%" . 
						$all_text . "%'  and verfuegbar = '1' order by bezeichnung";
				break;
			case "r":
				//Fremdleistung 
				$sql = "select fremdleistung_id,bezeichnung from vs_fremdleistung where bezeichnung like '%" .
						$all_text . "%' order by bezeichnung";
				break;
			
			case "v":
				//Verbrauchsmaterial 
				$sql = "select verbrauchsmaterial_id,bezeichnung from vs_verbrauchsmaterial where bezeichnung like '%" . 
						$all_text . "%' order by bezeichnung";
				break;
			case "w":
				//Abgabewaren
				$sql = "select waren_id,bezeichnung from vs_waren where bezeichnung like '%" . 
						$all_text . "%' order by 	bezeichnung";
				break;
			
			case "s":
				//Standardbehandlung 
				$sql = "select standard_id,bezeichnung from vs_standard where bezeichnung like '%" . 
						$all_text . "%' order by bezeichnung";
				break;
		}
		//--------------------------------
		$db->query($sql);
		if ($db->num_rows() < 1)
			$error = "Ein entsprechender Eintrag ( $text ) wurde leider nicht gefunden.";
		}
	else
		$error = "Falscher Typ (" . $typ . "). Erlaubt sind: A,a,i,F,f,l,m,M,r,v,w,s";
	return $error;
	}



function handleall($db, $all, $faktor)
	{
	$error = analyze_all_handle($db, $all, $typ, $menge, $list_sql, $tp);
	//gefunden Daten zur Leistung mitliefern
	if ($error == "")
		{
		$lb = new vs_db_sql_listbox("lbchoice", 100, $db, $list_sql, 1, 1, 0, 0, "first", 10, $label = "123", $accesskey = "123");
		$lb->add_style("width:260px;height:260px;");
		
		//das Original-onchange wird überschrieben,spielt hier keine Rolle, da nicht im Formular
		$lb->onchange = " onChange=\"javascript:{all_lb_changed();}\" ";
		
		//Ergebnis in json verpacken
		$a                 = array();
		$a['success']      = 'ok';
		//steht unten in div_all_result
		$a['inner_html_1'] = $lb->write_to_buffer();
		//steht oben in div_ajax_result
		$a['inner_html_2'] = "<img src='../img/success.gif'> Passende Eintr&auml;ge wurden gefunden";
		$a['typ']          = $typ; //um das Faktorfeld bei nicht l/s zu deaaktivieren
		}
	//nicht gefunden, Fehlergrund mitliefern
	else
		{
		$s = "error " . "<img src='warning.gif'><span style=\"color:#FF0000;\"> " . 
				htmlentities($error, ENT_COMPAT, charset) . "</span>";
		
		//Ergebnis in json verpacken
		$a                 = array();
		$a['success']      = 'error';
		//steht unten in div_all_result
		$a['inner_html_1'] = "<img src='../img/notfound.gif'  height='140px' ><span style=\"color:#FF0000;\"></span>";
		
		$a['inner_html_2'] = "<img src='../img/warning.gif'><span style=\"color:#FF0000;\"> " . 
				htmlentities($error, ENT_COMPAT, charset) . "</span>";
		}
	return json_encode($a);
	}


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


echo handleall($db, $_REQUEST["wert"], $_REQUEST["faktor"]);

$db->free_result();
$db->close();

?>
