 <?php
/*
 *      kartei.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



/*
 * ----------------------------------------------------------------------
 * 2015-02-06 KM: Logik der Menue-Auswahl komplett ueberarbeitet.
 * Neue Variable: $exist_patient_id
 * Hier wird geprueft, ob der Besitzer einen Patienten hat.
 * ----------------------------------------------------------------------
*/



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once"besitzer_functions.php";
include_once"patient_functions.php";
include_once"behandlung_functions.php";
include_once"position_functions.php";
include_once"doc_functions.php";
include_once"roe_functions.php";
include_once"labus_functions.php";
include_once"abrechnung_functions.php";

include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();
 
office_login($db,$can_insert,$can_edit,$can_delete);


//$_GET und $_POST entpacken

// MA: wird nicht mehr unterstützt: import_request_variables("gp","vso_");
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

// DW: 2013-09-23 Bugfix - Dateien wieder anhaengen
extract($_FILES, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//Beginn Seite
////2015-02-14 KM: geaendert wg. undefined variable von null auf -1
if (!isset ($vso_besitzer_id))
	{
	$vso_besitzer_id = -1;
	}
	
$b = new vs_page_begin(make_title($db,$vso_besitzer_id),"../vs_office_inc/","../vs_office_inc/head_kartei.inc","../vs_office_inc/body.inc");
//Fokus setzen auf das LeistungsElement

//DW: Fehlerbeseitigung fuer Undefined variable: vso_sel_edit in
//2015-05-04 KM: vso_sel_edit wird gebraucht, wenn man es auskommentiert, fehlt CSS.

if (!isset($vso_sel_edit))
	{
	$vso_sel_edit=null;
	}

if ($vso_sel_edit=="e_pos_kurz")
	$b->onload="javascript:{document.pos_kurz.kurz.focus();}";
else  $b->onload="javascript:{document.pos_all.all.focus();}";
	$b->write();

//DW: 2013-08-15 Bugfix vso_quittung sonst undefined
if (!isset($vso_quittung))
	{
	$vso_quittung=null;
	}

if ((!isset ($vso_action)) or ($vso_action == "")) 
	{
	$text=" <h3>Ihre Sitzungsdaten konnten nicht mehr vollst&auml;ndig wiederhergestellt werden.<br>Bitte w&auml;hlen Sie die Karteikarte neu. Sie werden weitergeleitet...</h3>.";	
	
	//2014-01-10 KM: hier stimmt doch was nicht: <http>? und der DOCTYPE fehlte auch, wird mit all_tab alles richtig gemacht.
	// $link= "<http><head><meta http-equiv=\"refresh\" content=\"3;URL=kartei_suchen.php?action=a_search\"></head><body>$text</body></html>";
	$link= '<html><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"><head><meta http-equiv=\"refresh\" content=\"3;URL=kartei_suchen.php?action=a_search\"></head><body>$text</body></html>';
	echo $link;
	}
else
	{   
	//error_log('vetsoftdebugtrick: vso_action: ' . $vso_action);
	switch ($vso_action)
		{
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_ins_besitzer":
		//------------------------------------------------------------------------------
		
		neuer_besitzer($db); //Formular neuer Besitzer
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_behandlung":
		//------------------------------------------------------------------------------
		
		//2015-02-08 KM: Wenn mit besitzer_id gesucht wird:
		
		//2015-02-08 KM: NEU erst ermitteln, ob es einen Patienten (patient_id) zum Besitzer gibt, nimmt den Ersten, der gefunden wird.
		//	Darf Behandlung NUR zeigen, wenn es auch einen Patienten gibt.
		$sql="Select besitzer_id, patient_id from vs_patient where besitzer_id =$vso_besitzer_id";
		$db->query($sql);
		$row=$db->fetch_row();
		$exist_patient_id = $row[1];
		
		//wenn kein Patient gefunden, ist $exist_patient_id = -1
		if (!isset($exist_patient_id))
			{
			$exist_patient_id = -1;
			}
		
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
			}
		
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
		
		//2015-02-08 KM: Wenn kein Patient gewaehlt, wird $exist_patient_id als Patient genommen.
		if ($exist_patient_id != -1)
			{
			if ($vso_patient_id == -1)
				$vso_patient_id = $exist_patient_id;
				
			//2015-02-08 KM: NEU erst ermitteln, ob es eine Behandlung (behandlung_id) zum Patienten gibt
			//$sql="Select behandlung_id, patient_id, datum from vs_behandlung where patient_id =$vso_patient_id order by datum desc";
			//2016-02-01 KM: order by datum desc, behandlung_id desc damit aus der Suchmaske die letzte Behandlung gefunden wird.
			$sql="Select behandlung_id, patient_id, datum from vs_behandlung where patient_id =$vso_patient_id order by datum desc, behandlung_id desc";
			$db->query($sql);
			$row=$db->fetch_row();
			$last_behandlung_id = $row[0];
			
			//2015-02-08 KM: Wenn keine Behandlung gewaehlt, wird $last_behandlung_id als $vso_behandlung_id genommen.
			if ($vso_behandlung_id == -1)
				$vso_behandlung_id = $last_behandlung_id;
				
			// $exist_patient_id mit der gewaehlten $vso_patient_id ueberschreiben, damit gleich.
			$exist_patient_id = $vso_patient_id;
				
			show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$user_id);
			}
			
		else
			edit_besitzer($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//var_dump('kartei.php --> exist_patient_id = '.$exist_patient_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_by_bezahlt_id":
		//------------------------------------------------------------------------------
		
		//aus der bezahlt_id die Behandlung,den Patienten und den Besitzer ermitteln
		$sql="Select z.bezahlt_id,b.besitzer_id,p.patient_id,h.behandlung_id from  vs_bezahlt z,vs_behandlung h,vs_patient p, vs_besitzer b " .
				" where z.behandlung_id=h.behandlung_id and h.patient_id = p.patient_id and p.besitzer_id = b.besitzer_id " .
				" and z.bezahlt_id = $vso_bezahlt_id";
		$db->query($sql);
		$row=$db->fetch_row();
		
		//2015-02-11 KM: NEU erst die die Variablen fuellen
		$vso_besitzer_id = $row[1];
		$vso_patient_id = $row[2];
		$vso_behandlung_id = $row[3];
		$vso_bezahlt_id = $row[0];
		
		//show_abrechnung($db,$row[1],$row[2],$row[3],$row[0]);
		show_abrechnung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_bezahlt_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_by_behandlung_id":
		//------------------------------------------------------------------------------
		
		//aus der behandlung_id den Patienten und den Besitzer ermitteln
		 $sql="Select b.besitzer_id, p.patient_id, h.behandlung_id from  vs_behandlung h, vs_patient p, vs_besitzer b " .
				" where  h.patient_id = p.patient_id and p.besitzer_id = b.besitzer_id " .
				" and h.behandlung_id = $vso_behandlung_id";
		$db->query($sql);
		$row=$db->fetch_row();
		
		//2015-02-11 KM: NEU erst die die Variablen fuellen
		$vso_besitzer_id = $row[0];
		$vso_patient_id = $row[1];
		$vso_behandlung_id = $row[2];
		$vso_behposition_id = $dummy;
		
		//KM: geaendert
		//show_behposition($db,$row[0],$row[1],$row[2],$dummy);
		show_behposition($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behposition_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_behposition_id = dummy = '.$dummy);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_by_patient_id":
		//------------------------------------------------------------------------------
		//aus der patient_id den Besitzer ermitteln
		 $sql="Select b.besitzer_id, p.patient_id from vs_patient p, vs_besitzer b ".
					" where  p.besitzer_id = b.besitzer_id  and p.patient_id = $vso_patient_id";
		$db->query($sql);
		$row=$db->fetch_row();
		
		//2015-02-11 KM: NEU erst die die Variablen fuellen
		$vso_besitzer_id = $row[0];
		$vso_patient_id = $row[1];
		
		//2015-02-11 KM: NEU erst ermitteln, ob es eine Behandlung (behandlung_id) zum Patienten gibt
			$sql="Select behandlung_id, patient_id, datum from vs_behandlung where patient_id =$vso_patient_id order by datum desc";
			$db->query($sql);
			$row=$db->fetch_row();
			$last_behandlung_id = $row[0];
			
			if (!isset($vso_behandlung_id))
				{
				$vso_behandlung_id = -1;
				}
			
			//2015-02-11 KM: Wenn keine Behandlung gewaehlt, wird $last_behandlung_id als $vso_behandlung_id genommen.
			if ($vso_behandlung_id == -1)
				$vso_behandlung_id = $last_behandlung_id;
			
		//KM: geaendert
		$user_id = NULL;
		//show_behandlung($db,$row[0],$row[1],NULL,NULL);
		show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$user_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		//nach dem Einfuegen eines neuen Besitzers
		case "a_post_ins_besitzer":
		//------------------------------------------------------------------------------
		
		//2013-12-29 KM: geaendert wg. undefined variable
		if (!isset ($vso_offen))
			{
			$vso_offen = null;
			}
		if (!isset ($vso_impferinnerung))
			{
			$vso_impferinnerung = null;
			}
		if (!isset ($vso_einzug))
			{
			$vso_einzug = null;
			}
		//2015-09-12 KM: geaendert wg. undefined variable
		if (!isset ($vso_titel))
			{
			$vso_titel = null;
			}
			
		$vso_faktor=ctp($vso_faktor);$vso_rabatt=ctp($vso_rabatt);$vso_offen=ctp($vso_offen);$vso_maxoffen=ctp($vso_maxoffen);$vso_rechnungoffen=ctp($vso_rechnungoffen);
		
		$vso_erstbesuch=d_dis2db($vso_erstbesuch);
		$vso_letzterbesuch=d_dis2db($vso_letzterbesuch);
		
		//2016-02-05 KM: Beim Namen wird aus einem ' ein '', da sonst das ' nicht in die DB geschrieben werden kann.
		$vso_name = pg_escape_string($vso_name);
		
		$db->query("Insert into vs_besitzer (titel,anrede,briefanrede,vorname,name,strasse,plz," .
					"wohnort,standard_zahlweise,telefon_1,telefon_2,telefon_mobil,telefax,mail,www,zahl_typ,gruppe1,gruppe2," .
					"gruppe3,gruppe4,gruppe5,faktor,rabatt,impferinnerung,erstbesuch,letzterbesuch," .
					"konto,blz,einzug,messagetext,offen,rechnungnach,zahlfrist,maxoffen,rechnungoffen," .
					"lebenspartner,memo) values('$vso_titel','$vso_anrede','$vso_briefanrede'," .
					"'$vso_vorname','$vso_name','$vso_strasse','$vso_plz','$vso_wohnort','$vso_standard_zahlweise'," .
					"'$vso_telefon_1','$vso_telefon_2','$vso_telefon_mobil','$vso_telefax'," .
					"'$vso_mail','$vso_www','$vso_zahl_typ','$vso_gruppe1','$vso_gruppe2','$vso_gruppe3','$vso_gruppe4','$vso_gruppe5'," .
					"'$vso_faktor','$vso_rabatt','$vso_impferinnerung','$vso_erstbesuch'," .
					"'$vso_letzterbesuch','$vso_konto','$vso_blz','$vso_einzug','$vso_messagetext'," .
					"'0.00','$vso_rechnungnach','$vso_zahlfrist','$vso_maxoffen'," .
					"'$vso_rechnungoffen','$vso_lebenspartner','$vso_memo')");
		$db->free_result();
		
		$db->query("Select besitzer_id from vs_besitzer where name='$vso_name' and erstbesuch='$vso_erstbesuch' and" .
					" vorname='$vso_vorname'");
		$row=$db->fetch_row();
		$db->free_result();
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
			}
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
			
		add_patient($db,$row[0],$vso_patient_id,$vso_behandlung_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_del_besitzer":
		//------------------------------------------------------------------------------
		$db->query("Delete from vs_besitzer where besitzer_id='$vso_besitzer_id'");
		$db->free_result();
		
		echo"<script language=\"javascript\" >window.close();</script>";
		
		//------------------------------------------------------------------------------
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_edit_besitzer":
		//------------------------------------------------------------------------------
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
			}
		// 2014-02-14 KM: Variable verglichen und korrigiert.
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
			
		edit_besitzer($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_post_edit_besitzer":
		//------------------------------------------------------------------------------
		
		//2016-02-05 KM: Beim Namen wird aus einem ' ein '', da sonst das ' nicht in die DB geschrieben werden kann.
		$vso_name = pg_escape_string($vso_name);
		
		$db->query("Select besitzer_id,titel,anrede,briefanrede,vorname,name,strasse,plz," .
					"wohnort,telefon_1,telefon_2,telefon_mobil,telefax,mail,www," .
					"gruppe1,gruppe2,gruppe3,gruppe4,gruppe5,faktor,rabatt,impferinnerung," .
					"erstbesuch,letzterbesuch,konto,blz,einzug,messagetext,offen,rechnungnach,zahlfrist," .
					"maxoffen,rechnungoffen,lebenspartner,memo,zahl_typ,standard_zahlweise from vs_besitzer where besitzer_id=".$vso_besitzer_id);	       
		$row = $db->fetch_row();
		$newdata=$db->curr_row_as_string();
		$db->free_result();
		if ($newdata==$vso_olddata)
			{
			//2014-01-01 KM: geaendert wg. undefined variable
			if (!isset ($vso_offen))
				{
				$vso_offen = null;
				}
			if (!isset ($vso_impferinnerung))
				{
				$vso_impferinnerung = null;
				}
			if (!isset ($vso_einzug))
				{
				$vso_einzug = null;
				}
			
			$vso_rabatt=ctp($vso_rabatt); 
			$vso_faktor=ctp($vso_faktor);	
			$vso_offen=ctp($vso_offen);
			$vso_rechnungoffen=ctp($vso_rechnungoffen);	
			$vso_maxoffen=ctp($vso_maxoffen);	
			$vso_erstbesuch=d_dis2db($vso_erstbesuch);
			$vso_letzterbesuch=d_dis2db($vso_letzterbesuch);	
			$db->query("update vs_besitzer set" .
						" titel='$vso_titel'," .
						" anrede='$vso_anrede'," .
						" briefanrede='$vso_briefanrede'," .
						" vorname='$vso_vorname',".
						" name='$vso_name',".
						" strasse='$vso_strasse',".
						" plz='$vso_plz',".
						 " standard_zahlweise='$vso_standard_zahlweise',". 
						" wohnort='$vso_wohnort',".
						" telefon_1='$vso_telefon_1',".
						" telefon_2='$vso_telefon_2',".
						" telefon_mobil='$vso_telefon_mobil',".
						" telefax='$vso_telefax',".
						" mail='$vso_mail',".
						" www='$vso_www',".
						" zahl_typ='$vso_zahl_typ',". 
						" gruppe1='$vso_gruppe1',".
						" gruppe2='$vso_gruppe2',".
						" gruppe3='$vso_gruppe3',".
						" gruppe4='$vso_gruppe4',".
						" gruppe5='$vso_gruppe5',".
						" faktor='$vso_faktor',".    
						" rabatt='$vso_rabatt',".
						" impferinnerung='$vso_impferinnerung',".
						" erstbesuch='$vso_erstbesuch',".
						" letzterbesuch='$vso_letzterbesuch',".
						" konto='$vso_konto',".
						" blz='$vso_blz',".
						" einzug='$vso_einzug',".
						" messagetext='$vso_messagetext',".
						//" offen='$vso_offen',".
						" rechnungnach='$vso_rechnungnach',".
						" zahlfrist='$vso_zahlfrist',".
						" maxoffen='$vso_maxoffen',".
						" rechnungoffen='$vso_rechnungoffen',".
						" lebenspartner='$vso_lebenspartner',".
						" memo='$vso_memo'" .
						" where besitzer_id=$vso_besitzer_id");
			$db->free_result();
			}
			
		else
			error_row(change_warning."(Besitzerdaten)"); //Fehlermeldung
			
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
			}
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
		
		//------------------------------------------------------------------
		
		//KM: Darf Behandlung NUR zeigen, wenn es auch einen Patienten gibt.
		
		//KM: NEU erst ermitteln, ob es einen Patienten (patient_id) zum Besitzer gibt, nimmt den Ersten, der gefunden wird,
		$sql="Select besitzer_id, patient_id from vs_patient where besitzer_id =$vso_besitzer_id";
		$db->query($sql);
		$row=$db->fetch_row();
		$exist_patient_id = $row[1];
		
		//wenn kein Patient gefunden, ist $exist_patient_id = -1
		if (!isset($exist_patient_id))
			{
			$exist_patient_id = -1;
			}
		
		if ($exist_patient_id >= 0)
			show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$user_id);
		
		else
			add_patient($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//var_dump('kartei.php --> exist_patient_id = '.$exist_patient_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_add_patient":
		//------------------------------------------------------------------------------
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
			}
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
			
		add_patient($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		//nach dem Einfuegen eines neuen Patienten
		case "a_post_ins_patient":
		//------------------------------------------------------------------------------
		
		$vso_gewicht=ctp($vso_gewicht); $vso_offen=ctp($vso_offen);
		d_dis2db($vso_letzterbesuch);	
		d_dis2db($vso_erstbesuch);	
		d_dis2db($vso_geburtstag);
		
		//2013-12-29 KM: geaendert wg. undefined variable
		if (!isset ($vso_auslauf))
			{
			$vso_auslauf = null;
			}
		if (!isset ($vso_vorsicht))
			{
			$vso_vorsicht = null;
			}
		if (!isset ($vso_tot))
			{
			$vso_tot = null;
			}
		if (!isset ($vso_bild))
			{
			$vso_bild = null;
			}
		
		$db->query("Insert into vs_patient (besitzer_id,name,rasse,tierart,geburtstag," .
					" farbe,gewicht,id,eupass,geschlecht,kastriert,auslauf,vorsicht,tot," .
					" offen,anzeigetext,erstbesuch,letzterbesuch,memo,geschichte,bild,dauerbehandlung) values " .
					" ('$vso_besitzer_id','$vso_name','$vso_rasse','$vso_tierart','$vso_geburtstag'," .
					" '$vso_farbe','$vso_gewicht','$vso_id','$vso_eupass','$vso_geschlecht','$vso_kastriert'," .
					" '$vso_auslauf','$vso_vorsicht','$vso_tot','$vso_offen','$vso_anzeigetext'," .
					" '$vso_erstbesuch','$vso_letzterbesuch','$vso_memo','$vso_geschichte','$vso_bild','$vso_dauerbehandlung')");
		$db->free_result();	
		$db->query("Select patient_id from vs_patient where name='$vso_name'  and besitzer_id='$vso_besitzer_id'");
		$row=$db->fetch_row();
		
		//die neue pat_ident  zuordnen
		$pat_ident = strtoupper($vso_name)."_".$row[0];
		$db->query("update vs_patient set pat_ident = '$pat_ident' where patient_id= $row[0]"); 
		$db->free_result();
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
		//2015-02-04 KM: wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
			}
		
		show_behandlung($db,$vso_besitzer_id,$row[0],$vso_behandlung_id,$user_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			case "a_del_patient":
		//------------------------------------------------------------------------------  
		
		$db->query("Select patient_id,besitzer_id,bild from  vs_patient where patient_id=".$vso_patient_id);
		$row=$db->fetch_row();  
		$db->free_result();
		
		//---------------- Datendatei loeschen-------------------------------------- 
		if ($row[2]!="")
			{
			$fname=datadir.$row[2];
			if (file_exists($fname)) $i=unlink($fname);
			if ($i<1) error_row("Die zugeh&ouml;rige Bilddatei(".$fname.") konnte nicht gel&ouml;scht werden! Schreibrechte?");
			} 
		                    
		//----------------Daten---------------------------------------------------- 
		$db->query("Delete from vs_patient where patient_id='$vso_patient_id'");
		$db->free_result();
		$db->query("Select patient_id from vs_patient where besitzer_id=".$vso_besitzer_id);
		$row=$db->fetch_row();
		//2016-08-17 KM: $num wird $num_pat
		$num_pat=$db->num_rows();
		
		//2015-01-20 KM: Undefined property: vs_db::$free_result beseitigt
		//$db->free_result;
		$db->free_result();
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
		
		//2016-08-17 KM: $num wird $num_pat
		if($num_pat>0)
			show_behandlung($db,$vso_besitzer_id,$row[0],$vso_behandlung_id,$user_id);
		else 
			{
				//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
			if (!isset($vso_patient_id))
				{
				$vso_patient_id = -1;
				}
			if (!isset($vso_behandlung_id))
				{
				$vso_behandlung_id = -1;
				}
			
			//2015-02-07 KM: jetzt edit_besitzer
			//add_patient($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
			edit_besitzer($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
			}
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_edit_patient":
		//------------------------------------------------------------------------------
		
		//2013-12-27 KM: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset ($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
			
		edit_patient($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_post_edit_patient":
		//------------------------------------------------------------------------------
		
		$db->query("Select patient_id,besitzer_id,name,rasse,tierart,geburtstag," .
					" farbe,gewicht,id,eupass,geschlecht,kastriert,auslauf,vorsicht,tot," .
					" offen,anzeigetext,erstbesuch,letzterbesuch,memo,geschichte,bild,dauerbehandlung,pat_ident " .
					" from vs_patient where patient_id=".$vso_patient_id);
		
		$row = $db->fetch_row();
		$newdata=$db->curr_row_as_string();
		$db->free_result();
		
		if ($newdata==$vso_olddata)
			{   
			$fn=$row[21];	
				if ($vso_bild["name"]!=""	) //neue Datei uploaden, alte loeschen
					{
					$fn=$vso_bild["name"];
					//---------------neues Bild hochladen-------------------------------------
					//Nicht vergessen : Form muss..set_enctype("multipart/form-data");.. gesetzt werden
						if (file_exists(datadir.$fn)) 
							{
							error_row("Datei existiert bereits(".$fn.").Bitte umbenennen!");
							$fn=$row[21]; //Sonst wuerde ggf beim Loeschen die falsche Datei mitgeloescht
							}
		        else
					{
					$error=upload("bild",datadir,$fn);
					if ($error!="")  error_row($error);
					//----------------altes Bild loeschen-------------------------------------- 
					$fname=datadir.$row[21];
					$i=1; //sonst ist $i immer <1
					if ((file_exists($fname))and ($row[21] !="")) $i=unlink($fname);
					if ($i<1) error_row("Die zugeh&ouml;rige Datendatei(".$fname.") konnte nicht gel&ouml;scht werden! Schreibrechte?");
					
					//----------------Bild---------------------------------------------------- 
					}
			}
			
		$vso_gewicht=ctp($vso_gewicht); 
		$vso_offen=ctp($vso_offen);	
		d_dis2db($vso_letzterbesuch);	
		d_dis2db($vso_erstbesuch);	
		d_dis2db($vso_geburtstag);	
		$vso_bild="patient_".$vso_patient_id;
		
		//2014-01-15 KM: geaendert wg. undefined variable
		if (!isset ($vso_auslauf))
			{
			$vso_auslauf = null;
			}
		if (!isset ($vso_vorsicht))
			{
			$vso_vorsicht = null;
			}
		if (!isset ($vso_tot))
			{
			$vso_tot = null;
			}
		
		$db->query("update vs_patient set" .
			" name='$vso_name',".
			" rasse='$vso_rasse',".
			" tierart='$vso_tierart'," .
			" geburtstag='$vso_geburtstag'," .
			" farbe='$vso_farbe'," .
			" gewicht='$vso_gewicht'," .
			" id='$vso_id'," .
			" eupass='$vso_eupass'," .
			" geschlecht='$vso_geschlecht'," .
			" kastriert='$vso_kastriert'," .
			" auslauf='$vso_auslauf'," .
			" vorsicht='$vso_vorsicht'," .
			" tot='$vso_tot'," .
			" offen='$vso_offen'," .
			" anzeigetext='$vso_anzeigetext'," .
			" erstbesuch='$vso_erstbesuch',".
			" letzterbesuch='$vso_letzterbesuch',".
			" memo='$vso_memo',".
			" geschichte='$vso_geschichte'," .
			" dauerbehandlung='$vso_dauerbehandlung'," .
			" pat_ident='$vso_pat_ident'," . 
			" bild='$fn'" .
			" where patient_id=$vso_patient_id");
			$db->free_result() ;          
			}
			
		else
			error_row(change_warning."(Patientendaten)"); //Fehlermeldung
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
				}
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
			
		show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$user_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_patient_besitzerwechsel":
		//------------------------------------------------------------------------------
		
		besitzer_wechsel($db,$vso_besitzer_id,$vso_patient_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_besitzer_wechsel":
		//------------------------------------------------------------------------------
		
		//Alter Besitzer
		$db->query("select name,vorname,strasse,wohnort,memo from vs_besitzer where besitzer_id=$vso_besitzer_id");
		$bes_old=$db->fetch_row();
		$db->free_result();
		//Neuer Besitzer
		$db->query("select name,vorname,strasse,wohnort,memo from vs_besitzer where besitzer_id=$vso_besitzer_neu_id");
		$bes_neu=$db->fetch_row();
		$db->free_result();
		//Patient
		$db->query("select name,rasse,geburtstag,geschichte from vs_patient where patient_id=$vso_patient_id");
		$pat=$db->fetch_row();
		$db->free_result();
		
		
		$bes_old_memo=" \nAm ".today()." Patient abgegeben: ".$pat[0].", ".$pat[1].", *".$pat[2]." an ".
						$bes_neu[1]." ".$bes_neu[0].", ".$bes_neu[2].", ".$bes_neu[3]."\n";
		$bes_neu_memo=" \nAm ".today()." Patient &uuml;bernommen: " .$pat[0].", ".$pat[1].", *".$pat[2]." von ".
						$bes_old[1]." ".$bes_old[0].", ".$bes_old[2].", ".$bes_old[3]."\n";      
		$pat_geschichte=" \nAm ".today()." Besitzerwechsel: " .$bes_old[1]." ".$bes_old[0].", ".$bes_old[2].", ".$bes_old[3].
						" an ".$bes_neu[1]." ".$bes_neu[0].", ".$bes_neu[2].", ".$bes_neu[3]."\n";
		
		//alter Besitzer aendern
		$db->query("update vs_besitzer set" .
					" memo='$bes_old[4].$bes_old_memo' ".
					" where besitzer_id=$vso_besitzer_id");
		$db->free_result();	
		 
		//neuer Besitzer aendern
		$db->query("update vs_besitzer set" .
					" memo='$bes_neu[4].$bes_neu_memo' ".
					" where besitzer_id=$vso_besitzer_neu_id");
		$db->free_result();	
		
		//Patient ändern
		$db->query("update vs_patient set" .
					" besitzer_id='$vso_besitzer_neu_id',".
					" geschichte='$pat[3].$pat_geschichte' " . 
					" where patient_id=$vso_patient_id");
		$db->free_result();
		
		//2013-12-30 KM: geaendert wg. undefined variable: Flag -1, sonst wird kein Besitzer angezeigt.
		if (!isset($xy))
			{
			$xy = -1;
			}
		
		//2015-02-10 KM: Es wird nur mit der $vso_besitzer_id weiter gesucht.
		
		
		//2015-02-10 KM: Darf Behandlung bei altem Besitzer NUR zeigen, wenn es auch einen Patienten gibt.
		$exist_patient_id = null;
		
		$sql="Select besitzer_id, patient_id from vs_patient where besitzer_id =$vso_besitzer_id";
		$db->query($sql);
		$row=$db->fetch_row();
		$exist_patient_id = $row[1];
		
		//wenn kein Patient gefunden, ist $exist_patient_id = -1
		if (!isset($exist_patient_id))
			{
			$exist_patient_id = -1;
			}

		if ($exist_patient_id != -1)
			{
			show_behandlung($db,$vso_besitzer_id,$xy,$xy,$user_id);
			}
		else
			{
			//2015-02-10 KM:  Hier gibt es keinen Patienten mehr. 
			// $patient_id, $vso_patient_id und $vso_behandlung_id muessen -1 sein,
			// sonst werden die Variablen nicht neu initalisiert.
			$patient_id = -1;
			$vso_patient_id = -1;
			$vso_behandlung_id = -1;
			edit_besitzer($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
			}
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id);
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_neu_id = '.$vso_besitzer_neu_id);
		//var_dump('kartei.php --> exist_patient_id = '.$exist_patient_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_del_behandlung":
		//------------------------------------------------------------------------------
		
		$db->query("Delete from vs_behandlung where behandlung_id='$vso_behandlung_id'");
		$db->free_result();
		
		//DW: geaendert wg. unset variable, diese jetzt auf flag -1
		// unset($vso_behandlung_id);
		$vso_behandlung_id = -1;
		
		//2016-01-02 KM: $last_behandlung_id suchen, damit die richtige Tabellenposition gewaehlt wird.
		$sql="Select behandlung_id, patient_id, datum from vs_behandlung where patient_id =$vso_patient_id order by datum desc, behandlung_id desc";
		$db->query($sql);
		$row=$db->fetch_row();
		$last_behandlung_id = $row[0];
		
		//2016-02-01 KM: $vso_behandlung_id gibt es nicht mehr, ist gerade geloescht worden. Es muss die $last_behandlung_id gesucht werden.
		//show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$user_id);
		show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$last_behandlung_id,$user_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_add_behandlung":
		//------------------------------------------------------------------------------
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
			}
		//DW: $vso_behandlung_id wird hier NICHT benutzt
		
		add_behandlung($db,$vso_besitzer_id,$vso_patient_id,$user_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		//nach dem Einfuegen einer neuen Behandlung
		case "a_karte_post_ins_behandlung":
		//------------------------------------------------------------------------------
		
		d_dis2db($vso_datum);
		d_dis2db($vso_wiederbestellt);
		$vso_pat_gewicht=ctp($vso_pat_gewicht);
		
		if (!isset($vso_abgeschlossen))
			{
			$vso_abgeschlossen = "";
			}
			
		if ($vso_pat_gewicht > 999) 
			{
			$vso_pat_gewicht=999;
			info_row("Das Gewicht darf maximal 999 betragen. Es wurde auf 999 reduziert");
			}
			
		$db->query("Insert into vs_behandlung (patient_id,datum,diagnose,wiederbestellt," .
					" abgeschlossen,tierarzt,pat_gewicht,text,user_id) values " .
					" ('$vso_patient_id','$vso_datum','$vso_diagnose','$vso_wiederbestellt','$vso_abgeschlossen'," .
					" '$vso_tierarzt','$vso_pat_gewicht','$vso_text','$user_id')");
		$db->free_result();
		
		$db->query("Select behandlung_id from vs_behandlung where diagnose='$vso_diagnose' and patient_id='$vso_patient_id'");
		$row=$db->fetch_row();
		$db->free_result();
		
		$db->query("Select besitzer_id,letzterbesuch from vs_patient where patient_id=$vso_patient_id");
		$row_pat=$db->fetch_row();
		$db->free_result();
		
		//Patientendaten aktualisieren
		if (str2date($vso_datum) > str2date($row_pat[1])) 
		{ 
			$db->query("update vs_patient set letzterbesuch='$vso_datum'  where patient_id=$vso_patient_id");
		}
		
		if (($vso_pat_gewicht >0) and(str2date($vso_datum) >= str2date($row_pat[1]) ))
		{
			$db->query("update vs_patient set gewicht='$vso_pat_gewicht'  where patient_id=$vso_patient_id");
		}
		
		//Besitzerdaten aktualisieren
		$db->query("Select letzterbesuch from vs_besitzer where besitzer_id=$row_pat[0]");
		$row_bes=$db->fetch_row();
		$db->free_result();
		
		if (str2date($vso_datum) > str2date($row_bes[0]))
		{
			$db->query("update vs_besitzer set letzterbesuch='$vso_datum' where besitzer_id=$row_pat[0]");
		}
		
		//2016-01-02 KM: $last_behandlung_id suchen, damit die richtige Tabellenposition gewaehlt wird.
		$sql="Select behandlung_id, patient_id, datum from vs_behandlung where patient_id =$vso_patient_id order by datum desc, behandlung_id desc";
		$db->query($sql);
		$row=$db->fetch_row();
		$last_behandlung_id = $row[0];
		
		show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$last_behandlung_id,$user_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   $last_behandlung_id = '.$last_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		//nach dem Aendern einer Behandlung
		case "a_karte_post_edit_behandlung":
		//------------------------------------------------------------------------------
		
		$db->query("Select behandlung_id,datum,diagnose,wiederbestellt,abgeschlossen,tierarzt,text,pat_gewicht,epreis ".
					" from  vs_behandlung where behandlung_id=".$vso_behandlung_id); 
		$row=$db->fetch_row(); 
		$newdata=$db->curr_row_as_string();
		$db->free_result();
		
		if ($newdata==$vso_olddata)
			{
			d_dis2db($vso_datum);
			d_dis2db($vso_wiederbestellt);
			$vso_pat_gewicht=ctp($vso_pat_gewicht);
			
			if (!isset($vso_abgeschlossen)) 
				{
				$vso_abgeschlossen="";
				}
				
			if ($vso_pat_gewicht > 999) 
				{
				$vso_pat_gewicht=999;
				info_row("Das Gewicht darf maximal 999 betragen. Es wurde auf 999 reduziert");
				}
				
			$db->query("update vs_behandlung set" .
						" datum='$vso_datum',".
						" diagnose='$vso_diagnose',".
						" wiederbestellt='$vso_wiederbestellt',".
						" abgeschlossen='$vso_abgeschlossen',".
						" tierarzt='$vso_tierarzt',".
						" text='$vso_text',".
						" pat_gewicht='$vso_pat_gewicht'".
						" where behandlung_id=$vso_behandlung_id");
			$db->free_result();
			}
		else
			error_row(change_warning."(Behandlungsdaten)"); //Fehlermeldung
		//------------------------------------------------------------------------------
		
		$db->query("Select besitzer_id,letzterbesuch from vs_patient where patient_id=$vso_patient_id");
		$row_pat=$db->fetch_row();
		$db->free_result();
		
		//Patientendaten aktualisieren
		if (str2date($vso_datum) > str2date($row_pat[1])) 
			{ 
			$db->query("update vs_patient set letzterbesuch='$vso_datum' where patient_id=$vso_patient_id");
			}
		if (($vso_pat_gewicht >0) and(str2date($vso_datum) >= str2date($row_pat[1]) ))
			{
			$db->query("update vs_patient set gewicht='$vso_pat_gewicht'  where patient_id=$vso_patient_id");
			}
		
		//Besitzerdaten aktualisieren
		$db->query("Select letzterbesuch from vs_besitzer where besitzer_id=$row_pat[0]");
		$row_bes=$db->fetch_row();
		$db->free_result();
		
		if (str2date($vso_datum) > str2date($row_bes[0]))
		{
		  $db->query("update vs_besitzer	set letzterbesuch='$vso_datum' where besitzer_id=$row_pat[0]");
		}
		
		show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$row[0],$user_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_behposition":
		//------------------------------------------------------------------------------
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_behposition_id))
			{
			$vso_behposition_id = -1;
			}
			
		//error_log('vetsoftdebugtrick: behposition_id: ' . $vso_behposition_id);
		
		show_behposition($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behposition_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_add_behposition":
		//------------------------------------------------------------------------------
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_behposition_id))
			{
			$vso_behposition_id = -1;
			}
		
		add_behposition($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behposition_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	   	case "a_karte_post_ins_behposition":
	   	//------------------------------------------------------------------------------
	   	
		//nach dem Einfuegen einer neuen Behandlung
		if(isset($vso_kurz))  //Eingabe erfolgte ueber Kuerzel
			{
			$e=analyze_kurz($db,$vso_kurz,$typ,$menge,$id,$tp);	
			if($e!="") 
				{
				error_row($e);
				unset($vso_typ); //kein Einfuegen mehr	
				}
			else
				{
				if ($menge > 999) 
					{
					$menge=999;
					info_row("Die H&ouml;chstmenge an Leistungen pro Position ist 999");
					}
				$warnung=insert_from_kurz($db,$typ,$menge,$id,$tp,ctp($vso_faktor),$vso_patient_id,$vso_behandlung_id);
				}   
			}
		else //not isset Kurz
			{
			if(isset($vso_pos_ins))  //Eingabe erfolgte ueber einzelne Listboxen
				{
				if ($vso_menge > 999) 
					{
					$vso_menge=999;
					info_row("Die H&ouml;chstmenge an Leistungen pro Position ist 999");
					}
				$warnung=insert_from_kurz($db,$vso_typ,$vso_menge,$vso_id,$vso_tp,ctp($vso_faktor),$vso_patient_id,$vso_behandlung_id);
				}
			if(isset($vso_pos_all))  //Eingabe erfolgt ueber Eingabezeile"all"
				{
				$e=analyze_all($db,$vso_all,$typ,$menge,$sql,$tp);
				if($e!="")
					{
					error_row($e);
					unset($vso_typ); //kein Einfuegen mehr	
					}
				else //Einfuegen
					{
					if ($menge > 999) 
						{
						$menge=999;
						info_row("Die H&ouml;chstmenge an Leistungen pro Position ist 999");
						}
					$typ=ucfirst($typ); //m wird M etc...
					
					// 2014-01-02 KM:: geaendert wg. undefined variable
					if (!isset($vso_all_faktor))
						{
						$vso_all_faktor= null;
						}
					
					$warnung=insert_from_kurz($db,$typ,$menge,$vso_lbchoice,$tp,ctp($vso_all_faktor),$vso_patient_id,$vso_behandlung_id);
					} 
				}
			else
				{
				//falls epreis nicht angegeben auf netto setzen
				if($vso_epreis == 0)
					$vso_epreis=$vso_netto;
					$vso_menge=ctp($vso_menge);
					$vso_einzelpreis=ctp($vso_einzelpreis);
					$vso_mwst=ctp($vso_mwst);
					$vso_netto=ctp($vso_netto);
					$vso_brutto=ctp($vso_brutto);
				
				//2014-08-12 KM: geaendert wg. undefined variable
				if (!isset($vso_betragmwst))
					{
					$vso_betragmwst = null;
					}
					
					$vso_betragmwst=ctp($vso_betragmwst);
					$vso_epreis=ctp($vso_epreis);
					
				if ($vso_menge > 999) 
					{
					$vso_menge=999;
					info_row("Die H&ouml;chstmenge an Leistungen pro Position ist 999");
					}
					
				berechne_position($vso_menge,$vso_mwst,$vso_einzelpreis,$vso_netto,$vso_brutto,$vso_betragmwst);
				
				$vso_faktor="0";
				
				//2014-02-16 KM: geaendert wg. undefined variable bei Mengenaenderung
				if (!isset($vso_ziffer))
					{
					$vso_ziffer = null;
					}
				if (!isset($vso_betragmwst))
					{
					$vso_betragmwst = null;
					}
				
				$db->query("Insert into vs_behposition (patient_id,behandlung_id,typ,menge,faktor,ziffer," .
				   " bezeichnung,rechbezeichnung,einzelpreis,mwst,netto,brutto,betragmwst,epreis,user_id) values " .
				   " ('$vso_patient_id','$vso_behandlung_id','$vso_typ','$vso_menge','$vso_faktor','$vso_ziffer'," .
				   " '$vso_bezeichnung','$vso_rechbezeichnung','$vso_einzelpreis','$vso_mwst','$vso_netto','$vso_brutto','$vso_betragmwst','$vso_epreis','$user_id')");
				$db->free_result();
				
				}
			}
			
		behandlung_summe($db,$vso_behandlung_id);
		
		$db->query("Select behposition_id from vs_behposition where behandlung_id='$vso_behandlung_id'");
		$row=$db->fetch_row();
		$db->free_result();
		
		show_behposition($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$row[0]);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++  
		case "a_karte_post_edit_behposition":
		//------------------------------------------------------------------------------
		
		$db->query("Select behposition_id,typ,menge,ziffer,bezeichnung,einzelpreis,mwst,netto, ".
					" brutto,betragmwst,rechbezeichnung,epreis from  vs_behposition where behposition_id=".$vso_behposition_id); 
		$row=$db->fetch_row();  
		$newdata=$db->curr_row_as_string();
		$db->free_result();
		if ($newdata==$vso_olddata)
			{   
			$vso_menge=ctp($vso_menge);
			$vso_einzelpreis=ctp($vso_einzelpreis);
			$vso_mwst=ctp($vso_mwst);
			$vso_netto=ctp($vso_netto);
			$vso_brutto=ctp($vso_brutto);
			
			//2014-08-12 KM: geaendert wg. undefined variable
			if (!isset($vso_betragmwst))
				{
				$vso_betragmwst = null;
				}
			
			$vso_betragmwst=ctp($vso_betragmwst);
				if ($vso_menge > 999) 
					{
					$vso_menge=999;
					info_row("Die H&ouml;chstmenge an Leistungen pro Position ist 999");
					}
			$m_v=$vso_menge/$vso_old_menge;
			//epreis aendert sich wie die menge
			$vso_epreis = $vso_epreis * $vso_menge/$vso_old_menge;
			berechne_position($vso_menge,$vso_mwst,$vso_einzelpreis,$vso_netto,$vso_brutto,$vso_betragmwst);	
			$db->query("update vs_behposition set" .
					" typ='$vso_typ',".
					" menge='$vso_menge',".
					// auskommentiert, da hier die position schon exisitert und die Ziffer (=GOT-Ziffer) gleichbleibt
					//" ziffer='$vso_ziffer',".
					" bezeichnung='$vso_bezeichnung',".
					" rechbezeichnung='$vso_rechbezeichnung',".
					" einzelpreis='$vso_einzelpreis',".
					" mwst='$vso_mwst',".
					" netto='$vso_netto',".
					" brutto='$vso_brutto',".
					" epreis='$vso_epreis',".
					" betragmwst='$vso_betragmwst'".
					" where behposition_id=$vso_behposition_id");
			$db->free_result();	
			behandlung_summe($db,$vso_behandlung_id);
			if (auto_detect_standard_zw == "1") standard_zahlweise($db,$vso_besitzer_id);  //config.inc.php
			}
		else
			error_row(change_warning."(Behandlungposionsdaten)"); //Fehlermeldung

		$db->query("Select behposition_id from vs_behposition where behandlung_id='$vso_behandlung_id' and bezeichnung='$vso_bezeichnung'");
		$row=$db->fetch_row();
		$db->free_result();
		
		show_behposition($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$row[0]);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_del_behposition":
		//------------------------------------------------------------------------------
		
		$db->query("Delete from vs_behposition where behposition_id='$vso_behposition_id'");
		$db->free_result();
		
		behandlung_summe($db,$vso_behandlung_id);
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_behposition_id))
			{
			$vso_behposition_id = -1;
			}
			
		// original NK war: unset($vso_behposition_id);
		
		show_behposition($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behposition_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_ins_behzahlung":
		//------------------------------------------------------------------------------
		
		$b_time=time(); //ergibt die time_id der Bezahlung
		$db->query("Select brutto,brutto_a,brutto_b,brutto_abgabemed,offen from vs_behandlung " .
					" where behandlung_id=$vso_behandlung_id");
			$beh_row=$db->fetch_row();
		$db->free_result();
		if($beh_row[4]>0) //Offen	
			{
			$db->query("Select sum(betrag),sum(brutto_a),sum(brutto_b),sum(brutto_abgabemed)  from vs_bezahlt " .
					" where behandlung_id=$vso_behandlung_id");
			$bez_row=$db->fetch_row();
			$db->free_result();
			
				if ($bez_row[0]!="")
					$brutto=$beh_row[0]-$bez_row[0];
				else
					$brutto=$beh_row[0];
					
				if ($bez_row[1]!="")
					$brutto_a=$beh_row[1]-$bez_row[1];
				else
					$brutto_a=$beh_row[1];
					
				if ($bez_row[2]!="")
					$brutto_b=$beh_row[2]-$bez_row[2];
				else
				$brutto_b=$beh_row[2];
				
				//abgabemedikamente  NEU !!
				if ($bez_row[3]!="")
					$brutto_abgabemed=$beh_row[3]-$bez_row[3];
				else
					$brutto_abgabemed=$beh_row[3];
				
				// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
				//$datum = d_dis2db(today());
				$today=today();
				$datum=d_dis2db($today);
				
				if($vso_typ!="B")
					{
					$vso_quittung="1"; // alle nicht bar bezahlten sind quittiert
					
					//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
					$db->query("Insert into vs_bezahlt (datum,typ,gebucht,quittung," .
						" betrag,brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id,rechnung_id,user_id,time_id) values " .
						" ('$datum','$vso_typ','0','$vso_quittung','$brutto','$brutto_a'," .
						" '$brutto_b','$brutto_abgabemed','$vso_bemerkung','$vso_behandlung_id','-1','$user_id','$b_time')");
					$db->free_result();
					}
			}
		
		behandlung_summe($db,$vso_behandlung_id);
		
		if (auto_detect_standard_zw == "1")			//config.inc.php
		standard_zahlweise($db,$vso_besitzer_id); 
		
		show_behposition($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behposition_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_behdoc":
		//------------------------------------------------------------------------------
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_behdoc_id))
			{
			$vso_behdoc_id = -1;
			}
			
		show_behdoc($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behdoc_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		
		//------------------------------------------------------------------------------
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_del_behdoc":
		//------------------------------------------------------------------------------
		
		//error_log('vetsoftdebugtrick: in a_karte_del_behdoc xxx Variable $vso_behdoc_id : ' . $vso_behdoc_id);
		$db->query("Select behdoc_id,bezeichnung,memo,filename from  vs_behdoc where behdoc_id=".$vso_behdoc_id);
		$row=$db->fetch_row();  
		$db->free_result();
		
		//---------------- ggf. Datendatei löschen-------------------------------------- 
		if ($row[3]!="")
			{
			$fname=datadir.$row[3];
			
			if (file_exists($fname))
				$i=unlink($fname);
				
			if ($i<1)
				error_row("Die zugeh&ouml;rige Datendatei(".$fname.") konnte nicht gel&ouml;scht werden! Schreibrechte?");
			}                       
		
		//----------------Daten---------------------------------------------------- 
		$db->query("Delete from vs_behdoc where behdoc_id='$vso_behdoc_id'");
		$db->free_result();
		
		show_behdoc($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behdoc_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_add_behdoc":
		//------------------------------------------------------------------------------
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_behdoc_id))
			{
			$vso_behdoc_id = -1;
			}
		
		add_behdoc($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behdoc_id);  
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_ins_behdoc":
		//------------------------------------------------------------------------------
		
		//error_log('vetsoftdebugtrick: in a_karte_post_ins_behdoc: ');
		
		if ($vso_filename["name"]!=""	) // Datei uploaden
			{
			$fn=$vso_filename["name"];
			
			if (file_exists(datadir.$fn))
				{
				error_row("Datei existiert bereits(".$fn.").Bitte umbenennen!");
				$fn=""; //Sonst würde ggf beim Löschen die falsche Datei mitgelöscht
				}
			else
				{
				//--------------- Bild hochladen------------------------------------------
				//Nicht vergessen : Form muss..set_enctype("multipart/form-data");.. gesetzt werden
				$error=upload("filename",datadir,$fn);
				
				if ($error!="")
					error_row($error);
				//----------------Bild---------------------------------------------------- 
				}
			}
		
		//2013-12-29 KM: geaendert wg. undefined variable
		if (!isset($fn))
			{
			$fn = null;
			}
			
		$db->query("Insert into vs_behdoc (behandlung_id,patient_id," .
					" bezeichnung,memo,filename,user_id) values " .
					" ('$vso_behandlung_id','$vso_patient_id','$vso_bezeichnung','$vso_memo','$fn','$user_id')");
		$db->free_result();
		
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_behdoc_id))
			{
			$vso_behdoc_id = -1;
			}
			
		//error_log('vetsoftdebugtrick: Variable $vso_behdoc_id vor show_behdoc: ' . $vso_behdoc_id);
		
		show_behdoc($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_behdoc_id); 
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_edit_behdoc":
		//------------------------------------------------------------------------------
		
		$db->query("Select behdoc_id,bezeichnung,memo,filename from  vs_behdoc where behdoc_id=".$vso_behdoc_id);
		$row=$db->fetch_row();  
		$newdata=$db->curr_row_as_string();
		$db->free_result();
		//error_log('vetsoftdebugtrick: Variable $vso_behdoc_id in a_karte_post_edit_behdoc: ' . $vso_behdoc_id);
		if ($newdata==$vso_olddata)
			{   
			$fn=$row[3];
			
			if ($vso_filename["name"]!=""	) //neue Datei uploaden, alte löschen
				{
				$fn=$vso_filename["name"];
				
				//---------------neues Bild hochladen-------------------------------------
				//Nicht vergessen : Form muss..set_enctype("multipart/form-data");.. gesetzt werden
				if (file_exists(datadir.$fn)) 
					{
					error_row("Datei existiert bereits(".$fn.").Bitte umbenennen!");
					$fn=$row[3]; //Sonst würde ggf beim Löschen die falsche Datei mitgelöscht
					}
				else
					{
					$error=upload("filename",datadir,$fn);
					if ($error!="")
						error_row($error);
					//----------------altes Bild löschen-------------------------------------- 
					$fname=datadir.$row[3];
					$i=1; //sonst ist $i immer <1
					if ((file_exists($fname))and ($row[3] !="")) $i=unlink($fname);
					if ($i<1) 
						error_row("Die zugeh&ouml;rige Datendatei(".$fname.") konnte nicht gel&ouml;scht werden! Schreibrechte?");
					//----------------Bild---------------------------------------------------- 
					}
				}
				$db->query("update vs_behdoc set" .
						" bezeichnung='$vso_bezeichnung',".
						" memo='$vso_memo',".
						" filename='$fn'".
						" where behdoc_id=$vso_behdoc_id");
				$db->free_result();
			}
			else 
				error_row(change_warning."(Behandlungsdokumentationsdaten)"); //Fehlermeldung
		
		$db->query("Select behdoc_id from vs_behdoc where behandlung_id='$vso_behandlung_id' and bezeichnung='$vso_bezeichnung'");
		$row=$db->fetch_row();
		$db->free_result();
		
		//error_log('vetsoftdebugtrick: Variable $vso_behdoc_id vor show_behdoc vor schluss von a_karte_post_edit_behdoc: ' . $vso_behdoc_id);
		
		show_behdoc($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$row[0]);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_roentgen":
		//------------------------------------------------------------------------------
		
		 //2014-03-09 KM: geaendert wg. undefined variable
		if (!isset($vso_roentgen_id))
			{
			$vso_roentgen_id = null;
			}
			
		show_roentgen($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_roentgen_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_ins_roentgen":
		//------------------------------------------------------------------------------
		
		if ($vso_filename["name"]!=""	) // Datei uploaden
			{
			$fn=$vso_filename["name"];
			if (file_exists(datadir.$fn))
				{
				error_row("Datei existiert bereits(".$fn.").Bitte umbenennen!");
				$fn=""; //Sonst würde ggf beim Löschen die falsche Datei mitgelöscht
				}
			else
				{
				//--------------- Bild hochladen------------------------------------------
				//Nicht vergessen : Form muss..set_enctype("multipart/form-data");.. gesetzt werden
				$error=upload("filename",datadir,$fn);
				if ($error!="")  error_row($error);
			//----------------Bild---------------------------------------------------- 
				}
			}
		$vso_mas=ctp($vso_mas);
		
		//2013-12-29 KM: geaendert wg. undefined variable
		if (!isset ($fn))
			{
			$fn = null;
			}
			
		if (!isset ($vso_roentgen_id))
			{
			$vso_roentgen_id = null;
			}
		
			$db->query("Insert into vs_roentgen (behandlung_id,patient_id," .
					" bezeichnung,memo,filename,nummer,kv,mas,format,raster,personen,qualitaet,user_id) values " .
					" ('$vso_behandlung_id','$vso_patient_id','$vso_bezeichnung','$vso_memo','$fn'," .
					" '$vso_nummer','$vso_kv','$vso_mas','$vso_format','$vso_raster','$vso_personen','$vso_qualitaet','$user_id')");
			$db->free_result();
		    
		show_roentgen($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_roentgen_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_edit_roentgen":
		//------------------------------------------------------------------------------
		
		$db->query("Select roentgen_id,bezeichnung,memo,filename,nummer,kv,mas,format,raster,personen,qualitaet " .
					"from  vs_roentgen where roentgen_id=".$vso_roentgen_id);  
		$row=$db->fetch_row();  
		$newdata=$db->curr_row_as_string();
		$db->free_result();
		
		if ($newdata==$vso_olddata)
			{   
			$fn=$row[3];
				if ($vso_filename["name"]!=""	) //neue Datei uploaden, alte löschen
					{
					$fn=$vso_filename["name"];
					//---------------neues Bild hochladen-------------------------------------
				//Nicht vergessen : Form muss..set_enctype("multipart/form-data");.. gesetzt werden
				if (file_exists(datadir.$fn))  
					{
					error_row("Datei existiert bereits(".$fn.").Bitte umbenennen!");
					$fn=$row[3]; //Sonst würde ggf beim Löschen die falsche Datei mitgelöscht
					}
				else
					{
					$error=upload("filename",datadir,$fn);
					if ($error!="")  error_row($error);
					//----------------altes Bild löschen-------------------------------------- 
					$fname=datadir.$row[3];
					$i=1; //sonst ist $i immer <1
					if ((file_exists($fname))and ($row[3] !="")) $i=unlink($fname);
					if ($i<1) error_row("Die zugeh&ouml;rige Bilddatei (".$fname.") konnte nicht gel&ouml;scht werden! Schreibrechte?");
					//----------------Bild---------------------------------------------------- 
					}
				}
			$vso_mas=ctp($vso_mas); //mAs
			$db->query("update vs_roentgen set" .
					" bezeichnung='$vso_bezeichnung',".
					" memo='$vso_memo',".
					" filename='$fn',".
					" nummer='$vso_nummer',".
					" kv='$vso_kv',".
					" mas='$vso_mas',".
					" format='$vso_format',".
					" raster='$vso_raster',".
					" personen='$vso_personen',".
					" qualitaet='$vso_qualitaet'".
					" where roentgen_id=$vso_roentgen_id");
			$db->free_result();
			}
		else
			error_row(change_warning."(R&ouml;daten)"); //Fehlermeldung
		
		$db->query("Select roentgen_id from vs_roentgen where behandlung_id='$vso_behandlung_id' and bezeichnung='$vso_bezeichnung'");
		$row=$db->fetch_row();
		$db->free_result();
		
		show_roentgen($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$row[0]);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_del_roentgen":
		//------------------------------------------------------------------------------
		
		$db->query("Select roentgen_id,bezeichnung,memo,filename from  vs_roentgen where roentgen_id=".$vso_roentgen_id);
		$row=$db->fetch_row();  
		$db->free_result();
		
		//---------------- Datendatei löschen-------------------------------------- 
		if ($row[3]!="")
			{
			$fname=datadir.$row[3];
			if (file_exists($fname)) $i=unlink($fname);
			if ($i<1) error_row("Die zugeh&ouml;rige Bilddatei(".$fname.") konnte nicht gel&ouml;scht werden! Schreibrechte?");
			}                       
		
		//----------------Daten---------------------------------------------------- 
		$db->query("Delete from vs_roentgen where roentgen_id='$vso_roentgen_id'");
		$db->free_result();
		
		show_roentgen($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_roentgen_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_add_roentgen":
		//------------------------------------------------------------------------------
		
		//2013-12-29 KM: geaendert wg. undefined variable
		if (!isset ($vso_roentgen_id))
			{
			$vso_roentgen_id = null;
			}
		
		add_roentgen($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_roentgen_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_labor":
			//------------------------------------------------------------------------------
		
		//2014-03-09 KM: geaendert wg. undefined variable
		if (!isset($vso_laborus_id))
			{
			$vso_laborus_id = null;
			}
			
		show_labor($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_laborus_id);  
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		 case "a_karte_post_ins_labor":
		//------------------------------------------------------------------------------
		
		$vso_wert=ctp($vso_wert);
		labor_before_save($db,$vso_patient_id,$vso_bezeichnung,$vso_wert,$vso_ergebnistext,$laborwert_id,$einheit,$bewertung);
		//$laborwert_id="2";
		d_dis2db($vso_datum);
		$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
					" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
					" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$vso_bezeichnung'," .
					" '$vso_ergebnistext','$vso_wert','$einheit','$bewertung','$vso_labor'," .
					" '$vso_bemerkung','$vso_datum','$user_id')");
		$db->free_result();
		
		//2013-12-29 KM: geaendert wg. undefined variable
		if (!isset($vso_laborus_id))
			{
			$vso_laborus_id = null;
			}
			
		show_labor($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_laborus_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_del_labor":
		//------------------------------------------------------------------------------
		
		$db->query("Delete from vs_laborus where laborus_id='$vso_laborus_id'");
		$db->free_result();
		
		show_labor($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_laborus_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_add_labor":
		//------------------------------------------------------------------------------
		
		//2013-12-29 KM: geaendert wg. undefined variable
		if (!isset($vso_laborus_id))
			{
			$vso_laborus_id = null;
			}
			
		add_labor($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_laborus_id); 
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_edit_labor":
		//------------------------------------------------------------------------------
		
		$db->query("Select laborus_id,datum,laborwert_id,bezeichnung,ergebnistext,wert,einheit," .
						"bewertung,labor,bemerkung " .
						"from  vs_laborus where laborus_id=".$vso_laborus_id);            
		$row=$db->fetch_row();  
		$newdata=$db->curr_row_as_string();		
		$db->free_result();
		
		if ($newdata==$vso_olddata)
			{   
			$vso_wert=ctp($vso_wert);
			d_dis2db($vso_datum);
			labor_before_save($db,$vso_patient_id,$vso_bezeichnung,$vso_wert,$vso_ergebnistext,$laborwert_id,$einheit,$bewertung);	
			$db->query("update vs_laborus set" .
					" datum='$vso_datum',".
					" bezeichnung='$vso_bezeichnung',".
					" laborwert_id='$laborwert_id',".
					" ergebnistext='$vso_ergebnistext',".
					" wert='$vso_wert',".
					" einheit='$einheit',".
					" bewertung='$bewertung',".
					" labor='$vso_labor',".
					" bemerkung='$vso_bemerkung' ".
					" where laborus_id=$vso_laborus_id");
			$db->free_result();	
			}
		else
			error_row(change_warning."(R&ouml;daten)"); //Fehlermeldung
			
		$db->query("Select laborus_id from vs_laborus where behandlung_id='$vso_behandlung_id' and bezeichnung='$vso_bezeichnung'");
		$row=$db->fetch_row();
		$db->free_result();
		
		show_labor($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$row[0]);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_show_abrechnung":
		//------------------------------------------------------------------------------
		
		//DW: 2013-08-07 Bugfix undefined variable, diese jeweils auf flag -1
		if (!isset($vso_bezahlt_id))
			{
			$vso_bezahlt_id = -1;
			}
			
		show_abrechnung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_bezahlt_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_del_abrechnung":
		//------------------------------------------------------------------------------
		
		$db->query("Delete from vs_bezahlt where bezahlt_id='$vso_bezahlt_id'");
		$db->free_result();
		behandlung_summe($db,$vso_behandlung_id);
		
		if (auto_detect_standard_zw == "1") 
			standard_zahlweise($db,$vso_besitzer_id); //config.inc.php	    
		
		//DW: 2013-08-13 Bugfix $ghh wieder in $vso_bezahlt_id geaendert
		//show_abrechnung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$ghh);
		
		show_abrechnung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_bezahlt_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_insert_abrechnung":
		//------------------------------------------------------------------------------
		
		//erst mal schauen,was  noch offen ist	
		$db->query("Select brutto,brutto_a,brutto_b,brutto_abgabemed from vs_behandlung " .
				" where behandlung_id=$vso_behandlung_id");
		$beh_row=$db->fetch_row(); // Behandlung 
		$db->free_result();
		$b_time=time(); //ergibt die time_id der Bezahlung, alle Bezahlungen mit der gleichen time_id werden zusammen bezahlt 
		$vso_betrag=ctp($vso_betrag);
		
		if($vso_betrag>0)
			{
			$db->query("Select sum(betrag),sum(brutto_a),sum(brutto_b),sum(brutto_abgabemed) from vs_bezahlt " .
					" where behandlung_id=$vso_behandlung_id ");
			$bez_row=$db->fetch_row(); //Bereits bezahlt (ohne diese Bezahlung)
			$db->free_result();	
			$brutto=0;
			$brutto_a=0;
			$brutto_b=0;
			$brutto_abgabemed=0; //neu
			
			//Noch offene Summen
			//total
			if ($bez_row[0]!="")
				$brutto=$beh_row[0]-$bez_row[0];
			else 
				$brutto=$beh_row[0];
				
			//mwst_a
			if ($bez_row[1]!="")
				$brutto_a=$beh_row[1]-$bez_row[1];
			else
				$brutto_a=$beh_row[1];
			
			//mwst_b
			if ($bez_row[2]!="")
				$brutto_b=$beh_row[2]-$bez_row[2];
			else
				$brutto_b=$beh_row[2];	
			
			//abgabemedikamente  NEU !!
			if ($bez_row[3]!="")
				$brutto_abgabemed=$beh_row[3]-$bez_row[3];
			else
				$brutto_abgabemed=$beh_row[3];	
			
			//die neue Bezahlung aufteilen un brutto_a und brutto_b,bzw brutto_abgabemed zunächst wird brutto_a aufgefüllt...
			if(($vso_betrag>0) and ($vso_betrag<=round($brutto,2))) //sonst Blödsinn
				{
				if ($vso_betrag <= $brutto_a)
					{
					$brutto_a=$vso_betrag;
					$brutto_b=0;
					$brutto=$brutto_a+$brutto_b;
					}
				else
					{
					$brutto_b=$vso_betrag-$brutto_a;
					$brutto=$brutto_a+$brutto_b;
					}
					
				//NEU Abgabemed-------------------------------
				
				if ($vso_betrag <= $brutto_abgabemed)
					$brutto_abgabemed=$vso_betrag;      //Neu!!!!!!
					
				/* }
				else
				{
				
				//Nothing to do brutto_abgabemed wird aufgefüllt und bleibt !!!!!!!!
				}  */
				
				//Abgabemed------------------------------------
				//nur jetzt einfügen!!!!!!!!!
					d_dis2db($vso_datum);
					$datum=$vso_datum;
					
					if($vso_typ!="B")
						$vso_quittung="1"; // alle nicht bar bezahlten sind quittiert 
					
					//datum vor Buchungsdatum?	 Dann nicht ändern. Muss noch implementiert werden
					
					//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung, vso_bemerkung --> vso_bez_bemerkung
					$db->query("Insert into vs_bezahlt (datum,typ,gebucht,quittung," .
							" betrag,brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id,rechnung_id,user_id,time_id) values " .
							" ('$datum','$vso_typ','0','$vso_quittung','$brutto','$brutto_a'," .
							" '$brutto_b','$brutto_abgabemed','$vso_bez_bemerkung','$vso_behandlung_id','-1','$user_id','$b_time')");
					$db->free_result();
					
				}
				else error_row("Der eingegebene Betrag w&uuml;rde zu einer &Uuml;berbezahlung f&uuml;hren!"); 
			}
			else error_row("Der eingegebene Betrag ist negativ oder null !"); 
			
		unset($bezahlt_id); 
		behandlung_summe($db,$vso_behandlung_id); 
		
		if (auto_detect_standard_zw == "1")
			standard_zahlweise($db,$vso_besitzer_id); //config.inc.php	 
		   
		show_abrechnung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_bezahlt_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_add_abrechnung":
	//------------------------------------------------------------------------------
		add_abrechnung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_edit_abrechnung":
		//------------------------------------------------------------------------------
		
		//2015-06-04 KM: Feldname geaendert bemerkung --> bez_bemerkung
		$db->query("Select bezahlt_id,datum,typ,gebucht,quittung,betrag," .
					"brutto_a,brutto_b,brutto_abgabemed,bez_bemerkung,behandlung_id,rechnung_id,rech_bez_id,time_id from " .
					" vs_bezahlt where bezahlt_id=".$vso_bezahlt_id);                      
		$row=$db->fetch_row();  
		$newdata=$db->curr_row_as_string();
		$db->free_result();
		
		if ($newdata==$vso_olddata)
		{   
			//erst mal schauen,was o h n e  diese Bezahlung noch offen ist
			$db->query("Select brutto,brutto_a,brutto_b,brutto_abgabemed from vs_behandlung " .
					" where behandlung_id=$vso_behandlung_id");
			$beh_row=$db->fetch_row(); // Behandlung 
			$db->free_result();
			
			$vso_betrag=ctp($vso_betrag);
			
			if($vso_betrag>0)
				{
				$db->query("Select sum(betrag),sum(brutto_a),sum(brutto_b),sum(brutto_abgabemed) from vs_bezahlt " .
						" where behandlung_id=$vso_behandlung_id and bezahlt_id <> $vso_bezahlt_id");
				$bez_row=$db->fetch_row(); //Bereits bezahlt (ohne diese Bezahlung)
				$db->free_result();	
				$brutto=0;
				$brutto_a=0;
				$brutto_b=0;
				$brutto_angabemed=0;
				
				//Noch offene Summen
				//total
					if ($bez_row[0]!="")
						$brutto=$beh_row[0]-$bez_row[0];
					else 
						$brutto=$beh_row[0];
						
					//mwst_a
					if ($bez_row[1]!="")
						$brutto_a=$beh_row[1]-$bez_row[1];
					else
						$brutto_a=$beh_row[1];
					
					//mwst_b
					if ($bez_row[2]!="")
						$brutto_b=$beh_row[2]-$bez_row[2];
					else
						$brutto_b=$beh_row[2];	
					
					//abgabemedikamente  NEU !!
					if ($bez_row[3]!="")
						$brutto_abgabemed=$beh_row[3]-$bez_row[3];
					else
						$brutto_abgabemed=$beh_row[3];	
				
					//die neue Bezahlung aufteilen
					if(($vso_betrag>0) and ($vso_betrag<=round($brutto,2))) //sonst Blödsinn
						{
						if ($vso_betrag <= $brutto_a)
							{
							$brutto_a=$vso_betrag;
							$brutto_b=0;
							$brutto=$brutto_a+$brutto_b;
							}
						else
							{
							$brutto_b=$vso_betrag-$brutto_a;
							$brutto=$brutto_a+$brutto_b;
							}
					
						//NEU Abgabemed-------------------------------
						
						if ($vso_betrag <= $brutto_abgabemed)
							$brutto_abgabemed=$vso_betrag;      //Neu!!!!!!
					
						//nur jetzt ändern!!!!!!!!!
						d_dis2db($vso_datum);
						if($vso_typ!="B")
							$vso_quittung="1"; // alle nicht bar bezahlten sind quittiert
							$datum=$vso_datum;
							//datum vor Buchungsdatum?	 Dann nicht ändern. Muss noch implementiert werden
						
						//2015-06-04 KM: Feldname geaendert vso_bemerkung --> vso_bez_bemerkung
						$db->query("update vs_bezahlt set" .
								" datum='$vso_datum',".
								" typ='$vso_typ',".
								" quittung='$vso_quittung',".
								" bez_bemerkung='$vso_bez_bemerkung', ".
								" betrag='$brutto', ".
								" brutto_a='$brutto_a', ".
								" brutto_b='$brutto_b', ".
								" brutto_abgabemed='$brutto_abgabemed' ".
								" where bezahlt_id=$vso_bezahlt_id");
						$db->free_result();	
						}
					else
						error_row("Der eingegebene Betrag w&uuml;rde zu einer &Uuml;berbezahlung f&uuml;hren!"); 
					}
				else 
					error_row("Der eingegebene Betrag ist negativ");
			}
		else 
			error_row(change_warning."(Zahlungen)");
			
		behandlung_summe($db,$vso_behandlung_id);
		
		if (auto_detect_standard_zw == "1")
			standard_zahlweise($db,$vso_besitzer_id); //config.inc.php
			
		//DW: hmm: show_abrechnung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$bezahlt_id);
		//error_log('vetsoftdebugtrick: vso_bezahlt_id und bezahlt_id: ' . $vso_bezahlt_id . ' + ' . $bezahlt_id);
		
		show_abrechnung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$vso_bezahlt_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_karte_post_change_wartezimmer":            
		
		//------------------------------------------------------------------------------
		//----------------------Daten zwischenzeitlich veraendert?-----------------
		
		// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
		//$heute = d_dis2db(today());
		$today=today();
		$heute=d_dis2db($today);
		 $db->query("Select wartezimmer_id,besitzer_id,status,memo ".
				" from vs_wartezimmer where besitzer_id = $vso_besitzer_id and datum = '$heute'   
				and status <> 'exit' ");   
		$row = $db->fetch_row();
		$newdata=$db->curr_row_as_string();
		$db->free_result();
		if ($newdata==$vso_olddata)
			{
			//endlich die neuen Werte eintragen	
			//Statuswechsel dokumentieren
			if($vso_status!=$vso_oldstatus)
				{
				$vso_memo=$row[3].now()." ".$vso_status."[".$user_name."]".chr(13);
				}
			if($vso_zusatz!="")
				$vso_memo=$vso_memo."[".$user_name."]".$vso_zusatz.chr(13);
			
			//Datum und Ankunft bleiben unberücksichtigt	
			$db->query("update vs_wartezimmer set 
					status='$vso_status',      
					memo='$vso_memo'   
					where wartezimmer_id=$row[0]");
			$db->free_result();
			}
			
		//Fehlermeldung 
		else 
			error_row("Der Datensatz konnte nicht gespeichert werden, weil er vorher " .
						" von einem anderen Benutzer modifiziert wurde");
						
		//DW: geaendert wg. undefined variable, diese jeweils auf flag -1
		if (!isset($vso_patient_id))
			{
			$vso_patient_id = -1;
			}
		if (!isset($vso_behandlung_id))
			{
			$vso_behandlung_id = -1;
			}
			
		show_behandlung($db,$vso_besitzer_id,$vso_patient_id,$vso_behandlung_id,$user_id);
		
		//------------------------------------------------------------------------------
		//KM TEST var_dump
		//var_dump('kartei.php --> vso_action = '.$vso_action.'   vso_besitzer_id = '.$vso_besitzer_id.'   vso_patient_id = '.$vso_patient_id.'   vso_behandlung_id = '.$vso_behandlung_id);
		//------------------------------------------------------------------------------
		
			break;
		//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		
		}
	}


//_____________________________________________________________________________________________________________________________
$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot_kartei.inc");
$e->write();
$db->free_result();
$db->close();
?> 
