<?php
/*
 *      labordruck.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

//wichtig: keine Leerzeichen vor <?php und keine nach dem Ende!!!!!!!
//sonst streikt fpdf

//WICHTIG: Alle Skripte, die fpdf/tcpdf benutzen muessen so enkodiert sein wie das System
//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

include_once "../tcpdf/tcpdf.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


class labordruck extends TCPDF
	{
	//Page header
	function Header()
		{
		//Logo
		$this->Image(logo,10,8,12,12);
		/*
		//FreeSans bold 15
		$this->SetFont('FreeSans','B',15);
		//Move to the right
		$this->Cell(80);
		//Title
		$this->Cell(30,10,'Title',1,0,'C');
		//Line break
		$this->Ln(20); 
		* */
		$this->SetFont('FreeSans',"B",10);
		$this->setfillcolor("230");
		$this->setx(30);
		$this->Cell(164,8,zeile1." ".zeile2." ".zeile3." ".zeile4 ,1,0,"C",1);
		$this->Ln(20);
		}
	
	//Page footer
	function Footer()
		{
		//Position at 1.5 cm from bottom
		$this->SetY(-15);
		$this->SetFont('FreeSans','I',8);
		//Page number
		$this->Cell(0,10,'Seite '.$this->PageNo().'/{nb}',0,0,'C');
		}
	}


//Instanciation of inherited class
$db = new vs_db();
$db->connect();


office_login($db,$can_insert,$can_edit,$can_delete);

$labordruck=new labordruck(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT,true);
$labordruck->getAliasNbPages();
$labordruck->AddPage();


switch ($vso_typ)
	{
	case "behandlung":	//Laborergebnisse einer Behandlung
	$bemerkungen="";
	$num_bem=0;
	$db->query("select b.datum,p.name from vs_behandlung b, vs_patient p where b.patient_id=" .
				"p.patient_id and b.behandlung_id=$vso_behandlung_id");
	$bp=$db->fetch_row();
	$db->free_result();
	
	//�berschrift
	$labordruck->SetFont('FreeSans','B',12);
	$labordruck->setx(15);
	//$labordruck->sety(25);
	$labordruck->cell(150,15,"Laborwerte des Patienten \"$bp[1]\" vom $bp[0]",0,1);
	$labordruck->SetFont('FreeSans','U',10);
	$labordruck->setx(15);
	$labordruck->cell(70,15,"Laborwert",0,0);
	$labordruck->cell(35,15,"Ergebnis",0,1,"R");
	$db->query("Select laborus_id,bezeichnung,wert,einheit,bewertung,ergebnistext,bemerkung from vs_laborus where " .
				" behandlung_id=$vso_behandlung_id");  	  
	
	
	while ($row=$db->fetch_row())
		{
		$labordruck->setx(15);
		if ((strpos($row[4],"+")) or (strpos($row[4],"--")))
		$labordruck->SetFont('FreeSans','BI',10);
		else
		$labordruck->SetFont('FreeSans','',10);
		
		if (($row[2] == 0) and ($row[3] == "")) //ergebnis als text
			{
			$labordruck->cell(70,5,$row[1],0,0);
			$labordruck->cell(56,5,$row[5],0,0,"R");
			$labordruck->cell(38,5,"",0,0);
			}
		else //Ergebhnis als Zahlenwert
			{
			$labordruck->cell(70,5,$row[1],0,0);
			$labordruck->cell(28,5,ptc(round($row[2],2)),0,0,"R");
			$labordruck->cell(28,5,$row[3],0,0);
			$labordruck->cell(38,5,$row[4],0,0,"R");
			}
		//Bemerkungen sammeln, am Schluss zusammen angeben
		if ($row[6] != "")
			{
			$num_bem ++;
			$bemerkungen=$bemerkungen.$num_bem.") ".$row[6]."\n";
			$labordruck->cell(10,5,$num_bem.")",0,1,"R");
			}
		else $labordruck->cell(8,5,"",0,1,"R"); //nur wegen Zeilenumbruch
		}
		
		//zum Schluss die gesammelten Bemerkungen
		if ($bemerkungen != "")
			{
			$labordruck->SetFont('FreeSans','U',8);
			$labordruck->cell(5,28,"Bemerkungen",0,1);
			$labordruck->SetFont('FreeSans','',8);
			$labordruck->MultiCell(0,5,$bemerkungen);
			}  
		break;
	
	$db->free_result();
	} //switch


//Ende
$db->free_result();
$db->close();

ob_start();
$labordruck->Output();
ob_end_flush();

?>
