<?php
/*
 *      labus_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";


include_once "../vs_office_inc/config.inc.php";

//echo"<script language=\"javascript\" src=\"behandlung.js\"></script>";

function show_labor($db, $besitzer_id, $patient_id, $behandlung_id, $laborus_id)
//Dokumentationen zeigen
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_labor_rechts");
		$behandlung_rechts->add(zeige_laborus($db, $besitzer_id, $patient_id, $behandlung_id, $laborus_id));
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_labor_links");
		$behandlung_links->add(make_laborus_list($db, $besitzer_id, $patient_id, $behandlung_id, $laborus_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 5, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	}

function add_labor($db, $besitzer_id, $patient_id, $behandlung_id, $laborus_id)
//Dokumentationen hinzufuegen
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		unset($behandlung_id);
		show_behandlung($db, $besitzer_id, $patient_id, $behandlung_id);
		}
	else
		{
		//seite
		//2015-02-20 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		//Besitzer
		$d_bes = new vs_div;
		$d_bes->set_css_class("vs_besitzer_area");
		$d_bes->add(bes_area($db, $besitzer_id));
		//Patient
		$d_pat = new vs_div;
		$d_pat->set_css_class("vs_patient_area");
		$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
		//Behandlung
		//2015-02-20 KM: Formatierung geaendert;
		$d_behandlung      = new vs_div( "", "", "", "", "", "tabd");
		$t_behandlung      = new vs_table("behandlung", 1, 2);
		//rechter Teil 
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_rechts = new vs_div( "", "", "", "", "", "kartei_labor_rechts");
		$behandlung_rechts->add(neue_laborus($db, $besitzer_id, $patient_id, $behandlung_id));
		//*************************************************************************
		//linker Teil
		//2015-02-20 KM: Formatierung geaendert
		$behandlung_links = new vs_div( "", "", "", "", "", "kartei_labor_links");
		$behandlung_links->add(make_laborus_list($db, $besitzer_id, $patient_id, $behandlung_id, $laborus_id));
		//*************************************************************************
		$t_behandlung->add(1, 1, $behandlung_links);
		$t_behandlung->add(1, 2, $behandlung_rechts);
		$d_behandlung->add(behandlungleiste($db, $besitzer_id, $patient_id, $behandlung_id));
		$d_behandlung->add($t_behandlung);
		//seite
		$seite->add($d_bes);
		$seite->add($d_pat);
		$seite->add(make_kartei_tab($db, 5, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add($d_behandlung);
		//2015-04-02 KM: NEU Hilfe
		//$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id));
		$seite->add(bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id, "", "", "", "../hilfe/help.html#karteikarte"));	//Untere Navigationsleiste
		$seite->write();
		}
	}



function make_laborus_list($db, $besitzer_id, $patient_id, $behandlung_id, $laborus_id)
	{
	$t = new vs_table("laborusarea", 1, 1);
	$t->set_cell_width(1, 1, "250px");
	$t->set_css_class("laborusarea");
	if (!isset($behandlung_id))
		{
		//KM TEST: Hier fehlt was
		}
	else
		{
		$db->query("Select laborus_id,bezeichnung,wert,einheit,bewertung from vs_laborus where behandlung_id=$behandlung_id");
		$t->add(1, 1, new vs_action_img("add", "../img/add_24.gif", "a_karte_add_labor&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id"));
		if (isset($laborus_id))
			{
			$ai = new vs_action_img("delete", "../img/delete_24.gif", "a_karte_del_labor&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=" . 
									"$behandlung_id&laborus_id=$laborus_id");
			$ai->set_title("Laboruntersuchung l&ouml;schen");
			$t->add(1, 1, $ai);
			
			//2014-12-01 KM: geaendert vs_new_window_img -> vs_link_img
			$ai = new vs_link_img("../img/3_chart.gif", "laborwert_verlauf.php?laborus_id=$laborus_id", "_blank");
			$ai->set_title("Verlaufskontrolle Laboruntersuchung");
			$t->add(1, 1, $ai);
			}
		//2014-12-20 KM: geaendert vs_new_window_img -> vs_link_img
		$ai = new vs_link_img("../img/buro.gif", "labordruck.php?typ=behandlung" . "&behandlung_id=$behandlung_id", "_blank");
		$ai->set_title("Laboruntersuchungen ausdrucken");
		$t->add(1, 1, $ai);
		
		
		//2014-12-01 KM: geaendert vs_new_window_img -> vs_link_img
		$ai = new vs_link_img("../img/mail.png", "labormail.php?action=browse_beh_labordata" . "&behandlung_id=$behandlung_id", "_blank");
		$ai->set_title("Laboruntersuchungen per e-mail versenden");
		$t->add(1, 1, $ai);
		//Vetabc Eingabedialoig
		if (file_exists("vetabc_dialog.php"))
			{
			//2014-12-01 KM: geaendert vs_new_window_img -> vs_link_img
			$ai = new vs_link_img("../img/vetabc.gif", "vetabc_dialog.php?action=a_show_form" . 
									"&behandlung_id=$behandlung_id" . 
									"&patient_id=$patient_id", "_blank");
			$ai->set_title("Laborwerte vom Vet-ABC eingeben");
			$t->add(1, 1, $ai);
			}
		//Reflovet/Reflotron Eingabedialog
		if (file_exists("reflovet_dialog.php"))
			{
			//2014-12-01 KM: geaendert vs_new_window_img -> vs_link_img
			$ai = new vs_link_img("../img/reflovet.gif", "reflovet_dialog.php?action=a_show_form" . 
									"&behandlung_id=$behandlung_id" . 
									"&patient_id=$patient_id", "_blank");
			$ai->set_title("Laborwerte vom Reflovet eingeben");
			$t->add(1, 1, $ai);
			}
		
		//KM: Tabelle links
		$pt = new vs_db_table($db, 376, $laborus_id);
		$pt->set_field_width(1, 150);
		$pt->set_field_width(2, 70);
		$pt->set_field_align(2, "right");
		$pt->set_field_width(3, 40);
		$pt->set_field_label(3, "");
		$pt->set_field_width(4, 120);
		$pt->set_field_align(4, "right");
		$pt->set_field_label(4, "");
		$pt->add_action(new vs_action("a_karte_show_labor&besitzer_id=$besitzer_id&patient_id=$patient_id&behandlung_id=$behandlung_id&laborus_id=$laborus_id", "../img/edit.gif"));
		$t->add(1, 1, $pt);
		}
	return $t;
	}


function zeige_laborus($db, $besitzer_id, $patient_id, $behandlung_id, &$laborus_id)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		//nix zu tun
		$t = new vs_form_x("labor_neu", 1);
		$t->add_control(1, new vs_text("Es ist keine Behandlung selektiert!!"));
		return $t;
		}
	else
		{
		if (!isset($laborus_id)) //kein Laborwert festgelegt, alle listen
			{
			$db->query("Select laborus_id,datum,laborwert_id,bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung " . 
						"from  vs_laborus where behandlung_id=" . $behandlung_id);
			}
		else //Laborwert festgelegt
			{
			$db->query("Select laborus_id,datum,laborwert_id,bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung " . 
						"from  vs_laborus where laborus_id=" . $laborus_id);
			}
		$row        = $db->fetch_row();
		$n          = $db->num_rows();
		$laborus_id = $row[0];
		if ($n > 0) //Laborwert vorhanden
			{
			ptc($row[5]);
			$olddata = $db->curr_row_as_string();
			$t       = new vs_form_x("labor_edit", 6);
			$t->set_cellspacing(2);
			
			//2015-01-05 KM: Datum Umstellung auf Datepicker
			$t->add_control(1, new vs_datepicker("datum", d_db2dis($row[1]), "multi_today1_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			
			$t->add_control(1, new vs_db_sql_listbox("bezeichnung", 70, $db, "Select laborwert_id,bezeichnung,einheit from vs_laborwert order by bezeichnung", 1, 2, 1, 1, $row[3]));
			$t->add_control(2, new vs_edit("ergebnistext", 70, 70, $row[4], "Text &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$t->add_control(3, new vs_d_edit("wert", 8, 8, $row[5],"Wert &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$t->add_control(3, new vs_label("&nbsp; Einheit"));
			$t->add_control(3, new vs_span_text("&nbsp;  " . $row[6] . "&nbsp;", "vs_disabled_edit"));
			$t->add_control(3, new vs_label("&nbsp;&nbsp; Bewertung"));
			$t->add_control(3, new vs_span_text("&nbsp;  " . $row[7] . "&nbsp;", "vs_disabled_edit"));
			
			//2015-03-02 KM: set_label eingefuegt
			//$t->add_control(4, new vs_db_listbox("labor", 25, $db, "vs_labor", "bezeichnung", "bezeichnung", $row[8]));
			$p_labor=new vs_db_listbox("labor", 25, $db, "vs_labor", "bezeichnung", "bezeichnung", "$row[8]");
			$p_labor->set_label("Labor &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
			$t->add_control(4, $p_labor);
			
			//Textbausteine einfuegen
			$on_ic2_click = "send_labtext_insert_req($besitzer_id,$patient_id,0);";
			$ic           = new vs_click_img("ci_2", "../img/vs_doku_ins.png", $on_ic2_click);
			$ic->set_title("Textbaustein an der Cursorposition einf&uuml;gen");
			$t->add_control(4, $ic);
			$lb = new vs_db_listbox("vorlage", 30, $db, "vs_textbaustein", "bezeichnung", "textbaustein_id", "", 0, "", "", "where typ='Labor' or typ = 'Allgemein' ");
			$t->add_control(4, $lb);
			
			
			$t->add_control(5, new vs_memo("bemerkung", 67, 16, $row[9], "Bemerkung"));
			$t->add_control(6, new vs_hidden("besitzer_id", $besitzer_id));
			$t->add_control(6, new vs_hidden("patient_id", $patient_id));
			$t->add_control(6, new vs_hidden("behandlung_id", $behandlung_id));
			$t->add_control(6, new vs_hidden("laborus_id", $laborus_id));
			$t->add_control(6, new vs_hidden("olddata", $olddata));
			$t->add_control(6, new vs_hidden("action", "a_karte_post_edit_labor"));
			
			$t->add_control(6, new vs_submit("submit", "Speichern", "true"));
			$t->add_control(6, new vs_reset("reset", "Abbrechen", "true"));
			
			return $t;
			}
		else //keine Laborwerte vorhanden also evtl neue einfügen
			{
			return neue_laborus($db, $besitzer_id, $patient_id, $behandlung_id);
			}
		}
	}


function neue_laborus($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	if ((!isset($besitzer_id)) or (!isset($patient_id)) or (!isset($behandlung_id)) or ($behandlung_id == ""))
		{
		//nix zu tun
		$t = new vs_form_x("labor_neu", 6);
		$t->set_cellspacing(5);
		return $t;
		}
	else
		{
		$db->query("select datum from vs_behandlung where behandlung_id = $behandlung_id");
		$beh = $db->fetch_row();
		$t   = new vs_form_x("labor_neu", 6);
		$t->set_cellspacing(2);
		
		//2015-01-05 KM: Datum Umstellung auf Datepicker
		$t->add_control(1, new vs_datepicker("datum", $beh[0], "multi_today2_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		
		$t->add_control(1, new vs_db_sql_listbox("bezeichnung", 70, $db, "Select laborwert_id,bezeichnung,einheit from vs_laborwert order by bezeichnung", 1, 2, 1, 1, ""));
		$t->add_control(2, new vs_edit("ergebnistext", 70, 70, "", "Text &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(3, new vs_d_edit("wert", 8, 8, "0,00","Wert &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(3, new vs_label("&nbsp; Einheit"));
		$t->add_control(3, new vs_span_text("&nbsp;&nbsp;&nbsp;", "vs_disabled_edit"));
		$t->add_control(3, new vs_label("&nbsp;&nbsp; Bewertung;"));
		$t->add_control(3, new vs_span_text("&nbsp;&nbsp;&nbsp;", "vs_disabled_edit"));
		
		//2015-03-02 KM: set_label eingefuegt
		//$t->add_control(4, new vs_db_listbox("labor", 25, $db, "vs_labor", "bezeichnung", "bezeichnung", "Praxislabor"));
		$p_labor=new vs_db_listbox("labor", 25, $db, "vs_labor", "bezeichnung", "bezeichnung", "Praxislabor");
		$p_labor->set_label("Labor &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(4, $p_labor);
		
		//Textbausteine einfuegen
		$on_ic2_click = "send_labtext_insert_req($besitzer_id,$patient_id,0);";
		$ic           = new vs_click_img("ci_2", "../img/vs_doku_ins.png", $on_ic2_click);
		$ic->set_title("Textbaustein an der Cursorposition einf&uuml;gen");
		$t->add_control(4, $ic);
		$lb = new vs_db_listbox("vorlage", 30, $db, "vs_textbaustein", "bezeichnung", "textbaustein_id", "", 0, "", "", "where typ='Labor' or typ = 'Allgemein' ");
		$t->add_control(4, $lb);
		
		$t->add_control(5, new vs_memo("bemerkung", 67, 16, "", "Bemerkung"));
		$t->add_control(6, new vs_hidden("besitzer_id", $besitzer_id));
		$t->add_control(6, new vs_hidden("patient_id", $patient_id));
		$t->add_control(6, new vs_hidden("behandlung_id", $behandlung_id));
		$t->add_control(6, new vs_hidden("action", "a_karte_post_ins_labor"));
		$t->add_control(6, new vs_button("submit", "Speichern"));
		$t->add_control(6, new vs_button("reset", "Abbrechen"));
		return $t;
		}
	}

function labor_before_save($db, $patient_id, $bezeichnung, $wert, $ergebnistext, &$laborwert_id, &$einheit, &$bewertung)
	{
	$db->query("Select tierart from vs_patient where patient_id=$patient_id");
	$row     = $db->fetch_row();
	$tierart = $row[0];
	$db->free_result();
	$bfr = ""; //Text </font>
	$efr = "";
	if ($tierart == "Hund")
		{
		$db->query("Select laborwert_id,bezeichnung,einheit,normaltext_hund,untergrenze_hund,obergrenze_hund " . 
					" from vs_laborwert where bezeichnung='$bezeichnung'");
		$row          = $db->fetch_row();
		$laborwert_id = $row[0];
		$einheit      = $row[2];
		$normbereich  = "(" . ptc($row[4]) . "-" . ptc($row[5]) . ")";
		$bewertung    = $normbereich;
		if ($wert < $row[4])
			$bewertung = $bfr . "- " . $efr . $normbereich;
		if ($wert > $row[5])
			$bewertung = $bfr . "+ " . $efr . $normbereich;
		$db->free_result();
		}
	else if ($tierart == "Katze")
		{
		$db->query("Select laborwert_id,bezeichnung,einheit,normaltext_katze,untergrenze_katze,obergrenze_katze " . 
					" from vs_laborwert where bezeichnung='$bezeichnung'");
		$row          = $db->fetch_row();
		$laborwert_id = $row[0];
		$einheit      = $row[2];
		$normbereich  = "(" . ptc($row[4]) . "-" . ptc($row[5]) . ")";
		$bewertung    = $normbereich;
		if ($wert < $row[4])
			$bewertung = $bfr . " - " . $efr . $normbereich;
		if ($wert > $row[5])
			$bewertung = $bfr . " + " . $efr . $normbereich;
		$db->free_result();
		}
	else
		{
		//andere Tierart
		$db->query("Select laborwert_id,bezeichnung,einheit " . 
					" from vs_laborwert where bezeichnung='$bezeichnung'");
		$row          = $db->fetch_row();
		$laborwert_id = $row[0];
		$einheit      = $row[2];
		$normbereich  = "";
		$bewertung    = "keine Normwerte" . $normbereich;
		$db->free_result();
		
		}
	}


//---------------------------------------------------------------------------------------------
?> 
