<?php
/*
 *      ldt.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




//---------------------------------------------------------------------------------------
// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";



function is_zahl($s)
	{
	if (strval(intval($s)) == $s)
		return true;
	else
		return false;
	}

//function, um leere Zeilen zu entfernen, wie z.B. biocontrol sie am Dateienede einfuegt
function del_lz($fname)
	{
	if (file_exists($fname))
		{
		$file = fopen($fname, r);
		if ($file)
			{
			$i = 0;
			while (!feof($file))
				{
				$zeile    = fgets($file, 100);
				$zeile    = trim($zeile);
				$list[$i] = $zeile;
				$i++;
				}
			}
		fclose($file);
		unlink($fname);
		$file = fopen($fname, w);
		if ($file)
			{
			for ($i = 0; $i < count($list); $i++)
				{
				$zeile = $list[$i];
				if (strlen($zeile) > 1)
					{
					$zeile = $zeile . chr(10) . chr(13);
					fputs($file, $zeile);
					}
				}
			}
		fputs($file, "");
		fclose($file);
		}
	}


function ldt_file_to_array($fname)
	{
	del_lz($fname);
	if (file_exists($fname))
		{
		$file = fopen($fname, r);
		if ($file)
			{
			$i = 0;
			while (!feof($file))
				{
				$zeile = fgets($file, 100);
				
				
				
				$zeile        = trim($zeile);
				$ldt_list[$i] = $zeile;
				$i++;
				}
			}
		fclose($file);
		}
	return $ldt_list;
	}



function ldt_str_get_length($s, $fk, $v, $r, $e)
	{
	$r   = 0;
	$fk  = 0;
	$v   = 0;
	$top = 0;
	$n   = 0;
	$e   = 0;
	$s1  = substr($s, 0, 7); //erste 7 Zeichen sind Zahlen
	if (is_zahl($s1) == false)
		{
		$r = -1;
		}
	else
		{
		$fk = substr($s, 3, 4);
		if (($fk == 8100) or ($fk == 9202)) // Summenangaben
			{
			$n = substr($s, 0, 3); //Summe Feld
			$v = substr($s, 7, $n - 9); //Summe Satz(8100) oder Bericht (9292)
			if (is_zahl($v) == false)
				{
				$v    = -1;
				$r    = -1;
				$stop = 1; //Abbruch erzwingen mit $r=-1
				}
			}
		//--------Vergl angegeb.und tats.Länge------------------------
		$data_len = strlen($s);
		$n        = intval(substr($s, 0, 3)) - 2; //wg.CR/LF
		if ($data_len != $n)
			$e = -1;
		//------------------------------------------------------------
		if ($stop != 1) //nicht abgebrochen
			$n = substr($s, 0, 3);
		$r = $n;
		}
	return $r;
	}

//_____________________________________________________________________________________________________________

function check_ldt($ldt, &$error, $ignore_error = "1")
	{
	$error = "";
	$fk    = 0;
	$v     = 0;
	$fl    = 0; //Feldlänge
	$satz  = 0; //satzzähler
	$sz    = 0; //satzlängenzähler
	$sl    = 0; //satzlänge
	$fs    = 0;
	
	
	for ($i = 0; $i < count($ldt) - 1; $i++)
		{
		$s  = $ldt[$i];
		$fl = ldt_str_get_length($s, $fk, $v, $r, $e);
		if ($e != 0)
			$error = $error . "Fehler in Zeile " . ($i + 1) . " Feldl&auml;nge entspricht nicht den Angaben<br>";
		
		if ($fl <= 0)
			{
			if ($fl == 0)
				$error = $error . "Fehler in Zeile " . ($i + 1) . "Feldl&auml;ngenangabe oder Feldkennung nicht korrekt<br>";
			if ($fl < 0)
				$error = $error . "Fehler in Zeile " . ($i + 1) . "Wert f&uuml;r Satzl&auml;nge nicht korrekt<br>";
			}
		else //$fl>0
			{
			if ($fk == 8000) //neuerSatz
				{
				if ($satz > 0)
					{
					if ($sz != $sl)
						$error = $error . "Fehler in Satz " . $satz . ". Satzl&auml;nge nicht korrekt<br>";
					}
				$satz++;
				$sz = $fl;
				$fs = $fs + $fl;
				}
			else if ($fk == 8100) //Längenangabe für Satz
				{
				$sl = $v;
				$sz = $sz + $fl;
				$fs = $fs + $fl;
				}
			else if ($fk == 9202) //Längenangabe für Bereicht
				{
				$fss = $v;
				$sz  = $sz + $fl;
				$fs  = $fs + $fl;
				}
			else
				{
				$sz = $sz + $fl;
				$fs = $fs + $fl;
				}
			}
		} //for...
	
	if ($satz > 0)
		{
		if ($sz != $sl)
			{
			$error = $error . "Feler in Satz " . $satz . "Satzl&auml;nge nicht korrekt<br>";
			}
		}
	if ($fss != $fs)
		{
		$error = $error . "Gesamtl&auml;nge des Datensatzes nicht korrekt<br>";
		}
	//Bewertung
	if (($error == "") or ($ignore_error == "1"))
		{
		
		if ((!isset($ldt)) or ($ldt == ""))
			{
			$error = "Ung&uuml;ltiger Dateiname. Abbruch. ";
			return false;
			}
		else
			{
			$error = "LDT-Check: In der Datei wurden keine Fehler festgestellt.<br> ";
			return true;
			}
		}
	else
		{
		$error = $error . "<br> Die Datei ist fehlerhaft. ";
		return false;
		}
	}

//___________________________________________________________________________________________

class vs_ldt_test
	{
	var $test_ident;
	var $bezeichnung;
	var $wert;
	var $einheit;
	var $ergebnistext;
	var $memo;
	var $normalwert;
	var $indikator;
	
	
	function __construct()
		{
		
		}
	
	function set_test_ident($test_ident)
		{
		$this->test_ident = $test_ident;
		}
	
	function set_bezeichnung($bezeichnung)
		{
		$this->bezeichnung = $bezeichnung;
		}
	
	function set_wert($wert)
		{
		$this->wert = $wert;
		}
	
	function set_einheit($einheit)
		{
		$this->einheit = $einheit;
		}
	
	function set_ergebnistext($ergebnistext)
		{
		$this->ergebnistext = $ergebnistext;
		}
	
	function set_memo($memo)
		{
		$this->memo = $memo;
		}
	
	function add_memo($memo)
		{
		$this->memo = $this->memo . $memo;
		}
	function add_ergebnistext($ergebnistext)
		{
		$this->ergebnistext = $this->ergebnistext . $ergebnistext;
		}
	function set_normalwert($normalwert)
		{
		$this->normalwert = $normalwert;
		}
	
	function set_indikator($indikator)
		{
		$this->indikator = $indikator;
		}
	
	}

class vs_ldt_bericht
	{
	var $bericht_ident;
	var $befundart;
	var $typ;
	var $tests;
	var $tierart; //neu ab 20.1.2008
	
	function __construct($typ)
		{
		$this->typ = $typ;
		}
	
	function add($test)
		{
		$n               = count($this->tests);
		$this->tests[$n] = $test;
		}
	
	function set_bericht_ident($bericht_ident)
		{
		$this->bericht_ident = $bericht_ident;
		}
	
	function set_befundart($befundart)
		{
		$this->befundart = $befundart;
		}
	//neu ab 20.1.2008
	function set_tierart($tierart)
		{
		$this->tierart = $tierart;
		}
	}




class vs_ldt
	{
	var $file;
	var $ldt_list;
	var $error;
	var $berichte;
	var $check;
	var $labor;
	
	function __construct($file)
		{
		$this->file     = $file;
		$this->ldt_list = ldt_file_to_array($this->file);
		if ($this->check = check_ldt($this->ldt_list, $this->error))
			$this->ldt_load_data();
		
		}
	
	
	function add($bericht)
		{
		$n                  = count($this->berichte);
		$this->berichte[$n] = $bericht;
		}
	
	
	function ldt_load_data()
		{
		$bericht_id   = 0;
		$test_id      = 0;
		$new          = 0;
		$num_ergebnis = 0;
		for ($i = 0; $i < count($this->ldt_list); $i++)
			{
			$fk   = substr($this->ldt_list[$i], 3, 4);
			$n    = substr($this->ldt_list[$i], 0, 3);
			$data = substr($this->ldt_list[$i], 7, $n - 9);
			
			switch ($fk)
			{
				case "8000":
					switch ($data)
					{
						case "8220":
							//Neuer Header, nichts zu tun
							//$this->labor=$data; 
							break;
						case "8201":
							
							if ($bericht_id > 0)
								{
								$bericht->add($test);
								$this->add($bericht);
								$new = 1;
								}
							$bericht     = new vs_ldt_bericht($data); //neuer Bericht
							$this->error = $this->error . " Neuer Bericht (Typ " . $data . ")<br>";
							$bericht_id++;
							break;
						case "8202":
							if ($bericht_id > 0)
								{
								$this->add($bericht);
								}
							$bericht     = new vs_ldt_bericht($data); //neuer Bericht
							$this->error = $this->error . " Neuer Bericht (Typ " . $data . ")<br>";
							$bericht_id++;
							break;
						case "8203":
							if ($bericht_id > 0)
								{
								$this->add($bericht);
								}
							$bericht     = new vs_ldt_bericht($data); //neuer Bericht
							$this->error = $this->error . " Neuer Bericht (Typ " . $data . ")<br>";
							$bericht_id++;
							break;
						case "8204":
							if ($bericht_id > 0)
								{
								$this->add($bericht);
								}
							$bericht     = new vs_ldt_bericht($data); //neuer Bericht
							$this->error = $this->error . " Neuer Bericht (Typ " . $data . ")<br>";
							$bericht_id++;
							break;
					}
					break;
				case "8300":
					$this->labor = $data;
					break;
				
				case "8310":
					$bericht->set_bericht_ident($data);
					break;
				
				case "8401":
					$bericht->set_befundart($data);
					break;
				
				//Vorname, in TM Angaben zum Patient (VetmedLab) neu ab 20.1.2008
				case "3102":
					$bericht->set_tierart("sonstige");
					if (strpos(strtolower($data), "hund") !== false)
						$bericht->set_tierart("Hund");
					if (strpos(strtolower($data), "katze") !== false)
						$bericht->set_tierart("Katze");
					break;
				
				case "8434": //neuer Test      entweder durch 8434 oder durch 8410
					if ($test_id > 0)
						{
						if ($new != 1)
							$bericht->add($test);
						}
					$new  = 0; //Schalter zurückstellen
					$test = new vs_ldt_test();
					$test->set_test_ident($data);
					$test->set_bezeichnung($data); //wird ggf ueberschrieben
					$test_id++;
					break;
				
				case "8410": //neuer Test
					if ($test_id > 0)
						{
						if ($new != 1)
							$bericht->add($test);
						}
					$new  = 0; //Schalter zurückstellen
					$test = new vs_ldt_test();
					$test->set_test_ident($data);
					
					$test_id++;
					break;
				
				case "8411":
					$test->set_bezeichnung($data);
					break;
				
				case "8420":
					$test->set_wert(floatval($data));
					break;
				
				case "8421":
					$test->set_einheit($data);
					break;
				
				//geaendert am 24.9.2009 wg Mikrobiologie/Pathologie/Histologie Bericht von Biocontrol
				case "8480":
					//wenn nur 1  Ergebnis dann unter Ergebnis eintragen. Bei mehreren Ergebnissen 
					//nur Hinweis auf Ergebnis unter -> Bemerkungen
					if ($num_ergebnis < 1)
						{
						$test->set_ergebnistext(substr($data, 0, 69)); //Feldlänge 70
						}
					if ($num_ergebnis >= 1)
						{
						$test->set_ergebnistext("Ergebnis siehe -> Bemerkungen");
						}
					$test->add_memo($data . " ");
					$num_ergebnis++;
					break;
				
				case "8470": //Hinweise,ggf mehrfach. NEU! Leerzeichen und Zeilenumbruch
					$test->add_memo($data . " \n ");
					break;
				
				case "8460":
					$test->set_normalwert($data);
					break;
				
				case "8422":
					$test->set_indikator($data);
					break;
				
				case "9202":
					// Gesamtlänge; müßte Schluß sein 
					$bericht->add($test);
					$this->add($bericht);
					break;
					
			} //switch...
			} //for...	  
		
		for ($i = 0; $i < count($this->berichte); $i++)
			{
			$b           = $this->berichte[$i];
			$n           = count($b->tests);
			$this->error = $this->error . " Bericht " . $b->bericht_ident . " : " . $n . " Testergebnisse <br>";
			}
		}
	
	function ldt_verteilen($db, $teilbefund = 0, $ignore_error = 0)
		{
		for ($i = 0; $i < count($this->berichte); $i++)
			{
			$bericht = $this->berichte[$i];
			if (($bericht->befundart != "E") and ($teilbefund == 0))
				{
				$this->error = $this->error . "Bericht " . $bericht->bericht_ident . "  ist kein Endbefund und wird nicht verteilt";
				}
			else
				{
				$bericht_ident = $bericht->bericht_ident;
				$db->query("select laborus_id,behandlung_id,patient_id,datum from vs_laborus where ergebnistext='$bericht_ident'");
				$row = $db->fetch_row();
				$num = $db->num_rows();
				$db->free_result();
				if ($num > 0)
					{
					$verteil_id = $row[0];
					for ($j = 0; $j < count($bericht->tests); $j++)
						{
						$test = $bericht->tests[$j];
						if ($test->wert == "")
							$test->wert = 0.00;
						//schauen, ob der Test bekannt ist...
						$kurz = $test->test_ident . "_" . $this->labor;
						$db->query("Select  laborwert_id,normaltext_hund,normaltext_katze,bemerkung from vs_laborwert where kurz='$kurz'");
						$row1 = $db->fetch_row();
						$num1 = $db->num_rows();
						$db->free_result();
						
						
						//-------changed 27.8.2007----------------------
						if (ldt2utf8 == "1") //Datenbankzeichensatz UTF-8 (ldts sind immer isoi8859-1) 
							{
							$test->bezeichnung  = utf8_encode($test->bezeichnung);
							$test->ergebnistext = utf8_encode($test->ergebnistext);
							$test->einheit      = utf8_encode($test->einheit);
							$test->wert         = utf8_encode($test->wert);
							$test->memo         = utf8_encode($test->memo);
							$test->normalwert   = utf8_encode($test->normalwert);
							}
						//----------------------------------------------
						
						// changed 18.- 20.1.2008
						if ($num1 > 0) //test_ident ist dem System bekannt
							{
							//ggf muessen die Normalwerte fuer eine Tierart ergaenzt werden  
							$laborwert_id     = $row1[0];
							$normaltext_hund  = $row1[1];
							$normaltext_katze = $row1[2];
							$bemerkung        = $row1[3];
							
							//Hund
							if (($normaltext_hund == "unbekannt") and ($bericht->tierart == "Hund"))
								{
								//jetzt die Normalwerte ergaenzen
								$normal = trim($test->normalwert);
								if (strpos($normal, "<") !== false)
									{
									$obergrenze_hund  = floatval(str_replace("<", "", $normal));
									$untergrenze_hund = 0.0;
									$normaltext_hund  = "";
									}
								if (strpos($normal, "-") !== false)
									{
									$pos              = strpos($normal, "-");
									$untergrenze_hund = floatval(substr($normal, 0, $pos));
									$obergrenze_hund  = floatval(substr($normal, $pos + 1));
									$normaltext_hund  = "";
									}
								if (strpos($normal, "negativ") !== false)
									{
									$normaltext_hund  = "negativ";
									$obergrenze_hund  = 0.0;
									$untergrenze_hund = 0.0;
									}
								$bemerkung = $bemerkung . "\n am " . d_dis2db(today()) . " vom System ergaenzt aus Werten von: " . $this->labor . " bezogen auf die Tierart " . $bericht->tierart;
								$db->query("update vs_laborwert set normaltext_hund = '$normaltext_hund', untergrenze_hund = '$untergrenze_hund', obergrenze_hund = '$obergrenze_hund', bemerkung = '$bemerkung' where laborwert_id = $laborwert_id");
								} //Hund
							
							//Katze
							if (($normaltext_katze == "unbekannt") and ($bericht->tierart == "Katze"))
								{
								//jetzt die Normalwerte ergaenzen
								$normal = trim($test->normalwert);
								if (strpos($normal, "<") !== false)
									{
									$obergrenze_katze  = floatval(str_replace("<", "", $normal));
									$untergrenze_katze = 0.0;
									$normaltext_katze  = "";
									}
								if (strpos($normal, "-") !== false)
									{
									$pos               = strpos($normal, "-");
									$untergrenze_katze = floatval(substr($normal, 0, $pos));
									$obergrenze_katze  = floatval(substr($normal, $pos + 1));
									$normaltext_katze  = "";
									}
								if (strpos($normal, "negativ") !== false)
									{
									$normaltext_katze  = "negativ";
									$obergrenze_katze  = 0.0;
									$untergrenze_katze = 0.0;
									}
								$bemerkung = $bemerkung . "\n am " . d_dis2db(today()) . " vom System ergaenzt aus Werten von: " . $this->labor . " bezogen auf die Tierart " . $bericht->tierart;
								$db->query("update vs_laborwert set normaltext_katze = '$normaltext_katze', untergrenze_katze = '$untergrenze_katze', obergrenze_katze = '$obergrenze_katze', bemerkung = '$bemerkung'  where laborwert_id = $laborwert_id");
								} //Katze
							
							} //test ist dem System bekannt  
						
						
						// changed 18.- 20.1.2008
						//test_ident ist dem System unbekannt
						else //in die Datenbank eintragen 
							{
							$normal            = $test->normalwert;
							$normal            = trim($normal);
							$normaltext_hund   = "unbekannt";
							$normaltext_katze  = "unbekannt";
							$obergrenze_hund   = -1;
							$untergrenze_hund  = -1;
							$obergrenze_katze  = -1;
							$untergrenze_katze = -1;
							//aus dem test->normalwert die Normalwerte extrahieren
							//nur Obergrenze:
							if (strpos($normal, "<") !== false)
								{
								if ($bericht->tierart == "Hund")
									{
									$obergrenze_hund  = floatval(str_replace("<", "", $normal));
									$untergrenze_hund = 0.0;
									$normaltext_hund  = "";
									}
								if ($bericht->tierart == "Katze")
									{
									$obergrenze_katze  = floatval(str_replace("<", "", $normal));
									$untergrenze_katze = 0.0;
									$normaltext_katze  = "";
									}
								}
							//Unter- und Obergrenze
							if (strpos($normal, "-") !== false)
								{
								if ($bericht->tierart == "Hund")
									{
									$pos              = strpos($normal, "-");
									$untergrenze_hund = floatval(substr($normal, 0, $pos));
									$obergrenze_hund  = floatval(substr($normal, $pos + 1));
									$normaltext_hund  = "";
									}
								if ($bericht->tierart == "Katze")
									{
									$pos               = strpos($normal, "-");
									$untergrenze_katze = floatval(substr($normal, 0, $pos));
									$obergrenze_katze  = floatval(substr($normal, $pos + 1));
									$normaltext_katze  = "";
									}
								}
							if (strpos($normal, "negativ") !== false)
								{
								if ($bericht->tierart == "Hund")
									{
									$normaltext_hund  = "negativ";
									$obergrenze_hund  = 0.0;
									$untergrenze_hund = 0.0;
									}
								if ($bericht->tierart == "Katze")
									{
									$normaltext_katze  = "negativ";
									$obergrenze_katze  = 0.0;
									$untergrenze_katze = 0.0;
									}
								}
							
							$bemerkung   = "am " . today() . " vom System eingegeben aus Werten von: " . $this->labor . " bezogen auf die Tierart " . $bericht->tierart;
							$bezeichnung = $test->bezeichnung;
							$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," . "normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," . "untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . "values('$bezeichnung','$kurz','$test->einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund','$untergrenze_katze','$obergrenze_katze','','','$bemerkung')");
							//jetzt muesste der test bekannt sein......
							$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz'");
							$row1 = $db->fetch_row();
							$db->free_result();
							$laborwert_id = $row1[0];
							}
						//-------------changed 4.10. 2006----------------
						$bewertung = $test->indikator . " (" . $test->normalwert . ")";
						
						$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," . " bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum) values " . " ('$row[1]','$row[2]','$laborwert_id','$test->bezeichnung'," . " '$test->ergebnistext','$test->wert','$test->einheit','$bewertung','$this->labor'," . " '$test->memo','$row[3]')");
						
						}
					
					$this->error = $this->error . "Bericht " . $bericht->bericht_ident . "  wurde verteilt. ";
					//geaendert am 24.9.2009  frueher wurde geloescht, kam zu Fehlloeschungen
					$v_datum     = today();
					$db->query("update vs_laborus set ergebnistext=' LDT- Datei verteilt am $v_datum ' where laborus_id=$verteil_id ");
					
					$this->error = $this->error . "Der Eintrag zum Verteilen wurde gel&ouml;scht<br><br>";
					}
				else
					$this->error = $this->error . " Bericht " . $bericht->bericht_ident . " Kein Eintrag zum Verteilen gefunden! <br>" . "Bitte eine Laboruntersuchung mit dem Ergebnistext  <u>" . $bericht->bericht_ident . "</u> eintragen.<br><br> ";
				} //num<0
			} // != E
		
		} //for...
	
	}


//-----------------------------------------------------------------------------------------
?>
