<?php
/*
 *      mustertext_show_print.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


office_login($db);

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');



if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
		{
		case "a_list": //auflisten
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$b = new vs_page_begin("Mustertexte", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
			$b->write();
			
			$seite = new vs_div("400", "490", "left");
			
			$db->query("Select mustertext_id,bezeichnung " . " from  vs_mustertext order by bezeichnung");
			$pt = new vs_db_table($db, 460);
			$pt->set_field_width(1, 220);
			
			$pt->add_action(new vs_action("a_show&besitzer_id=$vso_besitzer_id&patient_id=$vso_patient_id" . "&behandlung_id=$vso_behandlung_id", "../img/text_16.gif"));
			$seite->add($pt);
			$seite->write();
			
			
			$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
			$e->write();
			
			break;
			
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		case "a_show": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$db->query("Select name,vorname,anrede,briefanrede,titel,strasse,plz,wohnort from vs_besitzer where besitzer_id=" . $vso_besitzer_id);
			$bes_row = $db->fetch_row();
			//2015-01-25 KM: Fehler Undefined property: vs_db::$free_result 
			//$db->free_result;
			$db->free_result();
			
			$db->query("Select name,rasse,tierart,farbe,geburtstag,geschlecht,id from vs_patient where patient_id=" . $vso_patient_id);
			$pat_row = $db->fetch_row();
			//2015-01-25 KM: Fehler Undefined property: vs_db::$free_result 
			//$db->free_result;
			$db->free_result();
			
			$db->query("Select datum,diagnose,text,brutto,netto,bezahlt from vs_behandlung where behandlung_id=" . $vso_behandlung_id);
			$beh_row = $db->fetch_row();
			//2015-01-25 KM: Fehler Undefined property: vs_db::$free_result 
			//$db->free_result;
			$db->free_result();
			
			$db->query("Select bezeichnung,typ,text,datapath from vs_mustertext where mustertext_id=" . $vso_mustertext_id);
			$mustertext_row = $db->fetch_row();
			//2015-01-25 KM: Fehler Undefined property: vs_db::$free_result 
			//$db->free_result;
			$db->free_result();
			//Besitzer
			$mtext = $mustertext_row[2];
			$mtext = str_replace("{BESNAME}", $bes_row[0], $mtext);
			$mtext = str_replace("{BESVORNAME}", $bes_row[1], $mtext);
			$mtext = str_replace("{BESANREDE}", $bes_row[2], $mtext);
			$mtext = str_replace("{BESBRIEFANREDE}", $bes_row[3], $mtext);
			$mtext = str_replace("{BESTITEL}", $bes_row[4], $mtext);
			$mtext = str_replace("{BESSTRASSE}", $bes_row[5], $mtext);
			$mtext = str_replace("{BESPLZ}", $bes_row[6], $mtext);
			$mtext = str_replace("{BESORT}", $bes_row[7], $mtext);
			//Patient
			$mtext = str_replace("{PATNAME}", $pat_row[0], $mtext);
			$mtext = str_replace("{PATRASSE}", $pat_row[1], $mtext);
			$mtext = str_replace("{PATTIERART}", $pat_row[2], $mtext);
			$mtext = str_replace("{PATFARBE}", $pat_row[3], $mtext);
			$mtext = str_replace("{PATGEBURTSTAG}", $pat_row[4], $mtext);
			$mtext = str_replace("{PATGESCHLECHT}", $pat_row[5], $mtext);
			$mtext = str_replace("{PATID}", $pat_row[6], $mtext);
			//Behandlung
			$mtext = str_replace("{BEHDATUM}", $beh_row[0], $mtext);
			$mtext = str_replace("{BEHDIAGNOSE}", $beh_row[1], $mtext);
			$mtext = str_replace("{BEHTEXT}", $beh_row[2], $mtext);
			$mtext = str_replace("{BEHBRUTTO}", $beh_row[3] = ptc($beh_row[3]), $mtext);
			$mtext = str_replace("{BEHNETTO}", $beh_row[4] = ptc($beh_row[4]), $mtext);
			$mtext = str_replace("{BEHBEZAHLT}", $beh_row[5] = ptc($beh_row[5]), $mtext);
			//Heute
			$mtext = str_replace("{HEUTE}", today(), $mtext);
			//Datenpfad (Bilddateien,etc)
			$mtext = str_replace("{PATH}", $mustertext_row[3], $mtext);
			
			//echo $mtext;		      <head>".vs_ie_mail_css."</head>
			echo "<html><head>" . vs_ie_print_css . "</head><body>$mtext</body><html>";
			
			break;
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
		}
	}


//_____________________________________________________________________________________________________________________________

$db->free_result();
$db->close();
?> 

