 <?php
/*
 *      patient_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_lib/vs_chart.php";
include_once "../vs_office_inc/config.inc.php";



function add_patient($db, $besitzer_id, $patient_id, $behandlung_id)
//Behandlung zeigen
	{
	//seite
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div("", "", "", "", "", "vs_seite");
	//content ist die Tabelle mit Besitzer und Patient
	$t_content = new vs_table("content", 5, 1);
	//Besitzer
	$d_bes     = new vs_div;
	$d_bes->set_css_class("vs_besitzer_area");
	$d_bes->add(bes_area($db, $besitzer_id));
	//Patient
	$d_pat = new vs_div;
	$d_pat->set_css_class("vs_patient_area");
	$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
	$t_content->add(1, 1, $d_bes);
	$t_content->add(2, 1, $d_pat);
	//KM: Dieser Bereich ist fuer die Kopfdaten des Patienten
	$d_behandlung = new vs_div("", "", "", "", "", "kartei_mitte_ohne_tabs");
	//*****************************************************************
	$d_behandlung->add(new vs_text("<h2>&nbsp; Neuer Patient</h2>"));
	$d_behandlung->add(neuer_patient($db, $besitzer_id));
	//*****************************************************************
	$t_content->add(4, 1, $d_behandlung);
	$t_content->add(5, 1, bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id)); //Untere Navigationsleiste
	//content
	$seite->add($t_content);
	$seite->write();
	
	//KM TEST var_dump
	//var_dump('patient_functions.php - add_patient --> besitzer_id = '.$besitzer_id.'   patient_id = '.$patient_id.'   behandlung_id = '.$behandlung_id);
	
	}


function edit_patient($db, $besitzer_id, $patient_id, $behandlung_id)
	{
	//seite
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div("", "", "", "", "", "vs_seite");
	//content ist die Tabelle mit Besitzer und Patient
	$t_content = new vs_table("content", 5, 1);
	//Besitzer
	$d_bes     = new vs_div;
	$d_bes->set_css_class("vs_besitzer_area");
	$d_bes->add(bes_area($db, $besitzer_id));
	//Patient
	$d_pat = new vs_div;
	$d_pat->set_css_class("vs_patient_area");
	$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
	$t_content->add(1, 1, $d_bes);
	$t_content->add(2, 1, $d_pat);
	$d_behandlung = new vs_div("", "", "", "", "", "kartei_mitte_ohne_tabs");
	//*****************************************************************
	//2015-11-06 KM: Patienten-Nr. zugefuegt
	$d_behandlung->add(new vs_text("<h2>&nbsp; Patienten-Nr. $patient_id &nbsp;&nbsp;&nbsp;&nbsp; Daten &auml;ndern</h2>"));
	$d_behandlung->add(patient_aendern($db, $patient_id));
	//*****************************************************************
	$t_content->add(4, 1, $d_behandlung);
	$t_content->add(5, 1, bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id)); //Untere Navigationsleiste
	//content
	$seite->add($t_content);
	//seite         
	$seite->write();
	
	//KM TEST var_dump
	//var_dump('patient_functions.php - edit_patient --> besitzer_id = '.$besitzer_id.'   patient_id = '.$patient_id.'   behandlung_id = '.$behandlung_id);
	
	}


function besitzer_wechsel($db, $besitzer_id, $patient_id)
	{
	//2015-02-20 KM: Formatierung geaendert
	$seite=new vs_div("", "", "", "", "", "vs_seite");
	//content ist die Tabelle mit Besitzer und Patient
	$t_content = new vs_table("content", 5, 1);
	//Besitzer
	$d_bes     = new vs_div;
	$d_bes->set_css_class("vs_besitzer_area");
	$d_bes->add(bes_area($db, $besitzer_id));
	//Patient
	$d_pat = new vs_div;
	$d_pat->set_css_class("vs_patient_area");
	$d_pat->add(patient_area($db, $besitzer_id, $patient_id));
	$t_content->add(1, 1, $d_bes);
	$t_content->add(2, 1, $d_pat);
	$d_behandlung = new vs_div("", "", "", "", "", "kartei_mitte_ohne_tabs");
	//*****************************************************************
	$d_behandlung->add(new vs_text("<h2>&nbsp; Neuer Besitzer f&uuml;r den Patient</h2>"));
	$d_behandlung->add(patient_neuer_besitzer($db, $besitzer_id, $patient_id));
	//*****************************************************************
	$t_content->add(4, 1, $d_behandlung);
	//2013-12-29 KM: geaendert wg. undefined variable
	if (!isset($behandlung_id))
		{
		$behandlung_id = null;
		}
	$t_content->add(5, 1, bottom_menu($db, $besitzer_id, $patient_id, $behandlung_id));
	//---------content
	$seite->add($t_content);
	$seite->write();
	
	//KM TEST var_dump
	//var_dump('patient_functions.php - besitzer_wechsel --> besitzer_id = '.$besitzer_id.'   patient_id = '.$patient_id.'   behandlung_id = '.$behandlung_id);
	
	}


function patient_area($db, $besitzer_id, &$patient_id)
	{
	//DW: wg. moeglichem -1-Flag von vso_patient_id um or erweitert
	if (!isset($patient_id) or ($patient_id == -1))
		{
		$db->query("Select patient_id,besitzer_id,name,rasse,geburtstag,farbe,gewicht,geschlecht,bild,memo, " . 
					" anzeigetext,id,eupass,kastriert,auslauf,vorsicht,tot,geschichte,dauerbehandlung,offen from  vs_patient where besitzer_id=$besitzer_id order by name");
		$row = $db->fetch_row();
		$nr  = $db->num_rows();
		if ($nr > 0)
			$patient_id = $row[0]; //um bei nicht Initialisierung $vso_patient_id bei edit/delete Fehler zu verhindern              
		}
	else
		{
		$db->query("Select patient_id,besitzer_id,name,rasse,geburtstag,farbe,gewicht,geschlecht,bild,memo, " . 
					" anzeigetext,id,eupass,kastriert,auslauf,vorsicht,tot,geschichte,dauerbehandlung,offen from  vs_patient where patient_id=$patient_id order by name");
		$nr  = $db->num_rows();
		$row = $db->fetch_row();
		}
	
	$db->free_result();
	
	//2015-04-22 KM: Formatierung geaendert 
	//$t = new vs_table("t_patient", 2, 2);
	$t = new vs_table("t_patient", 2, 3);
	
	if ($nr > 0)
		{
		$t->set_css_class("t_patient");
		$link   = "kartei.php?action=a_karte_show_behandlung&besitzer_id=$besitzer_id&patient_id=";
		$sql    = "select patient_id,name,rasse,geschlecht,farbe,geburtstag,offen from vs_patient where besitzer_id= " . $besitzer_id . " order by name";
		//KM: Patienten-Listbox
		$pat_lu = new vs_db_sql_link_listbox("", 80, $db, $sql, 1, 6, 0, 0, $patient_id, $link);
		$pat_lu->set_sepdisplay("-");
		$pat_lu->refresh_values();
		$t->add(1, 1, $pat_lu);
		//KM: Breite der 1. Spalte festlegen
		$t->set_cell_width(1, 1, "660px");
		
		//2016-01-31 KM: Gewicht eine Zeile hoeher
		$pat_gew = new vs_link_img("../img/gewicht_24.gif", "patient_gewicht.php?patient_id=$patient_id&patient_name=$row[19]", "_blank");
		$pat_gew->set_title("Gewichtsentwicklung");
		$t->add(1, 1, $pat_gew);
		$t->add(1, 1, new vs_text("<b>" . ptc(round($row[6], 1)) . " kg </b>"));
		
		if (($row[16] == "1") or (strpos($row[2], "+") > 0))
			{
			//2016-01-31 KM: Neu Text: TOT
			$t->add(1, 1,  new vs_text('<span style="color:red;font-size:1.6em;"><b>&nbsp; TOT &nbsp;</b></font></span>'));
			}
		
		//2016-01-31 KM: Anzeigetext unter Select-Box des Tieres
		$t->add(2, 1,  new vs_text('<span style="color:red;font-size:1.2em;"><b>&nbsp;&nbsp;'.$row[10].'</b></font></span>'));
		
		
		if ($row[15] == "1")
			{
			//2016-01-31 KM: Neues Bild
			$cave = new vs_img("vorsicht", "../img/warning-2.gif");
			$cave->set_title("Vorsicht! Cave Canem!!");
			$t->add(1, 1, $cave);
			}

		
		if (file_exists(datadir . $row[8]) and ($row[8] != ""))
			{
			$ziel = datadir . $row[8];
			$patbild = new vs_new_window_img($ziel, $ziel, 800, 600, 10, 10, "", 24);
			$patbild->set_title("Foto des Patienten zeigen");
			$t->add(1, 1, $patbild);
			}
		
		$np = new vs_action_img("add", "../img/add_24.gif", "a_add_patient&besitzer_id=$besitzer_id");
		$np->set_title("Neuer Patient");
		$t->add(1, 2, $np);
		
		if ($nr > 0) //Patienten vorhanden
			{
			//bei karte-bemerkung Hover img mit rotem InfoFeld  
			if ($row[10] != "")
				{
				
				//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
				$nwi = new vs_link_img("../img/info_red_24.gif", "patient_info.php?patient_id=$patient_id", "_blank");
				$nwi->set_title($row[10]);
				$t->add(2, 2, $nwi);
				}
			else
				{
				//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
				$nwi = new vs_link_img("../img/info_24.gif", "patient_info.php?patient_id=$patient_id", "_blank");
				$nwi->set_title("Weitere Angaben zum Patient");
				$t->add(2, 2, $nwi);
				}
			
			$ai = new vs_action_img("edit", "../img/edit_24.gif", "a_edit_patient&besitzer_id=$besitzer_id&patient_id=$patient_id");
			$ai->set_title("Angaben zum Patient bearbeiten");
			$t->add(2, 2, $ai);
			
			
			if ($row[18] != "")
				{
				$dauerbehandlung = new vs_action_img("edit", "../img/diagnose.gif", "a_edit_patient&besitzer_id=$besitzer_id&patient_id=$patient_id");
				$dauerbehandlung->set_title("Dauerdiagnosen und Dauerbehandlungen");
				$t->add(2, 2, $dauerbehandlung);
				}
			
			
			//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
			$ai = new vs_link_img("../img/patient_history_24.gif", "patient_history.php?patient_id=$patient_id", "_blank");
			$ai->set_title("Die Krankengeschichte des Patienten anzeigen");
			$t->add(2, 2, $ai);
			
			
			if ($row[14] == "1")
				{
				$cave = new vs_img("auslauf", "../img/auslauf.gif");
				$cave->set_title("Dieser Patient hat freien Auslauf");
				$t->add(2, 2, $cave);
				}
			
			
			if ($row[11] != "")
				{
				//2016-01-31 KM: Neue Position im Maskenkopf
				$tas = new vs_link_img("../img/transponder.gif", "tassomail.php?patient_id=$patient_id", "_blank");
				$tas->set_title("Patient bei TASSO registrieren");
				$t->add(2, 2, $tas);
				$t->add(2, 2, new vs_text("<b>" . $row[11] . " </b>"));
				}
			
			if ($row[12] != "")
				{
				//2016-01-31 KM: Neue Position im Maskenkopf
				$t->add(2, 2, new vs_img("eu", "../img/heimtierausweis.gif"));
				$t->add(2, 2, new vs_text("<b>" . $row[12] . " </b>"));
				}
			
			//2016-08-25 KM: Keine offene Behandlungen zum Patient vorhanden
			//if ($row[19] <= 0.1) // funktioniert so nicht, wird erst nach dem ersten Mausclick abgefragt.
			//Die globale Variable $GLOBALS["o_pat2"] ist aus patient_functions.php fuer den Button Besitzerwechsel.
			
			if (!isset($GLOBALS["o_pat2"])) // keine offene Behandlungen zum Patient vorhanden
				{
				$ai = new vs_action_img("neuer besitzer", "../img/besitzer_wechsel_24.gif", "a_patient_besitzerwechsel&besitzer_id=$besitzer_id&patient_id=$patient_id");
				$ai->set_title("Besitzerwechsel beim Patienten durchf&uuml;hren. Zum Patienten darf es keine unbezahlten Behandlungen geben");
				$t->add(1, 2, $ai);
				}
			
			
			if ($db->num_count("vs_behandlung", "patient_id=$patient_id") < 1)
				{
				$ai = new vs_action_img("del", "../img/delete_24.gif", "a_del_patient&besitzer_id=$besitzer_id&patient_id=$patient_id");
				$ai->set_title("Patient l&ouml;schen");
				$t->add(1, 2, $ai);
				}
			}
		}
	else
		{
		//2015-01-28 KM: Formatierung geaendert und ADD-Button Patenent eingefuegt.
		//2015-09-12 KM: Formatierung geaendert
		$t->add(1, 1, new vs_text("<b>&nbsp; Noch keine Patienten vorhanden.</b>"));
		//KM: Breite der 1. Spalte festlegen
		$t->set_cell_width(1, 1, "660px");
		$np = new vs_action_img("add", "../img/add_24.gif", "a_add_patient&besitzer_id=$besitzer_id");
		$np->set_title("Neuer Patient");
		$t->add(1, 2, $np);
		}
	
	//2015-04-10 KM: Datum von besitzer_funktions.php verschoben
	//Datum
	$t->add(2, 3, new vs_span_text(today(), "karteidate"));
	$t->set_cell_width(2, 3, "62px");
	
	return $t;
	}


///2014-11-26 KM: Formatierung geaendert 
function neuer_patient($db, $besitzer_id)
	{
	$f1               = new vs_form("patientform");
	$f1->reset_button = "1";
	$f1->set_num_rows(2);
	$f1->set_label_pos("left");
	$f1->set_target_action("a_post_ins_patient");
	$f1->add_control(new vs_edit("name", 30, 30, ""));
	$f1->add_control(new vs_db_listbox("tierart", 25, $db, "vs_tierart", "bezeichnung", "bezeichnung", "Hund"));
	$f1->add_control(new vs_db_listbox("rasse", 40, $db, "vs_rasse", "bezeichnung", "bezeichnung", ""));
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$f1->add_control(new vs_datepicker("geburtstag", "", "multi_today1_Datepicker", "Geburtstag"));
	
	$f1->add_control(new vs_edit("farbe", 20, 20, ""));
	$f1->add_control(new vs_d_edit("gewicht", 10, 10, "0,00"));
	$f1->add_control(new vs_edit("id", 25, 25, "", "Chip/T&auml;to ID"));
	$f1->add_control(new vs_edit("eupass", 25, 25, ""));
	$c = new vs_listbox("geschlecht", 20, "");
	$c->add_item("männlich", "männlich");
	$c->add_item("weiblich", "weiblich");
	$c->add_item("männlich kastriert", "männlich kastriert");
	$c->add_item("weiblich kastriert", "weiblich kastriert");
	$c->add_item("männlich sterilis.", "männlich sterilis.");
	$c->add_item("weiblich sterilis.", "weiblich sterilis.");
	$c->add_item("Zwitter", "Zwitter");
	$c->add_item("sonstiges", "sonstiges");
	$c->add_item("unbekannt", "unbekannt");
	$f1->add_control($c);
	$f1->add_control(new vs_hidden("kastriert", "0"));
	$f1->add_control(new vs_checkbox("auslauf", "0"));
	$f1->add_control(new vs_checkbox("vorsicht", "0"));
	$f1->add_control(new vs_checkbox("tot", "0"));
	$f1->add_control(new vs_d_edit("offen", 10, 10, "0,00"));
	$f1->add_control(new vs_edit("anzeigetext", 30, 200, ""));
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$f1->add_control(new vs_datepicker("erstbesuch", "", "multi_today2_Datepicker", "Erstbesuch"));
	$f1->add_control(new vs_datepicker("letzterbesuch", "", "multi_today3_Datepicker", "Letzter Besuch"));
	
	$f1->add_control(new vs_memo("memo", 50, 4, ""));
	$f1->add_control(new vs_memo("geschichte", 50, 4, ""));
	$f1->add_control(new vs_memo("dauerbehandlung", 50, 4, ""));
	$f1->add_control(new vs_hidden("besitzer_id", $besitzer_id));
	return $f1;
	}


function patient_aendern($db, $patient_id)
	{
	$db->query("Select patient_id,besitzer_id,name,rasse,tierart,geburtstag," . 
				" farbe,gewicht,id,eupass,geschlecht,kastriert,auslauf,vorsicht,tot," . 
				" offen,anzeigetext,erstbesuch,letzterbesuch,memo,geschichte,bild,dauerbehandlung,pat_ident " . 
				" from vs_patient where patient_id=" . $patient_id);
	
	$row     = $db->fetch_row();
	$olddata = $db->curr_row_as_string();
	$row[7]  = ptc($row[7]); //Gewicht
	$row[15] = ptc($row[15]); //Offen	
	
	//2014-11-26 KM: Formatierung geaendert  
	$f1 = new vs_form("patientform");
	$f1->set_num_rows(3);
	$f1->set_label_pos("left");
	$f1->set_target_action("a_post_edit_patient");
	$f1->set_enctype("multipart/form-data"); //wg Dateiuplpad
	//Datenfelder
	$f1->add_control(new vs_edit("name", 30, 30, $row[2]));
	$f1->add_control(new vs_db_listbox("tierart", 25, $db, "vs_tierart", "bezeichnung", "bezeichnung", "$row[4]"));
	$f1->add_control(new vs_edit("rasse", 40, 40, $row[3]));
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$f1->add_control(new vs_datepicker("geburtstag", d_db2dis($row[5]), "multi_today4_Datepicker", "Geburtstag"));
	
	$f1->add_control(new vs_edit("farbe", 20, 20, $row[6]));
	$f1->add_control(new vs_d_edit("gewicht", 10, 10, $row[7]));
	$f1->add_control(new vs_edit("id", 25, 25, $row[8], "Chip/T&auml;to ID"));
	$f1->add_control(new vs_edit("eupass", 25, 25, $row[9]));
	$c = new vs_listbox("geschlecht", 20, $row[10]);
	$c->add_item("männlich", "männlich");
	$c->add_item("weiblich", "weiblich");
	$c->add_item("männlich kastriert", "männlich kastriert");
	$c->add_item("weiblich kastriert", "weiblich kastriert");
	$c->add_item("männlich sterilis.", "männlich sterilis.");
	$c->add_item("weiblich sterilis.", "weiblich sterilis.");
	$c->add_item("Zwitter", "Zwitter");
	$c->add_item("sonstiges", "sonstiges");
	$c->add_item("unbekannt", "unbekannt");
	$f1->add_control($c);
	$f1->add_control(new vs_checkbox("auslauf", $row[12]));
	$f1->add_control(new vs_checkbox("vorsicht", $row[13]));
	$f1->add_control(new vs_checkbox("tot", $row[14]));
	
	//2015-01-29 KM: Muss "pat_ident" nicht auf readonly("true") ?
	$f1->add_control(new vs_edit("pat_ident", 30, 200, $row[23], "IDENT"));
	
	$f1->add_control(new vs_d_edit("offen", 10, 10, $row[15]));
	//2016-01-31 KM: Feldlaenge (40) und max. Zeichen (50)) angepasst.
	$f1->add_control(new vs_edit("anzeigetext", 40, 50, $row[16]));
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$f1->add_control(new vs_datepicker("erstbesuch", d_db2dis($row[17]), "multi_today5_Datepicker", "Erstbesuch"));
	$f1->add_control(new vs_datepicker("letzterbesuch", d_db2dis($row[18]), "multi_today6_Datepicker", "Letzter Besuch"));
	
	$f1->add_control(new vs_file_edit("bild", 15, 32, datadir . $row[21]));
	$f1->add_control(new vs_memo("memo", 40, 14, $row[19]));
	$f1->add_control(new vs_memo("geschichte", 40, 14, $row[20]));
	$f1->add_control(new vs_memo("dauerbehandlung", 40, 14, $row[22]));
	$f1->add_control(new vs_hidden("besitzer_id", $row[1]));
	$f1->add_control(new vs_hidden("patient_id", "$row[0]"));
	$f1->add_control(new vs_hidden("olddata", "$olddata"));
	$f1->add_control(new vs_hidden("kastriert", $row[11]));
	return $f1;
	}


function patient_neuer_besitzer($db, $besitzer_id, $patient_id)
	{
	$t = new vs_form_x("pat_neuer_besitzer", 5);
	$t->set_cellspacing(1);
	$sql    = "select besitzer_id,name,vorname,wohnort from vs_besitzer order by name";
	$bes_lu = new vs_db_sql_listbox("besitzer_neu_id", 80, $db, $sql, 1, 3, 0, 0, $besitzer_id, 25, "Neuer Besitzer");
	$t->add_control(1, $bes_lu);
	$t->add_control(2, new vs_submit("submit", "Besitzerwechsel", "true"));
	
	//2016-02-05 KM: Abbrechen springt nicht zurueck, das muss mit Javascript history.back() gemacht werden.
	//$t->add_control(5, new vs_reset("reset", "Abbrechen", "true"));
	$t->add_control(2, new vs_text("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$clickback=new vs_click_img("back","../img/back.gif","history.back();");
	$clickback->set_title("Zur&uuml;ck");
	$t->add_control(2, $clickback);
	$t->add_control(2, new vs_text("&nbsp; Zur&uuml;ck"));
	
	$t->add_control(5, new vs_hidden("besitzer_id", $besitzer_id));
	$t->add_control(5, new vs_hidden("patient_id", $patient_id));
	$t->add_control(5, new vs_hidden("action", "a_karte_post_besitzer_wechsel"));
	return $t;
	}

?> 
