 <?php
/*
 *      patient_history.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

// 2013-01-21 KM: Fremdleistungen neu hinzu gefuegt, Beseitigung diverser undefined Variables.

// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


function b2text($b)
{
 if($b== 0)return "nein";
 else return"ja";	
}
office_login($db);

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');


//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
$b = new vs_page_begin("Historie des Patienten","../vs_office_inc/","../vs_office_inc/head_kartei.inc","../vs_office_inc/body.inc");
$b->write();


	//2013-12-29 KM: Beseitigung undefined variable
	if (!isset($vso_action))
		{$vso_action = null;}
	switch ($vso_action)
	{
		// Historie anzeigen
		case "a_show_history" : 
			$db2 = new vs_db();
			$db2->connect();
			//2016-02-01 KM: $reihenfolge = beh_reihenfolge in config.inc.php ausgebaut, fest Sortierung: desc
			
			//2015-02-20 KM: Formatierung geaendert
			$page=new vs_div( "", "", "", "", "", "vs_seite");
			
			//$sql="select behandlung_id,datum,diagnose,text from vs_behandlung where patient_id=$vso_patient_id order by datum $brf";
			$sql="select behandlung_id,datum,diagnose,text from vs_behandlung where patient_id=$vso_patient_id order by datum desc";
			$db->query($sql);
			while($beh=$db->fetch_row())
			{
				$caption= "<br><br><br><b>&nbsp; ".$beh[1]." &nbsp; ".$beh[2]."</b>";
				$page->add(new vs_text($caption."<br><br>"));
				//komplettes Memo
				//2014-01-19 KM: Beseitigung undefined variable
				if (!isset ($vso_memo_komplett))
					{$vso_memo_komplett = null;}
				if($vso_memo_komplett=="1")
				{
					$text=nl2br($beh[3]);
					$page->add(new vs_text("<div style=\"background-color:white; \">&nbsp; $text<br></div>"));
				}	
				//teilweises Memo
				//2014-01-19 KM: Beseitigung undefined variable
				if (!isset ($vso_memo_markiert))
					{$vso_memo_markiert = null;}
				if (($vso_memo_komplett !="1") and ($vso_memo_markiert=="1"))
				{
					$t="";
					$text=$beh[3]; 
					$beg=strpos($text,"{b}");
					$end=strpos($text,"{e}");
					//1.Möglichkeit : nur {b} ist da:
					if (($beg !==false) and($end===false))
					{
						$len=strlen($text);
						$t=nl2br(substr($text,$beg+3,$len-$beg-3));
					}	
					//2.Möglichkeit : nur {e} ist da:
					if (($beg === false) and($end !== false))
					{
						$t=nl2br(substr($text,0,$end)); 
					}	
					//3.Möglichkeit : {b} und {e} sind da:
					if (($beg !== false) and ($end !== false))
					{
						//begin vor ende:Zwischenbereich wird genommen
						if($beg < $end)
						$t=nl2br(substr($text,$beg+3,$end-$beg-3));  	//3 weil {b} aus3 Zeichen besteht
						//begin nach ende: bis zum ende und ab begin wird genommen
						else
						{
							$len=strlen($text);
							$t = nl2br(substr($text,0,$end)."<br>". substr($text,$beg+3,$len-$beg-3));
						}
					
					}	
					if($t != "") 
					$page->add(new vs_text("<div style=\"background-color:white; \">&nbsp; $t<br></div>"));
				}	
				//Positionen
				$sql2=("select typ,menge,bezeichnung from vs_behposition where behandlung_id=$beh[0] order by typ");
				$db2->query($sql2);
				while($pos=$db2->fetch_row())
				{
					//Leistungen
					//2014-01-19 KM: Beseitigung undefined variable
					if (!isset ($vso_leistung))
						{$vso_leistung = null;}
					if (($pos[0]=="L") and ($vso_leistung=="1"))
					{
						$text=" $pos[0]  $pos[2] ";
						$page->add(new vs_text("<div style=\"background-color:white;color:green; \">&nbsp; $text</div>"));
					}	
					//Medikamente
					//2014-01-19 KM: Beseitigung undefined variable
					if (!isset ($vso_medikament))
						{$vso_medikament = null;}
					if ((($pos[0]=="M") or($pos[0]=="A"))and ($vso_medikament=="1"))
					{
						$text=" $pos[0]  $pos[2] ";
						$page->add(new vs_text("<div style=\"background-color:white;color:blue;\">&nbsp; $text</div>"));
					}	
					//Futter
					//2014-01-19 KM: Beseitigung undefined variable
					if (!isset ($vso_futter))
						{$vso_futter = null;}
					if (($pos[0]=="F") and ($vso_futter=="1"))
					{
						$text=" $pos[0]  $pos[2] ";
						$page->add(new vs_text("<div style=\"background-color:white;color:purple; \">&nbsp; $text</div>"));
					}	
					//Impfungen
					//2014-01-19 KM: Beseitigung undefined variable
					if (!isset ($vso_impfung))
						{$vso_impfung = null;}
					if (($pos[0]=="I") and ($vso_impfung=="1"))
					{
						$text=" $pos[0]  $pos[2] ";
						$page->add(new vs_text("<div style=\"background-color:white;color:maroon; \">&nbsp; $text</div>"));
					}
					// 2013-01-18 KM: Fremdleistungen hinzu gefuegt.
					//Fremdleistungen
					if (!isset ($vso_fremdleistung))
						{$vso_fremdleistung = null;}
						if (($pos[0]=="R") and ($vso_fremdleistung=="1"))
					{
					$text=" $pos[0]  $pos[2] ";
					$page->add(new vs_text("<div style=\"background-color:white;color:red; \">&nbsp; $text</div>"));
					}
				}
				//Labor
				//2014-01-19 KM: Beseitigung undefined variable
 				 if (!isset ($vso_labor))
					{$vso_labor = null;}
				if ($vso_labor=="1")
				{
					$sql2="select bezeichnung,wert,einheit,ergebnistext,bewertung from vs_laborus where behandlung_id=$beh[0] ";
					$db2->query($sql2);
					if($db2->num_rows() >0) 
					{
						$page->add(new vs_text("<br><b>LABORWERTE</b><br><br><table style=\"background-color:yellow;font-decoration:italic;font-size:10px; \"><i>"));
						while($lab=$db2->fetch_row())
						{
							$text="<tr> <td>$lab[0] </td><td>  $lab[1] </td><td> $lab[2] </td><td> $lab[3] </td><td>$lab[4] </td></tr>";
							$page->add(new vs_text("<div >$text</div>"));
						}	
						$page->add(new vs_text("</i></table>"));
					}
					$db2->free_result();
				}
			}	
			$page->write();
	    break;
		//---------------------------------------------------------------
		//Startaufruf, Formular mit Optionen
		default:
		
			//2015-02-20 KM: Formatierung geaendert
			$page=new vs_div( "", "", "", "", "", "vs_seite");
			
			//2014-01-15 KM: Hier waren zu wenig Zeilen, nur 8
			$hist_form= new vs_form_x("history",10);
			$hist_form->add_control(1,new vs_text("<h2>&nbsp; Optionen f&uuml;r die Darstellung der Historie</h2>"));
			$hist_form->add_control(2,$leist = new vs_checkbox("leistung",1,"Leistungen"));
			$hist_form->add_control(3,$leist = new vs_checkbox("labor",1,"Laboruntersuchungen"));
			$hist_form->add_control(4,$leist = new vs_checkbox("medikament",1,"Medikamente"));
			$hist_form->add_control(5,$leist = new vs_checkbox("impfung",1,"Impfungen"));
			$hist_form->add_control(6,$leist = new vs_checkbox("futter",1,"Futter/Erg&auml;nzungsfutter"));
			// 2014-01-18 KM: Fremdleistungen hinzu gefuegt.
			$hist_form->add_control(7,$leist = new vs_checkbox("fremdleistung",1,"Fremdleistungen"));
			$hist_form->add_control(8,$leist = new vs_checkbox("memo_komplett",1,"Memotext vollst&auml;ndig "));
			$hist_form->add_control(9,$leist = new vs_checkbox("memo_markiert",1,"Memotext (markierte Stellen)"));
			$hist_form->add_control(10,new vs_hidden("action","a_show_history"));
			//2014-11-27 KM: wie ueblich die Beseitigung eines undefined variable $vso_patient_id
			if (!isset ($vso_patient_id))
				{$vso_patient_id = null;}
			$hist_form->add_control(10,new vs_hidden("patient_id",$vso_patient_id));
			$hist_form->add_control(10,new vs_submit("submit","Anzeigen"));
			$hist_form->add_control(10,new vs_close("Schlie&szlig;en"));
			
			//2014-01-21 KM: Hilfe in neuem Fenster und Sprung auf Position, jetzt vs_link_img
			//$hist_form->add_control(8,new vs_new_window_img("../img/help.gif","../hilfe/help.php#pat_history",600,400,50,50,$width="",$height="",$menubar=0));
			$hist_form->add_control(10,new vs_text("&nbsp;&nbsp;"));
			$hist_form->add_control(10,new vs_link_img("../img/help.gif","../hilfe/help.html#pat_history",$typ="_blank",$imgwidth="24"));
			
			$page->add($hist_form);
			$page->write();
		break; 
	} 

//_____________________________________________________________________________________________________________________________
$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot_kartei.inc");
$e->write();  

$db->free_result();
$db->close();

?> 

