<?php
/*
 *      pos_info.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */





function preis_standard($db, $standard_id, &$faktor, &$s_bem)
	{
	//erst mal den Standard Faktor und Typ bestimmen (fuer die Leistingen)	
	$sql = "select faktor,faktor_typ,bezeichnung from vs_standard where standard_id= $standard_id";
	$db->query($sql);
	$row           = $db->fetch_row();
	$s_faktor      = $row[0];
	$s_faktor_typ  = $row[1];
	$s_bezeichnung = $row[2];
	$db->free_result();
	//1) Leistungen  	
	$mwst = ctp($dummy_A = A);
	if ($s_faktor != 0) //Standardfaktor/ -typ wird berücksichtigt
		{
		//erst mal Summe bei Faktor 1,00
		$sql = "Select sum(l.preis*p.menge) from vs_leistung l,vs_stapos p where p.typ='L' and l.leistung_id =" . "p.position_id and p.standard_id=$standard_id";
		$db->query($sql);
		$row = $db->fetch_row();
		switch ($s_faktor_typ)
		{
			//auf jeden Fall
			case "i":
				$faktor = $s_faktor;
				$s_bem  = " <strong>(bei $s_bezeichnung wird immer der Faktor $s_faktor berechnet)</strong>";
				break;
			
			//nur wenn der Faktor die Obergrenze ist
			case "o":
				if ($faktor > $s_faktor)
					{
					$faktor = $s_faktor;
					$s_bem  = " <strong>(bei $s_bezeichnung ist der Faktor $s_faktor die H&ouml;chstgrenze)</strong>";
					}
				break;
			
			//nur wenn der Faktor die Untergrenze ist
			case "u":
				if ($faktor < $s_faktor)
					{
					$faktor = $s_faktor;
					$s_bem  = " <strong>(bei $s_bezeichnung ist der Faktor $s_faktor die Untergrenze)</strong>";
					}
				break;
				
		} //switch
		
		$l_sum = $row[0] * $faktor * (1 + $mwst / 100);
		$db->free_result();
		}
	
	else //Leistung_Faktor zaehlt!!!!
		{
		$sql = "select l.leistung_id,l.preis,l.faktor,l.faktor_typ, p.menge, l.bezeichnung from vs_leistung l, vs_stapos p where p.typ='L' and l.leistung_id =" . "p.position_id and p.standard_id=$standard_id";
		$db->query($sql);
		while ($row = $db->fetch_row())
			{
			$leistung_faktor = $row[2];
			$l_bezeichnung   = $row[5];
			$faktor_typ      = $row[3];
			$menge           = $row[4];
			if ($leistung_faktor != 0)
				{
				switch ($faktor_typ)
				{
					//auf jeden Fall
					case "i":
						$lfaktor = $leistung_faktor;
						$s_bem .= " <br><strong>bei $l_bezeichnung wird immer der Faktor $row[2] berechnet.</strong>";
						break;
						
					//nur wenn der Faktor die Obergrenze ist
					case "o":
						if ($faktor > $leistung_faktor)
							{
							$lfaktor = $leistung_faktor;
							$s_bem .= " <br><strong> bei $l_bezeichnung ist der Faktor $row[2] die H&ouml;chstgrenze.</strong>";
							}
						else
							$lfaktor = $faktor;
						break;
						
					//nur wenn der Faktor die Untergrenze ist
					case "u":
						if ($faktor < $leistung_faktor)
							{
							$lfaktor = $leistung_faktor;
							$s_bem .= " <br><strong>bei $l_bezeichnung ist der Faktor $row[2] die Untergrenze.</strong>";
							}
						else
							$lfaktor = $faktor;
						break;
				} //switch
				} // $leistung_faktor != 0
			else
				$lfaktor = $faktor;
			$preis += $row[1] * ctp($menge) * (1 + $mwst / 100) * $lfaktor;
			} //while
		$l_sum = $preis;
		}
	//2)Medikamente  OP	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(m.preis*p.menge) from vs_medikament m,vs_stapos p where p.typ='M' and p.tp = '0' and m.medikament_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$m_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//3)Medikamente  TP	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(m.t_vk*p.menge) from vs_medikament m,vs_stapos p where p.typ='M' and p.tp = '1' and m.medikament_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row    = $db->fetch_row();
	$mt_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//4) Impfungen	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(i.preis*p.menge) from vs_impfung i,vs_stapos p where p.typ='I' and i.impfung_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$i_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	
	//5) Futter	
	$mwst = ctp($dummy_B = B);
	$sql  = "Select sum(f.preis*p.menge) from vs_futter f,vs_stapos p where p.typ='F' and p.tp = '0' and f.futter_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$f_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//5.1) Futter	Teilmenge
	$mwst = ctp($dummy_B = B);
	$sql  = "Select sum(f.t_vk*p.menge) from vs_futter f,vs_stapos p where p.typ='F' and p.tp = '1' and f.futter_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$f_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//6) Fremdleistungen	
	$mwst = ctp($dummy_B = B);
	$sql  = "Select sum(r.preis*p.menge) from vs_fremdleistung r,vs_stapos p where p.typ='R' and r.fremdleistung_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$r_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//7) Verbrauchsmaterial	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(r.preis*p.menge) from vs_verbrauchsmaterial r,vs_stapos p where p.typ=" . "'V' and r.verbrauchsmaterial_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$v_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//8) Abgabewaren
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(r.preis*p.menge) from vs_waren r,vs_stapos p where p.typ='W' and r.waren_id =" . "p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$w_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	return $l_sum + $m_sum + $mt_sum + $i_sum + $f_sum + $r_sum + $v_sum + $w_sum;
	}

function info_standard($db, $standard_id)
	{
	$info = "<b><br><br>Positionen</b><br>";
	$sql  = "select typ,menge, bezeichnung from vs_stapos where standard_id=$standard_id";
	$db->query($sql);
	while ($s_row = $db->fetch_row())
		{
		$info .= $s_row[0] . " " . ptc($s_row[1]) . " " . $s_row[2] . "<br>";
		}
	return $info;
	}



//erstellt den Anzeigetext
//Diese Funktion wird von handlekurz.php und von handle_all_lb.php aufgerufen
function create_pos_info_text($db, $typ, $menge, $id, $tp, $faktor, &$error)
	{
	$mwst      = ctp($dummy_A = A); //ausser bei Futter, siehe dort
	$lfaktor   = 1;
	$sfaktor   = "";
	$warnung   = "";
	$memo      = "";
	$typ       = strtoupper($typ);
	//DW: wg. undefined variables, wenn bestimmte Bedingungen unerfuellt sind: 3 Variablen angefuegt
	$tps       = "";
	$dosierung = "";
	$warnung   = "";
	switch ($typ)
	{
		case "L":
			$l_bem = "";
			$sql   = "Select bezeichnung,preis,faktor,faktor_typ,memo from vs_leistung where leistung_id=$id";
			$db->query($sql);
			$row             = $db->fetch_row();
			$bez             = $row[0];
			$lfaktor         = ctp($faktor); //vorerst
			$leistung_faktor = $row[2];
			$faktor_typ      = $row[3];
			if ($leistung_faktor != 0) //spezieller Faktor fuer die Leistung ist da
				{
				switch ($faktor_typ)
				{
					//auf jeden Fall
					case "i":
						$lfaktor = $leistung_faktor;
						$l_bem   = " <strong>(bei $row[0] wird immer der Faktor $row[2] berechnet)</strong>";
						break;
						
					//nur wenn der Faktor die Obergrenze ist
					case "o":
						if ($faktor > $leistung_faktor)
							{
							$lfaktor = $leistung_faktor;
							$l_bem   = " <strong>(bei $row[0] ist der Faktor $row[2] die H&ouml;chstgrenze)</strong>";
							}
						else
							$lfaktor = ctp($faktor);
						break;
						
					//nur wenn der Faktor die Untergrenze ist
					case "u":
						if ($faktor < $leistung_faktor)
							{
							$lfaktor = $leistung_faktor;
							$l_bem   = " <strong>(bei $row[0] ist der Faktor $row[2] die Untergrenze)</strong>";
							}
						else
							$lfaktor = ctp($faktor);
						break;
						
				} //switch
				}
			$preis   = $row[1] * ctp($menge) * (1 + $mwst / 100) * $lfaktor;
			$preis   = " " . ptc(round($preis, 2)) . " " . currency_string . " (incl." . ptc($mwst) . "% MWST)";
			$sfaktor = "  Grundlage: GOT mit Faktor " . $lfaktor . $l_bem;
			if ($row[4] != "")
				$memo = " <br><img src=\"../img/info_24.gif\"><span style=\"color:blue;\"> " . nl2br(htmlentities($row[4], ENT_COMPAT, charset)) . "</span>";
			break;
			
		case "M":
			if ($tp == 0)
				$sql = "Select bezeichnung,preis,warnhinweis,dosierung,min_menge from vs_medikament where medikament_id=$id";
			else
				$sql = "Select t_bezeichnung,t_vk,warnhinweis,dosierung,min_menge from vs_medikament where medikament_id=$id";
			$db->query($sql);
			$row   = $db->fetch_row();
			$bez   = $row[0];
			$menge = ctp($menge);
			//Falls Mindestmenge  immer die Mengenangaben aufrunden
			//2,5 wird zu 3 etc um z.B. Berechnung von 2,5 Ampullen zu vermeiden, auch wenn 2 die Mindestmenge wäre
			if (($row[4] > 0) and ($tp != 0))
				$menge = ceil($menge);
			if (($menge < $row[4]) and ($tp != 0))
				$menge = $row[4]; //Mindestmenge bei Teilpackung
			$preis = $row[1] * $menge * (1 + $mwst / 100) * $lfaktor;
			$preis = " " . ptc(round($preis, 2)) . " " . currency_string . " (incl." . ptc($mwst) . "% MWST)";
			if ($row[3] != "")
				$dosierung = " <br><img src=\"../img/tablette_24.gif\"><span style=\"color:gray; \"> " . htmlentities($row[3], ENT_COMPAT, charset) . "</span>";
			if ($row[2] != "")
				$warnung = " <br><img src=\"../img/info_red_24.gif\"><span style=\"color:red; font-weight:bold\"> " . htmlentities($row[2], ENT_COMPAT, charset) . "</span>";
			if (($row[4] > 0) and ($tp != 0))
				{
				$med_info = "Für dieses Präparat gilt bei Teilabgabe eine Mindestmenge von $row[4]. Mengenangaben werden aufgerundet.";
				$memo     = " <br><img src=\"../img/info_24.gif\"><span style=\"color:blue;\"> " . nl2br(htmlentities($med_info, ENT_COMPAT, charset)) . "</span>";
				}
			break;
			
		case "A":
			if ($tp == 0)
				$sql = "Select bezeichnung,preis,warnhinweis,dosierung from vs_medikament where medikament_id=$id";
			else
				$sql = "Select t_bezeichnung,t_vk,warnhinweis,dosierung from vs_medikament where medikament_id=$id";
			$db->query($sql);
			$row   = $db->fetch_row();
			$bez   = $row[0];
			$preis = $row[1] * ctp($menge) * (1 + $mwst / 100) * $lfaktor;
			$preis = " " . ptc(round($preis, 2)) . " " . currency_string . " (incl." . ptc($mwst) . "% MWST)";
			if ($row[3] != "")
				$dosierung = " <br><img src=\"../img/tablette_24.gif\"><span style=\"color:gray; \"> " . htmlentities($row[3], ENT_COMPAT, charset) . "</span>";
			if ($row[2] != "")
				$warnung = " <br><img src=\"../img/info_red_24.gif\"><span style=\"color:red; font-weight:bold\"> " . htmlentities($row[2], ENT_COMPAT, charset) . "</span>";
			break;
			
		case "S":
			$sql = "Select bezeichnung,memo from vs_standard where standard_id=$id";
			$db->query($sql);
			$row     = $db->fetch_row();
			$bez     = $row[0];
			$lfaktor = ctp($faktor);
			$preis   = " " . ptc(round(preis_standard($db, $id, $lfaktor, $s_bem), 2)) . " " . currency_string . " (incl. MWST)";
			$sfaktor = " Grundlage: GOT mit Faktor " . $lfaktor . $s_bem;
			if ($row[1] != "")
				$memo = " <br><img src=\"../img/info_24.gif\"><span style=\"color:blue;\"> " . nl2br(htmlentities($row[1], ENT_COMPAT, charset)) . "</span>";
			$memo .= info_standard($db, $id);
			break;
			
		case "I":
			$sql = "Select bezeichnung,preis,memo,charge from vs_impfung where impfung_id=$id";
			$db->query($sql);
			$row   = $db->fetch_row();
			$bez   = $row[0];
			$preis = $row[1] * ctp($menge) * (1 + $mwst / 100) * $lfaktor;
			$preis = " " . ptc(round($preis, 2)) . " " . currency_string . " (incl." . ptc($mwst) . "% MWST)";
			if ($row[3] != "")
				$memo .= " <br><img src=\"../img/info_red_24.gif\"><span style=\"color:red;\"> " . nl2br(htmlentities("Aktuelle Charge:" . $row[3], ENT_COMPAT, charset)) . "</span>";
			if ($row[2] != "")
				$memo .= " <br><img src=\"../img/info_24.gif\"><span style=\"color:blue;\"> " . nl2br(htmlentities($row[2], ENT_COMPAT, charset)) . "</span>";
			break;
			
		case "F":
			if ($tp == 0)
				$sql = "Select bezeichnung,preis,memo from vs_futter where futter_id=$id";
			else
				$sql = "Select t_bezeichnung,t_vk,memo from vs_futter where futter_id=$id";
			$mwst = ctp($dummy_B = B);
			$db->query($sql);
			$row   = $db->fetch_row();
			$bez   = $row[0];
			$preis = $row[1] * ctp($menge) * (1 + $mwst / 100) * $lfaktor;
			$preis = " " . ptc(round($preis, 2)) . " " . currency_string . " (incl." . ptc($mwst) . "% MWST)";
			if ($row[2] != "")
				$memo = " <br><img src=\"../img/info_24.gif\"><span style=\"color:blue;\"> " . nl2br(htmlentities($row[2], ENT_COMPAT, charset)) . "</span>";
			break;
			
		case "R":
			$sql = "Select bezeichnung,preis,memo from vs_fremdleistung where fremdleistung_id=$id";
			$db->query($sql);
			$row   = $db->fetch_row();
			$bez   = $row[0];
			$preis = $row[1] * ctp($menge) * (1 + $mwst / 100) * $lfaktor;
			$preis = " " . ptc(round($preis, 2)) . " " . currency_string . " (incl." . ptc($mwst) . "% MWST)";
			if ($row[2] != "")
				$memo = " <br><img src=\"../img/info_24.gif\"><span style=\"color:blue;\"> " . nl2br(htmlentities($row[2], ENT_COMPAT, charset)) . "</span>";
			break;
			
		case "V":
			$sql = "Select bezeichnung,preis,memo from vs_verbrauchsmaterial where verbrauchsmaterial_id=$id";
			$db->query($sql);
			$row   = $db->fetch_row();
			$bez   = $row[0];
			$preis = $row[1] * ctp($menge) * (1 + $mwst / 100) * $lfaktor;
			$preis = " " . ptc(round($preis, 2)) . " " . currency_string . " (incl." . ptc($mwst) . "% MWST)";
			if ($row[2] != "")
				$memo = " <br><img src=\"../img/info_24.gif\"><span style=\"color:blue;\"> " . nl2br(htmlentities($row[2], ENT_COMPAT, charset)) . "</span>";
			break;
			
		case "W":
			$sql = "Select bezeichnung,preis,memo from vs_waren where waren_id=$id";
			$db->query($sql);
			$row   = $db->fetch_row();
			$bez   = $row[0];
			$preis = $row[1] * ctp($menge) * (1 + $mwst / 100) * $lfaktor;
			$preis = " " . ptc(round($preis, 2)) . " " . currency_string . " (incl." . ptc($mwst) . "% MWST)";
			if ($row[2] != "")
				$memo = " <br><img src=\"../img/info_24.gif\"><span style=\"color:blue;\"> " . nl2br(htmlentities($row[2], ENT_COMPAT, charset)) . "</span>";
			break;
			
	} //switch
	
	if ($tp == 1)
		$tps = " (Teilpackung)";
		
	//Neu Ergebnis in json verpacken
	$hs                = $typ . " " . $menge . " " . htmlentities($bez, ENT_COMPAT, charset) . $tps . "<b>" . $preis . "</b>" . $sfaktor . $dosierung . $warnung . $memo;
	$a                 = array();
	$a['success']      = 'ok';
	$a['inner_html_1'] = "<img src='../img/success.gif'>" . $hs;
	$a['typ']          = $typ; //um das Faktorfeld bei nicht l/s zu deaaktivieren
	return $a;
	}

?>
