 <?php
/*
 *      tassomail.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

//2015-01-14 KM: TASSOMAIL ueber lokalen Mail-Client eingebaut



include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');


//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//jetzt in config.inc.php definiert
$tasso_mail_adress= tasso_mail_adress;
$tasso_subject = tasso_subject;


//Instanciation of inherited class
$db = new vs_db();
$db->connect();

//-------------------------------------------------------

function make_tasso_registration_text($db,$patient_id)  //fuer mail-transfer-agent auf dem Server
{
	$text="";
	$bemerkungen="";
	$num_bem=0;
	//Patientendaten
	$db->query("select besitzer_id,tierart,rasse,name,farbe,geburtstag,geschlecht,id,eupass from vs_patient where patient_id=$patient_id ");
	$pat=$db->fetch_row();
	$db->free_result();
	//Besitzerdaten
	$db->query("select anrede,titel,vorname,name,strasse,plz,wohnort,telefon_1,telefon_2,telefax,mail,telefon_mobil  from vs_besitzer where besitzer_id=$pat[0] ");
	$bes=$db->fetch_row();
	$db->free_result();
	$geschlecht=$pat[6];
	$kastriert="";
	if (strpos($geschlecht,"kastriert")) $kastriert="K";
	$text.="Tierart: ".$pat[1]."\n" ; 
	$text.="Rasse: ".$pat[2]."\n" ; 
	$text.="Geschlecht: ".strtoupper(substr($geschlecht,0,1))."\n" ;
	$text.="kastriert: ".$kastriert."\n";
	$text.="Geburtsdatum: ".$pat[5]."\n" ; 
	$text.="Rufname: ".$pat[3]."\n" ; 
	$text.="Farbe: ".$pat[4]."\n" ; 
	$text.="Besondere_Kennzeichen: "."\n" ; 
	$text.="Taeto_rechtes_Ohr: "."\n" ; 
	$text.="Taeto_linkes_Ohr: "."\n" ; 
	$text.="Transponder_Ring: ".$pat[7]."\n" ; 
	$text.="Anrede: ".$bes[0]."\n" ;
	$text.="Titel: ".$bes[1]."\n" ;
	$text.="Name: ".$bes[3]."\n" ;
	$text.="Vorname: ".$bes[2]."\n" ;
	if($bes[4] !="")  //strasse
	{
		if (strpos(trim($bes[4])," "))
		{
			$tel=explode (" ",$bes[4]);
			$n=count($tel);
			$text.="Strasse: ".trim(str_replace($tel[$n-1], "",$bes[4]))."\n" ;
			$text.="Strasse_Nr: ".$tel[$n-1]."\n" ;
		}
		else
		{
			$text.="Strasse: ".$bes[4]."\n" ;
		}
	}
	$text.="Land: "."Deutschland\n";
	$text.="PLZ: ".$bes[5]."\n" ;
	$text.="Ort: ".$bes[6]."\n" ;
	
	if($bes[7] !="") //telefon_1
	{
		if (strpos(trim($bes[7])," "))
		{
			$tel=explode (" ",$bes[7]);
			$n=count($tel);
			$text.="Int_Vorwahl_1: "."49\n" ;
			$text.="Vorwahl_1: ".$tel[0]."\n" ;
			$text.="Durchwahl_1: ".$tel[$n-1]."\n" ;
		}
		else
		{
			$text.="Int_Vorwahl_1: "."49\n" ;
			$text.="Vorwahl_1: ".substr($bes[7],0,5)."\n" ;
			$text.="Durchwahl_1: ".substr($bes[7],5,20)."\n" ;
		}
	}
	if($bes[8] !="")  //telefon_2
	{
		if (strpos(trim($bes[8])," "))
		{
			$tel=explode (" ",$bes[8]);
			$n=count($tel);
			$text.="Int_Vorwahl_2: "."49\n" ;
			$text.="Vorwahl_2: ".$tel[0]."\n" ;
			$text.="Durchwahl_2: ".$tel[$n-1]."\n" ;
		}
		else
		{
			$text.="Int_Vorwahl_2: "."49\n" ;
			$text.="Vorwahl_2: ".substr($bes[8],0,5)."\n" ;
			$text.="Durchwahl_2: ".substr($bes[8],5,20)."\n" ;
		}
	}
	
	if($bes[11] !="")    //telefon_mobil
	{
		if (strpos(trim($bes[11])," "))
		{
			$tel=explode (" ",$bes[11]);
			$n=count($tel);
			$text.="Int_Mobil_Vorwahl: "."49\n" ;
			$text.="Mobil_Vorwahl: ".$tel[0]."\n" ;
			$text.="Mobil_Durchwahl: ".$tel[$n-1]."\n" ;
		}
		else
		{
			$text.="Int_Mobil_Vorwahl: "."49\n" ;
			$text.="Mobil_Vorwahl: ".substr($bes[11],0,4)."\n" ;
			$text.="Mobil_Durchwahl: ".substr($bes[11],4,12)."\n" ;
		}
	}
	
	if($bes[10] !="")
	{
		$text.="eMail: ".$bes[10]."\n"; 
	}
	if($pat[8] !="")
	{
		$text.="EU_Ausweis_Nr: ".$pat[8]."\n" ; 
	}
	return $text;
 
}

//-------------------------------------------------------


function make_tasso_registration_email($db,$patient_id)  //KM: fuer TASSOMAIL ueber lokalen Mail-Client
{
	$email_text="";
	$bemerkungen="";
	$num_bem=0;
	//Patientendaten
	$db->query("select besitzer_id,tierart,rasse,name,farbe,geburtstag,geschlecht,id,eupass from vs_patient where patient_id=$patient_id ");
	$pat=$db->fetch_row();
	$db->free_result();
	//Besitzerdaten
	$db->query("select anrede,titel,vorname,name,strasse,plz,wohnort,telefon_1,telefon_2,telefax,mail,telefon_mobil  from vs_besitzer where besitzer_id=$pat[0] ");
	$bes=$db->fetch_row();
	$db->free_result();
	$geschlecht=$pat[6];
	$kastriert="";
	if (strpos($geschlecht,"kastriert")) $kastriert="K";
	//$text.="Tierart:%20".$pat[1]."%0A" ; 
	$email_text.="Tierart: ".$pat[1]."%0A" ; 
	$email_text.="Rasse: ".$pat[2]."%0A" ; 
	$email_text.="Geschlecht: ".strtoupper(substr($geschlecht,0,1))."%0A" ;
	$email_text.="kastriert: ".$kastriert."%0A";
	$email_text.="Geburtsdatum: ".$pat[5]."%0A" ; 
	$email_text.="Rufname: ".$pat[3]."%0A" ; 
	$email_text.="Farbe: ".$pat[4]."%0A" ; 
	$email_text.="Besondere_Kennzeichen: "."%0A" ; 
	$email_text.="Taeto_rechtes_Ohr: "."%0A" ; 
	$email_text.="Taeto_linkes_Ohr: "."%0A" ; 
	$email_text.="Transponder_Ring: ".$pat[7]."%0A" ; 
	$email_text.="Anrede: ".$bes[0]."%0A" ;
	$email_text.="Titel: ".$bes[1]."%0A" ;
	$email_text.="Name: ".$bes[3]."%0A" ;
	$email_text.="Vorname: ".$bes[2]."%0A" ;
	if($bes[4] !="")  //strasse
	{
		if (strpos(trim($bes[4])," "))
		{
			$tel=explode (" ",$bes[4]);
			$n=count($tel);
			$email_text.="Strasse: ".trim(str_replace($tel[$n-1], "",$bes[4]))."%0A" ;
			$email_text.="Strasse_Nr: ".$tel[$n-1]."%0A" ;
		}
		else
		{
			$email_text.="Strasse: ".$bes[4]."%0A" ;
		}
	}
	$email_text.="Land: "."Deutschland%0A";
	$email_text.="PLZ: ".$bes[5]."%0A" ;
	$email_text.="Ort: ".$bes[6]."%0A" ;
	
	if($bes[7] !="") //telefon_1
	{
		if (strpos(trim($bes[7])," "))
		{
			$tel=explode (" ",$bes[7]);
			$n=count($tel);
			$email_text.="Int_Vorwahl_1: "."49%0A" ;
			$email_text.="Vorwahl_1: ".$tel[0]."%0A" ;
			$email_text.="Durchwahl_1: ".$tel[$n-1]."%0A" ;
		}
		else
		{
			$email_text.="Int_Vorwahl_1: "."49%0A" ;
			$email_text.="Vorwahl_1: ".substr($bes[7],0,5)."%0A" ;
			$email_text.="Durchwahl_1: ".substr($bes[7],5,20)."%0A" ;
		}
	}
	if($bes[8] !="")  //telefon_2
	{
		if (strpos(trim($bes[8])," "))
		{
			$tel=explode (" ",$bes[8]);
			$n=count($tel);
			$email_text.="Int_Vorwahl_2: "."49%0A" ;
			$email_text.="Vorwahl_2: ".$tel[0]."%0A" ;
			$email_text.="Durchwahl_2: ".$tel[$n-1]."%0A" ;
		}
		else
		{
			$email_text.="Int_Vorwahl_2: "."49%0A" ;
			$email_text.="Vorwahl_2: ".substr($bes[8],0,5)."%0A" ;
			$email_text.="Durchwahl_2: ".substr($bes[8],5,20)."%0A" ;
		}
	}
	
	if($bes[11] !="")    //telefon_mobil
	{
		if (strpos(trim($bes[11])," "))
		{
			$tel=explode (" ",$bes[11]);
			$n=count($tel);
			$email_text.="Int_Mobil_Vorwahl: "."49%0A" ;
			$email_text.="Mobil_Vorwahl: ".$tel[0]."%0A" ;
			$email_text.="Mobil_Durchwahl: ".$tel[$n-1]."%0A" ;
		}
		else
		{
			$email_text.="Int_Mobil_Vorwahl: "."49%0A" ;
			$email_text.="Mobil_Vorwahl: ".substr($bes[11],0,4)."%0A" ;
			$email_text.="Mobil_Durchwahl: ".substr($bes[11],4,12)."%0A" ;
		}
	}
	
	if($bes[10] !="")
	{
		$email_text.="eMail: ".$bes[10]."%0A"; 
	}
	if($pat[8] !="")
	{
		$email_text.="EU_Ausweis_Nr: ".$pat[8]."%0A" ; 
	}
	
	
	//KM:  Mit str_replace die Zeichen fuer die Uebergabe an den E-Mail Client austauschen. 
	$email_text = str_replace(" ", "%20",$email_text);  //wichtig zum Entfernen der Leerzeichen
	
	//muss fuer UTF-8 auskommentiert sein, fuer andere nicht getestet
	//$email_text = str_replace("!", "%21",$email_text);
	//$email_text = str_replace("#", "%23",$email_text);
	//$email_text = str_replace("Ä", "%C4",$email_text);
	//$email_text = str_replace("Ö", "%D6",$email_text);
	//$email_text = str_replace("Ü", "%DC",$email_text);
	//$email_text = str_replace("ä", "%E4",$email_text);
	//$email_text = str_replace("ö", "%F6",$email_text);
	//$email_text = str_replace("ü", "%FC",$email_text);
	//$email_text = str_replace("ß", "%DF",$email_text);
	//$email_text = str_replace("'", "%27",$email_text);
	
	return $email_text;
 
}

//-------------------------------------------------------


if (use_mta)  //fuer mail-transfer-agent auf dem Server
{
	function make_mail_window($mail_adress,$subject,$text,$attachments,$message="",$patient_id)
	{
		//2015-02-22 KM: Formatierung geaendert
		$page=new vs_div( "", "", "", "", "", "vs_seite_mail");
		$mail_form= new vs_form_x("labormail",9);
		$mail_form->add_control(1,new vs_hidden("patient_id",$patient_id));
		$mail_form->add_control(1,new vs_edit("an",70,100,$mail_adress));
		$mail_form->add_control(2,new vs_text(" <b>Von       : ".mail_from));
		$mail_form->add_control(3,new vs_text(" <b>Antwort an: ".mail_reply_to));
		$mail_form->add_control(4,new vs_text(" <b>BCC       : ".mail_bcc."</b>"));
		$mail_form->add_control(5,new vs_edit("subject",70,100,$subject));
		$mail_form->add_control(6,new vs_memo("text",70,25,$text));
		//$mail_form->add_control(7,new vs_memo("attachements",70,3,$attachments,"Anlage"));
		$mail_form->add_control(8,new vs_hidden("action","send_tasso_registration_mail"));
		$mail_form->add_control(8,new vs_submit("submit","Versenden"));
		$mail_form->add_control(9,new vs_text($message));
		$page->add($mail_form);
		
		return $page;
	}
}

else
//KM: fuer TASSOMAIL ueber lokalen Mail-Client
{
	function make_email_window($mail_adress,$subject,$email_text,$patient_id)
	{
		//2015-02-22 KM: Formatierung geaendert
		$page=new vs_div( "", "", "", "", "", "vs_seite_mail");
		 
		//Mit str_replace die Leerzeichen fuer Subject austauschen
		$subject = str_replace(" ", "%20",$subject);  //wichtig
		
		$email_form= new vs_form_x("labormail",8);
		$email_form->add_control(1,new vs_hidden("patient_id",$patient_id));
		$email_form->add_control(1,new vs_edit("An &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",70,100,$mail_adress));
		$email_form->add_control(2,new vs_edit("Betrifft",70,100,$subject));
		$email_form->add_control(4,new vs_memo("Mailtext",70,12,$email_text));
		
		//Hier ist der Text, der an den Mailclient uebertragen wird
		$email_form->add_control(6,new vs_text("<a href=mailto:".$mail_adress."?subject=".$subject.";body=".$email_text."><h6>E-Mail zur Tasso Registrierung mit Mail-Programm erzeugen</h6></a>"));
		
		// Button
		$c=new vs_close("Schlie&szlig;en");
		$email_form->add_control(7,$c);
		
		$page->add($email_form);
		
		return $page;
	}
}

//-------------------------------------------------------

office_login($db,$can_insert,$can_edit,$can_delete);


$b = new vs_page_begin("TASSO Registrierung", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();


//-------------------------------------------------------


if (use_mta)  //fuer mail-transfer-agent auf dem Server
{
//2015-01-14 KM: geaendert wg. undefined variable
if (!isset($vso_action))
	{$vso_action = null;}
if (!isset($attachments))
	{$attachments = null;}
	
//Event-Handler
switch ($vso_action)
	{
		case "send_tasso_registration_mail":	
			$header = "From: ".mail_from.mh_eol.     //in config.inc.php
					"Reply-To: ".mail_reply_to.mh_eol.    //in config.inc.php
					"bcc: ".mail_bcc.mh_eol.                 //in config.inc.php
					"X-Mailer: Vetsoft-Office Dr.N.Klumpp" ;
			// fuer HTML-E-Mails muss der 'Content-type'-Header gesetzt werden
			if(strpos($vso_text,"<html>"))
				{
					$header .= "MIME-Version: 1.0" . mh_eol;
					$header .= "Content-type: text/html; charset=".mail_charset.mh_eol; //in config.inc.php
				}
			if(mail_utf8_decode=="1") $vso_text=utf8_decode($vso_text);
			if (mail($vso_an,$vso_subject,$vso_text,$header))
				{
					$db->query("select geschichte from vs_patient where patient_id=$vso_patient_id");
					$textrow1=$db->fetch_row();
					$impftext= "\r\n"."Registrierung bei Tasso am ".today() ;
					$text=$textrow1[0].$impftext;
					$db->free_result();
					$db->query("update vs_patient set " .
					" geschichte = '$text' ".
					"where patient_id = $vso_patient_id ");
					$db->free_result(); 
					$info= "<br><b>DIE  E-MAIL WURDE ERFOLGREICH GESENDET</b>";
				}
			else  $info= "<br><b>DIE E-MAIL WURDE NICHT GESENDET</b>";
			
			if(mail_utf8_decode=="1") $vso_text=utf8_encode($vso_text);
			
			//2014-12-01 KM: geaendert wg. undefined variable
			if (!isset($attachments))
				{$attachments = null;}
			if (!isset($message))
				{$message = null;}
			
			$page=make_mail_window($tasso_mail_adress,$tasso_subject,$vso_text,$attachments,$info,$vso_patient_id);
			$page->write();
			
			break;
			default:	//Laborergebnisse einer Behandlung
			
			$mail_text=make_tasso_registration_text($db,$vso_patient_id);
			
			//2015-01-14 KM: geaendert wg. undefined variable
			if (!isset($message))
				{$message = null;}
				
			$page=make_mail_window($tasso_mail_adress,$tasso_subject,$mail_text,$attachments,$message,$vso_patient_id);
			$page->write();
			break;
	} //switch
	
}	
	
	
else  //KM: TASSOMAIL ueber lokalen Mail-Client
	{
		$mail_text=make_tasso_registration_email($db,$vso_patient_id);
		
		$page=make_email_window($tasso_mail_adress,$tasso_subject,$mail_text,$vso_patient_id);
		$page->write();
	}
	//-------------------------------------------------------
	
	
	$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
	$e->write();


//Ende
$db->free_result();
$db->close();

?>
