<?php
/*
 *      vetabc_dialog.php
 *
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM),
 *                     Markus Angeli (MA)
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "labus_functions.php";


//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

class vs_abcd_edit extends vs_edit
//akzeptiert Dezimalzahlen und toleriert Leerzeichen , nur fuer vetabc Formular
	{
	function write_control()
		{
		// 2014-03-12 KM: $this->onblur. raus genommen, macht Fehler:
		// "Notice: Undefined property: vs_abcd_edit::$onblur in /data1/www/Vetsoft-Entwicklung/rechnung_v2/VetsoftOffice/vs/kartei/vetabc_dialog.php on line 24"
		echo"<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " .$this->disabled.$this->readonly.
			" size=\"$this->size\" maxlength=\"$this->maxlength\" class=\"$this->cssclass\" ".
			" accesskey=\"$this->accesskey\"".	$this->onkeyup.
			" onKeyPress=\"javascript:{this.form.submit.disabled = false;this.form.reset.disabled = false;" .
			" return decimalsonly(this, event);}\">";
		}
	}


//Instanciation of inherited class
$db = new vs_db();
$db->connect();

function make_abc_bye_window($success)
	{
	$page=new vs_div("300","600","left",stamm_main);
	if($success==1)
		{
		$page->add(new vs_text("DIE DATEN WURDEN ERFOLGREICHC EINGEGEBEN"));

		}
	else
		{
		$page->add(new vs_text("DIE DATEN KONNTEN NICHT ODER NUR TEILWEISE EINGEGEBEN WERDEN"));
		}
	return $page;
	}

function make_abc_window($patient_id,$behandlung_id)
	{
	//2015-02-22 KM: Formatierung geaendert
	$page=new vs_div( "", "", "", "", "", "vs_seite_labordialog");
	$abc_form= new vs_form_x("f_vetabc",15);
	$abc_form->add_control(1,new vs_img("vet_abc","../img/vet_abc.jpeg","240px"));
	$abc_form->add_control(1, new vs_text("<br><br><b>Eingabe Vet abc</b><br><br>"));
	$abc_form->add_control(2,new vs_abcd_edit("WBC",8,8,"","WBC &nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(2,new vs_text("10³/mm³ "));
	$abc_form->add_control(2,new vs_abcd_edit("MCV",8,3,"","MCV &nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(2,new vs_text("µm³"));

	$ery =  new vs_abcd_edit("RBC",8,8,"","RBC &nbsp;&nbsp;&nbsp;");
	$ery->onkeyup=" onKeyUp=\"hgb_onkeyup()\" ";
	$abc_form->add_control(3,$ery);
	//$abc_form->add_control(3,new vs_text(" <b>mill/mm³ </b>"));
	$abc_form->add_control(3,new vs_abcd_edit("MCH",8,5,"","MCH &nbsp;&nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(3,new vs_text(" pg"));

	$hgb=  new vs_abcd_edit("HGB",8,5,"","HGB &nbsp;&nbsp;&nbsp;");
	$hgb->onkeyup=" onKeyUp=\"hgb_onkeyup()\" ";
	$abc_form->add_control(4,$hgb);
	//$abc_form->add_control(4,new vs_text(" <b>g/dl </b>"));
	$abc_form->add_control(4,new vs_abcd_edit("MCHC",8,5,"","MCHC&nbsp;&nbsp;"));
	//$abc_form->add_control(4,new vs_text("g/dl"));

	//$abc_form->add_control(5,new vs_d_edit("HCT",8,5,""));
	$hct=  new vs_abcd_edit("HCT",8,5,"","HCT &nbsp;&nbsp;&nbsp;&nbsp;");
	$hct->onkeyup=" onKeyUp=\"hgb_onkeyup()\" ";
	$abc_form->add_control(5,$hct);
	//$abc_form->add_control(5,new vs_text(" <b> % </b>"));
	$abc_form->add_control(5,new vs_abcd_edit("RDW",8,5,"","RDW &nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(5,new vs_text("%"));

	$abc_form->add_control(6,new vs_abcd_edit("PLT",8,5,"","PLT &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(6,new vs_text(" <b> % </b>"));
	$abc_form->add_control(6,new vs_abcd_edit("MPV",8,5,"","MPV &nbsp;&nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(6,new vs_text("%"));

	//DIFFERENTIALBLUTBILD
	$abc_form->add_control(7,new vs_text(" <br><b> Differentialblutbild </b><br><br>"));

	$plym =  new vs_abcd_edit("pLYM",8,5,"","%LYM &nbsp;&nbsp;");
	$plym->onkeyup=" onKeyUp=\"lym_onkeyup()\" ";
	$abc_form->add_control(8,$plym);
	//$abc_form->add_control(8,new vs_text(" <b> % </b>"));
	//$abc_form->add_control(8,new vs_text(" 10³/mm³"));
	$abc_form->add_control(8,new vs_abcd_edit("aLYM",8,5,"","#LYM &nbsp;&nbsp;"));

	$pmo =  new  vs_abcd_edit("pMO",8,5,"","%MO &nbsp;&nbsp;&nbsp;");
	$pmo->onkeyup=" onKeyUp=\"mo_onkeyup()\" ";
	$abc_form->add_control(9,$pmo);
	//$abc_form->add_control(9,new vs_text(" <b> % </b>"));
	$abc_form->add_control(9,new vs_abcd_edit("aMO",8,5,"","#MO &nbsp;&nbsp;&nbsp;&nbsp;"));
	//$abc_form->add_control(9,new vs_text(" 10³/mm³"));

	//$abc_form->add_control(9,new vs_d_edit("pGRA",8,5,"","%GRA"));

	$pgra =  new vs_abcd_edit("pGRA",8,5,"","%GRA &nbsp;");
	$pgra->onkeyup=" onKeyUp=\"gra_onkeyup()\" ";
	$abc_form->add_control(10,$pgra);
	//$abc_form->add_control(9,new vs_text(" <b> % </b>"));
	$abc_form->add_control(10,new vs_abcd_edit("aGRA",8,5,"","#GRA &nbsp;&nbsp;"));
	//$abc_form->add_control(9,new vs_text(" 10³/mm³));

	$abc_form->add_control(11,new vs_abcd_edit("pEOS",8,5,"","%EOS &nbsp;&nbsp;"));
	//$abc_form->add_control(10,new vs_text(" <b> % </b>"));
	$abc_form->add_control(11,new vs_abcd_edit("aEOS",8,5,"","#EOS &nbsp;&nbsp;"));
	//$abc_form->add_control(10,new vs_text(" 10³/mm³));

	$abc_form->add_control(15,new vs_hidden("behandlung_id",$behandlung_id));
	$abc_form->add_control(15,new vs_hidden("patient_id",$patient_id));
	$abc_form->add_control(15,new vs_hidden("action","a_insert_vetabc_data"));
	$abc_form->add_control(15,new vs_submit("submit","Speichern"));

	$page->add($abc_form);

	return $page;
	}


office_login($db,$can_insert,$can_edit,$can_delete);


$b = new vs_page_begin("vetABC-Ergebnisse eingeben", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();

//spezifisches Java script einbinden
echo"<script language=\"javascript\" src=\""."vetabc.js\"></script>";

//Event-Handler
switch ($vso_action)
	{
	case "a_show_form":	//Eingabeformular
		$page=make_abc_window($vso_patient_id,$vso_behandlung_id);
		$page->write();
			break;
		//-------------------------------------------------------
	case "a_insert_vetabc_data":	//Daten in die Datenbank und Ergebnis anzeigen
		$success=0;
		$datum=today();
		//Daten in Datenbbank eingeben
		//WBC---------------------------------------------------------------------
			if ($vso_WBC != "")
				{
				$kurz="WBC_vetabc";
				$bezeichnung="Leukozyten (VETabc)";
				$einheit="10³/mm³";
				$wert=$vso_WBC;
				//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
				$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$num=$db->num_rows();
				$db->free_result();

				if ($num < 1) //noch nicht in der Datenbank enthalten
					{
					$normaltext_hund="";
					$normaltext_katze="";
					$untergrenze_hund=6;
					$obergrenze_hund=12;
					$untergrenze_katze=5;
					$obergrenze_katze=11;
					$obergrenze_text="WBC+";
					$untergrenze_text="WBC-";
					$bemerkung="";
					$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
								"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
								"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
								"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund',".
								" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
					//jetzt muesste der test bekannt sein......
					$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
					$row=$db->fetch_row();
					$db->free_result();
					}

				//jetzt Einfuegen des gemessenen Wertes in die Datenbank
				$laborwert_id=$row[0];
				$wert=ctp($wert);
				labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
				$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
							" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
							" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
							" '','$wert','$einheit','$bewertung','vetabc'," .
							" '','$datum','$user_id')");
				$db->free_result();
				$success=1;
			}  //WBC---------------------------------------------------

				//RBC---------------------------------------------------------------------
		if ($vso_RBC != "")
			{
			$kurz="RBC_vetabc";
			$bezeichnung="Erythrocyten (VETabc)";
			$einheit="mill/mm³";
			$wert=$vso_RBC;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			$db->free_result();

			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund="";
				$normaltext_katze="";
				$untergrenze_hund=5.5;
				$obergrenze_hund=8.5;
				$untergrenze_katze=5;
				$obergrenze_katze=10;
				$obergrenze_text="RBC+";
				$untergrenze_text="RBC-";
				$bemerkung="";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund',".
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
							//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$db->free_result();
				}

			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id=$row[0];
			$wert=ctp($wert);
			labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
		    $db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
					   " bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
					   " ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
					   " '','$wert','$einheit','$bewertung','vetabc'," .
					   " '','$datum','$user_id')");
		    $db->free_result();
			$success=1;
			}  //WBC---------------------------------------------------


		//HGB------------------------------------------------------
		if ($vso_HGB != "")
			{
			$kurz="HGB_vetabc";
			$bezeichnung="Hämoglobin (VETabc)";
			$einheit="g/dl";
			$wert=$vso_HGB;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			$db->free_result();

			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund="";
				$normaltext_katze="";
				$untergrenze_hund=15;
				$obergrenze_hund=20;
				$untergrenze_katze=8;
				$obergrenze_katze=17;
				$obergrenze_text="HGB+";
				$untergrenze_text="HGB-";
				$bemerkung="";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund',".
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
					//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id=$row[0];

			$wert=ctp($wert);
			labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," .
						" '','$datum','$user_id')");
		    $db->free_result();
			$success=1;
			}  //HGB---------------------------------------------------

		//HCT------------------------------------------------------
		if ($vso_HCT != "")
			{
			$kurz="HCT_vetabc";
			$bezeichnung="Hämatokrit (VETabc)";
			$einheit="%";
			$wert=$vso_HCT;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund="";
				$normaltext_katze="";
				$untergrenze_hund=44;
				$obergrenze_hund=57;
				$untergrenze_katze=17;
				$obergrenze_katze=47;
				$obergrenze_text="HCT+";
				$untergrenze_text="HCT-";
				$bemerkung="";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund',".
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id=$row[0];
			$wert=ctp($wert);
			labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
		    $db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," .
						" '','$datum','$user_id')");
			$db->free_result();
			$success=1;
			}  //HCT---------------------------------------------------

		//MCV-----------------------------------------------------
		if ($vso_MCV != "")
			{
			$kurz="MCV_vetabc";
			$bezeichnung="MCV (VETabc)";
			$einheit="µm³";
			$wert=$vso_MCV;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund="";
				$normaltext_katze="";
				$untergrenze_hund=60;
				$obergrenze_hund=77;
				$untergrenze_katze=40;
				$obergrenze_katze=55;
				$obergrenze_text="MCV+";
				$untergrenze_text="MCV-";
				$bemerkung="";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund',".
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id=$row[0];
			$wert=ctp($wert);
			labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
		    $db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," .
						" '','$datum','$user_id')");
			$db->free_result();
			$success=1;
			}  //MCV---------------------------------------------------
		
		
		//MCH-----------------------------------------------------
		if ($vso_MCH != "")
			{
			$kurz="MCH_vetabc";
			$bezeichnung="MCH (VETabc)";
			$einheit="pg";
			$wert=$vso_MCH;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund="";
				$normaltext_katze="";
				$untergrenze_hund=17;
				$obergrenze_hund=23;
				$untergrenze_katze=13;
				$obergrenze_katze=17;
				$obergrenze_text="MCH+";
				$untergrenze_text="MCH-";
				$bemerkung="";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
						"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
						"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
						"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
						" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id=$row[0];
			$wert=ctp($wert);
			labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," .
						" '','$datum','$user_id')");
			$db->free_result();
			$success=1;
			}  //MCH---------------------------------------------------



		//MCHC-----------------------------------------------------
		if ($vso_MCHC != "")
			{
			$kurz="MCHC_vetabc";
			$bezeichnung="MCHC (VETabc)";
			$einheit="g/dl";
			$wert=$vso_MCHC;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund="";
				$normaltext_katze="";
				$untergrenze_hund=31;
				$obergrenze_hund=36;
				$untergrenze_katze=31;
				$obergrenze_katze=36;
				$obergrenze_text="MCHC+";
				$untergrenze_text="MCHC-";
				$bemerkung="";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
						"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
						"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
						"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund',".
						" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id=$row[0];
			$wert=ctp($wert);
			labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
		    $db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," .
						" '','$datum','$user_id')");
			$db->free_result();
			$success=1;
			}  //MCHC---------------------------------------------------

		//RDW-----------------------------------------------------
		if ($vso_RDW != "")
			{
			$kurz="RDW_vetabc";
			$bezeichnung="RDW (VETabc)";
			$einheit="µm³";
			$wert=$vso_RDW;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund="";
				$normaltext_katze="";
				$untergrenze_hund=14;
				$obergrenze_hund=17;
				$untergrenze_katze=17;
				$obergrenze_katze=22;
				$obergrenze_text="RDW+";
				$untergrenze_text="RDW-";
				$bemerkung="Verteilungsstruktur der Erythrozyten";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund',".
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id=$row[0];
			$wert=ctp($wert);
			labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," .
						" '','$datum','$user_id')");
			$db->free_result();
			$success=1;
			} //RDW---------------------------------------------------


		//MPV-----------------------------------------------------
		if ($vso_MPV != "")
			{
			$kurz="MPV_vetabc";
			$bezeichnung="MPV (VETabc)";
			$einheit="µm³";
			$wert=$vso_MPV;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row=$db->fetch_row();
			$num=$db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund="";
				$normaltext_katze="";
				$untergrenze_hund=6.7;
				$obergrenze_hund=11.1;
				$untergrenze_katze=6.5;
				$obergrenze_katze=15;
				$obergrenze_text="MPV+";
				$untergrenze_text="MPV-";
				$bemerkung="";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) ".
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund',".
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row=$db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id=$row[0];
			$wert=ctp($wert);
			labor_before_save($db,$vso_patient_id,$bezeichnung,$wert,$ergebnistext,$laborwert_id,$einheit,$bewertung);
		    $db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," .
						" '','$datum','$user_id')");
			$db->free_result();
			$success=1;
			}  //MPV---------------------------------------------------


		//PLT------------------------------------------------------
		if ($vso_PLT != "")
			{
			$kurz        = "PLT_vetabc";
			$bezeichnung = "Thrombocyten (VETabc)";
			$einheit     = "10³/mm³";
			$wert        = $vso_PLT;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 200;
				$obergrenze_hund   = 460;
				$untergrenze_katze = 180;
				$obergrenze_katze  = 430;
				$obergrenze_text   = "PLT+";
				$untergrenze_text  = "PLT-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " . "
							values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //PLT---------------------------------------------------


		//pLYM------------------------------------------------------
		if ($vso_pLYM != "")
			{
			$kurz        = "pLYM_vetabc";
			$bezeichnung = "Lymphozyten (VETabc)";
			$einheit     = "%";
			$wert        = $vso_pLYM;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 100;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 100;
				$obergrenze_text   = "LYM+";
				$untergrenze_text  = "LYM-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //pLYM---------------------------------------------------


		//pMO------------------------------------------------------
		if ($vso_pMO != "")
			{
			$kurz        = "pMO_vetabc";
			$bezeichnung = "Monozyten (VETabc)";
			$einheit     = "%";
			$wert        = $vso_pMO;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 100;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 100;
				$obergrenze_text   = "MO+";
				$untergrenze_text  = "MO-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //pMO---------------------------------------------------


		//pGRA------------------------------------------------------
		if ($vso_pGRA != "")
			{
			$kurz        = "pGRA_vetabc";
			$bezeichnung = "Granulozyten (VETabc)";
			$einheit     = "%";
			$wert        = $vso_pGRA;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 100;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 100;
				$obergrenze_text   = "GRA+";
				$untergrenze_text  = "GRA-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //pGRA---------------------------------------------------


		//pEOS------------------------------------------------------
		if ($vso_pEOS != "")
			{
			$kurz        = "pEOS_vetabc";
			$bezeichnung = "Eosinophile (VETabc)";
			$einheit     = "%";
			$wert        = $vso_pEOS;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 100;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 100;
				$obergrenze_text   = "EOS+";
				$untergrenze_text  = "EOS-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							 " '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //pEOS---------------------------------------------------

		//absolute Werte der Leukos

		//aLYM------------------------------------------------------
		if ($vso_aLYM != "")
			{
			$kurz        = "aLYM_vetabc";
			$bezeichnung = "Lymphozyten abs. (VETabc)";
			$einheit     = "10³/mm³";
			$wert        = $vso_aLYM;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 1;
				$obergrenze_hund   = 3.6;
				$untergrenze_katze = 1;
				$obergrenze_katze  = 4;
				$obergrenze_text   = "LYM+";
				$untergrenze_text  = "LYM-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //aLYM---------------------------------------------------



		//aMO------------------------------------------------------
		if ($vso_aMO != "")
			{
			$kurz        = "aMO_vetabc";
			$bezeichnung = "Monozyten abs. (VETabc)";
			$einheit     = "10³/mm³";
			$wert        = $vso_aMO;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 0.5;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 0.5;
				$obergrenze_text   = "MO+";
				$untergrenze_text  = "MO-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //aMO---------------------------------------------------



		//aGRA------------------------------------------------------
		if ($vso_aGRA != "")
			{
			$kurz        = "aGRA_vetabc";
			$bezeichnung = "Granulozyten abs. (VETabc)";
			$einheit     = "10³/mm³";
			$wert        = $vso_aGRA;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 3;
				$obergrenze_hund   = 10;
				$untergrenze_katze = 3;
				$obergrenze_katze  = 12;
				$obergrenze_text   = "GRA+";
				$untergrenze_text  = "GRA-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //aGRA---------------------------------------------------



		//aEOS------------------------------------------------------
		if ($vso_aEOS != "")
			{
			$kurz        = "aEOS_vetabc";
			$bezeichnung = "Eosinophile abs. (VETabc)";
			$einheit     = "10³/mm³";
			$wert        = $vso_aEOS;
			//laborwert_id nachschauen, ggf Wert in die Laborwertedatenbank ergaenzen
			$db->query("select laborwert_id from vs_laborwert where kurz='$kurz' ");
			$row = $db->fetch_row();
			$num = $db->num_rows();
			$db->free_result();
			if ($num < 1) //noch nicht in der Datenbank enthalten
				{
				$normaltext_hund   = "";
				$normaltext_katze  = "";
				$untergrenze_hund  = 0;
				$obergrenze_hund   = 100;
				$untergrenze_katze = 0;
				$obergrenze_katze  = 100;
				$obergrenze_text   = "EOS+";
				$untergrenze_text  = "EOS-";
				$bemerkung         = "";
				$db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
							"normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
							"untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung) " .
							"values('$bezeichnung','$kurz','$einheit','$normaltext_hund','$normaltext_katze','$untergrenze_hund','$obergrenze_hund'," .
							" '$untergrenze_katze','$obergrenze_katze','$obergrenze_text','$untergrenze_text','$bemerkung')");
				//jetzt muesste der test bekannt sein......
				$db->query("Select  laborwert_id from vs_laborwert where kurz='$kurz' ");
				$row = $db->fetch_row();
				$db->free_result();
				}
			//jetzt Einfuegen des gemessenen Wertes in die Datenbank
			$laborwert_id = $row[0];
			$wert         = ctp($wert);
			labor_before_save($db, $vso_patient_id, $bezeichnung, $wert, $ergebnistext, $laborwert_id, $einheit, $bewertung);
			$db->query("Insert into vs_laborus (behandlung_id,patient_id,laborwert_id," .
						" bezeichnung,ergebnistext,wert,einheit,bewertung,labor,bemerkung,datum,user_id) values " .
						" ('$vso_behandlung_id','$vso_patient_id','$laborwert_id','$bezeichnung'," .
						" '','$wert','$einheit','$bewertung','vetabc'," . " '','$datum','$user_id')");
			$db->free_result();
			$success = 1;
			} //aEOS---------------------------------------------------


		echo "<script language=\"javascript\">opener.location.reload();window.close();</script>";

		break;

	} //switch

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

//Ende
$db->free_result();
$db->close();

?>
