 <?php
/*
 *      m1_ausdruck.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_form_objects.php";

// KM Bugfix 2013-08-25: Konfiguration fuer tcpdf ergaenzt
include_once "../tcpdf/tcpdf.php";
require_once ("../tcpdf/examples/lang/ger.php");
//wichtig: keine Leerzeichen vor dem php Tag und keine nach dem Ende!!!!!!!
//sonst streikt fpdf
//WICHTIG: Alle Skripte, die fpdf/tcpdf benutzen muessen so enkodiert sein wie das System
//Bei den anderen Skripten ist dies nicht von Bedeutung!!!!

// KM Bugfix 2013-08-25: rech_ausdruck.php ist Vorlage fuer 
// m_1_ausdruck.php, m_2_ausdruck.php, m_3_ausdruck.php

// KM Bugfix 2013-08-30: Formatierung ueberarbeitet

//$_GET und $_POST entpacken

extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');



class quittung extends TCPDF
{
//Page header
function Header()
{
	//Nothing to do
}

//Page footer
function Footer()
{
	$this->SetY(pn_bottom);
	//FreeSans italic 8
	$this->SetFont('FreeSans','I',7);
	//Page number
	$this->Cell(0,7,'Seite '.$this->PageNo(),0,0,'C');
	//Zeichenerklaerung
	$this->SetXY(rand_links,ze_bottom);
	$this->SetFont('FreeSans',"",7);
	$this->setfillcolor("230");
	$this->Cell(175,5,"L = Leistung(GOT) A/M = Medikament F = Futtermittel I = Impfung R = Fremdleistung V = Verbrauchsmaterial W = Warenartikel",1,0,"C",1);
} //Footer

} //class

$db = new vs_db();
$db->connect();

//-------Start Document-----------
$quittung=new quittung(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT,true); 
$quittung->getAliasNbPages();
$quittung->AddPage();

if (true)
{
///Logo, Titel alles weglassen
if(logo != "")
{
   //Logo	
  $quittung->Image(logo,logo_left,logo_top,logo_width,logo_height);
  $quittung->SetFont('FreeSans','B',18);
  //1.und 2. Zeile
  $quittung->Sety(first_lines_top);
  $quittung->Setx(first_lines_left);
  $quittung->cell(40,10,zeile1,0,1);
  $quittung->SetFont('FreeSans','B',14);
  $quittung->Setx(first_lines_left);
  $quittung->cell(40,10,zeile2,0,1);

}
else
{
	$quittung->Sety(first_lines_top);
	$quittung->Setx(first_lines_left);
	$quittung->cell(40,10,zeile1,0,1);
	$quittung->SetFont('FreeSans','B',14);
	$quittung->Setx(first_lines_left);
	$quittung->cell(40,10,zeile2,0,1);
}
 
$quittung->setx(rand_links);
// KM Design 2013-08-31: Bei gety()+1 eingefuegt, damit Linie etwas tiefer kommt.
$quittung->line($quittung->getx(),$quittung->gety()+1,$quittung->getx()+175,$quittung->gety()+1);

// Praxisdaten oben rechts
// KM Design 2013-08-31: Schrift 9 geaendert und Setxy (alt: Setx) fuer Hoeheneinstellung ergaenzt
$quittung->SetFont('FreeSans','I',9);
$quittung->Setxy(rand_links + 119,37);
// KM 2013-08-31: Zeilenhoehe von 7 auf 5 gändert.
$quittung->cell(40,5,zeile3,0,3);
$quittung->cell(40,5,zeile4,0,3);
$quittung->cell(40,5,zeile5,0,3);
$quittung->cell(40,5,zeile6,0,3);
$quittung->cell(40,5,zeile7,0,3);
// KM 2013-08-31: IBAN und BIC eingefuegt, ACHTUNG die folgenden Zeilennummern haben sich geaendert!
$quittung->cell(40,5,zeile8,0,3);
$quittung->cell(40,5,zeile9,0,3);
$quittung->cell(40,5,zeile10,0,3);
$quittung->cell(40,5,zeile11,0,3);

//Umschlagfenster
// KM Design 2013-08-31: Umschlgfenster hoeher Schrift Absender kleiner
$quittung->SetFont('FreeSans','U',6);
$quittung->Setxy(rand_links,43);
$quittung->cell(60,12,absender,0,3);
$quittung->SetFont('FreeSans','',10);

}

//Adressfeld
//Besitzer_id aus Rechnung holen
$db->query("select besitzer_id,anrede,titel,vorname,name,strasse,plz,wohnort," .
            "rechnungnummer,rechnungdatum,offen,zahlfrist,zusatztext," .
            "memo,mahnung_1_gebuehr,mahnung_1_datum " .
            " from vs_v_rechnung where rechnung_id=$vso_rechnung_id");
$rech=$db->fetch_row();
$db->free_result();

//zusaetzliche Angaben zum Besitzer
$db->query("select briefanrede,name from vs_besitzer where besitzer_id = $rech[0]");
$bes=$db->fetch_row();
$db->free_result();

//Adresse Besitzer
$quittung->cell(60,5,$rech[1],0,3);
if($rech[2] != "") $rech[2]=$rech[2]." ";
$quittung->SetFont('FreeSans','',10);
$quittung->cell(60,5,$rech[2].$rech[3]." ".$rech[4],0,3);
$quittung->cell(60,5,$rech[5],0,3);
$quittung->cell(60,5,$rech[6]." ".$rech[7],0,3);


//Zahlungserinnerung
$quittung->Setxy(rand_links,100);
$quittung->SetFont('FreeSans','B',14);
$quittung->cell(130,6,"Zahlungserinnerung",0,0);

//Datum
$quittung->SetFont('FreeSans','',10);
$quittung->setxy(rand_links +135,96);
$quittung->cell(40,10,$rech[15],0,1,"R");

//Eigentlicher Text
$quittung->Setxy(rand_links,126);
$m_1_text = m_1_text;
$m_1_text = str_replace ("{RECHNUMMER}",$rech[8],$m_1_text);
$m_1_text = str_replace ("{RECHDATUM}",$rech[9],$m_1_text);
$m_1_text = str_replace ("{RECHOFFEN}",$rech[10],$m_1_text);
$m_1_text = str_replace ("{RECHZAHLFRIST}",$rech[11],$m_1_text);
$m_1_text = str_replace ("{BRIEFANREDE}",$bes[0],$m_1_text);
$m_1_text = str_replace ("{BESNAME}",$bes[1],$m_1_text);

$quittung->MultiCell(190,6,$m_1_text,"0","L","0","1");  


//Dummy wegen Abstand
$quittung->setx(rand_links);
$quittung->Cell(170,20," ","l",1,"R");

$summe=$rech[10]+$rech[14];
//2015-03-22 KM: Formatierung auf 2 Stellen hinter dem Komma
$summe_formatted = sprintf("%01.2f", $summe);
$quittung->setx(rand_links);
$quittung->SetFont('FreeSans','',10);
$quittung->cell(175,6,"Rechnungsbetrag:   ".ptc($rech[10])." ".pdf_currency_string,"l",1,"R");
$quittung->setx(rand_links);
$quittung->cell(175,6,"Bearbeitungsgebühr:   ".ptc($rech[14])." ".pdf_currency_string,"l",1,"R");
$quittung->setx(rand_links);
$quittung->SetFont('FreeSans','B',10);
//2015-03-22 KM: Formatierung auf 2 Stellen hinter dem Komma
$quittung->cell(175,6,"Bitte überweisen Sie:   ".ptc($summe_formatted)." ".pdf_currency_string,"l",1,"R");

$quittung->setx(rand_links);
$quittung->SetFont('FreeSans','',6);

//----------------Ende des Dokumentes-------------------------------- 
$db->free_result();

//2015-05-17 KM: Memo-Meldung deaktiviert, wenn Mahnung aktiv, ist jetzt rechts ein roter Punkt (Datum != "01.01.0001")

//jetzt noch das Ausgabedatum der Rechnung ggf. umaendern
//$rech_text_neu=$rech[13]."- Ausdruck Mahnung 1 am ".today()." -  \n";
//$db->query("Update vs_rechnung set memo= '$rech_text_neu' where rechnung_id=$vso_rechnung_id");

//dem Besitzer den adaequaten zahltyp zuordnen
$db->query("Update vs_besitzer set zahl_typ= '2' where zahl_typ < 2 and besitzer_id=$rech[0]");
$db->free_result();  


$db->close();
ob_start();
$quittung->Output();
ob_end_flush();
?>
