 <?php
/*
 *      rech_ausdruck.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2016 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-12-07 Klaus Munsteiner: DATEI ---> Rechnungsdruck fuer Praxis mit Apotheke
//                             config.inc.php ---> define("aag","0");


//2015-03-18 Klaus Munsteiner: Schriftformatierung geaendert

//2015-03-21 Klaus Munsteiner: NEU Die einzelnen Teilzahlungsbetraege mit Datum aufschluesseln

//2015-11-19 Klaus Munsteiner: NEU Die einzelnen Rechnungspositionen von Netto auf Brutto umgestellt.
//           Die Umsatzsteuer wird jeweils aus Brutto-Gesamt errechnet.

//2015-12-05 Klaus Munsteiner: NEU Fuer die einzelnen Rechnungspositionen koennen Netto oder Brutto gewaehlt werden.
//           config.inc.php: define ("rech_pos_brutto", "1"); //(1 = brutto; 0 = netto) 
//           Die Umsatzsteuer und Netto gesamt wird jeweils aus Brutto-Gesamt errechnet.

//2016-01-03 Klaus Munsteiner: Code jetzt weitgehend identisch mit rech_ausdruck_aag.php
//           Variablen NEU, damit es uebersichtlicher wird und beide Rechnungsdrucke gleich sind.




include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../tcpdf/tcpdf.php";
require_once("../tcpdf/config/lang/ger.php");

//wichtig: keine Leerzeichen vor dem php Tag und keine nach dem Ende!!!!!!!
//sonst streikt fpdf
//WICHTIG: Alle Skripte, die fpdf/tcpdf benutzen muessen so enkodiert sein wie das System
//Bei den anderen Skripten ist dies nicht von Bedeutung!!!!

// KM Bugfix 2013-09-10: rech_ausdruck.php ist Vorlage fuer 
// m_1_ausdruck.php, m_2_ausdruck.php, m_3_ausdruck.php, beh_quittung.php, behbez_quittung.php

// KM Bugfix 2013-08-30: Formatierung ueberarbeitet

//$_GET und $_POST entpacken

extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


$s_mwst_a = ctp($dummy_A=A);
$s_mwst_b = ctp($dummy_B=B);

$db = new vs_db();
$db->connect();


//2016-01-05 KM: geaendert -- function ---> public function

class rechnungsdruck extends TCPDF
	{
	//Page header
	public function Header()
		{
		//Nothing to do
		}
	
	//Page footer
	public function Footer()
		{
		// Position at 15 mm from bottom
		$this->SetY(-15);
		// Set font
		$this->SetFont('FreeSans', 'I', 7);
		//Page number
		$this->Cell(0, 10, 'Seite ' . $this->getAliasNumPage() . '/' . $this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
		}
	}


//--------------Start Document------------------------------------------

// create new PDF document
$rech_druck = new rechnungsdruck(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$rech_druck->SetCreator(PDF_CREATOR);
$rech_druck->SetAuthor('Vetsoft Dr. Norbert Klumpp, Klaus Munsteiner');
$rech_druck->SetTitle('VS-Office Rechnung');
$rech_druck->SetSubject('VS-Office Rechnung');
$rech_druck->SetKeywords('Rechnung');

// remove default header
$rech_druck->setPrintHeader(false);

// set default header data
$rech_druck->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, PDF_HEADER_STRING);

// set header and footer fonts
$rech_druck->setHeaderFont(Array(
	PDF_FONT_NAME_MAIN,
	'',
	PDF_FONT_SIZE_MAIN
));
$rech_druck->setFooterFont(Array(
	PDF_FONT_NAME_DATA,
	'',
	PDF_FONT_SIZE_DATA
));

// set default monospaced font
$rech_druck->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins
$rech_druck->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$rech_druck->SetHeaderMargin(PDF_MARGIN_HEADER);
$rech_druck->SetFooterMargin(PDF_MARGIN_FOOTER);

//set auto page breaks
//$rech_druck->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

//set image scale factor
$rech_druck->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings
$rech_druck->setLanguageArray($l);

// set font
$rech_druck->SetFont('freesans', '', 10);


$rech_druck->getAliasNbPages();
$rech_druck->AddPage();


	///Logo, Titel alles weglassen
	if (logo != "")
		{
		//Logo
		$rech_druck->Image(logo, logo_left, logo_top, logo_width, logo_height);
		$rech_druck->SetFont('FreeSans', 'B', 18);
		//1.und 2. Zeile
		$rech_druck->Sety(first_lines_top);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile1, 0, 1);
		$rech_druck->SetFont('FreeSans', 'B', 14);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile2, 0, 1);
		
		}
	else
		{
		$rech_druck->Sety(first_lines_top);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile1, 0, 1);
		$rech_druck->SetFont('FreeSans', 'B', 14);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile2, 0, 1);
		}
	
	$rech_druck->setx(rand_links);
	$rech_druck->line($rech_druck->getx(), $rech_druck->gety() + 1, $rech_druck->getx() + 175, $rech_druck->gety() + 1);
	
	// Praxisdaten oben rechts
	$rech_druck->SetFont('FreeSans', 'I', 9);
	$rech_druck->Setxy(rand_links + 119, 37);
	$rech_druck->cell(40, 5, zeile3, 0, 3);
	$rech_druck->cell(40, 5, zeile4, 0, 3);
	$rech_druck->cell(40, 5, zeile5, 0, 3);
	$rech_druck->cell(40, 5, zeile6, 0, 3);
	$rech_druck->cell(40, 5, zeile7, 0, 3);
	// KM 2013-08-31: IBAN und BIC eingefuegt, ACHTUNG die folgenden Zeilennummern haben sich geaendert!
	$rech_druck->cell(40, 5, zeile8, 0, 3);
	$rech_druck->cell(40, 5, zeile9, 0, 3);
	$rech_druck->cell(40, 5, zeile10, 0, 3);
	// KM Bugfix 2013-07-29: UmsStID eingefuegt, fehlte in der Rechnung
	$rech_druck->cell(40, 5, zeile11, 0, 3);
	
	//Umschlagfenster
	$rech_druck->SetFont('FreeSans', 'U', 6);
	$rech_druck->Setxy(rand_links, 43);
	$rech_druck->cell(60, 12, absender, 0, 3);
	$rech_druck->SetFont('FreeSans', '', 10);
	

//Adressfeld
//Besitzer_id aus Rechnung holen
//2015-08-13 KM: NEU storno_aktiv
$db->query("select besitzer_id,anrede,titel,vorname,name,strasse,plz,wohnort," . 
			"rechnungnummer,brutto,brutto_a,brutto_b,netto,betragmwst,bezahlt,offen,brutto_abgabemed," . 
			"zahlfrist,zusatztext,rechnungdatum,storno_aktiv " . 
			" from vs_v_rechnung where rechnung_id=$vso_rechnung_id");
$rechnung = $db->fetch_row();
$db->free_result();


//2016-01-03 KM: Variablen NEU, damit es uebersichtlicher wird und beide Rechnungsdrucke gleich sind.

//Besitzerdaten
$besitzer_id = $rechnung[0];
$anrede      = $rechnung[1];
$titel       = $rechnung[2];
$vorname     = $rechnung[3];
$name        = $rechnung[4];
$strasse     = $rechnung[5];
$plz         = $rechnung[6];
$ort         = $rechnung[7];

//Rechnungsdaten
$r_rechnungnummer   = $rechnung[8];
$r_brutto           = number_format($rechnung[9], 2, ',', ' ');
$r_brutto_a         = number_format($rechnung[10], 2, ',', ' '); //L,M,I,R,V + A,W
$r_brutto_b         = number_format($rechnung[11], 2, ',', ' '); //F
$r_netto_a          = number_format($rechnung[10] / (1 + ($s_mwst_a / 100)), 2, ',', ' ');
$r_netto_b          = number_format($rechnung[11] / (1 + ($s_mwst_b / 100)), 2, ',', ' ');
$r_mwst_a           = number_format($rechnung[10] - $rechnung[10] / (1 + ($s_mwst_a / 100)), 2, ',', ' ');
$r_mwst_b           = number_format($rechnung[11] - $rechnung[11] / (1 + ($s_mwst_b / 100)), 2, ',', ' ');
$r_netto            = number_format($rechnung[12], 2, ',', ' ');
$r_betragmwst       = number_format($rechnung[13], 2, ',', ' ');
$r_bezahlt          = number_format($rechnung[14], 2, ',', ' ');
$r_offen            = number_format($rechnung[15], 2, ',', ' ');
//$r_brutto_abgabemed = number_format($rechnung[16], 2, ',', ' '); // KM: wird hier nicht gebraucht
$r_zahlfrist       = $rechnung[17];
$r_zusatztext      = $rechnung[18];
$r_rechnungdatum   = $rechnung[19];
//2015-12-08 KM: NEU Storno
$r_rechnung_storno = $rechnung[20];



//Adresse Besitzer
$rech_druck->cell(60, 5, $anrede, 0, 3);
if ($titel != "")
	$titel = $titel . " ";
$rech_druck->SetFont('FreeSans', '', 10);
$rech_druck->cell(60, 5, $titel . $vorname . " " . $name, 0, 3);
$rech_druck->cell(60, 5, $strasse, 0, 3);
$rech_druck->cell(60, 5, $plz . " " . $ort, 0, 3);

//Rechnung und Nummer
//2015-08-13 KM: NEU Storno
if (!isset($rechnung_storno))
	{
	$rechnung_storno = "";
	}

if ($r_rechnung_storno == "1")
	$rechnung_storno =  "        --- S T O R N O ---";
$rech_druck->Setxy(rand_links, 100);
$rech_druck->SetFont('FreeSans', 'B', 14);
$rech_druck->cell(180, 6, "Rechnung " . $r_rechnungnummer.$rechnung_storno, 0, 0);

//Datum
$rech_druck->SetFont('FreeSans', '', 10);
$rech_druck->setxy(rand_links + 135, 96);
$rech_druck->cell(40, 10, $r_rechnungdatum, 0, 1, "R");

//2015-11-03 KM: Kunden-Nr. eingefuegt.
$rech_druck->Setxy(rand_links, 104);
$rech_druck->SetFont('FreeSans', 'B', 10);
$rech_druck->cell(190, 12, "Kunden-Nr. " . $besitzer_id, 0, 1);


//Rechnungstext
$rech_druck->Setxy(rand_links, 110);
$rech_druck->SetFont('FreeSans', '', 10);
$rech_druck->cell(190, 12, rechnung_text_1, 0, 1);
$rech_druck->Setxy(rand_links, 126);
$rech_druck->cell(190, 10, rechnung_text_2, 0, 1);


//Schleife mit Behandlungen
$db2 = new vs_db();
$db2->connect();
$db->query("Select behandlung_id,datum,diagnose,patient_id from vs_behandlung " . 
			"where rechnung_id=$vso_rechnung_id order by patient_id,datum");
while ($beh = $db->fetch_row())
	{
	//2015-11-03 KM: patient_id eingefuegt.
	$db2->query("Select tierart,rasse,name,patient_id from vs_patient where patient_id=$beh[3]");
	$pat = $db2->fetch_row();
	$db2->free_result();
	
	//Patient und Behandlung
	//Linie
	$rech_druck->line(rand_links, $rech_druck->gety(), 195, $rech_druck->gety());
	//Angaben zum Patient  
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', 'B', 10);
	//2015-11-03 KM: Patienten-Nr. eingefuegt.
	$rech_druck->cell(40, 10, "Patienten-Nr. " . $pat[3] . ", " . $pat[0] . ", " . $pat[1] . ", " . $pat[2], 0, 1);
	
	//Behandlung Datum und Diagnose  
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', 'B', 10);
	$rech_druck->cell(40, 10, $beh[1], 0, 0);
	$rech_druck->cell(40, 10, $beh[2], 0, 3);
	
	$rech_druck->SetFont('FreeSans', '', 10);
	
	//NEU RECHBEZEICHNUNG , kontrollierte Reihenfolge der Positionstypen
	
	for ($i = 0; $i < 8; $i++)
		{
		$VS_RRF = VS_RRF; //Leistung-Medikament-Abgabemedikament-ImpfungFutter_Fremdleistung-Verbrauchsmaterial
		$typ    = $VS_RRF[$i]; //VS_RRF=Rechnungsreihenfolge in config.inc.php
		// 2014-05-23 KM: "ORDER BY behposition_id" eingefügt, damit die Reihenfolge in der Rechnung stimmt.
		// Reihenfolge wird so ausgegeben, wie sie angelegt wurde.
		//2015-11-19 KM: mwst $row[7] eingefuegt
		
		$db2->query("Select menge,typ,rechbezeichnung,brutto,netto,bezeichnung,ziffer,mwst from vs_behposition " . 
					"where behandlung_id=$beh[0] and typ='$typ' ORDER BY behposition_id");
		
		while ($row = $db2->fetch_row())
			{
			//v.a. fuer alte Rechnungen....  ohne Rechbezeichnung
			if ($row[2] == "")
				$row[2] = $row[5];
			$rech_druck->setx(rand_links);
			$rech_druck->cell(10, 5, ptc($row[0]), 0, 0, "R");
			$rech_druck->cell(7, 5, $row[1], 0, 0);
			$y1 = $rech_druck->GetY();
			//Schalter,ob die GOT-Ziffer angegeben wird
			if (rechnung_show_got == 1)
				{
				if ($row[1] == "L")
					$row[2] = $row[2] . " (" . $row[6] . ")";
				}
			// Schalter ob angewandte Medikamente mit Namen angegeben werden   
			if (rechnung_show_m_med != 1)
				{
				if ($row[1] == "M")
					$row[2] = "angewandtes Medikament";
				}
			$rech_druck->MultiCell(143, 5, $row[2], "0", "L", "0", "1");
			$y2 = $rech_druck->GetY();
		
			//2015-12-05 KM: Einzelpositionen --> BRUTTO mit Umsatzsteuersatz
			if (rech_pos_brutto == 1)
				{
				$rech_druck->sety($y1);
				$rech_druck->setx(146);
				$rech_druck->cell(20, 5, ptc($row[7]), 0, 1, "R");
				
				$rech_druck->sety($y1);
				$rech_druck->setx(185);
				$rech_druck->cell(10, 5, ptc($row[3]) . " " . pdf_currency_string, 0, 1, "R");
				
				$rech_druck->sety($y2);
				}
			
			//2015-12-05 KM: Einzelpositionen --> NETTO ohne Umsatzsteuersatz
			else
				{
				$rech_druck->sety($y1);
				$rech_druck->setx(175);
				$rech_druck->cell(20, 5, ptc($row[4]) . " " . pdf_currency_string, 0, 1, "R");
				
				$rech_druck->sety($y2);
				}
			}
		$db2->free_result();
		}
	
	}

$rech_druck->SetFont('FreeSans', '', 10);



//2015-12-05 KM: Version Einzelpositionen BRUTTO
if (rech_pos_brutto == 1)
	{
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', 'B', 10);
	$rech_druck->Cell(175, 8, "Gesamtsumme: $r_brutto"." ". pdf_currency_string, "l", 1, "R");
	}

//2015-12-05 KM: Version wenn Einzelpositionen BRUTTO
if (rech_pos_brutto == 1)
	{
	//Summen
	if ($r_brutto_b > 0) //netto b $dummy_B
		{
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, "Brutto ". $dummy_B ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_brutto_b"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, $dummy_B ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_mwst_b"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, "Netto ". $dummy_B ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_netto_b"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		//Dummy wegen Abstand
		$rech_druck->setx(rand_links + 96);
		$rech_druck->Cell(175, 1, " ", "l", 1, "R");
		}

	if ($r_brutto_a > 0) //netto a $dummy_A
		{
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, "Brutto ". $dummy_A ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_brutto_a"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, $dummy_A ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_mwst_a"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, "Netto ". $dummy_A ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_netto_a"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		//Dummy wegen Abstand
		$rech_druck->setx(rand_links + 96);
		$rech_druck->Cell(175, 1, " ", "l", 1, "R");
		}
	}
//2015-12-05 KM: Version wenn Einzelpositionen NETTO
else
	{
	//Dummy wegen Abstand
	$rech_druck->setx(rand_links);
	$rech_druck->Cell(175, 1, " ", "l", 1, "R");
	
	//Summen
	if ($r_brutto_b > 0) //netto b $dummy_B
		{
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, "Netto ". $dummy_B ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_netto_b"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, $dummy_B ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_mwst_b"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		//Dummy wegen Abstand
		$rech_druck->setx(rand_links + 96);
		$rech_druck->Cell(175, 1, " ", "l", 1, "R");
		}

	if ($r_brutto_a > 0) //netto a $dummy_A
		{
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, "Netto ". $dummy_A ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_netto_a"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->cell(56, 4, $dummy_A ." % USt: ", 0, 0 , "R");
		$rech_druck->cell(23, 4, "$r_mwst_a"." ". pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		
		//Dummy wegen Abstand
		$rech_druck->setx(rand_links + 96);
		$rech_druck->Cell(175, 1, " ", "l", 1, "R");
		}
	
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', 'B', 10);
	$rech_druck->Cell(175, 8, "Gesamtsumme: $r_brutto"." ". pdf_currency_string, "l", 1, "R");
	
	//Dummy wegen Abstand
	$rech_druck->setx(rand_links + 96);
	$rech_druck->Cell(175, 1, " ", "l", 1, "R");
	}
	
//2015-03-21 KM: NEU Die einzelnen Teilzahlungsbetraege mit Datum aufschluesseln
if ($r_bezahlt > 0) //bezahlt
	{
	//Datenbankabfrage der bezahlten Teilbetraege ----------------------
	$db->query("select datum,betrag,typ from vs_rech_bez where rechnung_id=$vso_rechnung_id order by datum");
	
	//Teilbetraege Schleifen durchlaufen
	while ($teilzahlung = $db->fetch_row())
		{
		//Teilbetraege Schleifen drucken
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 10);
		$rech_druck->cell(24, 6, "Bezahlt am: ", 0, 0);
		$rech_druck->cell(24, 6, $teilzahlung[0], 0, 0);  //Datum
		$rech_druck->cell(8, 6, $teilzahlung[2], 0, 0);   //Zahlweise Typ
		//2014-01-05 KM: ptc() fuer korrekte Komma-Formatierung 
		$rech_druck->cell(23, 6, ptc($teilzahlung[1]) . " " . pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
		}
	//2015-03-21 KM: Teilzahlungsbetraege Ende -------------------------
	
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', 'B', 10);
	$rech_druck->Cell(175, 8, "Bezahlt: $r_bezahlt"." ". pdf_currency_string, "l", 1, "R");
	}

$rech_druck->setx(rand_links);
$rech_druck->SetFont('FreeSans', 'B', 10);
$rech_druck->cell(175, 8, "Rechnungsbetrag: " . $r_offen . " " . pdf_currency_string, 0, 1, "R");

// Dummy wegen Abstand
$rech_druck->setx(rand_links);
$rech_druck->Cell(175, 1, "", "", 1);

//Nachbemerkung
$rech_druck->SetFont('FreeSans', '', 10);
$rech_druck->setx(rand_links);
$rech_druck->MultiCell(175, 5, rechnung_nb_text . "", "0", "L");

//Zahlfrist
$rech_druck->setx(rand_links);
$rech_druck->SetFont('FreeSans', 'B', 10);
$rech_druck->MultiCell(175, 5, "Zahlfrist: " . $r_zahlfrist, "0", "L");

//2015-03-18 KM: neu Dummy wegen Abstand
$rech_druck->setx(rand_links);
$rech_druck->Cell(175, 1, "", "", 1);

//Schlusstext
$rech_druck->setx(rand_links);
$rech_druck->SetFont('FreeSans', '', 6);
$rech_druck->MultiCell(175, 5, rechnung_text_ende, "0", "L");

//Zusatztext
if ($r_zusatztext != "")
	{
	//2015-03-18 KM: neu Dummy wegen Abstand
	$rech_druck->setx(rand_links);
	$rech_druck->Cell(175, 1, "", "", 1);
	
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', '', 10);
	$rech_druck->MultiCell(175, 5, $r_zusatztext, "0", "L");
	}

//Dummy wegen Abstand
$rech_druck->setx(rand_links);
$rech_druck->Cell(170, 1, "", "", 1, "R");
$rech_druck->setx(rand_links);

//Zeichenerklaerung
$rech_druck->setx(rand_links);
$rech_druck->SetFont('FreeSans', "", 8);
$rech_druck->setfillcolor("555");
$rech_druck->Cell(175, 5, "L = Leistung (GOT)    A/M = Medikament    F = Futtermittel    I = Impfung    R = Fremdleistung    V = Verbrauchsmaterial    W = Warenartikel", 1, 0, "C", 1);

//2016-01-06 KM:
//reset pointer to the last page
$rech_druck->lastPage();



// ---------------------------------------------------------------------
//Close and output PDF document

//Dateiname=Rechnungnummer
//2016-01-02 KM: kein Pfad im Dateinamen
//$f_name =       "../../vsdata/rechnungen/".$r_rechnungnummer.".pdf";
$f_name =       $r_rechnungnummer.".pdf";
ob_start();
$rech_druck->Output($f_name,'I');
ob_end_flush();

//----------------Ende des Dokumentes-----------------------------------
$db->free_result();

//jetzt noch das Ausgabedatum der Rechnung ggf. umaendern
$heute = today();
$db->query("Update vs_rechnung set ausgabedatum= '$heute' where rechnung_id=$vso_rechnung_id");
$db->free_result();

$db->close();

?>
