 <?php
/*
 *      rech_ausdruck_aag.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2016 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-12-07 Klaus Munsteiner: NEUE DATEI ---> Rechnungsdruck fuer Praxis + AAG getrennt 
//                             config.inc.php ---> define("aag","1");

//2016-01-03 Klaus Munsteiner: Code jetzt weitgehend identisch mit rech_ausdruck.php

include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../tcpdf/tcpdf.php";
require_once("../tcpdf/config/lang/ger.php");

//wichtig: keine Leerzeichen vor dem php Tag und keine nach dem Ende!!!!!!!
//sonst streikt fpdf
//WICHTIG: Alle Skripte, die fpdf/tcpdf benutzen muessen so enkodiert sein wie das System
//Bei den anderen Skripten ist dies nicht von Bedeutung!!!!


//$_GET und $_POST entpacken

extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');


$s_mwst_a = ctp($dummy_A = A);
$s_mwst_b = ctp($dummy_B = B);


//-------------------------------------------------Daten sammeln---------------------------------------------------------------
$db = new vs_db();
$db->connect();


//Rechnungsdaten in 2 arrays (Praxis/AAG) sammeln
$db->query("select besitzer_id,anrede,titel,vorname,name,strasse,plz,wohnort," . 
			" rechnungnummer,brutto,brutto_a,brutto_b,netto,betragmwst,bezahlt,offen,brutto_abgabemed," . 
			//2015-12-08 KM: NEU storno_aktiv
			"zahlfrist,zusatztext,rechnungdatum,storno_aktiv " . 
			" from vs_v_rechnung where rechnung_id=$vso_rechnung_id");
$rechnung = $db->fetch_row();
$db->free_result();

//Besitzerdaten
$besitzer_id = $rechnung[0];
$anrede      = $rechnung[1];
$titel       = $rechnung[2];
$vorname     = $rechnung[3];
$name        = $rechnung[4];
$strasse     = $rechnung[5];
$plz         = $rechnung[6];
$ort         = $rechnung[7];

//Rechnungsdaten
$r_rechnungnummer   = $rechnung[8];
$r_brutto           = number_format($rechnung[9], 2, ',', ' ');
$r_brutto_a         = number_format($rechnung[10], 2, ',', ' '); //L,M,I,R,V + A,W
$r_brutto_b         = number_format($rechnung[11], 2, ',', ' '); //F
$r_netto_b          = number_format($rechnung[11] / (1 + ($s_mwst_b / 100)), 2, ',', ' ');
$r_netto            = number_format($rechnung[12], 2, ',', ' ');
$r_betragmwst       = number_format($rechnung[13], 2, ',', ' ');
$r_bezahlt          = number_format($rechnung[14], 2, ',', ' ');
$r_offen            = number_format($rechnung[15], 2, ',', ' ');
$r_brutto_abgabemed = number_format($rechnung[16], 2, ',', ' '); // A,W
$r_netto_abgabemed  = number_format($rechnung[16] / (1 + ($s_mwst_a / 100)), 2, ',', ' ');

//PRAXIS
$r_brutto_praxis = number_format($rechnung[10] - $rechnung[16], 2, ',', ' '); //nur L,M,I,R,V (brutto_a - brutto_abgabemed)
$r_netto_praxis  = number_format(($rechnung[10] - $rechnung[16]) / (1 + ($s_mwst_a / 100)), 2, ',', ' ');
$r_mwst_praxis   = number_format(($rechnung[10] - $rechnung[16]) - (($rechnung[10] - $rechnung[16]) / (1 + ($s_mwst_a / 100))), 2, ',', ' ');

//AAG
$r_brutto_aag    = number_format($rechnung[11] + $rechnung[16], 2, ',', ' ');
$r_netto_aag     = number_format($rechnung[11] / (1 + ($s_mwst_b / 100)) + $rechnung[16] / (1 + ($s_mwst_a / 100)), 2, ',', ' ');
$r_netto_a_aag   = number_format($rechnung[16] / (1 + ($s_mwst_a / 100)), 2, ',', ' ');
$r_netto_b_aag   = number_format($rechnung[11] / (1 + ($s_mwst_b / 100)), 2, ',', ' ');
$r_mwst_a_aag    = number_format($rechnung[16] - $rechnung[16] / (1 + ($s_mwst_a / 100)), 2, ',', ' ');
$r_mwst_b_aag    = number_format($rechnung[11] - $rechnung[11] / (1 + ($s_mwst_b / 100)), 2, ',', ' ');
//2015-12-15 KM: NEU Bruttopreise fuer AAG
$r_brutto_a_aag  = number_format($rechnung[16], 2, ',', ' ');
$r_brutto_b_aag  = number_format($rechnung[11], 2, ',', ' ');

//Rechnungsdaten
$r_zahlfrist       = $rechnung[17];
$r_zusatztext      = $rechnung[18];
$r_rechnungdatum   = $rechnung[19];
//2015-12-08 KM: NEU Storno
$r_rechnung_storno = $rechnung[20];

$praxis_behandlungen = array();
$aag_behandlungen    = array();

//Schleife mit Behandlungen
$db2 = new vs_db();
$db2->connect();
$db->query("Select behandlung_id,datum,diagnose,patient_id from vs_behandlung " . 
			"where rechnung_id=$vso_rechnung_id order by patient_id,datum");
while ($behandlung = $db->fetch_row())
	{
	$praxis_pos = 0; //Schalter ob Behandlung Positionen der Praxis enthält 
	$aag_pos    = 0; //Schalter ob Behandlung Positionen der AAG enthält
	$pos_praxis = array();
	$pos_aag    = array();
	$beh_praxis = array();
	$beh_aag    = array();
	//2015-12-08 patient_id eingefuegt.
	$db2->query("Select tierart,rasse,name,patient_id from vs_patient " . 
				"where patient_id=$behandlung[3]");
	$patient = $db2->fetch_row();
	$db2->free_result();
	
	//Patient
	$pat_tierart              = $patient[0];
	$pat_rasse                = $patient[1];
	$pat_name                 = $patient[2];
	$pat_id                   = $patient[3];
	
	//Behandlung
	$beh_datum                = $behandlung[1];
	$beh_diagnose             = $behandlung[2];
	
	//Praxis- und AAG-Behandlung-array definieren
	//2015-12-08 Patienten-Nr. eingefuegt.
	$beh_praxis["pat_nr"]     = $pat_id;
	$beh_praxis["tierart"]    = $pat_tierart;
	$beh_praxis["rasse"]      = $pat_rasse;
	$beh_praxis["patname"]    = $pat_name;
	$beh_praxis["datum"]      = $beh_datum;
	$beh_praxis["diagnose"]   = $beh_diagnose;
	$beh_praxis["positionen"] = array();
	
	$beh_aag["pat_nr"]     = $pat_id;
	$beh_aag["tierart"]    = $pat_tierart;
	$beh_aag["rasse"]      = $pat_rasse;
	$beh_aag["patname"]    = $pat_name;
	$beh_aag["datum"]      = $beh_datum;
	$beh_aag["diagnose"]   = $beh_diagnose;
	$beh_aag["positionen"] = array();
	//VS_RRF kontrollierte Reihenfolge der Positionstypen
	for ($i = 0; $i < 8; $i++)
		{
		$VS_RRF = VS_RRF; //Leistung-Medikament-Abgabemedikament-ImpfungFutter_Fremdleistung-Verbrauchsmaterial
		$typ    = $VS_RRF[$i]; //VS_RRF=Rechnungsreihenfolge in config.inc.php
		//2015-12-08 KM: mwst $row[7] eingefuegt
		// 2016-01-03 KM: "ORDER BY behposition_id" eingefügt, damit die Reihenfolge in der Rechnung stimmt.
		// Reihenfolge wird so ausgegeben, wie sie angelegt wurde.
		$db2->query("Select menge,typ,rechbezeichnung,brutto,netto,bezeichnung,ziffer,mwst from vs_behposition " . 
					"where behandlung_id=$behandlung[0] and typ='$typ' ORDER BY behposition_id");
		
		while ($position = $db2->fetch_row())
			{
			//v.a. fuer alte Rechnungen....  ohne Rechbezeichnung
			if ($position[2] == "")
				$position[2] = $position[5];
			//Schalter,ob die GOT-Ziffer angegeben wird (def.in config.inc.php)
			if (rechnung_show_got == 1)
				{
				if ($position[1] == "L")
					$position[2] = $position[2] . " (" . $position[6] . ")";
				}
			// Schalter ob angewandte Medikamente mit Namen angegeben werden (def.in config.inc.php)  
			if (rechnung_show_m_med != 1)
				{
				if ($position[1] == "M")
					$position[2] = "angewandtes Medikament";
				}
			$pos_menge              = ptc($position[0]);
			$pos_typ                = $position[1];
			$pos_rechbezeichnung    = $position[2];
			$pos_brutto             = ptc($position[3]);
			$pos_netto              = ptc($position[4]);
			$pos_ziffer             = $position[6];
			//2015-11-19 KM: mwst $row[7] eingefuegt
			$pos_mwst               = $position[7];
			//Pos-array fuellen
			$pos                    = array();
			$pos["menge"]           = $pos_menge;
			$pos["typ"]             = $pos_typ;
			$pos["rechbezeichnung"] = $pos_rechbezeichnung;
			$pos["brutto"]          = $pos_brutto;
			$pos["netto"]           = $pos_netto;
			$pos["ziffer"]          = $pos_ziffer;
			//2015-11-19 KM: mwst $row[7] eingefuegt
			$pos["steuersatz"]      = $pos_mwst;
			if (in_array($pos_typ, array(
				'A',
				'F',
				'W'
			))) //Position für AAG
				{
				if ($aag_pos == 0)
					{
					$aag_pos = 1;
					//AAG-Puffer mit Patienten- und Behandlungsdaten fuellen
					}
				//AAG-Puffer mit Positionssdaten fuellen
				$beh_aag["positionen"][] = $pos;
				}
			else //Position für Praxis
				{
				if ($praxis_pos == 0)
					{
					$praxis_pos = 1;
					//PRAXIS-Puffer mit Patienten- und Behandlungsdaten fuellen
					}
				//PRAXIS-Puffer mit Positionssdaten fuellen
				$beh_praxis["positionen"][] = $pos;
				}
			} //while $position... 
		$db2->free_result();
		} //for
	if ($praxis_pos > 0)
		$praxis_behandlungen[] = $beh_praxis;
	if ($aag_pos > 0)
		$aag_behandlungen[] = $beh_aag;
	} //while $behandlung...

//---------------------------------------Ende Daten Sammeln---------------------------------------------------------------- 

//Rechnung Zusammenfassung

// Extend the TCPDF class to create custom Header and Footer
class rechnungsdruck extends TCPDF
	{
	//Page header
	public function Header()
		{
		//Nothing to do
		}
	
	// Page footer
	public function Footer()
		{
		// Position at 15 mm from bottom
		$this->SetY(-15);
		// Set font
		$this->SetFont('FreeSans', 'I', 7);
		// Page number
		$this->Cell(0, 10, 'Seite ' . $this->getAliasNumPage() . '/' . $this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');
		}
	}

// create new PDF document
$rech_druck = new rechnungsdruck(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$rech_druck->SetCreator(PDF_CREATOR);
$rech_druck->SetAuthor('Vetsoft Dr. Norbert Klumpp, Klaus Munsteiner');
$rech_druck->SetTitle('VS-Office Rechnung');
$rech_druck->SetSubject('VS-Office Rechnung');
$rech_druck->SetKeywords('Rechnung');

// remove default header
$rech_druck->setPrintHeader(false);

// set default header data
$rech_druck->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, PDF_HEADER_TITLE, PDF_HEADER_STRING);

// set header and footer fonts
$rech_druck->setHeaderFont(Array(
	PDF_FONT_NAME_MAIN,
	'',
	PDF_FONT_SIZE_MAIN
));
$rech_druck->setFooterFont(Array(
	PDF_FONT_NAME_DATA,
	'',
	PDF_FONT_SIZE_DATA
));

// set default monospaced font
$rech_druck->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins
$rech_druck->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$rech_druck->SetHeaderMargin(PDF_MARGIN_HEADER);
$rech_druck->SetFooterMargin(PDF_MARGIN_FOOTER);

//set auto page breaks
//$rech_druck->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

//set image scale factor
$rech_druck->setImageScale(PDF_IMAGE_SCALE_RATIO);

//set some language-dependent strings
$rech_druck->setLanguageArray($l);

// set font
$rech_druck->SetFont('freesans', '', 10);


$rech_druck->getAliasNbPages();

//-----------------------------------------------RECHNUNG PRAXIS-------------------------------------

if ($r_netto_praxis > 0) //(count(praxis_behandlungen) >0 )
	{
	$rech_druck->AddPage();
	///Logo, Titel alles weglassen
	if (logo_praxis != "")
		{
		//Logo
		$rech_druck->Image(logo_praxis, logo_left, logo_top, logo_width, logo_height);
		$rech_druck->SetFont('FreeSans', 'B', 18);
		//1.und 2. Zeile
		$rech_druck->Sety(first_lines_top);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile1_praxis, 0, 1);
		$rech_druck->SetFont('FreeSans', 'B', 14);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile2_praxis, 0, 1);
		}
	else
		{
		$rech_druck->Sety(first_lines_top);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile1_praxis, 0, 1);
		$rech_druck->SetFont('FreeSans', 'B', 14);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile2_praxis, 0, 1);
		}
	
	$rech_druck->setx(rand_links);
	$rech_druck->line($rech_druck->getx(), $rech_druck->gety() + 1, $rech_druck->getx() + 175, $rech_druck->gety() + 1);
	
	// Praxisdaten oben rechts
	$rech_druck->SetFont('FreeSans', 'I', 9);
	$rech_druck->Setxy(rand_links + 119, 37);
	$rech_druck->cell(40, 5, zeile3_praxis, 0, 3);
	$rech_druck->cell(40, 5, zeile4_praxis, 0, 3);
	$rech_druck->cell(40, 5, zeile5_praxis, 0, 3);
	$rech_druck->cell(40, 5, zeile6_praxis, 0, 3);
	$rech_druck->cell(40, 5, zeile7_praxis, 0, 3);
	// DW 2013-11-30: IBAN und BIC eingefuegt, ACHTUNG die folgenden Zeilennummern haben sich geaendert!
	$rech_druck->cell(40, 5, zeile8_praxis, 0, 3);
	$rech_druck->cell(40, 5, zeile9_praxis, 0, 3);
	// DW Bugfix 2013-11-30: UmsStID eingefuegt, fehlte in der Rechnung       
	$rech_druck->cell(40, 5, zeile10_praxis, 0, 3);
	$rech_druck->cell(40, 5, zeile11_praxis, 0, 3);
	
	//Umschlagfenster
	$rech_druck->SetFont('FreeSans', 'U', 6);
	$rech_druck->Setxy(rand_links, 43);
	$rech_druck->cell(60, 12, absender_praxis, 0, 3);
	$rech_druck->SetFont('FreeSans', '', 10);
	
	//Adresse Besitzer
	$rech_druck->cell(60, 6, $anrede, 0, 3);
	if ($titel != "")
		$titel = $titel . " ";
	$rech_druck->SetFont('FreeSans', '', 10);
	$rech_druck->cell(60, 5, $titel . $vorname . " " . $name, 0, 3);
	$rech_druck->cell(60, 5, $strasse, 0, 3);
	$rech_druck->cell(60, 5, $plz . " " . $ort, 0, 3);
	
	//Rechnung und Nummer
	//2015-12-08 KM: NEU Storno
	if (!isset($rechnung_storno))
		{
		$rechnung_storno = "";
		}
	
	if ($r_rechnung_storno == "1")
		$rechnung_storno = "        --- S T O R N O ---";
	$rech_druck->Setxy(rand_links, 100);
	$rech_druck->SetFont('FreeSans', 'B', 14);
	$rech_druck->cell(180, 6, "Rechnung " . $r_rechnungnummer . $rechnung_storno, 0, 0);
	
	//Datum
	$rech_druck->SetFont('FreeSans', '', 10);
	$rech_druck->setxy(rand_links + 135, 96);
	$rech_druck->cell(40, 10, $r_rechnungdatum, 0, 1, "R");
	
	//2015-12-08 KM: Kunden-Nr. eingefuegt.
	$rech_druck->Setxy(rand_links, 104);
	$rech_druck->SetFont('FreeSans', 'B', 10);
	$rech_druck->cell(190, 12, "Kunden-Nr. " . $besitzer_id, 0, 1);
	
	//Rechnungstext
	$rech_druck->Setxy(rand_links, 110);
	$rech_druck->SetFont('FreeSans', '', 10);
	$rech_druck->cell(190, 12, rechnung_text_praxis_1, 0, 1);
	$rech_druck->Setxy(rand_links, 126);
	$rech_druck->cell(190, 10, rechnung_text_praxis_2, 0, 1);
	
	//Behandlungen
	for ($i = 0; $i < count($praxis_behandlungen); $i++)
		{
		//Linie
		// DW Design 2013-11-30: Linie rechts verlaengert 195.
		$rech_druck->line(rand_links, $rech_druck->gety(), 195, $rech_druck->gety());
		
		//Angaben zum Patient  
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		//2015-12-08: Patienten-Nr. eingefuegt.
		$rech_druck->cell(40, 10, "Patienten-Nr. " . $praxis_behandlungen[$i]["pat_nr"] . ", " . $praxis_behandlungen[$i]["tierart"] . ", " . 
					$praxis_behandlungen[$i]["rasse"] . ", " . $praxis_behandlungen[$i]["patname"], 0, 1);
		
		//Behandlung, Datum und Diagnose  
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		$rech_druck->cell(40, 10, $praxis_behandlungen[$i]["datum"], 0, 0);
		$rech_druck->cell(40, 10, $praxis_behandlungen[$i]["diagnose"], 0, 3);
		
		$rech_druck->SetFont('FreeSans', '', 10);
		//Positionen
		for ($j = 0; $j < count($praxis_behandlungen[$i]["positionen"]); $j++)
			{
			$rech_druck->setx(rand_links);
			$rech_druck->cell(10, 5, $praxis_behandlungen[$i]["positionen"][$j]["menge"], 0, 0, "R");
			$rech_druck->cell(7, 5, $praxis_behandlungen[$i]["positionen"][$j]["typ"], 0, 0);
			$y1 = $rech_druck->GetY();
			$rech_druck->MultiCell(143, 5, $praxis_behandlungen[$i]["positionen"][$j]["rechbezeichnung"], "0", "L", "0", "1");
			$y2 = $rech_druck->GetY();
			
			//2015-12-05 KM: Einzelpositionen --> BRUTTO mit Umsatzsteuersatz
			if (rech_pos_brutto == 1)
				{
				$rech_druck->sety($y1);
				$rech_druck->setx(146);
				$rech_druck->cell(20, 5, $praxis_behandlungen[$i]["positionen"][$j]["steuersatz"], 0, 1, "R");
				
				$rech_druck->sety($y1);
				$rech_druck->setx(175);
				$rech_druck->cell(20, 5, $praxis_behandlungen[$i]["positionen"][$j]["brutto"] . " " . pdf_currency_string, 0, 1, "R");
				$rech_druck->sety($y2);
				}
			
			//2015-12-05 KM: Einzelpositionen --> NETTO ohne Umsatzsteuersatz
			else
				{
				$rech_druck->sety($y1);
				$rech_druck->setx(175);
				$rech_druck->cell(20, 5, $praxis_behandlungen[$i]["positionen"][$j]["netto"] . " " . pdf_currency_string, 0, 1, "R");
				
				$rech_druck->sety($y2);
				}
			}
		}
	//Dummy wegen Abstand
	$rech_druck->setx(rand_links);
	$rech_druck->Cell(175, 1, "", "", 1, "R");
	$rech_druck->setx(rand_links);
	
	if ($r_brutto_praxis > 0)
		{
		if (rech_pos_brutto == 1)
			{
			$rech_druck->setx(rand_links + 96);
			$rech_druck->SetFont('FreeSans', 'B', 10);
			$rech_druck->Cell(56, 4, "Brutto " . A . " % USt: ", 0, 0, "R");
			$rech_druck->Cell(23, 4, "$r_brutto_praxis"." ". pdf_currency_string, 0, 1, "R"); //Brutto
			}
		else
			{
			$rech_druck->setx(rand_links + 96);
			$rech_druck->SetFont('FreeSans', '', 8);
			$rech_druck->Cell(56, 4, "Netto " . A . " % USt: ", 0, 0, "R");
			$rech_druck->Cell(23, 4, "$r_netto_praxis"." ". pdf_currency_string, 0, 1, "R"); //Netto
			}
		
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', '', 8);
		$rech_druck->Cell(56, 4,  A . " % USt: ", 0, 0, "R");
		$rech_druck->Cell(23, 4, "$r_mwst_praxis"." ". pdf_currency_string, 0, 1, "R"); //USt
		
		if (rech_pos_brutto == 1)
			{
			$rech_druck->setx(rand_links + 96);
			$rech_druck->SetFont('FreeSans', '', 8);
			$rech_druck->Cell(56, 4, "Netto " . A . " % USt: ", 0, 0, "R");
			$rech_druck->Cell(23, 4, "$r_netto_praxis"." ". pdf_currency_string, 0, 1, "R"); //Netto
			}
		else
			{
			// Dummy wegen Abstand
			$rech_druck->setx(rand_links + 96);
			$rech_druck->Cell(175, 1, "", "", 1);
			
			$rech_druck->setx(rand_links + 96);
			$rech_druck->SetFont('FreeSans', 'B', 10);
			$rech_druck->Cell(56, 4, "Brutto " . A . " % USt: ", 0, 0, "R");
			$rech_druck->Cell(23, 4, "$r_brutto_praxis"." ". pdf_currency_string, 0, 1, "R"); //Brutto
			}
		
		if (ctp($r_netto_aag) > 0) //(count(aag_behandlungen) >0 )
			{
			// Dummy wegen Abstand
			$rech_druck->setx(rand_links + 96);
			$rech_druck->Cell(175, 1, "", "", 1);
			
			$rech_druck->setx(rand_links + 96);
			$rech_druck->SetFont('FreeSans', 'B', 10);
			$rech_druck->Cell(56, 4, "zzgl. Rechnung Abgabegesellschaft (siehe Anlage) ", 0, 0, "R");
			$rech_druck->Cell(23, 4, "$r_brutto_aag"." ". pdf_currency_string, 0, 1, "R"); //Brutto AAG
			}
			
		//Dummy wegen Abstand
		$rech_druck->setx(rand_links);
		$rech_druck->Cell(175, 1, "", "", 1, "R");
		$rech_druck->setx(rand_links);
		
		//2015-12-11 KM: NEU Die einzelnen Teilzahlungsbetraege mit Datum aufschluesseln
		if ($r_bezahlt > 0) //bezahlt
			{
			//Datenbankabfrage der bezahlten Teilbetraege ----------------------
			$db->query("select datum,betrag,typ from vs_rech_bez where rechnung_id=$vso_rechnung_id order by datum");
			
			//Teilbetraege Schleifen durchlaufen
			while ($teilzahlung = $db->fetch_row())
				{
				//Teilbetraege Schleifen drucken
				$rech_druck->setx(rand_links + 96);
				$rech_druck->SetFont('FreeSans', '', 10);
				$rech_druck->cell(24, 6, "Bezahlt am: ", 0, 0);
				$rech_druck->cell(24, 6, $teilzahlung[0], 0, 0);  //Datum
				$rech_druck->cell(8, 6, $teilzahlung[2], 0, 0);   //Zahlweise Typ
				//2014-01-05 KM: ptc() fuer korrekte Komma-Formatierung 
				$rech_druck->cell(23, 6, ptc($teilzahlung[1]) . " " . pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
				}
			//2015-03-21 KM: Teilzahlungsbetraege Ende -------------------------
			
			$rech_druck->setx(rand_links);
			$rech_druck->SetFont('FreeSans', 'B', 10);
			$rech_druck->cell(175, 8, "Bezahlt: " . $r_bezahlt . " " . pdf_currency_string, 0, 1, "R");
			
			}
			
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		$rech_druck->cell(175, 8, "Rechnungsbetrag: " . $r_offen . " " . pdf_currency_string, 0, 1, "R");
		}
	//Dummy wegen Abstand
	$rech_druck->setx(rand_links);
	$rech_druck->Cell(170, 1, "", "", 1, "R");
	$rech_druck->setx(rand_links);
	
	//Nachbemerkung
	$rech_druck->SetFont('FreeSans', '', 10);
	$rech_druck->setx(rand_links);
	$rech_druck->MultiCell(175, 5, rechnung_nb_text . "", "0", "L");
	
	//Zahlfrist
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', 'B', 10);
	$rech_druck->MultiCell(175, 5, "Zahlfrist: " . $r_zahlfrist, "0", "L");
	
	//Dummy wegen Abstand
	$rech_druck->setx(rand_links);
	$rech_druck->Cell(175, 1, "", "", 1);
	
	//Schlusstext
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', '', 6);
	$rech_druck->MultiCell(175, 5, rechnung_text_ende, "0", "L");
	
	//Zusatztext
	if ($r_zusatztext != "")
		{
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', '', 9);
		$rech_druck->MultiCell(170, 5, $r_zusatztext, "0", "L");
		}
	
	//Dummy wegen Abstand
	$rech_druck->setx(rand_links);
	$rech_druck->Cell(170, 1, "", "", 1, "R");
	$rech_druck->setx(rand_links);
	
	//Zeichenerklaerung
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', "", 8);
	$rech_druck->setfillcolor("555");
	$rech_druck->Cell(175, 5, " L = Leistung (GOT)    M = Medikament (angewandt)    I = Impfung    R = Fremdleistung    V = Verbrauchsmaterial ", 1, 0, "C", 1);
	
	} //if count ($praxis_behandlungen)


//-----------------------------------------------RECHNUNG AAG-------------------------------------

if ($r_netto_aag > 0) //(count(aag_behandlungen) >0 )
	{
	$rech_druck->AddPage();
	///Logo, Titel alles weglassen
	if (logo_aag != "")
		{
		//Logo
		$rech_druck->Image(logo_aag, logo_left, logo_top, logo_width, logo_height);
		$rech_druck->SetFont('FreeSans', 'B', 18);
		//1.und 2. Zeile
		$rech_druck->Sety(first_lines_top);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile1_aag, 0, 1);
		$rech_druck->SetFont('FreeSans', 'B', 14);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile2_aag, 0, 1);
		}
	else
		{
		$rech_druck->Sety(first_lines_top);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile1_aag, 0, 1);
		$rech_druck->SetFont('FreeSans', 'B', 14);
		$rech_druck->Setx(first_lines_left);
		$rech_druck->cell(40, 10, zeile2_aag, 0, 1);
		}
	
	$rech_druck->setx(rand_links);
	// DW Design 2013-11-30: Bei gety()+1 eingefuegt, damit Linie etwas tiefer kommt.
	$rech_druck->line($rech_druck->getx(), $rech_druck->gety() + 1, $rech_druck->getx() + 175, $rech_druck->gety() + 1);
	
	// Praxisdaten oben rechts
	// DW Design 2013-11-30: Schrift 9 geaendert und Setxy (alt: Setx) fuer Hoeheneinstellung ergaenzt
	$rech_druck->SetFont('FreeSans', 'I', 9);
	$rech_druck->Setxy(rand_links + 119, 37);
	// Praxisdaten oben rechts
	$rech_druck->cell(40, 5, zeile3_aag, 0, 3);
	$rech_druck->cell(40, 5, zeile4_aag, 0, 3);
	$rech_druck->cell(40, 5, zeile5_aag, 0, 3);
	$rech_druck->cell(40, 5, zeile6_aag, 0, 3);
	$rech_druck->cell(40, 5, zeile7_aag, 0, 3);
	// DW 2013-11-30: IBAN und BIC eingefuegt, ACHTUNG die folgenden Zeilennummern haben sich geaendert!
	$rech_druck->cell(40, 5, zeile8_aag, 0, 3);
	$rech_druck->cell(40, 5, zeile9_aag, 0, 3);
	// DW Bugfix 2013-11-30: UmsStID eingefuegt, fehlte in der Rechnung       
	$rech_druck->cell(40, 5, zeile10_aag, 0, 3);
	$rech_druck->cell(40, 5, zeile11_aag, 0, 3);
	
	//Umschlagfenster
	$rech_druck->SetFont('FreeSans', 'U', 6);
	$rech_druck->Setxy(rand_links, 43);
	$rech_druck->cell(60, 12, absender_aag, 0, 3);
	$rech_druck->SetFont('FreeSans', '', 10);
	
	//Adresse Besitzer
	$rech_druck->cell(60, 6, $anrede, 0, 3);
	if ($titel != "")
		$titel = $titel . " ";
	//$rech_druck->Setxy(rand_links,55);
	$rech_druck->SetFont('FreeSans', '', 10);
	$rech_druck->cell(60, 5, $titel . $vorname . " " . $name, 0, 3);
	$rech_druck->cell(60, 5, $strasse, 0, 3);
	$rech_druck->cell(60, 5, $plz . " " . $ort, 0, 3);
	
	//Datum
	$rech_druck->SetFont('FreeSans', '', 10);
	$rech_druck->setxy(rand_links + 130, 96);
	$rech_druck->cell(40, 10, $r_rechnungdatum, 0, 1, "R");
	
	//Rechnung und Nummer
	//2015-12-08 KM: NEU Storno
	if (!isset($rechnung_storno))
		{
		$rechnung_storno = "";
		}
	
	if ($r_rechnung_storno == "1")
		$rechnung_storno = "        --- S T O R N O ---";
	$rech_druck->Setxy(rand_links, 100);
	$rech_druck->SetFont('FreeSans', 'B', 14);
	$rech_druck->cell(180, 6, "Rechnung " . $r_rechnungnummer . rechnung_aag_suffix . $rechnung_storno, 0, 0);
	
	//2015-12-08 KM: Kunden-Nr. eingefuegt.
	$rech_druck->Setxy(rand_links, 104);
	$rech_druck->SetFont('FreeSans', 'B', 10);
	$rech_druck->cell(190, 12, "Kunden-Nr. " . $besitzer_id, 0, 1);
	
	//Rechnungstext
	$rech_druck->Setxy(rand_links, 110);
	$rech_druck->SetFont('FreeSans', '', 10);
	$rech_druck->cell(190, 12, rechnung_text_aag_1, 0, 1);
	$rech_druck->Setxy(rand_links, 126);
	$rech_druck->cell(190, 10, rechnung_text_aag_2, 0, 1);
	
	//Behandlungen
	for ($i = 0; $i < count($aag_behandlungen); $i++)
		{
		$rech_druck->line(rand_links, $rech_druck->gety(), 195, $rech_druck->gety());
		
		//Angaben zum Patient  
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		//2015-12-08 KM: Patienten-Nr. eingefuegt.
		$rech_druck->cell(40, 10, "Patienten-Nr. " . $aag_behandlungen[$i]["pat_nr"] . ", " . $aag_behandlungen[$i]["tierart"] . ", " . 
					$aag_behandlungen[$i]["rasse"] . ", " . $aag_behandlungen[$i]["patname"], 0, 1);
		
		//Behandlung, Datum und Diagnose  
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		$rech_druck->cell(40, 10, $aag_behandlungen[$i]["datum"], 0, 0);
		$rech_druck->cell(40, 10, $aag_behandlungen[$i]["diagnose"], 0, 3);
		
		$rech_druck->SetFont('FreeSans', '', 10);
		//Positionen
		for ($j = 0; $j < count($aag_behandlungen[$i]["positionen"]); $j++)
			{
			$rech_druck->setx(rand_links);
			$rech_druck->cell(10, 5, $aag_behandlungen[$i]["positionen"][$j]["menge"], 0, 0, "R");
			$rech_druck->cell(7, 5, $aag_behandlungen[$i]["positionen"][$j]["typ"], 0, 0);
			
			$y1 = $rech_druck->GetY();
			
			$rech_druck->MultiCell(143, 5, $aag_behandlungen[$i]["positionen"][$j]["rechbezeichnung"], "0", "L", "0", "1");
			$y2 = $rech_druck->GetY();
			
			
			//2015-12-05 KM: Einzelpositionen --> BRUTTO mit Umsatzsteuersatz
			if (rech_pos_brutto == 1)
				{
				$rech_druck->sety($y1);
				$rech_druck->setx(146);
				$rech_druck->cell(20, 5, $aag_behandlungen[$i]["positionen"][$j]["steuersatz"], 0, 1, "R");
				
				$rech_druck->sety($y1);
				$rech_druck->setx(175);
				$rech_druck->cell(20, 5, $aag_behandlungen[$i]["positionen"][$j]["brutto"] . " " . pdf_currency_string, 0, 1, "R");
				$rech_druck->sety($y2);
				}
			
			//2015-12-05 KM: Einzelpositionen --> NETTO ohne Umsatzsteuersatz
			else
				{
				$rech_druck->sety($y1);
				$rech_druck->setx(175);
				$rech_druck->cell(20, 5, $aag_behandlungen[$i]["positionen"][$j]["netto"] . " " . pdf_currency_string, 0, 1, "R");
				
				$rech_druck->sety($y2);
				}
			}
		}
		
	//Dummy wegen Abstand
	$rech_druck->setx(rand_links);
	$rech_druck->Cell(175, 1, "", "", 1, "R");
	
	
		// USt A
		if ($r_brutto_a_aag > 0)
			{
			if (rech_pos_brutto == 1)
				{
				$rech_druck->setx(rand_links + 96);
				$rech_druck->SetFont('FreeSans', 'B', 8);
				$rech_druck->Cell(56, 4, "Brutto " . A . " % USt: ", 0, 0, "R");
				$rech_druck->Cell(23, 4, "$r_brutto_a_aag"." ". pdf_currency_string, 0, 1, "R"); //Brutto
				}
			else
				{
				$rech_druck->setx(rand_links + 96);
				$rech_druck->SetFont('FreeSans', '', 8);
				$rech_druck->Cell(56, 4, "Netto " . A . " % USt: ", 0, 0, "R");
				$rech_druck->Cell(23, 4, "$r_netto_a_aag"." ". pdf_currency_string, 0, 1, "R"); //Netto
				}
				
			
			$rech_druck->setx(rand_links + 96);
			$rech_druck->SetFont('FreeSans', '', 8);
			$rech_druck->Cell(56, 4,  A . " % USt: ", 0, 0, "R");
			$rech_druck->Cell(23, 4, "$r_mwst_a_aag"." ". pdf_currency_string, 0, 1, "R"); //USt
			
			
			if (rech_pos_brutto == 1)
				{
				$rech_druck->setx(rand_links + 96);
				$rech_druck->SetFont('FreeSans', '', 8);
				$rech_druck->Cell(56, 4, "Netto " . A . " % USt: ", 0, 0, "R");
				$rech_druck->Cell(23, 4, "$r_netto_a_aag"." ". pdf_currency_string, 0, 1, "R"); //Netto
				}
			
			//Dummy wegen Abstand
			$rech_druck->setx(rand_links);
			$rech_druck->Cell(175, 1, "", "", 1, "R");
			}
		
		
		// USt B
		if ($r_brutto_b_aag > 0)
			{
			if (rech_pos_brutto == 1)
				{
				$rech_druck->setx(rand_links + 96);
				$rech_druck->SetFont('FreeSans', 'B', 8);
				$rech_druck->Cell(56, 4, "Brutto " . B . " % USt: ", 0, 0, "R");
				$rech_druck->Cell(23, 4, "$r_brutto_b_aag"." ". pdf_currency_string, 0, 1, "R"); //Brutto
				}
			else
				{
				$rech_druck->setx(rand_links + 96);
				$rech_druck->SetFont('FreeSans', '', 8);
				$rech_druck->Cell(56, 4, "Netto " . B . " % USt: ", 0, 0, "R");
				$rech_druck->Cell(23, 4, "$r_netto_b_aag"." ". pdf_currency_string, 0, 1, "R"); //Netto
				}
			
			$rech_druck->setx(rand_links + 96);
			$rech_druck->SetFont('FreeSans', '', 8);
			$rech_druck->Cell(56, 4,  B . " % USt: ", 0, 0, "R");
			$rech_druck->Cell(23, 4, "$r_mwst_b_aag"." ". pdf_currency_string, 0, 1, "R"); //USt
			
			if (rech_pos_brutto == 1)
				{
				$rech_druck->setx(rand_links + 96);
				$rech_druck->SetFont('FreeSans', '', 8);
				$rech_druck->Cell(56, 4, "Netto " . B . " % USt: ", 0, 0, "R");
				$rech_druck->Cell(23, 4, "$r_netto_b_aag"." ". pdf_currency_string, 0, 1, "R"); //Netto
				}
			
		
			//Dummy wegen Abstand
			$rech_druck->setx(rand_links);
			$rech_druck->Cell(175, 1, "", "", 1, "R");
			}
			
		$rech_druck->setx(rand_links + 96);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		$rech_druck->Cell(56, 4, "Gesamtsumme ", 0, 0, "R");
		$rech_druck->Cell(23, 4, "$r_brutto_aag"." ". pdf_currency_string, 0, 1, "R"); //Brutto
		
	
	//2016-01-03 KM: NEU Die einzelnen Teilzahlungsbetraege mit Datum aufschluesseln
	
	if ($r_netto_praxis <= 0) //nur Rechnung für AAG
		{
		//Datenbankabfrage der bezahlten Teilbetraege ----------------------
		$db->query("select datum,betrag,typ from vs_rech_bez where rechnung_id=$vso_rechnung_id order by datum");
		
		//Teilbetraege Schleifen durchlaufen
		while ($teilzahlung = $db->fetch_row())
			{
			//Teilbetraege Schleifen drucken
			$rech_druck->setx(rand_links + 96);
			$rech_druck->SetFont('FreeSans', '', 10);
			$rech_druck->cell(24, 6, "Bezahlt am: ", 0, 0);
			$rech_druck->cell(24, 6, $teilzahlung[0], 0, 0);  //Datum
			$rech_druck->cell(8, 6, $teilzahlung[2], 0, 0);   //Zahlweise Typ
			//2014-01-05 KM: ptc() fuer korrekte Komma-Formatierung 
			$rech_druck->cell(23, 6, ptc($teilzahlung[1]) . " " . pdf_currency_string, 0, 1, "R");  //Teilbetrag in EUR
			}
		//2016-01-03 KM: Teilzahlungsbetraege Ende -------------------------
		
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		$rech_druck->Cell(175, 8, "Bezahlt: $r_bezahlt"." ". pdf_currency_string, "l", 1, "R");
		
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		$rech_druck->cell(175, 8, "Rechnungsbetrag: " . $r_offen . " " . pdf_currency_string, 0, 1, "R");
		
		// Dummy wegen Abstand
		$rech_druck->setx(rand_links);
		$rech_druck->Cell(175, 1, "", "", 1);
		
		//Nachbemerkung
		$rech_druck->SetFont('FreeSans', '', 10);
		$rech_druck->setx(rand_links);
		$rech_druck->MultiCell(175, 5, rechnung_nb_text . "", "0", "L");
		
		//Zahlfrist
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', 'B', 10);
		$rech_druck->MultiCell(175, 5, "Zahlfrist: " . $r_zahlfrist, "0", "L");
		
		//Schlusstext
		$rech_druck->setx(rand_links);
		$rech_druck->SetFont('FreeSans', '', 6);
		$rech_druck->MultiCell(175, 5, rechnung_text_ende, "0", "L");
		
		//Zusatztext
		if ($r_zusatztext != "")
			{
			$rech_druck->setx(rand_links);
			$rech_druck->SetFont('FreeSans', '', 10);
			$rech_druck->MultiCell(175, 5, $r_zusatztext, "0", "L");
			}
		}
	//Dummy wegen Abstand
	$rech_druck->setx(rand_links);
	$rech_druck->Cell(175, 1, " ", "l", 1, "R");
	
	//Zeichenerklaerung
	$rech_druck->setx(rand_links);
	$rech_druck->SetFont('FreeSans', "", 8);
	$rech_druck->setfillcolor("555");
	$rech_druck->Cell(175, 5, "  A = Medikament (abgegeben)     F = Futtermittel      W = Warenartikel", 1, 0, "C", 1);
	
	} //if count ($aag_behandlungen)

//Abgbegesellschaft
// reset pointer to the last page
$rech_druck->lastPage();

// ---------------------------------------------------------
//Close and output PDF document

//Dateiname=Rechnungnummer
//2016-01-02 KM: kein Pfad im Dateinamen
//$f_name =       "../../vsdata/rechnungen/".$r_rechnungnummer.".pdf";
$f_name = $r_rechnungnummer . ".pdf";
ob_start();
$rech_druck->Output($f_name, 'I');
ob_end_flush();

//----------------Ende des Dokumentes-------------------------------- 
$db->free_result();

//jetzt noch das Ausgabedatum der Rechnung ggf. umaendern
$heute = today();
$db->query("Update vs_rechnung set ausgabedatum= '$heute' where rechnung_id=$vso_rechnung_id");
$db->free_result();

$db->close();

?>
