<?php
/*
 *      db_tabelle_bes_event_typ.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


//2015-08-28 Klaus Munsteiner: 
//NEU: db_tabelle_bes_event_typ.php



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
 //Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben = new vs_div("","","","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
	$unten=new vs_div;
	$unten->add($bottom);
	$t_seite=new vs_table("seite",1,2);
	$left->set_css_class("stammdaten_tabelle_links");
	$links=new vs_div("","","","","","stammdaten_mitte_links");
	$links->add($left);
	$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1,1,$links);
	$t_seite->add(1,2,$rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}
	
	
function zeige_bes_event_typ($db,&$bes_event_typ_id,&$num_rows)
	{
	global $can_edit;
		if (!isset($bes_event_typ_id))
		{
			$db->query("Select bes_event_typ_id, name, e_typ " .
						"from vs_bes_event_typ ");   
		}
	 else
		{
		$db->query("Select bes_event_typ_id, name, e_typ " .
					"from vs_bes_event_typ where bes_event_typ_id = $bes_event_typ_id");           
		} 
	$row=$db->fetch_row();  
	$num_rows=$db->num_rows();
	
	if ($num_rows>0)
		{
		$bes_event_typ_id=$row[0];
		
		$olddata=$db->curr_row_as_string();
		
		$t=new vs_form_x("bes_event_typ_zeigen",7);
		$t->set_cellspacing(10);
		
		$t->add_control(1,new vs_text("<h2>Datenbank-Tabelle: vs_bes_event_typ</h2>"));
		
		$bet_id = new vs_edit("bes_event_typ_id",6,6,$row[0],"ID");
		$bet_id->set_readonly("true");
		$t->add_control(3, $bet_id);
		
		
		$t->add_control(3,new vs_edit("name",50,50,$row[1],"Name"));
		$t->add_control(4,new vs_edit("e_typ",5,5,$row[2]," Men&uuml; option value: &nbsp;&nbsp;&nbsp; e_typ"));
		
		$t->add_control(7,new vs_hidden("action","a_post_edit"));
		$t->add_control(7,new vs_hidden("olddata", "$olddata"));
		if ($can_edit=="1")
			{
				$t->add_control(7,new vs_submit("submit","&Auml;ndern","true"));
				$t->add_control(7,new vs_reset("reset","Abbruch","true"));
			}
		$db->free_result();
		return $t;
		}
	else
		{ 
		return neue_bes_event_typ($db);
		}
	}
	
	
function neue_bes_event_typ($db)
	{
	global $can_insert;
	$t=new vs_form_x("bes_event_typ_neu",7);
	$t->set_cellspacing(5);
	
	if (!isset ($row))
		{
		$row = null;
		}
		
	$t->add_control(1,new vs_text("<h2>Datenbank-Tabelle: vs_bes_event_typ</h2>"));
	
	if (!isset ($vso_bes_event_typ_id))
		{
		$vso_bes_event_typ_id = null;
		}
		
	$bet_id = new vs_edit("bes_event_typ_id",6,6,"","ID");
	$bet_id->set_readonly("true");
	$t->add_control(3, $bet_id);
	
	$t->add_control(3,new vs_edit("name",50,50,$row[1],"Name"));
	$t->add_control(4,new vs_edit("e_typ",5,5,$row[2]," Men&uuml; option value: &nbsp;&nbsp;&nbsp; e_typ"));
	
	$t->add_control(7,new vs_hidden("action","a_post_ins"));
	
		if ($can_insert=="1")
			{
			$t->add_control(7,new vs_submit("submit","Speichern","true"));
			$t->add_control(7,new vs_reset("reset","Abbruch","true"));
			}
	
	$db->free_result();
	return $t;
	}
	
	
	
function img_leiste($db,$num_rows,$bes_event_typ_id)
	{
	global $can_insert;
	global $can_delete;	
	$il= new vs_div("il","30","left");
	
	if ($can_insert=="1") 
		$il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
		
	if($num_rows>0 ) 
		{  
		if ($can_delete=="1")
			$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&bes_event_typ_id=$bes_event_typ_id"));
		}
		
	return $il;
	}

global $can_edit;
global $can_delete;
global $can_insert;


office_login($db);

$b = new vs_page_begin("Besitzerkarte: bes_event_typ", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
	{
	echo"<h1>VETSOFT - OFFICE Falscher Aufruf der Seite</h1>";
	}
else 
	{
	switch ($vso_action) 
		{
		case "a_browse" : //anzeigen
			//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: bes_event_typ</h2>");
			$bottom=navliste("Pulldown-Men&uuml; Liste");
			$right=zeige_bes_event_typ($db,$vso_bes_event_typ_id,$num_rows);
			$sql="select bes_event_typ_id, name, e_typ from vs_bes_event_typ order by bes_event_typ_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_bes_event_typ_id,"db_tabelle_bes_event_typ.php?action=a_browse&bes_event_typ_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_bes_event_typ_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_del" : //Loeschen
			$db->query("select name from vs_bes_event_typ where bes_event_typ_id='$vso_bes_event_typ_id'");
			$row=$db->fetch_row();
			$name=$row[0];
			$db->free_result();
			$db->query("delete from vs_bes_event_typ where bes_event_typ_id = $vso_bes_event_typ_id");
			$db->free_result();
			unset($vso_bes_event_typ_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: bes_event_typ</h2>");
			$bottom=navliste("$name wurde gel&ouml;scht");
			$right=zeige_bes_event_typ($db,$vso_bes_event_typ_id,$num_rows);
			$sql="select bes_event_typ_id, name, e_typ from vs_bes_event_typ order by bes_event_typ_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_bes_event_typ_id,"db_tabelle_bes_event_typ.php?action=a_browse&bes_event_typ_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_bes_event_typ_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_ins" : // Einfügen
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: bes_event_typ</h2>");
			$bottom=navliste(" Neuen Pulldown-Men&uuml; Eintrag einf&uuml;gen");
			$right=neue_bes_event_typ($db);
			$sql="select bes_event_typ_id, name, e_typ from vs_bes_event_typ order by bes_event_typ_id";
			if (!isset ($vso_bes_event_typ_id))
				{
				$vso_bes_event_typ_id = null;
				}
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_bes_event_typ_id,"db_tabelle_bes_event_typ.php?action=a_browse&bes_event_typ_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,0,$vso_bes_event_typ_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_post_edit" : //nach dem Editieren
			
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select bes_event_typ_id, name, e_typ " .
						"from vs_bes_event_typ where bes_event_typ_id = $vso_bes_event_typ_id");
			
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			
			if ($newdata==$vso_olddata)
				{
				$db->query("update vs_bes_event_typ set" .
							" name='$vso_name'," .
							" bes_event_typ_id='$vso_bes_event_typ_id'," .
							" e_typ='$vso_e_typ'" .
							" where bes_event_typ_id=$vso_bes_event_typ_id");
							
				$db->free_result();
				}
			
			//Fehlermeldung 
			else 
				error_row(change_warning."(Daten zu den bes_event_typn");
			
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: bes_event_typ</h2>");
			$bottom=navliste("$vso_name wurde ge&auml;ndert");
			$right=zeige_bes_event_typ($db,$vso_bes_event_typ_id,$num_rows);
			$sql="select bes_event_typ_id, name, e_typ from vs_bes_event_typ order by bes_event_typ_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_bes_event_typ_id,"db_tabelle_bes_event_typ.php?action=a_browse&bes_event_typ_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_bes_event_typ_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_post_ins" : //nach dem Einfuegen
			
			$db->query("insert into vs_bes_event_typ" .
						" (name, e_typ)".
						" values('$vso_name', '$vso_e_typ')");
			$db->free_result();
			$db->query("select bes_event_typ_id from vs_bes_event_typ where name='$vso_name'");
			$row=$db->fetch_row();
			$vso_bes_event_typ_id=$row[0];
			$db->free_result();
			
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: bes_event_typ</h2>");
			$bottom=navliste(" $vso_name wurde eingef&uuml;gt");
			$right=zeige_bes_event_typ($db,$vso_bes_event_typ_id,$num_rows);
			$sql="select bes_event_typ_id, name, e_typ from vs_bes_event_typ order by bes_event_typ_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_bes_event_typ_id,"db_tabelle_bes_event_typ.php?action=a_browse&bes_event_typ_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_bes_event_typ_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

