<?php
/*
 *      db_tabelle_db_version.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


//2015-08-31 Klaus Munsteiner: 
//NEU: db_tabelle_db_version.php

//NUR LESEN



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
 //Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben = new vs_div("","","","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
	$unten=new vs_div;
	$unten->add($bottom);
	$t_seite=new vs_table("seite",1,2);
	$left->set_css_class("stammdaten_tabelle_links");
	$links=new vs_div("","","","","","stammdaten_mitte_links");
	$links->add($left);
	$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1,1,$links);
	$t_seite->add(1,2,$rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}
	
	
function zeige_db_version($db,&$db_version_id,&$num_rows)
	{
	if (!isset($db_version_id))
		{
			$db->query("Select db_version_id, db_version, db_version_aktiv, db_version_bemerkung " .
						"from vs_db_version ");   
		}
	 else
		{
		$db->query("Select db_version_id, db_version, db_version_aktiv, db_version_bemerkung " .
					"from vs_db_version where db_version_id = $db_version_id");           
		} 
	$row=$db->fetch_row();  
	$num_rows=$db->num_rows();
	
	if ($num_rows>0)
		{
		$db_version_id=$row[0];
		
		$t=new vs_form_x("db_version_zeigen",7);
		$t->set_cellspacing(5);
		
		$t->add_control(1,new vs_text("<h2>Datenbank-Tabelle: vs_db_version</h2>"));
		
		$dbv_id = new vs_edit("db_version_id",6,6,$row[0],"ID");
		$dbv_id->set_readonly("true");
		$t->add_control(3, $dbv_id);
		
		$dv_id = new vs_edit("db_version",10,10,$row[1],"DB Version");
		$dv_id->set_readonly("true");
		$t->add_control(3, $dv_id);
		
		$da_id = new vs_edit("db_version_aktiv",1,1,$row[2],"Aktiv");
		$da_id->set_readonly("true");
		$t->add_control(3, $da_id);
		
		$dbem_id = new vs_memo("db_version_bemerkung",90,12,$row[3],"Bemerkung");
		$dbem_id->set_readonly("true");
		$t->add_control(4, $dbem_id);
		
		$db->free_result();
		return $t;
		}
	}



office_login($db);

$b = new vs_page_begin("Datenbank Version", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

			//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; DATENBANK VERSIONEN</h2>");
			$bottom=navliste("Liste der DB-Versionen");
			$right=zeige_db_version($db,$vso_db_version_id,$num_rows);
			$sql="select db_version_id, db_version, db_version_aktiv, db_version_bemerkung from vs_db_version order by db_version_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_db_version_id,"db_tabelle_db_version.php?action=a_browse&db_version_id=",32,"");
			$lb->add_style("width:320px;height:500px;");
			$left->add(2,1,$lb);
			//$left->add(1,1,img_leiste($db,$num_rows,$vso_db_version_id));
			seite($top,$bottom,$left,$right);
			

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

