<?php
/*
 *      db_tabelle_gruppe4.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


//2015-08-28 Klaus Munsteiner: 
//NEU: db_tabelle_gruppe4.php



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
 //Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben = new vs_div("","","","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
	$unten=new vs_div;
	$unten->add($bottom);
	$t_seite=new vs_table("seite",1,2);
	$left->set_css_class("stammdaten_tabelle_links");
	$links=new vs_div("","","","","","stammdaten_mitte_links");
	$links->add($left);
	$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1,1,$links);
	$t_seite->add(1,2,$rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}
	
	
function zeige_gruppe4($db,&$gruppe4_id,&$num_rows)
	{
	global $can_edit;
		if (!isset($gruppe4_id))
		{
			$db->query("Select gruppe4_id, bezeichnung, value " .
						"from vs_gruppe4 ");   
		}
	 else
		{
		$db->query("Select gruppe4_id, bezeichnung, value " .
					"from vs_gruppe4 where gruppe4_id = $gruppe4_id");           
		} 
	$row=$db->fetch_row();  
	$num_rows=$db->num_rows();
	
	if ($num_rows>0)
		{
		$gruppe4_id=$row[0];
		
		$olddata=$db->curr_row_as_string();
		
		$t=new vs_form_x("gruppe4_zeigen",7);
		$t->set_cellspacing(5);
		
		$t->add_control(1,new vs_text("<h2>Datenbank-Tabelle: vs_gruppe4</h2>"));
		
		$g4_id = new vs_edit("gruppe4_id",6,6,$row[0],"ID");
		$g4_id->set_readonly("true");
		$t->add_control(3, $g4_id);
		
		
		$t->add_control(3,new vs_edit("bezeichnung",50,50,$row[1],"Bezeichnung"));
		$t->add_control(4,new vs_edit("value",5,5,$row[2]," Men&uuml; option value: &nbsp;&nbsp;&nbsp; value"));
		
		$t->add_control(7,new vs_hidden("action","a_post_edit"));
		$t->add_control(7,new vs_hidden("olddata", "$olddata"));
		if ($can_edit=="1")
			{
				$t->add_control(7,new vs_submit("submit","&Auml;ndern","true"));
				$t->add_control(7,new vs_reset("reset","Abbruch","true"));
			}
		$db->free_result();
		return $t;
		}
	else
		{ 
		return neue_gruppe4($db);
		}
	}
	
	
function neue_gruppe4($db)
	{
	global $can_insert;
	$t=new vs_form_x("gruppe4_neu",7);
	$t->set_cellspacing(5);
	
	if (!isset ($row))
		{
		$row = null;
		}
		
	$t->add_control(1,new vs_text("<h2>Datenbank-Tabelle: vs_gruppe4</h2>"));
	
	if (!isset ($vso_gruppe4_id))
		{
		$vso_gruppe4_id = null;
		}
		
	$g4_id = new vs_edit("gruppe4_id",6,6,"","ID");
	$g4_id->set_readonly("true");
	$t->add_control(3, $g4_id);
	
	$t->add_control(3,new vs_edit("bezeichnung",50,50,$row[1],"Bezeichnung"));
	$t->add_control(4,new vs_edit("value",5,5,$row[2]," Men&uuml; option value: &nbsp;&nbsp;&nbsp; value"));
	
	$t->add_control(7,new vs_hidden("action","a_post_ins"));
	
		if ($can_insert=="1")
			{
			$t->add_control(7,new vs_submit("submit","Speichern","true"));
			$t->add_control(7,new vs_reset("reset","Abbruch","true"));
			}
	
	$db->free_result();
	return $t;
	}
	
	
	
function img_leiste($db,$num_rows,$gruppe4_id)
	{
	global $can_insert;
	global $can_delete;	
	$il= new vs_div("il","30","left");
	
	if ($can_insert=="1") 
		$il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
		
	if($num_rows>0 ) 
		{  
		if ($can_delete=="1")
			$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&gruppe4_id=$gruppe4_id"));
		}
		
	return $il;
	}

global $can_edit;
global $can_delete;
global $can_insert;


office_login($db);

$b = new vs_page_begin("Besitzerkarte: gruppe4", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
	{
	echo"<h1>VETSOFT - OFFICE Falscher Aufruf der Seite</h1>";
	}
else 
	{
	switch ($vso_action) 
		{
		case "a_browse" : //anzeigen
			//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: gruppe4</h2>");
			$bottom=navliste("Pulldown-Men&uuml; Liste");
			$right=zeige_gruppe4($db,$vso_gruppe4_id,$num_rows);
			$sql="select gruppe4_id, bezeichnung, value from vs_gruppe4 order by gruppe4_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_gruppe4_id,"db_tabelle_gruppe4.php?action=a_browse&gruppe4_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_gruppe4_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_del" : //Loeschen
			$db->query("select bezeichnung from vs_gruppe4 where gruppe4_id='$vso_gruppe4_id'");
			$row=$db->fetch_row();
			$bezeichnung=$row[0];
			$db->free_result();
			$db->query("delete from vs_gruppe4 where gruppe4_id = $vso_gruppe4_id");
			$db->free_result();
			unset($vso_gruppe4_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: gruppe4</h2>");
			$bottom=navliste("$bezeichnung wurde gel&ouml;scht");
			$right=zeige_gruppe4($db,$vso_gruppe4_id,$num_rows);
			$sql="select gruppe4_id, bezeichnung, value from vs_gruppe4 order by gruppe4_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_gruppe4_id,"db_tabelle_gruppe4.php?action=a_browse&gruppe4_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_gruppe4_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_ins" : // Einfügen
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: gruppe4</h2>");
			$bottom=navliste(" Neuen Pulldown-Men&uuml; Eintrag einf&uuml;gen");
			$right=neue_gruppe4($db);
			$sql="select gruppe4_id, bezeichnung, value from vs_gruppe4 order by gruppe4_id";
			if (!isset ($vso_gruppe4_id))
				{
				$vso_gruppe4_id = null;
				}
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_gruppe4_id,"db_tabelle_gruppe4.php?action=a_browse&gruppe4_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,0,$vso_gruppe4_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_post_edit" : //nach dem Editieren
			
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select gruppe4_id, bezeichnung, value " .
						"from vs_gruppe4 where gruppe4_id = $vso_gruppe4_id");
			
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			
			if ($newdata==$vso_olddata)
				{
				$db->query("update vs_gruppe4 set" .
							" bezeichnung='$vso_bezeichnung'," .
							" gruppe4_id='$vso_gruppe4_id'," .
							" value='$vso_value'" .
							" where gruppe4_id=$vso_gruppe4_id");
							
				$db->free_result();
				}
			
			//Fehlermeldung 
			else 
				error_row(change_warning."(Daten zu den gruppe4n");
			
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: gruppe4</h2>");
			$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right=zeige_gruppe4($db,$vso_gruppe4_id,$num_rows);
			$sql="select gruppe4_id, bezeichnung, value from vs_gruppe4 order by gruppe4_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_gruppe4_id,"db_tabelle_gruppe4.php?action=a_browse&gruppe4_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_gruppe4_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		case "a_post_ins" : //nach dem Einfuegen
			
			$db->query("insert into vs_gruppe4" .
						" (bezeichnung, value)".
						" values('$vso_bezeichnung', '$vso_value')");
			$db->free_result();
			$db->query("select gruppe4_id from vs_gruppe4 where bezeichnung='$vso_bezeichnung'");
			$row=$db->fetch_row();
			$vso_gruppe4_id=$row[0];
			$db->free_result();
			
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; BESITZERKARTE: gruppe4</h2>");
			$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			$right=zeige_gruppe4($db,$vso_gruppe4_id,$num_rows);
			$sql="select gruppe4_id, bezeichnung, value from vs_gruppe4 order by gruppe4_id";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_gruppe4_id,"db_tabelle_gruppe4.php?action=a_browse&gruppe4_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_gruppe4_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//-----------------------------------------------------------
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

