 <?php
/*
 *      impfung.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$links=new vs_div("","","","","","stammdaten_mitte_links_schmal");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts_breit");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
			
			
function zeige_impfung($db,&$impfung_id,&$num_rows)
{
 global $can_edit;	
 if (!isset($impfung_id))
 {
   $db->query("Select impfung_id,bezeichnung,kurz,rang,preis,epreis," .
			  "nachimpfung,kommentar,memo,tierart,soll,haben,barcode,verfalldatum," .
			  "ietext,charge,rechbezeichnung,verfuegbar,lieferant_id from vs_impfung order by bezeichnung");        
 }
 else

 {	
   $db->query("Select impfung_id,bezeichnung,kurz,rang,preis,epreis," .
			  "nachimpfung,kommentar,memo,tierart,soll,haben,barcode,verfalldatum," .
			  "ietext,charge,rechbezeichnung,verfuegbar,lieferant_id from vs_impfung where impfung_id = $impfung_id order by bezeichnung");       
 } 
 $row=$db->fetch_row();  
 
 $num_rows=$db->num_rows();
 if ($num_rows>0)
 {
   $impfung_id=$row[0];	
   $olddata=$db->curr_row_as_string();
 
 
   $t=new vs_form_x("impfung_zeigen",10);
   $t->set_cellspacing(1);
   //Punkte in Kommata umwandeln
   $row[5]=ptc($row[5]);
   $row[4]=ptc($row[4]);
   d_db2dis($row[13]);
   $t->add_control(1,new vs_edit("bezeichnung",20,20,$row[1],"Bezeichnung"));
   $t->add_control(1,new vs_edit("kurz",4, 12, "$row[2]","Kurz"));
   $t->add_control(1,new vs_i_edit("rang", 3, 3, "$row[3]"));
   $t->add_control(1,new vs_d_edit("preis", 5, 7, "$row[4]","Preis netto &euro;"));
   $t->add_control(1,new vs_d_edit("epreis", 5, 7, "$row[5]","EK &euro;"));
   $t->add_control(1,new vs_i_edit("nachimpfung", 3, 3, "$row[6]","NI (Tage)"));

   $t->add_control(2,new vs_edit("kommentar", 40, 80, "$row[7]","Kommentar &nbsp;"));
   $t->add_control(2,new vs_edit("rechbezeichnung",50,120,$row[16],"Rechnungstext"));
   
   $c= new vs_listbox("verfuegbar",30,$row[17],1,"Verf&uuml;gbar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
   $c->add_item("1","ja"); 
   $c->add_item("0","nein");  
   $t->add_control(3,$c); 
   $t->add_control(3,new vs_db_listbox("tierart",15,$db,"vs_tierart","bezeichnung","bezeichnung",$row[9],0,"Tierart "));
   
   $t->add_control(4,new vs_i_edit("soll", 3, 3, "$row[10]","Soll &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
   $t->add_control(4,new vs_i_edit("haben", 3, 3, "$row[11]"));
   $t->add_control(4,new vs_edit("barcode", 7, 20, "$row[12]"));
   
   //2015-01-05 KM: Datum Umstellung auf Datepicker
   //$t->add_control(4,new vs_date_edit("verfalldatum", 10, 10, "$row[13]"));
   $t->add_control(4,new vs_datepicker("verfalldatum",$row[13],"multi_today10_Datepicker","Verfalldatum"));
   
   $t->add_control(4,new vs_edit("charge", 7, 15, "$row[15]"));
   $firma=new vs_db_listbox("lieferant_id",20,$db,"vs_lieferant","name","lieferant_id",$row[18]);
   $firma->set_label("Lieferant");
   $t->add_control(4,$firma);
   
   $t->add_control(6,new vs_memo("memo", 108, 2, "$row[8]","Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
   
   $c= new vs_ck_memo("../vs_lib/ckeditor","id_ietext","ietext", 70, 4, $row[14],""); 
   $c->set_height(110);   
   $t->add_control(7,$c);  
   
   $t->add_control(9,new vs_hidden("impfung_id",$row[0]));
   $t->add_control(9,new vs_hidden("action","a_post_edit"));
   $t->add_control(9,new vs_hidden("olddata", "$olddata"));
   if ($can_edit=="1")
   {
    $t->add_control(9,new vs_submit("submit","&Auml;ndern","true"));
    $t->add_control(9,new vs_reset("reset","Abbruch","true"));
	//nach Standardpositionen suchen, die dieser Impfstoff enthalten, ggf. Warntext wegen  Löschen zeigen  
    if (check_in_stapos($db,"I",$impfung_id) >0)
    {  
	  $t->add_control(10,new vs_text("<span style=\"color:red;font-weight:bold;\">Dieser Impfstoff ist Bestandteil von Standardbehandlungen. ".
														  "Beim L&ouml;schen oder bei Nichtverf&uuml;gbarkeit wird er daraus entfernt !</span>"));  
    }
   }
   $db->free_result();
   return $t;
 }
 else
 { 
  return neue_impfung($db);
 }
}			
		
		
		
function neue_impfung($db)
{
	global $can_insert;
	$t=new vs_form_x("impfung_neu",9);
	$t->set_cellspacing(1);
	$t->add_control(1,new vs_edit("bezeichnung",20,20,"","Bezeichnung"));
	$t->add_control(1,new vs_edit("kurz",4, 12, "","Kurz"));
	$t->add_control(1,new vs_i_edit("rang", 3, 3, 0));
	$t->add_control(1,new vs_d_edit("preis", 5, 7, "0,00","Preis netto &euro;"));
	$t->add_control(1,new vs_d_edit("epreis", 5, 7, "0,00","EK &euro;"));
	$t->add_control(1,new vs_i_edit("nachimpfung", 3, 3, "365","NI (Tage)"));
	
	$t->add_control(2,new vs_edit("kommentar", 40, 80, "","Kommentar &nbsp;"));
	$t->add_control(2,new vs_edit("rechbezeichnung",50,120,"","Rechnungstext"));
	
	$c= new vs_listbox("verfuegbar",30,"1",1,"Verf&uuml;gbar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$c->add_item("1","ja"); 
	$c->add_item("0","nein");  
	$t->add_control(3,$c);
	$t->add_control(3,new vs_db_listbox("tierart",15,$db,"vs_tierart","bezeichnung","bezeichnung","Hund",0,"Tierart ")); 
	
	$t->add_control(4,new vs_i_edit("soll", 3, 3, "0","Soll &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(4,new vs_i_edit("haben", 3, 3, "0"));
	$t->add_control(4,new vs_edit("barcode", 7, 20, "0"));
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	//$t->add_control(4,new vs_date_edit("verfalldatum", 10, 10, today()));
	$t->add_control(4,new vs_datepicker("verfalldatum","","multi_today10_Datepicker","Verfalldatum"));
	
	$t->add_control(4,new vs_edit("charge", 7, 15, ""));
	$firma=new vs_db_listbox("lieferant_id",20,$db,"vs_lieferant","name","lieferant_id","");
	$firma->set_label("Lieferant");
	$t->add_control(4,$firma);
	$t->add_control(6,new vs_memo("memo", 105, 2, "","Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$c= new vs_ck_memo("../vs_lib/ckeditor","id_ietext","ietext", 70, 4,ietext_template,""); 
	$c->set_height(110);  
	$t->add_control(7,$c);
	$t->add_control(9,new vs_hidden("action","a_post_ins"));
	if ($can_insert=="1")
	{
		$t->add_control(9,new vs_submit("submit","Speichern","true"));
		$t->add_control(9,new vs_reset("reset","Abbruch","true"));
	}
	$db->free_result();
	return $t;
}			
	
	
			
function img_leiste($db,$num_rows,$impfung_id)
{
	global $can_insert;
	global $can_delete;
	$il= new vs_div("il","30","left");
	if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
	if($num_rows>0 ) 
		{  
		if ($can_delete=="1")
		$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&impfung_id=$impfung_id"));
	}
  return $il;
}	

global$can_edit;
global$can_delete;
global$can_insert;


office_login($db);

$b = new vs_page_begin("Impfungen", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
     {
     	
       echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
      
     }
else 
	{
	switch ($vso_action) 
		{
		case "a_browse" : //anzeigen
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
          	//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; IMPFUNGEN</h2>");
			//2014-01-15 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste("Liste der Impfstoffe","","","../hilfe/help.php#impfungen");
			$bottom=navliste("Liste der Impfstoffe","","","../hilfe/help.html#impfungen");
			$right=zeige_impfung($db,$vso_impfung_id,$num_rows);
			$sql="select impfung_id,bezeichnung from vs_impfung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_impfung_id,"impfung.php?action=a_browse&impfung_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_impfung_id));
			seite($top,$bottom,$left,$right);
			
			break;         
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			case "a_del" : //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
				$db->query("select bezeichnung from vs_impfung where impfung_id='$vso_impfung_id'");
				$row=$db->fetch_row();
				$bezeichnung=$row[0];
				$db->free_result();
				$db->query("delete from vs_impfung where impfung_id = $vso_impfung_id");
				//Standardpositionen löschen, die die Ware beinhalten
				$db->query("delete from vs_stapos where position_id = $vso_impfung_id  and typ = 'I' ");
				$db->free_result();
				unset($vso_impfung_id); //gibt`s ja jetzt nicht mehr
				//Daten anzeigen
				$top=new vs_text("<h2>&nbsp; IMPFUNGEN</h2>");
				//2014-01-15 KM: Hilfe help.php in help.html geaendert.
				//$bottom=navliste("$bezeichnung wurde gel&ouml;scht","","","../hilfe/help.php#impfungen");
				$bottom=navliste("$bezeichnung wurde gel&ouml;scht","","","../hilfe/help.html#impfungen");
				$right=zeige_impfung($db,$vso_impfung_id,$num_rows);
				$sql="select impfung_id,bezeichnung from vs_impfung order by bezeichnung";
				$left= new vs_table("lefttable",2,1);
				$left->set_css_class("stammdaten_tabelle_links_schmal");
				//KM: Listbox links
				$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_impfung_id,"impfung.php?action=a_browse&impfung_id=",32,"");
				$lb->add_style("width:265px;height:460px;");
				$left->add(2,1,$lb);
				$left->add(1,1,img_leiste($db,$num_rows,$vso_impfung_id));
				seite($top,$bottom,$left,$right);
				
				break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			case "a_ins" : // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top=new vs_text("<h2>&nbsp; IMPFUNGEN</h2>");
			//2014-01-15 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste(" Neuen Impfstoff einf&uuml;gen","","","../hilfe/help.php#impfungen");
			$bottom=navliste(" Neuen Impfstoff einf&uuml;gen","","","../hilfe/help.html#impfungen");
			$right=neue_impfung($db);
			$sql="select impfung_id,bezeichnung from vs_impfung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_impfung_id
			if (!isset ($vso_impfung_id))
				{$vso_impfung_id = null;}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_impfung_id,"impfung.php?action=a_browse&impfung_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,0,$vso_impfung_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		    case "a_post_edit" : //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			
			//----------------------Daten zwischenzeitlich veraendert?-----------------
			$db->query("Select impfung_id,bezeichnung,kurz,rang,preis,epreis," .
						"nachimpfung,kommentar,memo,tierart,soll,haben,barcode,verfalldatum," .
						"ietext,charge,rechbezeichnung,verfuegbar,lieferant_id ".
						"from vs_impfung where impfung_id = $vso_impfung_id order by bezeichnung");
			
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
			{
				//endlich die neuen Werte eintragen	
				//DW: 2013-09-06 Bugfix wg. reference-error, funtionsaufruf ctp angepasst
                                $vso_preis=ctp($vso_preis); //Komma nach Punkt
				$vso_epreis=ctp($vso_epreis);	
				d_dis2db($vso_verfalldatum);
				$db->query("update vs_impfung set bezeichnung='$vso_bezeichnung',kurz='$vso_kurz',rang='$vso_rang',".
							"preis='$vso_preis',epreis='$vso_epreis',"."nachimpfung='$vso_nachimpfung',kommentar='$vso_kommentar'," .
							"memo='$vso_memo',tierart='$vso_tierart',soll='$vso_soll',haben='$vso_haben',".
							" barcode='$vso_barcode',verfalldatum='$vso_verfalldatum',ietext='$vso_ietext',charge='$vso_charge',".
							" rechbezeichnung='$vso_rechbezeichnung',verfuegbar='$vso_verfuegbar',lieferant_id='$vso_lieferant_id' ".
							" where impfung_id=$vso_impfung_id");
				//Standardpositionen löschen, wenn der Impfstoff nicht verfügbar ist					
				if($vso_verfuegbar=="0")
				$db->query("delete from vs_stapos where position_id = $vso_impfung_id  and typ = 'I' ");
				$db->free_result();	
			}
			
			//Fehlermeldung 
			else error_row(change_warning."(Impfungen)");
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; IMPFUNGEN</h2>");
			//2014-01-15 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert","","","../hilfe/help.php#impfungen");
			$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert","","","../hilfe/help.html#impfungen");
			$right=zeige_impfung($db,$vso_impfung_id,$num_rows);
			$sql="select impfung_id,bezeichnung from vs_impfung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_impfung_id,"impfung.php?action=a_browse&impfung_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_impfung_id));
			seite($top,$bottom,$left,$right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			case "a_post_ins" : //nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//DW: 2013-09-06 Bugfix wg. reference-error, funtionsaufruf ctp angepasst
			$vso_preis=ctp($vso_preis); //Komma nach Punkt
			$vso_epreis=ctp($vso_epreis);	
			d_dis2db($vso_verfalldatum);
			$db->query("insert into vs_impfung (bezeichnung,kurz,rang,preis,epreis,".
						"nachimpfung,kommentar,memo,tierart,soll,haben,barcode,verfalldatum," .
						"ietext,charge,rechbezeichnung,verfuegbar,lieferant_id)"."values('$vso_bezeichnung','$vso_kurz','$vso_rang','$vso_preis','$vso_epreis',".
						"'$vso_nachimpfung','$vso_kommentar','$vso_memo','$vso_tierart','$vso_soll','$vso_haben','$vso_barcode'," .
						"'$vso_verfalldatum','$vso_ietext','$vso_charge','$vso_rechbezeichnung','$vso_verfuegbar','$vso_lieferant_id')");
			
			$db->free_result();
			$db->query("select impfung_id from vs_impfung where bezeichnung='$vso_bezeichnung'");
			$row=$db->fetch_row();
			$vso_impfung_id=$row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; IMPFUNGEN</h2>");
			//2014-01-15 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt","","","../hilfe/help.php#impfungen");
			$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt","","","../hilfe/help.html#impfungen");
			$right=zeige_impfung($db,$vso_impfung_id,$num_rows);
			$sql="select impfung_id,bezeichnung from vs_impfung order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_impfung_id,"impfung.php?action=a_browse&impfung_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_impfung_id));
			seite($top,$bottom,$left,$right);
			
			//2015-08-26 KM: break fehlte
			break;
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	}
}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

