<?php
/*
 *      laborwert.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";



//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$left->set_css_class("stammdaten_tabelle_links");
		$links=new vs_div("","","","","","stammdaten_mitte_links");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
			
			
function zeige_laborwert($db,&$laborwert_id,&$num_rows)
{
 global $can_edit;	
 if (!isset($laborwert_id))
 {
 $db->query("Select laborwert_id,bezeichnung,kurz,einheit," .
			           "normaltext_hund,normaltext_katze,untergrenze_hund,".    
			    	   "obergrenze_hund,untergrenze_katze,obergrenze_katze,".
			    	   "obergrenze_text,untergrenze_text,bemerkung,vergleich_id  ".
                       " from vs_laborwert order by bezeichnung");  


 }
 else

 {	
   $db->query("Select laborwert_id,bezeichnung,kurz,einheit," .
			           "normaltext_hund,normaltext_katze,untergrenze_hund,".    
			    	   "obergrenze_hund,untergrenze_katze,obergrenze_katze,".
			    	   "obergrenze_text,untergrenze_text,bemerkung,vergleich_id  ".
                       " from vs_laborwert where laborwert_id =$laborwert_id order by bezeichnung");  
                       	                          
 } 
 $row=$db->fetch_row();  
 
 $num_rows=$db->num_rows();
 if ($num_rows>0)
 {
   $laborwert_id=$row[0];	
   $olddata=$db->curr_row_as_string();		
   $t=new vs_form_x("laborwert_zeigen",8);
   $t->set_cellspacing(5);
   //Punkte in Kommata umwandeln
   $row[6]=ptc($row[6]);
   $row[7]=ptc($row[7]);
   $row[8]=ptc($row[8]);
   $row[9]=ptc($row[9]);
   
   $t->add_control(2,new vs_edit("bezeichnung", 30, 40, $row[1],"Bezeichnung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
   $t->add_control(2,new vs_edit("kurz", 15, 15, $row[2]));
   //$t->add_control(2,new vs_f_listbox("einheit",20,"laboreinheit.txt",$row[3]));
   $t->add_control(2,new vs_db_listbox("einheit",20,$db,"vs_labor_einheit","bezeichnung","bezeichnung","$row[3]",0,"Einheit"));
   $t->add_control(3,new vs_edit("normaltext_hund", 15, 25, $row[4],"Normaltext Hund &nbsp;"));
   $t->add_control(3,new vs_edit("normaltext_katze", 15, 25, $row[5],"Normaltext Katze"));
   $t->add_control(3,new vs_edit("vergleich_id", 15, 25, $row[13],"Vergleich-ID"));   
   $t->add_control(4,new vs_d_edit("untergrenze_hund", 7, 9, $row[6],"Untergrenze Hund"));
   $t->add_control(4,new vs_d_edit("obergrenze_hund", 7, 9, $row[7],"Obergrenze Hund"));
   $t->add_control(4,new vs_d_edit("untergrenze_katze", 7, 9, $row[8],"Untergrenze Katze"));
   $t->add_control(4,new vs_d_edit("obergrenze_katze", 7, 9, $row[9],"Obergrenze Katze"));
   $t->add_control(5,new vs_memo("untergrenze_text", 80, 5, $row[11],"Erniedrigt bei &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
   $t->add_control(6,new vs_memo("obergrenze_text", 80, 5, $row[10],"Erh&ouml;ht bei &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
   $t->add_control(7,new vs_memo("bemerkung", 80, 5, $row[12],"Bemerkung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
    
   $t->add_control(8,new vs_hidden("laborwert_id",$row[0]));
   $t->add_control(8,new vs_hidden("action","a_post_edit"));
   $t->add_control(8,new vs_hidden("olddata", "$olddata"));
   if ($can_edit=="1")
   {
    $t->add_control(8,new vs_submit("submit","&Auml;ndern","true"));
    $t->add_control(8,new vs_reset("reset","Abbruch","true"));
   }
   $db->free_result();
   return $t;
 }
 else
 { 
  return neuer_laborwert($db);
 }
}			
		
		
		
function neuer_laborwert($db)
{
 global $can_insert;
 $t=new vs_form_x("laborwert_neu",8);
 $t->set_cellspacing(5);
  
 //2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $row
 if (!isset ($row))
 {$row = null;}
 $t->add_control(2,new vs_edit("bezeichnung", 30, 40,"","Bezeichnung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(2,new vs_edit("kurz", 15, 15, $row[2]));
 $t->add_control(2,new vs_db_listbox("einheit",20,$db,"vs_labor_einheit","bezeichnung","bezeichnung","mg/dl",0,"Einheit"));	 
 $t->add_control(3,new vs_edit("normaltext_hund", 15, 25,"","Normaltext Hund &nbsp;"));
 $t->add_control(3,new vs_edit("normaltext_katze", 15, 25,"","Normaltext Katze"));
 $t->add_control(3,new vs_edit("vergleich_id", 15, 25, $row[13],"Vergleich-ID"));    
 $t->add_control(4,new vs_d_edit("untergrenze_hund", 7, 9,"0","Untergrenze Hund"));
 $t->add_control(4,new vs_d_edit("obergrenze_hund", 7, 9,"0","Obergrenze Hund"));
 $t->add_control(4,new vs_d_edit("untergrenze_katze", 7, 9,"0","Untergrenze Katze"));
 $t->add_control(4,new vs_d_edit("obergrenze_katze", 7, 9,"0","Obergrenze Katze"));
 $t->add_control(5,new vs_memo("untergrenze_text", 80, 5,"","Erniedrigt bei &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(6,new vs_memo("obergrenze_text", 80, 5,"","Erh&ouml;ht bei &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(7,new vs_memo("bemerkung", 80, 5,"","Bemerkung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
   
 $t->add_control(8,new vs_hidden("action","a_post_ins"));
 if ($can_insert=="1")
 {
   $t->add_control(8,new vs_submit("submit","Speichern","true"));
   $t->add_control(8,new vs_reset("reset","Abbruch","true"));
 }
 $db->free_result();
 return $t;
}			
	
	
			
function img_leiste($db,$num_rows,$laborwert_id)
{
  global $can_insert;
  global $can_delete;	
  $il= new vs_div("il","30","left");
  if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
  if($num_rows>0 ) 
  {  
  	if ($can_delete=="1")
  	$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&laborwert_id=$laborwert_id"));
  }	
  return $il;	
}	

global $can_edit;
global $can_delete;
global $can_insert;			



office_login($db);

$b = new vs_page_begin("Laborwerte", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
     {
     	
       echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
      
     }
else {
	switch ($vso_action) {
		case "a_browse" : //anzeigen
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
          	//nur Daten anzeigen
			$top=new vs_text("<h2>&nbsp; LABORWERTE</h2>");
			//2014-01-13 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste("Liste der Laborwerte","","","../hilfe/help.php#laborwerte");
			$bottom=navliste("Liste der Laborwerte","","","../hilfe/help.html#laborwerte");
			$right=zeige_laborwert($db,$vso_laborwert_id,$num_rows);
			$sql="select laborwert_id,bezeichnung from vs_laborwert order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb =  new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_laborwert_id,"laborwert.php?action=a_browse&laborwert_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_laborwert_id));
			seite($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		    case "a_del" : //Loeschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$db->query("select bezeichnung from vs_laborwert where laborwert_id='$vso_laborwert_id'");
	    	    $row=$db->fetch_row();
	    	    $bezeichnung=$row[0];
	    	    $db->free_result();
			$db->query("delete from vs_laborwert where laborwert_id = $vso_laborwert_id");
			$db->free_result();
			unset($vso_laborwert_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; LABORWERTE</h2>");
			//2014-01-13 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste("$bezeichnung wurde gel&ouml;scht","","","../hilfe/help.php#laborwerte");
			$bottom=navliste("$bezeichnung wurde gel&ouml;scht","","","../hilfe/help.html#laborwerte");
			$right=zeige_laborwert($db,$vso_laborwert_id,$num_rows);
			$sql="select laborwert_id,bezeichnung from vs_laborwert order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb =  new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_laborwert_id,"laborwert.php?action=a_browse&laborwert_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_laborwert_id));
			seite($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			break;
		
		    case "a_ins" : // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top=new vs_text("<h2>&nbsp; LABORWERTE</h2>");
			//2014-01-13 KM: Hilfe help.php in help.html geaendert.
			//$bottom=navliste(" Neuen Laborwert eingeben","","","../hilfe/help.php#laborwerte");
			$bottom=navliste(" Neuen Laborwert eingeben","","","../hilfe/help.html#laborwerte");
			$right=neuer_laborwert($db);
			$sql="select laborwert_id,bezeichnung from vs_laborwert order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_laborwert_id
			if (!isset ($vso_laborwert_id))
				{$vso_laborwert_id = null;}
			$lb =  new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_laborwert_id,"laborwert.php?action=a_browse&laborwert_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,0,$vso_laborwert_id));
			seite($top,$bottom,$left,$right);
			
            //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		    case "a_post_edit" : //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich verändert?-----------------
            	
            $db->query("Select laborwert_id,bezeichnung,kurz,einheit," .
			           "normaltext_hund,normaltext_katze,untergrenze_hund,".    
			     	   "obergrenze_hund,untergrenze_katze,obergrenze_katze,".
			     	   "obergrenze_text,untergrenze_text,bemerkung,vergleich_id ".
                       " from vs_laborwert where laborwert_id =$vso_laborwert_id");  
           	$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
			{
			  //endlich die neuen Werte eintragen	
			  $vso_untergrenze_hund=ctp($vso_untergrenze_hund);
			  $vso_obergrenze_hund=ctp($vso_obergrenze_hund);	
			  $vso_untergrenze_katze=ctp($vso_untergrenze_katze);
			  $vso_obergrenze_katze=ctp($vso_obergrenze_katze);	
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable vso_einheit
				if (!isset ($vso_einheit))
				{$vso_einheit = null;}
			  $db->query("update vs_laborwert set " .
			  	     	 "bezeichnung='$vso_bezeichnung',".
                         "kurz='$vso_kurz',".
                         "einheit='$vso_einheit',".
                         "normaltext_hund='$vso_normaltext_hund',".
                         "normaltext_katze='$vso_normaltext_katze',".
                         "untergrenze_hund='$vso_untergrenze_hund',".
                         "obergrenze_hund='$vso_obergrenze_hund',".
                         "untergrenze_katze='$vso_untergrenze_katze',".
                         "obergrenze_katze='$vso_obergrenze_katze',".
                         "obergrenze_text='$vso_obergrenze_text',".
                         "untergrenze_text='$vso_untergrenze_text',".
						 "vergleich_id='$vso_vergleich_id',". 
                         "bemerkung='$vso_bemerkung'".
                         " where laborwert_id=$vso_laborwert_id");
			 $db->free_result();	
			}	
			//Fehlermeldung 
			else error_row(change_warning."(Laborwerte)");
			//----------------Daten anzeigen----------------------------------------------------
			//2014-01-13 KM: Hilfe help.php in help.html geaendert.
			//$top=new vs_text("<h2>&nbsp; LABORWERTE</h2>","","","../hilfe/help.php#laborwerte");
			$top=new vs_text("<h2>&nbsp; LABORWERTE</h2>","","","../hilfe/help.html#laborwerte");
			$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right=zeige_laborwert($db,$vso_laborwert_id,$num_rows);
			$sql="select laborwert_id,bezeichnung from vs_laborwert order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb =  new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_laborwert_id,"laborwert.php?action=a_browse&laborwert_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_laborwert_id));
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
			case "a_post_ins" : //nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//ctp($vso_ufaktor);
			$vso_untergrenze_hund=ctp($vso_untergrenze_hund);
			$vso_obergrenze_hund=ctp($vso_obergrenze_hund);  
			$vso_untergrenze_katze=ctp($vso_untergrenze_katze);
			$vso_obergrenze_katze=ctp($vso_obergrenze_katze);  
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable vso_einheit
			if (!isset ($vso_einheit))
				{$vso_einheit = null;}
            $db->query("insert into vs_laborwert (bezeichnung,kurz,einheit," .
					   "normaltext_hund,normaltext_katze,untergrenze_hund,obergrenze_hund," .
					   "untergrenze_katze,obergrenze_katze,obergrenze_text,untergrenze_text,bemerkung,vergleich_id) ".
                        "values('$vso_bezeichnung','$vso_kurz','$vso_einheit'," .
                        "'$vso_normaltext_hund','$vso_normaltext_katze','$vso_untergrenze_hund','$vso_obergrenze_hund'," .
                        "'$vso_untergrenze_katze','$vso_obergrenze_katze','$vso_obergrenze_text'," .
                        "'$vso_untergrenze_text','$vso_bemerkung','$vso_vergleich_id')");
					   
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
	       	$db->free_result();
	    	$db->query("select laborwert_id from vs_laborwert where bezeichnung='$vso_bezeichnung'");
	    	$row=$db->fetch_row();
	    	$vso_laborwert_id=$row[0];
	    	$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			//2014-01-13 KM: Hilfe help.php in help.html geaendert.
			//$top=new vs_text("<h2>&nbsp; LABORWERTE</h2>","","","../hilfe/help.php#laborwerte");
			$top=new vs_text("<h2>&nbsp; LABORWERTE</h2>","","","../hilfe/help.html#laborwerte");
			$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			$right=zeige_laborwert($db,$vso_laborwert_id,$num_rows);
			$sql="select laborwert_id,bezeichnung from vs_laborwert order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb =  new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_laborwert_id,"laborwert.php?action=a_browse&laborwert_id=",32,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_laborwert_id));
			seite($top,$bottom,$left,$right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	}
}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

