<?php
/*
 *      lieferant.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";





//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links_schmal");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts_breit");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function zeige_lieferant($db, &$lieferant_id, &$num_rows)
	{
	global $can_edit;
	if (!isset($lieferant_id))
		{
		$db->query("Select lieferant_id,name,strasse,plz,ort,telefax,bestelltelefon,email," . 
					" aussendienst,portofrei,kundennummer,memo,www,barsoi_vernr" . 
					" from vs_lieferant order by name");
		
		}
	else
		{
		$db->query("Select lieferant_id,name,strasse,plz,ort,telefax,bestelltelefon,email," . 
					" aussendienst,portofrei,kundennummer,memo,www,barsoi_vernr" . 
					" from vs_lieferant where lieferant_id = $lieferant_id");
		
		}
	$row = $db->fetch_row();
	
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		$lieferant_id = $row[0];
		$olddata      = $db->curr_row_as_string();
		$t            = new vs_form_x("lieferant_zeigen", 8);
		$t->set_cellspacing(5);
		$row[9] = ptc($row[9]);

		$t->add_control(1, new vs_edit("name", 30, 30, "$row[1]"));
		$t->add_control(1, new vs_edit("kundennummer", 20, 20, "$row[10]"));
		$t->add_control(1, new vs_d_edit("portofrei", 10, 10, "$row[9]", "Portofrei ab &euro;"));
		//2015-11-01 KM: Lieferant-Nr. zugefuegt
		$li_id = new vs_edit("lieferant_id",5,5,$row[0],"Lieferant Nr.");
		$li_id->set_readonly("true");
		$t->add_control(1, $li_id);
		
		
		$t->add_control(2, new vs_i_edit("plz", 5, 5, "$row[3]", "PLZ &nbsp;&nbsp;"));
		$t->add_control(2, new vs_edit("ort", 20, 20, "$row[4]"));
		$t->add_control(2, new vs_edit("strasse", 30, 30, "$row[2]"));
		

		$t->add_control(3, new vs_edit("telefax", 20, 20, "$row[5]", "Fax &nbsp;&nbsp;&nbsp;"));
		$t->add_control(3, new vs_i_edit("bestelltelefon", 20, 20, "$row[6]"));
		
		$t->add_control(4, new vs_edit("www", 40, 50, "$row[12]", "www&nbsp;"));
		
		// www Website
		if ($row[12] != "")
			{
			//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
			$www = new vs_link_img("../img/www_24.gif", "http://$row[12]", "_blank");
			$www->set_title("Homepage des Lieferanten ansehen");
			$t->add_control(4, $www);
			}
		
		$t->add_control(4, new vs_edit("email", 40, 80, "$row[7]", "E-Mail"));
		
		//e-mail
		if ($row[7] != "")
			{
			if (use_mta) //mail-transfer-agent auf dem Server
				{
				//2014-11-26 KM: geaendert vs_new_window_img -> vs_link_img
				$em = new vs_link_img("../img/email_24.gif", "mail_form.php?mail_adress=$row[7] ", "_blank");
				$em->set_title("E-Mail an den Lieferanten");
				$t->add_control(4, $em);
				}
			else
				{
				$em = new vs_link_img("../img/email_24.gif", "mailto: $row[7] ", "_blank");
				$em->set_title("E-Mail an den Lieferanten");
				$t->add_control(4, $em);
				}
			}
		
		$t->add_control(5, new vs_memo("aussendienst", 25, 6, "$row[8]", "AD &nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(5, new vs_memo("memo", 63, 6, "$row[11]"));
		
		$t->add_control(6, new vs_hidden("barsoi_vernr", $row[13]));
		$t->add_control(6, new vs_hidden("lieferant_id", $row[0]));
		$t->add_control(6, new vs_hidden("action", "a_post_edit"));
		$t->add_control(6, new vs_hidden("olddata", $olddata));
		if ($can_edit == "1")
			{
			$t->add_control(6, new vs_submit("submit", "&Auml;ndern", "true"));
			//2015-01-07 KM: raus genommen, macht keinen Sinn
			//$t->add_control(6,new vs_reset("reset","Abbruch","true"));
			}
		$t->add_control(7, new vs_text("<b>Von $row[1] bezogene Artikel (I=Impfstoffe, M = Medikamente, V = Verbrauchsmaterial, W = Abgebewaren) </b>"));
		//Impfungen von diesem Lieferanten   
		$sql         = "select impfung_id,bezeichnung from vs_impfung where lieferant_id=$row[0] order by bezeichnung";
		$lb          = new vs_db_sql_link_listbox("lieferant_impfung", 100, $db, $sql, 1, 1, 0, 0, "", "impfung.php?action=a_browse&impfung_id=", 10, "I");
		$lb->new_win = 1;
		$t->add_control(8, $lb);
		$lb->add_style("width:175px;height:200px;");
		
		//Medikamente von diesem Lieferanten   
		$sql         = "select t.med_typ_id, m.bezeichnung from vs_medikament m, vs_med_typ t where m.med_typ_id = t.med_typ_id and  t.lieferant_id=$row[0] order by m.bezeichnung ";
		$lb          = new vs_db_sql_link_listbox("lieferant_med", 100, $db, $sql, 1, 1, 0, 0, "", "medikament.php?action=a_browse_detail&med_typ_id=", 10, "M");
		$lb->new_win = 1;
		$t->add_control(8, $lb);
		$lb->add_style("width:175px;height:200px;");
		
		//Verbrauchsmaterial von diesem Lieferanten   
		$sql         = "select verbrauchsmaterial_id,bezeichnung from vs_verbrauchsmaterial where lieferant_id=$row[0] order by bezeichnung";
		$lb          = new vs_db_sql_link_listbox("lieferant_ver", 100, $db, $sql, 1, 1, 0, 0, "", "verbrauchsmaterial.php?action=a_browse&verbrauchsmaterial_id=", 10, "V");
		$lb->new_win = 1;
		$t->add_control(8, $lb);
		$lb->add_style("width:175px;height:200px;");
		
		//Abgabewaren von diesem Lieferanten   
		$sql         = "select waren_id,bezeichnung from vs_waren where lieferant_id=$row[0] order by bezeichnung";
		$lb          = new vs_db_sql_link_listbox("lieferant_war", 100, $db, $sql, 1, 1, 0, 0, "", "waren.php?action=a_browse&waren_id=", 10, "W");
		$lb->new_win = 1;
		$t->add_control(8, $lb);
		$lb->add_style("width:175px;height:200px;");
		
		$db->free_result();
		return $t;
		}
	else
		{
		return neuer_lieferant($db);
		}
	}



function neuer_lieferant($db)
	{
	global $can_insert;
	$t = new vs_form_x("lieferant_neu", 8);
	$t->set_cellspacing(5);
	
	$t->add_control(1, new vs_edit("name", 30, 30, ""));
	$t->add_control(1, new vs_edit("kundennummer", 20, 20, ""));
	$t->add_control(1, new vs_d_edit("portofrei", 10, 10, "0,00", "Portofrei ab &euro;"));
	
	$t->add_control(2, new vs_i_edit("plz", 5, 5, "", "PLZ &nbsp;&nbsp;"));
	$t->add_control(2, new vs_edit("ort", 20, 20, ""));
	$t->add_control(2, new vs_edit("strasse", 30, 30, ""));	
	
	$t->add_control(3, new vs_i_edit("telefax", 20, 20, "0", "Fax &nbsp;&nbsp;&nbsp;"));
	$t->add_control(3, new vs_i_edit("bestelltelefon", 20, 20, "0"));
	
	$t->add_control(4, new vs_edit("www", 40, 50, "", "www&nbsp;"));
	$t->add_control(4, new vs_edit("email", 40, 80, "", "E-Mail"));
	
	$t->add_control(5, new vs_memo("aussendienst", 25, 6, "", "AD &nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(5, new vs_memo("memo", 63, 6, ""));
	
	$t->add_control(7, new vs_hidden("barsoi_vernr", ""));
	
	$t->add_control(7, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(8, new vs_submit("submit", "Speichern", "true"));
		//2015-01-07 KM: raus genommen, macht keinen Sinn
		//$t->add_control(8,new vs_reset("reset","Abbruch","true"));
		}
	$db->free_result();
	return $t;
	}



function img_leiste($db, $num_rows, $lieferant_id)
	{
	global $can_insert;
	global $can_delete;
	$il = new vs_div("il", "30", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		//abhängige Datensätze (Medikamente) vorhanden? Löschen erlaubt?
		$db->query("select count(*) from vs_med_typ where lieferant_id=$lieferant_id");
		$row = $db->fetch_row();
		$db->free_result();
		if ($row[0] > 0)
			$dep = 1;
		else
			$dep = 0;
		//abhängige Datensätze (Fremdleistungen) vorhanden? Löschen erlaubt?
		$db->query("select count(*) from vs_fremdleistung where lieferant_id=$lieferant_id");
		$row = $db->fetch_row();
		$db->free_result();
		if ($row[0] > 0)
			$depf = 1;
		else
			$depf = 0;
		
		if (($can_delete == "1") and ($dep == 0) and ($depf == 0)) //User darf löschen+keine abh. Medik.+ keine abhäng Fremdleist.
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&lieferant_id=$lieferant_id"));
		}
	return $il;
	}


global $can_edit;
global $can_delete;
global $can_insert;


office_login($db);

$b         = new vs_page_begin("Lieferanten", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();


if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//nur Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; LIEFERANTEN</h2>");
			$bottom = navliste("Liste der Lieferanten");
			$right  = zeige_lieferant($db, $vso_lieferant_id, $num_rows);
			$sql    = "select lieferant_id,name from vs_lieferant order by name";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_lieferant_id, "lieferant.php?action=a_browse&lieferant_id=", 32, "");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_lieferant_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_del": //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$db->query("select name from vs_lieferant where lieferant_id='$vso_lieferant_id'");
			$row  = $db->fetch_row();
			$name = $row[0];
			$db->free_result();
			
			
			//abhängige Datensätze vorhanden?	
			$db->query("select count(*) from vs_med_typ where lieferant_id=$vso_lieferant_id");
			$row = $db->fetch_row();
			$db->free_result();
			if ($row[0] > 0)
				{
				error_row("Der Datensatz konnte nicht gel&ouml;scht werden, weil es noch Medikamente  dieses Herstellers gibt");
				$bottom = navliste("<b>$bezeichnug konnte nicht gel&ouml;scht werden!!!!</b>");
				}
			else //keine abhängigen Datensätze
				{
				$db->query("delete from vs_lieferant where lieferant_id = $vso_lieferant_id");
				$db->free_result();
				unset($vso_lieferant_id); //gibt`s ja jetzt nicht mehr
				$bottom = navliste("$name wurde gel&ouml;scht");
				}
			//Daten anzeigen
			$top   = new vs_text("<h2>&nbsp; LIEFERANTEN</h2>");
			//$bottom=navliste("$name wurde gel&ouml;scht");
			$right = zeige_lieferant($db, $vso_lieferant_id, $num_rows);
			$sql   = "select lieferant_id,name from vs_lieferant order by name";
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_lieferant_id, "lieferant.php?action=a_browse&lieferant_id=", 32, "");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_lieferant_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		
		case "a_ins": // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top    = new vs_text("<h2>&nbsp; LIEFERANTEN</h2>");
			$bottom = navliste(" Neuen Lieferanten eingeben");
			$right  = neuer_lieferant($db);
			$sql    = "select lieferant_id,name from vs_lieferant order by name";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_lieferant_id
			if (!isset($vso_lieferant_id))
				{
				$vso_lieferant_id = null;
				}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_lieferant_id, "lieferant.php?action=a_browse&lieferant_id=", 32, "");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, 0, $vso_lieferant_id));
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_edit": //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select lieferant_id,name,strasse,plz,ort,telefax,bestelltelefon,email," . 
						" aussendienst,portofrei,kundennummer,memo,www,barsoi_vernr" . 
						" from vs_lieferant where lieferant_id = $vso_lieferant_id");
			
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				//DW: 2013-09-07 Bugfix ctp-reference-error
				$vso_portofrei = ctp($vso_portofrei); //Komma nach Punkt
				
				$db->query("update vs_lieferant set name='$vso_name'," . 
							"strasse='$vso_strasse',plz='$vso_plz',ort='$vso_ort',telefax='$vso_telefax'," . 
							"bestelltelefon='$vso_bestelltelefon',email='$vso_email',aussendienst='$vso_aussendienst'," . 
							"portofrei='$vso_portofrei',kundennummer='$vso_kundennummer',memo='$vso_memo'," . 
							"www='$vso_www',barsoi_vernr='$vso_barsoi_vernr'" . 
							" where lieferant_id=$vso_lieferant_id");
				$db->free_result();
				}
			
			//Fehlermeldung 
			else
				error_row("Der Datensatz konnte nicht gespeichert werden, weil er vorher von einem anderen Benutzer ge&auml;ndert wurde");
			
			
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; LIEFERANTEN</h2>");
			$bottom = navliste("$vso_name wurde ge&auml;ndert");
			$right  = zeige_lieferant($db, $vso_lieferant_id, $num_rows);
			$sql    = "select lieferant_id,name from vs_lieferant order by name";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_lieferant_id, "lieferant.php?action=a_browse&lieferant_id=", 32, "");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_lieferant_id));
			seite($top, $bottom, $left, $right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
		case "a_post_ins": //nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//DW: 2013-09-07 Bugfix ctp-reference-error
			$vso_portofrei = ctp($vso_portofrei); //Komma nach Punkt
			$db->query("insert into vs_lieferant (name,strasse,plz,ort,telefax,bestelltelefon," . 
						" email,aussendienst,portofrei,kundennummer,memo,www,barsoi_vernr) " . 
						"values('$vso_name','$vso_strasse','$vso_plz','$vso_ort','$vso_telefax','$vso_bestelltelefon'," . 
						"'$vso_email','$vso_aussendienst','$vso_portofrei','$vso_kundennummer','$vso_memo','$vso_www','barsoi_vernr')");
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$db->free_result();
			$db->query("select lieferant_id from vs_lieferant where name='$vso_name'");
			$row              = $db->fetch_row();
			$vso_lieferant_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; LIEFERANTEN</h2>");
			$bottom = navliste(" $vso_name wurde eingef&uuml;gt");
			$right  = zeige_lieferant($db, $vso_lieferant_id, $num_rows);
			$sql    = "select lieferant_id,name from vs_lieferant order by name";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_lieferant_id, "lieferant.php?action=a_browse&lieferant_id=", 32, "");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_lieferant_id));
			seite($top, $bottom, $left, $right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
