<?php
/*
 *      medikament.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8





// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../home/login_function.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//Preisberechnung
function vk($ek, $hum, $anteil, &$vk, &$t_vk)
	{
	if ($hum == 1) //rp. Humananerzneimittel
		{
		$vk   = ($ek * 1.03) + 8.1;
		$t_vk = $ek * $anteil * 2;
		}
	else //rp. Vetarzneimittel
		{
		$t_vk = $ek * $anteil * 2; // Teilabgabe 100% Aufschlag
		if ($ek <= 1.22)
			$vk = $ek * 1.68;
		if (($ek > 1.22) and ($ek <= 1.34))
			$vk = $ek + 0.83;
		if (($ek > 1.35) and ($ek <= 3.88))
			$vk = $ek * 1.62;
		if (($ek > 3.88) and ($ek <= 4.22))
			$vk = $ek + 2.41;
		if (($ek > 4.22) and ($ek <= 7.30))
			$vk = $ek * 1.57;
		if (($ek > 7.30) and ($ek <= 8.67))
			$vk = $ek + 4.16;
		if (($ek > 8.67) and ($ek <= 12.14))
			$vk = $ek * 1.48;
		if (($ek > 12.14) and ($ek <= 13.55))
			$vk = $ek + 5.83;
		if (($ek > 13.55) and ($ek <= 19.42))
			$vk = $ek * 1.43;
		if (($ek > 19.42) and ($ek <= 22.57))
			$vk = $ek + 8.35;
		if (($ek > 22.58) and ($ek <= 29.14))
			$vk = $ek * 1.37;
		if (($ek > 29.14) and ($ek <= 35.94))
			$vk = $ek + 10.78;
		if (($ek > 35.94) and ($ek <= 51.13))
			$vk = $ek * 1.3;
		if (($ek > 51.13) and ($ek <= 127.82))
			$vk = 66.47 + (($ek - 51.13) * 1.25);
		if ($ek > 127.83)
			$vk = 66.47 + 95.85 + (($ek - 127.83) * 1.2);
		}
	}



//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts_tab");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function make_med_tab($db, $active, $med_typ_id, $medikament_id, $show_abgabe = 1)
	{
	//KM: TABs
	$tab = new vs_tabs("100%");
	$tab->set_active_tab($active);
	$tab->add_tab("Medikament", "?action=a_browse&med_typ_id=$med_typ_id&medikament_id=$medikament_id");
	if ($show_abgabe == 1)
		$tab->add_tab("Abgabeeinheiten", "?action=a_browse_detail&med_typ_id=$med_typ_id&medikament_id=$medikament_id");
	return $tab;
	}


function zeige_med_typ($db, &$med_typ_id, &$num_rows)
	{
	global $can_edit;
	if (!isset($med_typ_id))
		{
		$db->query("Select med_typ_id,bezeichnung,gruppe,art,barsoiindex,zulassung," . 
					" bild,waschzettel,wirkstoffe,lieferant_id" . 
					" from vs_med_typ order by bezeichnung");
		}
	else
		{
		$db->query("Select med_typ_id,bezeichnung,gruppe,art,barsoiindex,zulassung," . 
					" bild,waschzettel,wirkstoffe,lieferant_id" . 
					" from vs_med_typ where med_typ_id = $med_typ_id order by bezeichnung");
		}
	$row = $db->fetch_row();
	
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		$med_typ_id = $row[0];
		$olddata    = $db->curr_row_as_string();
		
		//KM: div um die TABs und die Inhalte darunter
		$d = new vs_div();
		
		$r = new vs_div("", "", "", "", "", "stammdaten_tabd");
		
		$t = new vs_form_x("med_typ_zeigen", 8);
		$t->set_cellspacing(5);
		
		$t->add_control(1, new vs_edit("bezeichnung", 55, 100, $row[1]));
		
		$c = new vs_listbox("art", 30, $row[3], "1", "Art");
		$c->add_item("F", "freiverk&auml;uflich");
		$c->add_item("A", "apothekenpflichtig");
		$c->add_item("V", "verschreibungspflichtig");
		$c->add_item("B", "BTM");
		$t->add_control(1, $c);
		
		//2015-02-14 KM: Label vs_db_listbox geaendert
		//$t->add_control(1,new vs_db_listbox("gruppe",60,$db,"vs_med_gruppe","bezeichnung","bezeichnung",$row[2]));
		$gruppe_m = new vs_db_listbox("gruppe", 60, $db, "vs_med_gruppe", "bezeichnung", "bezeichnung", "$row[2]");
		$gruppe_m->set_label("Gruppe &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(2, $gruppe_m);
		
		$firma = new vs_db_listbox("lieferant_id", 20, $db, "vs_lieferant", "name", "lieferant_id", $row[9]);
		$firma->set_label("Lieferant &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$t->add_control(3, $firma);
		
		$t->add_control(3, new vs_edit("barsoiindex", 11, 30, $row[4], "Barsoiindex"));
		$t->add_control(4, new vs_edit("zulassung", 80, 250, $row[5], "Tierarten &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(5, new vs_memo("waschzettel", 77, 16, $row[7], "Fachinfo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(6, new vs_edit("wirkstoffe", 80, 200, $row[8], "Wirkstoff &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		
		$t->add_control(7, new vs_hidden("med_typ_id", $row[0]));
		$t->add_control(7, new vs_hidden("action", "a_post_edit"));
		$t->add_control(7, new vs_hidden("olddata", "$olddata"));
		if ($can_edit == "1")
			{
			$t->add_control(7, new vs_submit("submit", "&Auml;ndern", "true"));
			$t->add_control(7, new vs_reset("reset", "Abbruch", "true"));
			$t->add_control(8, new vs_text("<span style=\"color:blue \"><u>Hinweis:</u> Preisberechnung f&uuml;r Human-AM erfolgt, wenn bei Tierarten 'Mensch' steht.</span>"));
			}
		$db->free_result();
		$r->add($t);
		//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $medikament_id
		if (!isset($medikament_id))
			{
			$medikament_id = null;
			}
		$d->add(make_med_tab($db, 1, $med_typ_id, $medikament_id));
		$d->add($r);
		return $d;
		}
	else
		{
		return neuer_med_typ($db);
		}
	}



function neuer_med_typ($db)
	{
	global $can_insert;
	
	
	//KM: div um die TABs und die Inhalte darunter
	$d = new vs_div();
	
	$r = new vs_div("", "", "", "", "", "stammdaten_tabd");
	
	$t = new vs_form_x("med_typ_neu", 8);
	$t->set_cellspacing(5);
	
	$t->add_control(1, new vs_edit("bezeichnung", 55, 100, ""));
	
	$c = new vs_listbox("art", 30, "A", "1", "Art");
	$c->add_item("F", "freiverk&auml;uflich");
	$c->add_item("A", "apothekenpflichtig");
	$c->add_item("V", "verschreibungspflichtig");
	$c->add_item("B", "BTM");
	$t->add_control(1, $c);
	
	//2015-02-14 KM: Label vs_db_listbox geaendert   
	//$t->add_control(1,new vs_db_listbox("gruppe",60,$db,"vs_med_gruppe","bezeichnung","bezeichnung",""));
	$gruppe_m = new vs_db_listbox("gruppe", 60, $db, "vs_med_gruppe", "bezeichnung", "bezeichnung", "");
	$gruppe_m->set_label("Gruppe &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$t->add_control(2, $gruppe_m);
	
	$firma = new vs_db_listbox("lieferant_id", 20, $db, "vs_lieferant", "name", "lieferant_id", "");
	$firma->set_label("Lieferant &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	$t->add_control(3, $firma);
	
	$t->add_control(3, new vs_edit("barsoiindex", 11, 30, "", "Barsoiindex"));
	
	$t->add_control(4, new vs_edit("zulassung", 78, 250, "", "Tierarten &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(5, new vs_memo("waschzettel", 77, 16, "", "Fachinfo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	$t->add_control(6, new vs_edit("wirkstoffe", 79, 200, "", "Wirkstoff &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
	
	
	
	$t->add_control(7, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(7, new vs_submit("submit", "Speichern", "true"));
		$t->add_control(7, new vs_reset("reset", "Abbruch", "true"));
		$t->add_control(8, new vs_text("<span style=\"color:blue \"><u>Hinweis:</u> Preisberechnung f&uuml;r Human-AM erfolgt, wenn bei Tierarten 'Mensch' steht.</span>"));
		}
	$db->free_result();
	
	$r->add($t);
	//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $med_typ_id und $medikament_id
	if (!isset($med_typ_id))
		{
		$med_typ_id = null;
		}
	if (!isset($medikament_id))
		{
		$medikament_id = null;
		}
	$d->add(make_med_tab($db, 1, $med_typ_id, $medikament_id, 0));
	$d->add($r);
	return $d;
	
	}

function zeige_medikament($db, &$med_typ_id, &$medikament_id, &$num_rows)
	{
	global $can_edit;
	if (isset($med_typ_id))
		{
		if ((!isset($medikament_id)) or ($medikament_id == ""))
			{
			
			$db->query("Select medikament_id,med_typ_id,bezeichnung,kurz,preis,epreis,soll,haben," . 
						" memo,warnhinweis,umsatz,rang,barcode,verfalldatum,delta,charge," . 
						" rechbezeichnung,t_bezeichnung,t_ek,t_vk,t_verpackung,t_anteil,t_kurz," . 
						" barsoi_pnr,btm,kommentar,t_kommentar,t_rechbezeichnung,dosierung,op_menge_tp, tp_einheit,verfuegbar,min_menge " . 
						" from vs_medikament where med_typ_id = $med_typ_id");
			}
		else
			{
			$db->query("Select medikament_id,med_typ_id,bezeichnung,kurz,preis,epreis,soll,haben," . 
						" memo,warnhinweis,umsatz,rang,barcode,verfalldatum,delta,charge," . 
						" rechbezeichnung,t_bezeichnung,t_ek,t_vk,t_verpackung,t_anteil,t_kurz," . 
						" barsoi_pnr,btm,kommentar,t_kommentar,t_rechbezeichnung,dosierung,op_menge_tp, tp_einheit,verfuegbar,min_menge " . 
						" from vs_medikament where medikament_id = $medikament_id");
			
			
			}
		$row      = $db->fetch_row();
		$num_rows = $db->num_rows();
		if ($num_rows > 0)
			{
			$medikament_id = $row[0];
			$olddata       = $db->curr_row_as_string();
			
			//KM: div um die TABs und die Inhalte darunter
			$d = new vs_div();
			
			$r = new vs_div("", "", "", "", "", "stammdaten_tabd");
			$t = new vs_form_x("med_typ_zeigen", 17);
			$t->set_cellspacing(1);
			//Datenfelder
			$row[4]  = ptc($row[4]);
			$row[5]  = ptc($row[5]);
			//$row[10]=ptc($row[10]);
			$row[18] = ptc($row[18]);
			$row[19] = ptc($row[19]);
			$row[20] = ptc($row[20]);
			//$row[32]=ptc($row[32]);   
			d_db2dis($row[13]);
			$t->add_control(1, new vs_edit("bezeichnung", 55, 100, "$row[2]", "Bezeichnung &nbsp;&nbsp;"));
			$t->add_control(1, new vs_edit("kurz", 10, 12, "$row[3]"));
			$t->add_control(1, new vs_d_edit("epreis", 5, 7, "$row[5]", "EK &euro;"));
			$t->add_control(1, new vs_d_edit("preis", 5, 7, "$row[4]", "*VK &euro;"));
			
			$t->add_control(2, new vs_i_edit("op_menge_tp", 4, 4, $row[29], "OP enth&auml;lt &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$c = new vs_listbox("tp_einheit", 30, $row[30], 1, " ");
			$c->add_item("ml", "ml");
			$c->add_item("l", "l");
			$c->add_item("g", "g");
			$c->add_item("kg", "kg");
			$c->add_item("Tab.", "Tab.");
			$c->add_item("Kap", "Kap");
			$c->add_item("Ktab", "Ktab");
			$c->add_item("Pip.", "Pip.");
			$c->add_item("Amp.", "Amp.");
			$c->add_item("Ampp.", "Ampp.");
			$c->add_item("Tub", "Tub");
			$c->add_item("Stk", "Stk");
			$c->add_item("Fl.", "Fl.");
			$c->add_item("Fla.", "Fla.");
			$c->add_item("Opht", "Opht");
			$t->add_control(2, $c);
			$t->add_control(2, new vs_edit("barcode", 8, 30, "$row[12]"));
			$t->add_control(2, new vs_edit("delta", 7, 30, "$row[14]"));
			$t->add_control(2, new vs_edit("charge", 7, 20, "$row[15]"));
			$c = new vs_listbox("verfuegbar", 30, $row[31], 1, "Verf&uuml;gbar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
			$c->add_item("1", "ja");
			$c->add_item("0", "nein");
			$t->add_control(3, $c);
			
			//2015-01-05 KM: Datum Umstellung auf Datepicker
			//$t->add_control(3,new vs_date_edit("verfalldatum", 10, 10, "$row[13]"));
			//2016-01-31 KM: Variablenfehler beseitigt
			//$t->add_control(3, new vs_datepicker("verfalldatum", "row[13]", "multi_today10_Datepicker", "Verfalldatum"));
			$t->add_control(3, new vs_datepicker("verfalldatum", $row[13], "multi_today10_Datepicker", "Verfalldatum"));
			
			$t->add_control(4, new vs_edit("rechbezeichnung", 60, 120, "$row[16]", "Rechnungstext"));
			$t->add_control(4, new vs_memo("memo", 100, 4, "$row[8]", "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$t->add_control(5, new vs_edit("dosierung", 80, 200, "$row[28]", "Dosierung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$t->add_control(6, new vs_edit("warnhinweis", 40, 80, "$row[9]", "Hinweis &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$t->add_control(6, new vs_edit("kommentar", 48, 80, "$row[25]", "Kommentar"));
			$t->add_control(7, new vs_text("&nbsp;"));
			$t->add_control(8, new vs_text(" -------------------------------------------------------------------------------- " . 
											"<b>TEILABGABE</b> --------------------------------------------------------------------------------"));
			$t->add_control(9, new vs_text("&nbsp;"));
			$t->add_control(10, new vs_edit("t_bezeichnung", 55, 110, "$row[17]", "Bezeichnung &nbsp;&nbsp;"));
			$t->add_control(10, new vs_edit("t_kurz", 10, 12, "$row[22]", "Kurz"));
			$t->add_control(10, new vs_d_edit("t_ek", 5, 7, "$row[18]", "EK &euro;"));
			$t->add_control(10, new vs_d_edit("t_vk", 5, 7, "$row[19]", "*VK &euro;"));
			$t->add_control(11, new vs_d_edit("t_verpackung", 5, 7, "$row[20]", "Verpackung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$t->add_control(11, new vs_edit("barsoi_pnr", 10, 40, "$row[23]", "PNR (Barsoi)"));
			$t->add_control(11, new vs_i_edit("min_menge", 3, 3, "$row[32]", "Mindestmenge"));
			$t->add_control(12, new vs_edit("t_rechbezeichnung", 60, 120, "$row[27]", "Rechnungstext"));
			$t->add_control(13, new vs_edit("t_kommentar", 60, 80, "$row[26]", "Kommentar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
			$t->add_control(14, new vs_hidden("soll", $row[6]));
			$t->add_control(14, new vs_hidden("haben", $row[7]));
			$t->add_control(14, new vs_hidden("umsatz", $row[10]));
			$t->add_control(14, new vs_hidden("t_anteil", $row[21]));
			$t->add_control(14, new vs_hidden("btm", $row[24]));
			$t->add_control(14, new vs_hidden("rang", $row[11]));
			$t->add_control(14, new vs_hidden("medikament_id", $row[0]));
			$t->add_control(14, new vs_hidden("med_typ_id", $row[1]));
			$t->add_control(14, new vs_hidden("action", "a_post_edit_detail"));
			$t->add_control(14, new vs_hidden("olddata", "$olddata"));
			if ($can_edit == "1")
				{
				$t->add_control(15, new vs_submit("submit", "&Auml;ndern", "true"));
				$t->add_control(15, new vs_reset("reset", "Abbruch", "true"));
				//$t->add_control(15,new vs_text("&nbsp;"));
				$t->add_control(16, new vs_text("<span style=\"color:blue \"><u>Hinweis:</u> Haben die mit <b>*</b> bezeichneten Felder den Wert 0 werden sie laut AMPreisV berechnet</span>"));
				//nach Standardpositionen suchen, die dieses Medikament enthalten, ggf. Warntext wegen  Löschen zeigen  
				if (check_in_stapos($db, "M", $medikament_id) > 0)
					{
					$t->add_control(17, new vs_text("<span style=\"color:red;font-weight:bold;\">Dieses Medikament ist Bestandteil von Standardbehandlungen. " . 
													"Beim L&ouml;schen oder bei Nichtverf&uuml;gbarkeit wird es daraus entfernt !</span>"));
					}
				}
			
			$db->free_result();
			
			$r->add(img_leiste_detail($db, $num_rows, $med_typ_id, $medikament_id));
			$r->add($t);
			$d->add(make_med_tab($db, 2, $med_typ_id, $medikament_id));
			
			$d->add($r);
			return $d;
			}
		else
			{
			return neues_medikament($db, $med_typ_id);
			}
		}
	else
		{
		return neuer_med_typ($db);
		}
	}


function neues_medikament($db, &$med_typ_id)
	{
	global $can_insert;
	if ((isset($med_typ_id)) and ($med_typ_id != ""))
		{
		$db->query("Select bezeichnung,gruppe,wirkstoffe,zulassung from vs_med_typ where " . " med_typ_id = $med_typ_id");
		$row = $db->fetch_row();
		$db->free_result();
		
		//KM: div um die TABs und die Inhalte darunter      
		$d = new vs_div();
		
		$r = new vs_div("", "", "", "", "", "stammdaten_tabd");
		$t = new vs_form_x("med_typ_zeigen", 17);
		$t->set_cellspacing(1);
		
		$t->add_control(1, new vs_edit("bezeichnung", 55, 100, "", "*Bezeichnung &nbsp;&nbsp;"));
		$t->add_control(1, new vs_edit("kurz", 10, 12, ""));
		$t->add_control(1, new vs_d_edit("epreis", 5, 7, "0,00", "EK &euro;"));
		$t->add_control(1, new vs_d_edit("preis", 5, 7, "0,00", "**VK &euro;"));
		
		$t->add_control(2, new vs_i_edit("op_menge_tp", 4, 4, "1", "OP enth&auml;lt &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$c = new vs_listbox("tp_einheit", 30, "Tab", 1, " ");
		$c->add_item("ml", "ml");
		$c->add_item("g", "g");
		$c->add_item("Tab", "Tab");
		$c->add_item("Kap", "Kap");
		$c->add_item("Ktab", "Ktab");
		$c->add_item("Pip", "Pip");
		$c->add_item("Amp", "Amp");
		$c->add_item("Tub", "Tub");
		$c->add_item("Stk", "Stk");
		$c->add_item("Fl", "Fl");
		$c->add_item("Opht", "Opht");
		$t->add_control(2, $c);
		$t->add_control(2, new vs_edit("barcode", 8, 30, ""));
		$t->add_control(2, new vs_edit("delta", 7, 30, ""));
		$t->add_control(2, new vs_edit("charge", 7, 20, ""));
		$c = new vs_listbox("verfuegbar", 30, "1", 1, "Verf&uuml;gbar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		$c->add_item("1", "ja");
		$c->add_item("0", "nein");
		$t->add_control(3, $c);
		
		//2015-01-05 KM: Datum Umstellung auf Datepicker
		//$t->add_control(3,new vs_date_edit("verfalldatum", 10, 10, today()));
		$t->add_control(3, new vs_datepicker("verfalldatum", "", "multi_today10_Datepicker", "Verfalldatum"));
		
		$t->add_control(4, new vs_edit("rechbezeichnung", 60, 120, "", "*Rechnungstext"));
		$t->add_control(4, new vs_memo("memo", 100, 4, "", "Memo &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(5, new vs_edit("dosierung", 80, 200, "", "Dosierung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(6, new vs_edit("warnhinweis", 35, 80, "", "Hinweis &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(6, new vs_edit("kommentar", 35, 80, "$row[0]", "Kommentar"));
		$t->add_control(7, new vs_text("&nbsp;"));
		$t->add_control(8, new vs_text(" -------------------------------------------------------------------------------- " . 
										"<b>TEILABGABE</b> --------------------------------------------------------------------------------"));
		$t->add_control(9, new vs_text("&nbsp;"));
		
		$t->add_control(10, new vs_edit("t_bezeichnung", 55, 110, "", "*Bezeichnung &nbsp;&nbsp;&nbsp;"));
		$t->add_control(10, new vs_edit("t_kurz", 10, 12, "", "Kurz"));
		$t->add_control(10, new vs_d_edit("t_ek", 5, 7, "0,00", "EK &euro;"));
		$t->add_control(10, new vs_d_edit("t_vk", 5, 7, "0,00", "**VK &euro;"));
		$t->add_control(11, new vs_d_edit("t_verpackung", 5, 7, "0,00", "Verpackung &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(11, new vs_edit("barsoi_pnr", 10, 40, "0", "PNR (Barsoi)"));
		$t->add_control(11, new vs_i_edit("min_menge", 3, 3, "0", "Mindestmenge"));
		$t->add_control(12, new vs_edit("t_rechbezeichnung", 60, 120, "", "*Rechnungstext"));
		$t->add_control(13, new vs_edit("t_kommentar", 35, 80, "$row[0]", "Kommentar &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
		$t->add_control(14, new vs_hidden("rang", 0));
		//Name des med-Typ als Grundlage für die Namensvergabe   
		$t->add_control(14, new vs_hidden("nur_name", $row[0]));
		$t->add_control(14, new vs_hidden("soll", 0));
		$t->add_control(14, new vs_hidden("haben", 0));
		$t->add_control(14, new vs_hidden("umsatz", 0));
		$t->add_control(14, new vs_hidden("t_anteil", 1));
		$t->add_control(14, new vs_hidden("btm", 0));
		$t->add_control(14, new vs_hidden("med_typ_id", $med_typ_id));
		$t->add_control(14, new vs_hidden("action", "a_post_ins_detail"));
		
		if ($can_insert == "1")
			{
			$t->add_control(15, new vs_submit("submit", "Speichern", "true"));
			$t->add_control(15, new vs_reset("reset", "Abbruch", "true"));
			//$t->add_control(15,new vs_text("&nbsp;"));
			$t->add_control(17, new vs_text("<span style=\"color:blue \"><u>Hinweis:</u> Haben die mit <b>*</b> bezeichneten Felder keine Angabe  werden sie automatisch ausgef&uuml;llt<br></span>"));
			$t->add_control(17, new vs_text("<span style=\"color:blue \">Haben die mit <b>**</b> bezeichneten Felder den Wert 0 werden sie laut AMPreisV berechnet.</span>"));
			}
		$db->free_result();
		//$r->add(img_leiste_detail($db,$num_rows,$med_typ_id,$medikament_id));
		$r->add($t);
		//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $medikament_id
		if (!isset($medikament_id))
			{
			$medikament_id = null;
			}
		$d->add(make_med_tab($db, 2, $med_typ_id, $medikament_id));
		
		$d->add($r);
		return $d;
		}
	else
		{
		return neuer_med_typ($db);
		}
	}



function img_leiste($db, $num_rows, $med_typ_id)
	{
	global $can_insert;
	global $can_delete;
	if (isset($med_typ_id))
		{
		$db->query("select medikament_id from vs_medikament where med_typ_id=$med_typ_id");
		$nr = $db->num_rows();
		$db->free_result();
		}
	else
		$nr = 1;
	$il = new vs_div("il", "30", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		if (($can_delete == "1") and ($nr == 0))
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&med_typ_id=$med_typ_id"));
		}
	return $il;
	}

function img_leiste_detail($db, $num_rows, $med_typ_id, $medikament_id)
	{
	global $can_insert;
	global $can_delete;
	$sql = "select medikament_id,bezeichnung from vs_medikament where med_typ_id=$med_typ_id order by bezeichnung";
	
	$il = new vs_div("il", "30", "left");
	$il->add(new vs_db_sql_link_listbox("medi", 121, $db, $sql, 1, 1, 0, 0, $medikament_id, "medikament.php?action=a_browse_detail&med_typ_id=$med_typ_id&medikament_id=", 0, ""));
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins_detail&med_typ_id=$med_typ_id"));
	if ($num_rows > 0)
		{
		if ($can_delete == "1")
			$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del_detail&med_typ_id=$med_typ_id&medikament_id=$medikament_id"));
		}
	return $il;
	}



global $can_edit;
global $can_delete;
global $can_insert;


office_login($db);

$b         = new vs_page_begin("Medikamente", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE</h2>");
			$bottom = navliste("Liste der Medikamente");
			$right  = zeige_med_typ($db, $vso_med_typ_id, $num_rows);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		case "a_del": //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
			$db->query("delete from vs_med_typ where med_typ_id = $vso_med_typ_id");
			$db->free_result();
			unset($vso_med_typ_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE</h2>");
			$bottom = navliste("Medikament wurde gel&ouml;scht");
			$right  = zeige_med_typ($db, $vso_med_typ_id, $num_rows);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
		case "a_ins": // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE</h2>");
			$bottom = navliste(" Neues Medikament einf&uuml;gen");
			$right  = neuer_med_typ($db);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_med_typ_id
			if (!isset($vso_med_typ_id))
				{
				$vso_med_typ_id = null;
				}
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			
			$left->add(1, 1, img_leiste($db, 0, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		case "a_post_edit": //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("Select med_typ_id,bezeichnung,gruppe,art,barsoiindex,zulassung," . 
			" bild,waschzettel,wirkstoffe,lieferant_id" . 
			" from vs_med_typ where med_typ_id = " .
			 $vso_med_typ_id . " order by bezeichnung");
			
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//2013-12-28 KM: wie ueblich die Beseitigung undefined variable $vso_preis, $vso_epreis, $vso_bild
				if (!isset($vso_preis))
					{
					$vso_preis = null;
					}
				if (!isset($vso_epreis))
					{
					$vso_epreis = null;
					}
				if (!isset($vso_bild))
					{
					$vso_bild = null;
					}
				$vso_preis  = ctp($vso_preis);
				$vso_epreis = ctp($vso_epreis);
				//endlich die neuen Werte eintragen	
				$db->query("update vs_med_typ set bezeichnung='$vso_bezeichnung',gruppe='$vso_gruppe'," . 
							" art='$vso_art',barsoiindex='$vso_barsoiindex',zulassung='$vso_zulassung'," . 
							" bild='$vso_bild',waschzettel='$vso_waschzettel'," . 
							" wirkstoffe='$vso_wirkstoffe',lieferant_id='$vso_lieferant_id'" . 
							" where med_typ_id=$vso_med_typ_id");
				
				$db->free_result();
				}
			
			//Fehlermeldung 
			else
				error_row(change_warning . "(Medikamente)");
			
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE</h2>");
			$bottom = navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right  = zeige_med_typ($db, $vso_med_typ_id, $num_rows);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_post_ins": //nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			//2014-03-15 KM: wie ueblich die Beseitigung eines undefined variable $vso_bild
			if (!isset($vso_bild))
				{
				$vso_bild = null;
				}
			$db->query("insert into vs_med_typ (bezeichnung,gruppe,art,barsoiindex," . 
						" zulassung,bild,waschzettel,wirkstoffe,lieferant_id) " . 
						" values('$vso_bezeichnung','$vso_gruppe','$vso_art','$vso_barsoiindex'," . 
						" '$vso_zulassung','$vso_bild','$vso_waschzettel','$vso_wirkstoffe'," . 
						" '$vso_lieferant_id')");
			
			$db->free_result();
			//Neuen Datensatz gleich selektieren
			$db->query("select med_typ_id from vs_med_typ where bezeichnung='$vso_bezeichnung'");
			$row            = $db->fetch_row();
			$vso_med_typ_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE</h2>");
			$bottom = navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			//unset($vso_med_typ_id);
			$right  = zeige_med_typ($db, $vso_med_typ_id, $num_rows);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_browse_detail": //Details anzeigen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE-ABGABEEINHEITEN</h2>");
			$bottom = navliste("Liste der Abgabeeinheiten der Medikamente");
			$right  = zeige_medikament($db, $vso_med_typ_id, $vso_medikament_id, $num_rows);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse_detail&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		case "a_del_detail": //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
			$db->query("delete from vs_medikament where medikament_id = $vso_medikament_id");
			//Standardpositionen löschen, die das Medikament beinhalten
			$db->query("delete from vs_stapos where position_id = $vso_medikament_id  and typ = 'M' ");
			$db->query("delete from vs_stapos where position_id = $vso_medikament_id  and typ = 'A' ");
			$db->free_result();
			unset($vso_medikament_id); //gibt`s ja jetzt nicht mehr
			
			//Details anzeigen
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE-ABGABEEINHEITEN</h2>");
			$bottom = navliste("Abgabeeinheit wurde gel&ouml;scht");
			$right  = zeige_medikament($db, $vso_med_typ_id, $vso_medikament_id, $num_rows);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse_detail&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
		case "a_post_edit_detail":
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich verändert?-----------------
			$db->query("select zulassung from vs_med_typ where med_typ_id=$vso_med_typ_id");
			$row       = $db->fetch_row();
			$zulassung = $row[0];
			$db->free_result();
			$db->query(" Select medikament_id,med_typ_id,bezeichnung,kurz,preis,epreis,soll,haben," . 
			" memo,warnhinweis,umsatz,rang,barcode,verfalldatum,delta,charge," . 
			" rechbezeichnung,t_bezeichnung,t_ek,t_vk,t_verpackung,t_anteil,t_kurz," . 
			" barsoi_pnr,btm,kommentar,t_kommentar,t_rechbezeichnung,dosierung,op_menge_tp, tp_einheit,verfuegbar,min_menge  " . 
			" from vs_medikament where medikament_id=$vso_medikament_id");
			
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen	
				$vso_preis        = ctp($vso_preis);
				$vso_epreis       = ctp($vso_epreis);
				$vso_umsatz       = ctp($vso_umsatz);
				$vso_t_ek         = ctp($vso_t_ek);
				$vso_t_vk         = ctp($vso_t_vk);
				$vso_t_verpackung = ctp($vso_t_verpackung);
				//$vso_min_menge=ctp($vso_min_menge);  
				//darf nicht null sein, sonst w.u. division by zero!!!!  
				if ($vso_op_menge_tp == 0)
					$vso_op_menge_tp = 1;
				//t_anteil istb der Kehrwert von op_menge_tp 
				//WICHTIG noch für die Medikament-Bilanz!!!! 
				$vso_t_anteil = 1 / $vso_op_menge_tp;
				d_dis2db($vso_verfalldatum);
				$human    = (strpos($zulassung, "Mensch") > 0);
				$vso_t_ek = $vso_epreis * $vso_t_anteil;
				if ($vso_t_vk == 0)
					{
					vk($vso_epreis, 0, $vso_t_anteil, $vso_preis, $vso_t_vk);
					$vso_t_vk = $vso_t_vk + $vso_t_verpackung;
					}
				if ($vso_preis == 0)
					vk($vso_epreis, $human, $vso_t_anteil, $vso_preis, $vso_t_vk);
				
				$db->query(" update vs_medikament set" . " bezeichnung='$vso_bezeichnung'," . 
							" kurz='$vso_kurz'," . 
							" preis='$vso_preis'," . 
							" epreis='$vso_epreis'," . 
							" soll='$vso_soll'," . 
							" haben='$vso_haben'," . 
							" memo='$vso_memo'," . 
							" warnhinweis='$vso_warnhinweis'," . 
							" umsatz='$vso_umsatz'," . 
							" rang='$vso_rang'," . 
							" barcode='$vso_barcode'," . 
							" verfalldatum='$vso_verfalldatum'," . 
							" delta='$vso_delta'," . 
							" charge='$vso_charge'," . 
							" rechbezeichnung='$vso_rechbezeichnung'," . 
							" t_bezeichnung='$vso_t_bezeichnung'," . 
							" t_ek='$vso_t_ek'," . 
							" t_vk='$vso_t_vk'," . 
							" t_verpackung='$vso_t_verpackung'," . 
							" t_rechbezeichnung='$vso_t_rechbezeichnung'," . 
							" t_anteil='$vso_t_anteil'," . 
							" t_kurz='$vso_t_kurz'," . 
							" barsoi_pnr='$vso_barsoi_pnr'," . 
							" btm='$vso_btm'," . 
							" kommentar='$vso_kommentar'," . 
							" t_kommentar='$vso_t_kommentar', " . 
							" op_menge_tp='$vso_op_menge_tp', " . 
							" tp_einheit='$vso_tp_einheit', " . 
							" dosierung='$vso_dosierung', " . 
							" min_menge='$vso_min_menge', " . 
							" verfuegbar='$vso_verfuegbar' " . 
							" where medikament_id=$vso_medikament_id");
				//Standardpositionen löschen, wenn das Medikament nicht verfügbar ist
				if ($vso_verfuegbar == "0")
					{
					$db->query("delete from vs_stapos where position_id = $vso_medikament_id  and typ = 'M' ");
					$db->query("delete from vs_stapos where position_id = $vso_medikament_id  and typ = 'A' ");
					}
				$db->free_result();
				}
			
			//Details anzeigen
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE-ABGABEEINHEITEN</h2>");
			$bottom = navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right  = zeige_medikament($db, $vso_med_typ_id, $vso_medikament_id, $num_rows);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse_detail&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_ins_detail": // Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE-ABGABEEINHEITEN</h2>");
			$bottom = navliste("Neue Abgabeeinheit eingeben");
			$right  = neues_medikament($db, $vso_med_typ_id);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse_detail&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $num_rows
			if (!isset($num_rows))
				{
				$num_rows = null;
				}
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_post_ins_detail": // nach dem Einfügen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			$db->query("select zulassung from vs_med_typ where med_typ_id=$vso_med_typ_id");
			$row       = $db->fetch_row();
			$zulassung = $row[0];
			$db->free_result();
			
			$vso_preis        = ctp($vso_preis);
			$vso_epreis       = ctp($vso_epreis);
			//$vso_umsatz=ctp($vso_umsatz);
			$vso_t_ek         = ctp($vso_t_ek);
			$vso_t_vk         = ctp($vso_t_vk);
			$vso_t_verpackung = ctp($vso_t_verpackung);
			//$vso_min_menge=ctp($vso_min_menge);
			//$vso_t_anteil=ctp($vso_t_anteil);
			d_dis2db($vso_verfalldatum);
			//darf nicht null sein, sonst w.u. division by zero!!!!  
			if ($vso_op_menge_tp == 0)
				$vso_op_menge_tp = 1;
			//t_anteil istb der Kehrwert von op_menge_tp  
			//WICHTIG noch für die Medikament-Bilanz!!!
			$vso_t_anteil = 1 / $vso_op_menge_tp;
			$human        = (strpos($zulassung, "Mensch") > 0);
			$vso_t_ek     = $vso_epreis * $vso_t_anteil;
			//VK Teilmenge berechnen
			if ($vso_t_vk == 0)
				{
				vk($vso_epreis, 0, $vso_t_anteil, $vso_preis, $vso_t_vk);
				$vso_t_vk = $vso_t_vk + $vso_t_verpackung;
				}
			//VK OP berechnen
			if ($vso_preis == 0)
				vk($vso_epreis, $human, $vso_t_anteil, $vso_preis, $vso_t_vk);
			//Bezeichnungen bilden
			if ($vso_bezeichnung == "")
				$vso_bezeichnung = $vso_nur_name . " " . $vso_op_menge_tp . " " . $vso_tp_einheit;
			if ($vso_rechbezeichnung == "")
				$vso_rechbezeichnung = $vso_nur_name . " " . $vso_op_menge_tp . " " . $vso_tp_einheit;
			if ($vso_t_bezeichnung == "")
				$vso_t_bezeichnung = $vso_nur_name . " 1 " . $vso_tp_einheit;
			if ($vso_t_rechbezeichnung == "")
				$vso_t_rechbezeichnung = $vso_nur_name . " 1 " . $vso_tp_einheit;
			
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_vefuegbar
			if (!isset($vso_vefuegbar))
				{
				$vso_vefuegbar = null;
				}
			
			$db->query("insert into vs_medikament (med_typ_id,bezeichnung,kurz,preis,epreis,soll," . 
						"haben,memo,warnhinweis,umsatz,rang,barcode,verfalldatum,delta,charge," . 
						"rechbezeichnung,t_bezeichnung,t_ek,t_vk,t_verpackung,t_anteil,t_kurz," . 
						"barsoi_pnr,btm,kommentar,t_kommentar,t_rechbezeichnung,dosierung,op_menge_tp,tp_einheit,verfuegbar,min_menge )" . 
						" values('$vso_med_typ_id','$vso_bezeichnung','$vso_kurz','$vso_preis','$vso_epreis'," . 
						"'$vso_soll','$vso_haben','$vso_memo','$vso_warnhinweis','$vso_umsatz','$vso_rang'," .
						 "'$vso_barcode','$vso_verfalldatum','$vso_delta','$vso_charge','$vso_rechbezeichnung'," . 
						 "'$vso_t_bezeichnung','$vso_t_ek','$vso_t_vk','$vso_t_verpackung','$vso_t_anteil'," . 
						 "'$vso_t_kurz','$vso_barsoi_pnr','$vso_btm','$vso_kommentar','$vso_t_kommentar'," .
						 "'$vso_t_rechbezeichnung','$vso_dosierung','$vso_op_menge_tp','$vso_tp_einheit','$vso_vefuegbar','$vso_min_menge' )");
			
			$db->free_result();
			//Details anzeigen
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE-ABGABEEINHEITEN</h2>");
			$bottom = navliste("$vso_bezeichnung wurde neu eingegeben");
			$right  = zeige_medikament($db, $vso_med_typ_id, $vso_medikament_id, $num_rows);
			$sql    = "select med_typ_id,bezeichnung from vs_med_typ order by bezeichnung";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_med_typ_id, "medikament.php?action=a_browse_detail&med_typ_id=", 32, "");
			//KM: Listbox links
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_med_typ_id));
			seite($top, $bottom, $left, $right);
			
			break;
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
