<?php
/*
 *      mustertext.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_office_inc/vs_functions.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";



//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$links=new vs_div("","","","","","stammdaten_mitte_links_schmal");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts_breit");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
			
			
function zeige_mustertext($db,&$mustertext_id,&$num_rows)
{
 global $can_edit;	
 if (!isset($mustertext_id))
 {
 	 $db->query("Select mustertext_id,bezeichnung,typ,text,datapath ".
               " from  vs_mustertext");  
 }
 else
 {	
    $db->query("Select mustertext_id,bezeichnung,typ,text,datapath ".
               " from  vs_mustertext where mustertext_id=".$mustertext_id); 
 } 
 $row=$db->fetch_row();  
 
 $num_rows=$db->num_rows();
 if ($num_rows>0)
 {
 $mustertext_id=$row[0];	
 $olddata=$db->curr_row_as_string();		
 
 
 $t=new vs_form_x("mustertext_zeigen",5);
 $t->set_cellspacing(5);
 $t->add_control(2,new vs_edit("bezeichnung",30,40,$row[1],"Bezeichnung","B"));
 $t->add_control(2,new vs_edit("typ",10,10,$row[2],"Typ","T"));
 $t->add_control(2,new vs_edit("datapath",30,80,$row[4],"Pfad","P"));
 //$c=new vs_ck_memo("../vs_lib/ckeditor","id_text","text", 50, 10, $row[3],""); 
 //DW: 2013-10-28 Redesign wg. javascript, Umstellung von vs_ck_memo auf vs_tmce_memo
 $c=new vs_tmce_memo("../vs_lib/tinymce","id_text","text", 50, 10, $row[3],""); 
 $c->set_height(250);  
 $t->add_control(4,$c);  
 $t->add_control(5,new vs_hidden("mustertext_id",$row[0]));
 $t->add_control(5,new vs_hidden("action","a_post_edit"));
 $t->add_control(5,new vs_hidden("olddata", "$olddata"));
 if ($can_edit=="1")
 {
  $t->add_control(5,new vs_submit("submit","&Auml;ndern","true"));
  $t->add_control(5,new vs_reset("reset","Abbruch","true"));
 }
 $db->free_result();
 return $t;
 }
 else
 { 
 	return neuer_mustertext($db);
 }
}			
		
		
		
function neuer_mustertext($db)
{
 global $can_insert;
 //DW: 2013-10-11 Bugfix fuer Mustertext - cellspacing auf 5, ansonsten rechts zu klein
 // vs_ck_memo reagiert nicht auf onchange --> sonstiges Mitaendern, z.B Bezeichnung, dann ok
 $t=new vs_form_x("mustertext_neu",5);
 $t->set_cellspacing(5);
 //2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $row
 if (!isset ($row))
	{$row = null;}
 $t->add_control(2,new vs_edit("bezeichnung",30,40,"","Bezeichnung","B"));
 $t->add_control(2,new vs_edit("typ",10,10,"","Typ","T"));
 $t->add_control(2,new vs_edit("datapath",30,80,"","Pfad","P"));
 //DW: 2013-10-28 Redesign wg. javascript, Umstellung von vs_ck_memo auf vs_tmce_memo
 //$c=new vs_ck_memo("../vs_lib/ckeditor","id_text","text", 50, 10, mustertext_template,""); 
 $c=new vs_tmce_memo("../vs_lib/tinymce","id_text","text", 50, 10, mustertext_template,""); 
 $c->set_height(250);  
 $t->add_control(4,$c);    
 $t->add_control(5,new vs_hidden("mustertext_id",$row[0]));
 $t->add_control(5,new vs_hidden("action","a_post_ins"));
 
 if ($can_insert=="1")
 {
   $t->add_control(5,new vs_submit("submit","Speichern","true"));
   $t->add_control(5,new vs_reset("reset","Abbruch","true"));
 }
 $db->free_result();
 return $t;
}			
			
function img_leiste($db,$num_rows,$mustertext_id)
{
  global $can_insert;
  global $can_delete;	
  $il= new vs_div("il","30","left");
  if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
  if($num_rows>0 ) 
  {  
  	if ($can_delete=="1")
  	$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&mustertext_id=$mustertext_id"));
  }	
  return $il;	
}		


global $can_edit;
global $can_delete;
global $can_insert;			

office_login($db);

$b = new vs_page_begin("Mustertexte", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
     {
     	
       echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
      
     }
else {
	switch ($vso_action) {
		case "a_browse" : //anzeigen
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
       
			//nur Daten anzeigen
			
			$top=new vs_text("<h2>&nbsp; MUSTERTEXTE</h2>");
			//2014-01-12 KM: Neue Hilfe Seite help.html eingebunden.
			//$bottom=navliste("Liste der Mustertexte","","","../hilfe/help.php#mustertext");
			$bottom=navliste("Liste der Mustertexte","","","../hilfe/help.html#mustertext");
			$right=zeige_mustertext($db,$vso_mustertext_id,$num_rows);
			$sql="select mustertext_id,bezeichnung from vs_mustertext order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_mustertext_id,"mustertext.php?action=a_browse&mustertext_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_mustertext_id));
			seite($top,$bottom,$left,$right);
					            
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_del" : //Löschen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
			$db->query("delete from vs_mustertext where mustertext_id = $vso_mustertext_id");
			$db->free_result();
			unset($vso_mustertext_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; MUSTERTEXTE</h2>");
			//2014-01-12 KM: Neue Hilfe Seite help.html eingebunden.
			//$bottom=navliste("Mustertext wurde gel&ouml;scht","","","../hilfe/help.php#mustertext");
			$bottom=navliste("Mustertext wurde gel&ouml;scht","","","../hilfe/help.html#mustertext");
			$right=zeige_mustertext($db,$vso_mustertext_id,$num_rows);
			$sql="select mustertext_id,bezeichnung from vs_mustertext order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_mustertext_id,"mustertext.php?action=a_browse&mustertext_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_mustertext_id));
			seite($top,$bottom,$left,$right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
			break;
		
		case "a_ins" : // Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$top=new vs_text("<h2>&nbsp; MUSTERTEXTE</h2>");
			//2014-01-12 KM: Neue Hilfe Seite help.html eingebunden.
			//$bottom=navliste(" Neuen Mustertext einf&uuml;gen","","","../hilfe/help.php#mustertext");
			$bottom=navliste(" Neuen Mustertext einf&uuml;gen","","","../hilfe/help.html#mustertext");
			$right=neuer_mustertext($db);
			$sql="select mustertext_id,bezeichnung from vs_mustertext order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_mustertext_id
			if (!isset ($vso_mustertext_id))
				{$vso_mustertext_id = null;}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_mustertext_id,"mustertext.php?action=a_browse&mustertext_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,0,$vso_mustertext_id));
			seite($top,$bottom,$left,$right);
			
            //+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_post_edit" : //nach dem Editieren
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			//----------------------Daten zwischenzeitlich veraendert?----------------
           		
			$db->query("Select mustertext_id,bezeichnung,typ,text,datapath ".
               " from  vs_mustertext where mustertext_id=".$vso_mustertext_id); 
			
			
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
			{
			  //endlich die neuen Werte eintragen	
			  $db->query("update vs_mustertext set" .
			  	         " typ='$vso_typ'," .
			  	         " bezeichnung='$vso_bezeichnung'," .
			  	         " text='$vso_text'," .
			  	         " datapath='$vso_datapath' " .
                         " where mustertext_id=$vso_mustertext_id");
                       
			  $db->free_result();	
			}	
			
			//Fehlermeldung 
			else error_row(change_warning."(Mustertexte)");
			
			//----------------Daten anzeigen----------------------------------------------------
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; MUSTERTEXTE</h2>");
			//2014-01-12 KM: Neue Hilfe Seite help.html eingebunden.
			//$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert","","","../hilfe/help.php#mustertext");
			$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert","","","../hilfe/help.html#mustertext");
			$right=zeige_mustertext($db,$vso_mustertext_id,$num_rows);
			$sql="select mustertext_id,bezeichnung from vs_mustertext order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_mustertext_id,"mustertext.php?action=a_browse&mustertext_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_mustertext_id));
			seite($top,$bottom,$left,$right);
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
		case "a_post_ins" : //nach dem Einfuegen
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			$db->query("insert into vs_mustertext" .
					   " (bezeichnung,typ,text,datapath) ".
                       " values(" .
                       "'$vso_bezeichnung','$vso_typ','$vso_text','$vso_datapath')");
					   
	        	$db->free_result();
		    //----------------Daten anzeigen----------------------------------------------------
			$top=new vs_text("<h2>&nbsp; MUSTERTEXTE</h2>");
			//2014-01-12 KM: Neue Hilfe Seite help.html eingebunden.
			//$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt","","","../hilfe/help.php#mustertext");
			$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt","","","../hilfe/help.html#mustertext");
			unset($vso_mustertext_id);
			$right=zeige_mustertext($db,$vso_mustertext_id,$num_rows);
			$sql="select mustertext_id,bezeichnung from vs_mustertext order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_mustertext_id,"mustertext.php?action=a_browse&mustertext_id=",32,"");
			$lb->add_style("width:265px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_mustertext_id));
			seite($top,$bottom,$left,$right);
			
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	}
}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

