<?php
/*
 *      standard.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');



//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$links=new vs_div("","","","","","stammdaten_mitte_links");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts_tab");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}


function make_standard_tab($db,$active,$standard_id,$stapos_id,$show_pos=1)
{
 //KM: TABs
 $tab=new vs_tabs("100%");
 $tab->set_active_tab($active);
 $tab->add_tab("Standardbehandlung","?action=a_browse&standard_id=$standard_id&stapos_id=$stapos_id");
 if ($show_pos==1) 
 $tab->add_tab("Positionen","?action=a_browse_detail&standard_id=$standard_id&stapos_id=$stapos_id");
 return $tab;
}

			
function zeige_standard($db,&$standard_id,&$num_rows)
{
 global $can_edit;	
 if (!isset($standard_id))
 {
  

   $db->query("Select standard_id,bezeichnung,kurz," .
	           "rang,barcode,kommentar,memo,ins_kommentar,faktor,faktor_typ ".
		       "from vs_standard order by bezeichnung");   
 }
 else
 {	
    $db->query("Select standard_id,bezeichnung,kurz," .
	           "rang,barcode,kommentar,memo,ins_kommentar,faktor,faktor_typ ".
		       "from vs_standard where standard_id = $standard_id order by bezeichnung");
 } 
 $row=$db->fetch_row();  
 
 $num_rows=$db->num_rows();
 if ($num_rows>0)
 {
 $standard_id=$row[0];	
 $olddata=$db->curr_row_as_string();		
 
  //KM: div um die TABs und die Inhalte darunter
 $d=new vs_div();
 
 $r=new vs_div("","","","","","stammdaten_tabd");
 
 $t=new vs_form_x("standard_zeigen",8);
 $t->set_cellspacing(5);
 //Datenfelder
 $t->add_control(1,new vs_edit("bezeichnung", 30, 40, "$row[1]"));
 $t->add_control(1,new vs_edit("kurz", 12, 12, "$row[2]"));
 $cb=new vs_checkbox("ins_kommentar","$row[7]");
 $cb->set_label("Kommentar einf&uuml;gen");
 $t->add_control(1,$cb); 
 $t->add_control(2,new vs_i_edit("rang", 12, 3, "$row[3]","Rang &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(2,new vs_edit("barcode", 20, 20, "$row[4]"));
 $row[8]=ptc($row[8]);
 $t->add_control(2,new vs_d_edit("faktor", 5, 5, $row[8]));
 $ip= new vs_listbox("faktor_typ",11,$row[9],0,'Typ');
 $ip->add_item("o","Obergrenze"); 
 $ip->add_item("u","Untergrenze"); 
 $ip->add_item("i","Immer"); 
 $t->add_control(2,$ip);

 $t->add_control(3,new vs_memo("kommentar", 70, 10, "$row[5]","Kommentar &nbsp;&nbsp;"));
 $t->add_control(4,new vs_memo("memo", 70, 10, "$row[6]","Bemerkung &nbsp;&nbsp;"));
 $t->add_control(7,new vs_hidden("standard_id",$row[0]));
 $t->add_control(7,new vs_hidden("action","a_post_edit"));
 $t->add_control(7,new vs_hidden("olddata", "$olddata"));
 if ($can_edit=="1")
 {
  $t->add_control(7,new vs_submit("submit","&Auml;ndern","true"));
  $t->add_control(7,new vs_reset("reset","Abbruch","true"));
 }
 $db->free_result();
 $r->add($t);
 //2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $stapos_id
 if (!isset($stapos_id))
	{$stapos_id = null;}
 $d->add(make_standard_tab($db,1,$standard_id,$stapos_id));
 $d->add($r);
 return $d;
 }
 else
 { 
   return neuer_standard($db);
 }
}			
		
		
		
function neuer_standard($db)
{
 global $can_insert;
 
 //KM: div um die TABs und die Inhalte darunter
 $d=new vs_div();
 
 $r=new vs_div("","","","","","stammdaten_tabd");
 
 $t=new vs_form_x("standard_neu",8);
 $t->set_cellspacing(5);
 
 $t->add_control(1,new vs_edit("bezeichnung", 30, 40, ""));
 $t->add_control(1,new vs_edit("kurz", 12, 12, ""));
 $cb=new vs_checkbox("ins_kommentar","0");
 $cb->set_label("Kommentar einf&uuml;gen");
 $t->add_control(1,$cb); 
 $t->add_control(2,new vs_i_edit("rang", 12, 3, "0","Rang &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"));
 $t->add_control(2,new vs_edit("barcode", 20, 20, ""));
 $t->add_control(2,new vs_d_edit("faktor", 5, 5, 0)); 
 $ip= new vs_listbox("faktor_typ",11,'i',0,'Typ');
 $ip->add_item("o","Obergrenze"); 
 $ip->add_item("u","Untergrenze"); 
 $ip->add_item("i","Immer"); 
 $t->add_control(2,$ip);
 $t->add_control(3,new vs_memo("kommentar", 70, 10, "","Kommentar &nbsp;&nbsp;"));
 $t->add_control(4,new vs_memo("memo", 70, 10, "","Bemerkung &nbsp;&nbsp;"));
 $t->add_control(7,new vs_hidden("action","a_post_ins"));
 if ($can_insert=="1")
 {
   $t->add_control(7,new vs_submit("submit","Speichern","true"));
   $t->add_control(7,new vs_reset("reset","Abbruch","true"));
 }
 $db->free_result();
  
 $r->add($t);
 //Positionen-Tab nicht anzeigen 
 //2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $standard_id und $stapos_id
 if (!isset ($standard_id))
	{$standard_id=null;}
 if (!isset ($stapos_id))
	{$stapos_id=null;}
 $d->add(make_standard_tab($db,1,$standard_id,$stapos_id,0));
 $d->add($r);
 return $d;
}			
	
class vs_office_stapos_form
{
  var $name;	
  var $cssclass;	
  var $action;
  var $method;
  var $targetaction;
  var $charset;
  var $typ;
  var $menge;
  var $position;
  var $tp;
  var $img;
  var $standard_id;
  function __construct($name,$id,$tp,$action,$typ,$db,$table,$displayfield,$valuefield,$img="../img/arrow_left.png",$method="POST")
  {
  
   $this->name=$name;	
   $this->cssclass=get_class($this);	
   $this->target = $_SERVER["PHP_SELF"];
   $this->method = $method;
   $this->action=$action;
   $this->charset=charset; 
   $this->typ = new vs_edit("typ",1,1,$typ);	
   if ($tp==1) $this->tp=new vs_checkbox("tp",0);
   $this->menge=new vs_d_edit("menge",5,10,"1,00");	
   $filter="";
   if ($typ == "M") $filter= " where verfuegbar='1' ";   
   if ($typ == "A") $filter= " where verfuegbar='1' ";   
   if ($typ == "I") $filter= " where verfuegbar='1' ";
   if ($typ == "F") $filter= " where verfuegbar='1' ";
   $this->position = new vs_db_listbox("position",35,$db,$table,$displayfield,$valuefield,"",1,"123","123",$filter);
   $this->img=$img;
   $this->standard_id=$id;
  }
  
  function write()
  {
   echo"<form name=\"$this->name\" class=\"$this->cssclass\" method= \"$this->method\" " .
   		"action=\"$this->target\" accept-charset=\"$this->charset\">";	
   echo"<table class=\"vs_stapos_form_table\" >";
   echo"<tr>";
   echo"<td >";
   $this->typ->write_control();
   echo"</td><td >";
   $this->menge->write_control();
   echo"</td><td >";
   $this->position->write_control();
echo"</td><td >";   
   if (isset($this->tp))
   {
		$this->tp->write();
    }
   /*Zielaktion festlegen*/
   if ($this->action != "")
       {echo"<input type=\"hidden\" name=\"action\" value=\"$this->action\">";}
   echo"<input type=\"hidden\" name=\"standard_id\" value=\"$this->standard_id\">";    
   echo"</td><td >";
   echo"<input type=\"image\" src=\"$this->img\">";
   echo"</td></tr></table></form> ";
  }	
}	


class vs_office_standard_kurz
{
 var $edit;
 var $img;
 var $target;
 var $method;
 var $cssclass; 
 var $charset;
 var $standard_id;
 function __construct($standard_id)
 {
   $this->name="standard_kurz"; 
   $this->target = $_SERVER["PHP_SELF"];
   $this->method = "POST";
   $this->action="a_browse_detail";
   $this->cssclass=get_class($this);	
   $this->edit = new vs_edit("kurz",20,20,""," kurz ");	
   $this->edit->set_access_key("k");
   $this->img="../img/arrow_left.png";
   $this->charset=charset; 
   $this->standard_id=$standard_id;
 }
 function write()
  {
   echo"<form name=\"$this->name\" class=\"$this->cssclass\" method= \"$this->method\" " .
   		"action=\"$this->target\" accept-charset=\"$this->charset\">";	
   echo"<table class=\"vs_stapos_form_table\" >";
   echo"<tr>";
   echo"<td >";
   $this->edit->write_label();
   $this->edit->write_control();
   echo"</td><td valign=\"top\">";
   echo"<input type=\"hidden\" name=\"action\" value=\"$this->action\">";
   echo"<input type=\"hidden\" name=\"standard_id\" value=\"$this->standard_id\">";    
   echo"</td><td valign=\"top\">";
   echo"<input type=\"image\" src=\"$this->img\">";
   echo"</td></tr></table></form> ";
  }	
}



function anylyze_kurz($db,$text,&$typ,&$menge,&$id,&$tp)
{
 $error="";	
 $tp=0;
 $firsts=array("L","M","A","I","F","R","V","W");
 $med=array("M","A");
 $t=ucfirst($text);//1. Buchstabe gro
 $t=chunk_split($t); //string->array
 if (in_array($t[0],$firsts))
 {//1. Buchstabe stimmt
  $typ=$t[0];
  //Dezimalzahlen nur bei Medikamenten/Abgabe
  if(in_array($typ,$med))  $zahl=array("1","2","3","4","5","6","7","8","9","0","," );
  else  $zahl=array("1","2","3","4","5","6","7","8","9","0");
  $i=1;//1.Zeichen nach der Typangabe
  while(in_array($t[$i],$zahl)) $i++;
  if ($i>1)
  {  //Mengenangabe vorhanden;
  	 $z=substr($t,1,$i-1);
  	 $menge=$z;
  	 $kurz=rtrim(substr($t,$i));
  }	 
  else 
  {
  	 $kurz=rtrim(substr($t,$i));
  	 $menge=1;
  }	 
  //----------------------aus kurz die id bestimmen----------
  switch($typ)	
  {
   case "L":
     //Leistung 
     $db->query("select leistung_id from vs_leistung where kurz = '". $kurz."'");
     if ($db->num_rows()<1) $error="Leistung nicht gefunden";
     else
     { 
      $row=$db->fetch_row();
      $id=$row[0];
      $db->free_result();
     }
   break;
   case "M":
     //Medikament 
     $db->query("select medikament_id from vs_medikament where kurz = '". $kurz."'  and verfuegbar = '1' ");
     if ($db->num_rows()<1)//vielleicht Krzel fuer Teilabgabe
     {
     	 $db->free_result();
     	 $db->query("select medikament_id from vs_medikament where t_kurz = '". $kurz."'  and verfuegbar = '1'  ");
         if ($db->num_rows()<1) $error="Medikament nicht gefunden";
         else
         {
         	$tp=1;
         	$row=$db->fetch_row();
            $id=$row[0];
            $db->free_result();
         } 	
     }
     else
     { 
      $row=$db->fetch_row();
      $id=$row[0];
      $db->free_result();
     }
   break;	
    case "A":
     //Medikament zur Abgabe
     $db->query("select medikament_id from vs_medikament where kurz = '". $kurz."'  and verfuegbar = '1'  ");
     if ($db->num_rows()<1)//vielleicht Kürzel fuer Teilabgabe
     {
     	 $db->free_result();
     	 $db->query("select medikament_id from vs_medikament where t_kurz = '". $kurz."'  and verfuegbar = '1'  ");
         if ($db->num_rows()<1) $error="Medikament nicht gefunden";
         else
         {
         	$tp=1;
         	$row=$db->fetch_row();
            $id=$row[0];
            $db->free_result();
         } 	
     }
     else
     { 
      $row=$db->fetch_row();
      $id=$row[0];
      $db->free_result();
     }
   break;	
   
   case "F":
     //Futter 
     $db->query("select futter_id from vs_futter where kurz = '". $kurz."'  and verfuegbar = '1' ");
     if ($db->num_rows()<1) $error="Futtermuttel nicht gefunden";
     else
     { 
      $row=$db->fetch_row();
      $id=$row[0];
      $db->free_result();
     }
   break;	
   case "I":
     //Impfung 
     $db->query("select impfung_id from vs_impfung where kurz = '". $kurz."'  and verfuegbar = '1' ");
     if ($db->num_rows()<1) $error="Impfung nicht gefunden";
     else
     { 
      $row=$db->fetch_row();
      $id=$row[0];
      $db->free_result();
     }
   break;	
   case "R":
     //Fremdleistung
     $db->query("select fremdleistung_id from vs_fremdleistung where kurz = '". $kurz."'");
     if ($db->num_rows()<1) $error="Fremleistung nicht gefunden";
     else
     { 
      $row=$db->fetch_row();
      $id=$row[0];
      $db->free_result();
     }
   break;	

   case "V":
     //Verbrauchsmaterial
     $db->query("select verbrauchsmaterial_id from vs_verbrauchsmaterial where kurz = '". $kurz."'");
     if ($db->num_rows()<1) $error="Verbrauchsmaterial nicht gefunden";
     else
     { 
      $row=$db->fetch_row();
      $id=$row[0];
      $db->free_result();
     }
   break;
   case "W":
     //Abgabewaren
     $db->query("select waren_id from vs_waren where kurz = '". $kurz."'");
     if ($db->num_rows()<1) $error="Ware nicht gefunden";
     else
     { 
      $row=$db->fetch_row();
      $id=$row[0];
      $db->free_result();
     }
   break;   
 }
  //--------------------------------
 }
 else $error="Keine genaue Typenbezeichnung eingegeben (".$t[0]."). Erlaubt sind: l,L,m,M,a,A,i,I,f,F,r,R,v,V,w,W";
 
 return $error;	
}
	
			
function zeige_stapos($db,&$standard_id,&$stapos_id,&$num_rows)
{
 global $can_edit;	
 //visueller Seitenaufbau ab hier
 
 //KM: div um die TABs und die Inhalte darunter
 $d=new vs_div();
 
 $r=new vs_div("","","","","","stammdaten_tabd");
 
		    $stapostab=new vs_table("stapos",2,2);
		   	//----------------------Liste mit Positionen---------------------------
			$db->query("Select stapos_id,typ,menge,bezeichnung from vs_stapos where " .
					   " standard_id = $standard_id");
		    $pos=new vs_db_table($db,"420px");
            $pos->set_field_width(1,20);
		    $pos->set_field_width(2,30);
            $pos->set_field_width(3,200);
            //$pos->set_field_width(4,20);
		    
			$pos->add_action(new vs_action("a_browse_detail&standard_id=$standard_id&del=1","../img/delete.gif"));
			$stapostab->add(2,1,$pos);
			$stapostab->add(1,1,new vs_text("<b>POSITIONEN</b><br><br>"));
			$stapostab->add(1,2,new vs_text("<b>EINF&Uuml;GEN</b><br>"));
			//----------------------nderung Positionen---------------------------
			$formtable= new vs_table("posforms",8,2);
			//$formtable->set_css_class("posforms");
			//----------------1. Formular: Leistungen-----------------------------
			$fleistung=new vs_office_stapos_form("fleistung",$standard_id,0,"a_browse_detail","L",$db,"vs_leistung","bezeichnung","leistung_id",$img="../img/arrow_left.png",$method="POST");
			$formtable->add(1,2,$fleistung);
			  //$formtable->add(1,1,new vs_label("Leistung"));
			//----------------2. Formular: Medikamente-----------------------------
			$fmedikament=new vs_office_stapos_form("fmedikament",$standard_id,1,"a_browse_detail","M",$db,"vs_medikament","bezeichnung","medikament_id",$img="../img/arrow_left.png",$method="POST");
			$formtable->add(2,2,$fmedikament);
			  //$formtable->add(2,1,new vs_label("Medikament"));
			//----------------3. Formular: Impfungen-----------------------------
			$fimpfung=new vs_office_stapos_form("fimpfung",$standard_id,0,"a_browse_detail","I",$db,"vs_impfung","bezeichnung","impfung_id",$img="../img/arrow_left.png",$method="POST");
			$formtable->add(3,2,$fimpfung);
			   //$formtable->add(3,1,new vs_label("Impfung"));
			//----------------4. Formular: Futtermittel-----------------------------
			$ffutter=new vs_office_stapos_form("ffutter",$standard_id,1,"a_browse_detail","F",$db,"vs_futter","bezeichnung","futter_id",$img="../img/arrow_left.png",$method="POST");
			$formtable->add(4,2,$ffutter);
			   //$formtable->add(4,1,new vs_label("Futtermittel"));
			//----------------5. Formular: Fremdleistungen-----------------------------
			$ffremdleistung=new vs_office_stapos_form("ffremdleistung",$standard_id,0,"a_browse_detail","R",$db,"vs_fremdleistung","bezeichnung","fremdleistung_id",$img="../img/arrow_left.png",$method="POST");
			$formtable->add(5,2,$ffremdleistung);

//----------------      6. Formular: Verbrauchsmaterial-----------------------------
			$fverbrauchsmaterial=new vs_office_stapos_form("fverbrauchsmaterial",$standard_id,0,"a_browse_detail","V",$db,"vs_verbrauchsmaterial","bezeichnung","verbrauchsmaterial_id",$img="../img/arrow_left.png",$method="POST");
			$formtable->add(7,2,$fverbrauchsmaterial);
			  //$formtable->add(5,1,new vs_label("Fremdleistung"));
			//----------------      7. Formular: Verbrauchsmaterial-----------------------------
			$fwaren=new vs_office_stapos_form("fwaren",$standard_id,0,"a_browse_detail","W",$db,"vs_waren","bezeichnung","waren_id",$img="../img/arrow_left.png",$method="POST");
			$formtable->add(7,2,$fwaren);
			  //$formtable->add(5,1,new vs_label("Fremdleistung"));  
			//----------------8. Formular: Kurzeingabe-----------------------------
			$fkurz=new vs_office_standard_kurz($standard_id);
			$formtable->add(8,2,$fkurz);
			  //$formtable->add(6,1,new vs_label("<u>K</u>urzbezeichnung"));
			
			$stapostab->add(2,2,$formtable);
			
 //---------------------------------------------------------------------
 $r->add($stapostab);
 $d->add(make_standard_tab($db,2,$standard_id,$stapos_id));
 $d->add($r);
 return $d;
}						
			
			

			
function img_leiste($db,$num_rows,$standard_id)
{
  global $can_insert;
  global $can_delete;	
  if (isset($standard_id))
  {
  	$db->query("select stapos_id from vs_stapos where standard_id=$standard_id");
    $nr=$db->num_rows();
    $db->free_result();
  }
  else
  $nr=1; 
  $il= new vs_div("il","30","left");
  if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins"));
  if($num_rows>0 ) 
  {  
  	if (($can_delete=="1") and ($nr==0))
  	$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del&standard_id=$standard_id"));
  }	
  return $il;	
}	
	
function img_leiste_detail($db,$num_rows,$standard_id,$stapos_id)
{
  global $can_insert;
  global $can_delete;	
  $sql="select stapos_id,bezeichnung from vs_stapos where standard_id=$standard_id order by bezeichnung";
   
  $il= new vs_div("il","30","left");
  $il->add(new vs_db_sql_link_listbox("medi",121,$db,$sql,1,1,0,0,$stapos_id,"standard.php?action=a_browse_detail" .
   		                              "&standard_id=$standard_id&stapos_id=",0,""));
  if ($can_insert=="1") $il->add(new vs_action_img("add","../img/add_24.gif","a_ins_detail&standard_id=$standard_id"));
  if($num_rows>0 ) 
  {  
  	if ($can_delete=="1")
  	$il->add(new vs_action_img("delete","../img/delete_24.gif","a_del_detail&standard_id=$standard_id&stapos_id=$stapos_id"));
  }	
  return $il;	
}		
	
global $can_edit;
global $can_delete;
global $can_insert;			


office_login($db);

$b = new vs_page_begin("Standardbehandlungen", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();

if ((!isset ($vso_action)) or ($vso_action == "")) 
     {
     	
       echo"VETSOFT - OFFICE Falscher Aufruf der Seite";
      
     }
else {
	switch ($vso_action) {
		case "a_browse" : 
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
          	$top=new vs_text("<h2>&nbsp; STANDARDBEHANDLUNGEN</h2>");
            $bottom=navliste("Liste der Standardbehandlungen");
            $right=zeige_standard($db,$vso_standard_id,$num_rows);
            $sql="select standard_id,bezeichnung from vs_standard order by bezeichnung";
            $left= new vs_table("lefttable",2,1);
            $left->set_css_class("stammdaten_tabelle_links");
            $lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_standard_id,"standard.php?action=a_browse&standard_id=",33,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
            $left->add(1,1,img_leiste($db,$num_rows,$vso_standard_id));
            seite($top,$bottom,$left,$right); 
          	break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		    case "a_del" : 
			$db->query("delete from vs_standard where standard_id = $vso_standard_id");
			$db->free_result();
			unset($vso_standard_id); //gibt`s ja jetzt nicht mehr
			//Daten anzeigen
			$top=new vs_text("<h2>&nbsp; STANDARDBEHANDLUNGEN</h2>");
			$bottom=navliste("Standardbehandlung wurde gel&ouml;scht");
			$right=zeige_standard($db,$vso_standard_id,$num_rows);
			$sql="select standard_id,bezeichnung from vs_standard order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_standard_id,"standard.php?action=a_browse&standard_id=",33,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_standard_id));
			seite($top,$bottom,$left,$right);
			break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		    case "a_ins" :
			$top=new vs_text("<h2>&nbsp; STANDARDBEHANDLUNGEN</h2>");
			$bottom=navliste(" Neue Standardbehandlung einf&uuml;gen");
			$right=neuer_standard($db);
			$sql="select standard_id,bezeichnung from vs_standard order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_standard_id
			if (!isset($vso_standard_id))
				{$vso_standard_id = null;}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_standard_id,"standard.php?action=a_browse&standard_id=",33,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,0,$vso_standard_id));
			seite($top,$bottom,$left,$right);
			break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		    case "a_post_edit" : //nach dem Editieren
			//----------------------Daten zwischenzeitlich verndert?-----------------
			$db->query("Select standard_id,bezeichnung,kurz," .
				        "rang,barcode,kommentar,memo,ins_kommentar,faktor,faktor_typ ".
					    "from vs_standard where standard_id = $vso_standard_id order by bezeichnung");
			$row = $db->fetch_row();
			$newdata=$db->curr_row_as_string();
			$db->free_result();
			if ($newdata==$vso_olddata)
			{
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_ins_kommentar
			if (!isset($vso_ins_kommentar))
				{$vso_ins_kommentar = null;}
			  $vso_faktor=ctp($vso_faktor);	  
			  $db->query("update vs_standard set" .
			  	         " bezeichnung='$vso_bezeichnung'," .
			  	         " kurz='$vso_kurz'," .
			  	         " rang='$vso_rang',".
			  	         " barcode='$vso_barcode'," . 
			  	         " kommentar='$vso_kommentar'," .
                         " memo='$vso_memo'," .
						 " faktor='$vso_faktor'," . 
						 " faktor_typ='$vso_faktor_typ'," .  
                         " ins_kommentar='$vso_ins_kommentar'" .
			  	         " where standard_id=$vso_standard_id");
              $db->free_result();	
			}	
			else error_row(change_warning."(Standardbehandlungen)");
			//----------------Daten anzeigen----------------------------------------------------
            $top=new vs_text("<h2>&nbsp; STANDARDBEHANDLUNGEN</h2>");
			$bottom=navliste("$vso_bezeichnung wurde ge&auml;ndert");
			$right=zeige_standard($db,$vso_standard_id,$num_rows);
			$sql="select standard_id,bezeichnung from vs_standard order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_standard_id,"standard.php?action=a_browse&standard_id=",33,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_standard_id));
			seite($top,$bottom,$left,$right);
			break;
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			case "a_post_ins" : //nach dem Einfgen
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_kommentar und $vso_ins_kommentar
			if (!isset($vso_kommentar))
			{$vso_kommentar = null;}
			if (!isset($vso_ins_kommentar))
				{$vso_ins_kommentar = null;}
			$db->query("insert into vs_standard" .
					   " (bezeichnung,kurz,rang,barcode,kommentar,memo,".
                       " ins_kommentar,faktor,faktor_typ) ".
                       " values(" .
                       "'$vso_bezeichnung','$vso_kurz','$vso_rang','$vso_barcode'," .
                       "'$vso_kommentar','$vso_memo','$vso_ins_kommentar','$vso_faktor','$vso_faktor_typ')");
            $db->free_result();
	    	//Neuen Datensatz gleich selektieren
	       	$db->query("select standard_id from vs_standard where bezeichnung='$vso_bezeichnung'");
	       	$row=$db->fetch_row();
	       	$vso_standard_id=$row[0];
	      	$db->free_result();
	      	//----------------Daten anzeigen----------------------------------------------------
            $top=new vs_text("<h2>&nbsp; STANDARDBEHANDLUNGEN</h2>");
			$bottom=navliste(" $vso_bezeichnung wurde eingef&uuml;gt");
			$right=zeige_standard($db,$vso_standard_id,$num_rows);
			$sql="select standard_id,bezeichnung from vs_standard order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_standard_id,"standard.php?action=a_browse&standard_id=",33,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_standard_id));
			seite($top,$bottom,$left,$right);
			break;
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			case "a_browse_detail" : 
		   	//Einstig ab hier, wenn ber die Kurzbezeichnung ausgewhlt wird
			if(isset($vso_kurz))
			{
			  $e=anylyze_kurz($db,$vso_kurz,$vso_typ,$vso_menge,$vso_position,$vso_tp);
			  if ($e=="")
			  {
			   
			  }
			  else
			  { 
			  	 unset($vso_typ); //kein Einfügen mehr
			  }		
			}	
			//Einstig ab hier, wenn über die Listboxen ausgewählt wird
			if (isset($vso_typ))//Einfügen
			{
			 $can_stapos_insert = 1;	
			 switch ($vso_typ )
			 {
			  case "M":
				//2015-01-25 KM: Beseitigung eines undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
			     $db->query("Select bezeichnung,t_bezeichnung from vs_medikament where medikament_id=$vso_position  and verfuegbar = '1' ");
				 $row=$db->fetch_row();
				 $nr=$db->num_rows();  
				 if($nr< 1)  $can_stapos_insert = 0; 
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_tp
				if (!isset ($vso_tp))
					{$vso_tp = null;}
			     if ($vso_tp==1) $staposbezeichnung=$row[1];
			     else $staposbezeichnung=$row[0];		  
			     break;
			     
			  case "A":
				//2015-01-25 KM: Beseitigung eines undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
			     $db->query("Select bezeichnung,t_bezeichnung from vs_medikament where medikament_id=$vso_position  and verfuegbar = '1' ");
			     $row=$db->fetch_row();
				 $nr=$db->num_rows();  
				 if($nr< 1) $can_stapos_insert = 0;  
			     if ($vso_tp==1) $staposbezeichnung=$row[1];
			     else $staposbezeichnung=$row[0];		  
			     break;
			   
			  case "L":
				//2015-01-25 KM: Beseitigung eines undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
			  	 $db->query("Select bezeichnung from vs_leistung where leistung_id=$vso_position");
			     $row=$db->fetch_row();
			     $staposbezeichnung=$row[0];	
			     break;	
			  case "I":
				//2015-01-25 KM: Beseitigung eines undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
			  	 $db->query("Select bezeichnung from vs_impfung where impfung_id=$vso_position   and verfuegbar = '1' ");
			     $row=$db->fetch_row();
				 $nr=$db->num_rows();  
				 if($nr< 1)  $can_stapos_insert = 0;  
			     $staposbezeichnung=$row[0];	
			     break;
			   case "F":
				//2015-01-25 KM: Beseitigung eines undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
			  	 $db->query("Select bezeichnung,t_bezeichnung from vs_futter where futter_id=$vso_position  and verfuegbar = '1' ");
			     $row=$db->fetch_row();
					//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_tp
					if (!isset ($vso_tp))
						{$vso_tp = null;}
			     if ($vso_tp==1) $staposbezeichnung=$row[1];
			     else $staposbezeichnung=$row[0];	
			     break;	  
			    case "R":
				//2015-01-25 KM: Beseitigung eines undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
			  	 $db->query("Select bezeichnung from vs_fremdleistung where fremdleistung_id=$vso_position ");
			     $row=$db->fetch_row();
			     $staposbezeichnung=$row[0];	
			     break;	 
                 case "V":
				//2015-01-25 KM: Beseitigung eines undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
			  	 $db->query("Select bezeichnung from vs_verbrauchsmaterial where verbrauchsmaterial_id=$vso_position ");
			     $row=$db->fetch_row();
			     $staposbezeichnung=$row[0];	
			     break;	
				case "W":
				//2015-01-25 KM: Beseitigung eines undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
			  	 $db->query("Select bezeichnung from vs_waren where waren_id=$vso_position ");
			     $row=$db->fetch_row();
			     $staposbezeichnung=$row[0];	
			     break;	      
			  $db->free_result;		
			 }	
			 if ($can_stapos_insert == 1)	
			 {
				$vso_menge=ctp($vso_menge);	
				if (!isset($vso_tp)) $vso_tp=0;
				
				//2015-01-25 KM: Beseitigung undefined variable
				if (!isset($vso_position))
					{$vso_position = null;}
				if (!isset($staposbezeichnung))
					{$staposbezeichnung = null;}
				
				$db->query("Insert into vs_stapos" .
						" (standard_id,position_id,typ,menge,tp,bezeichnung )".
						" values(" .
						"'$vso_standard_id','$vso_position','$vso_typ','$vso_menge'," .
						"'$vso_tp','$staposbezeichnung')");
				$db->free_result();		 
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $nlt
				if (!isset($nlt))
					{$nlt = null;}
				$nlt=ptc($vso_menge)." ".$staposbezeichnung." wurde(n)  zur Standardbehandlung zugef&uuml;gt";
			 }
			  else
			  {
				  $nlt = " Dieses Medikament oder dieser Impfstoff ist nicht verf&uuml;gbar.";
			  }	
				
			}
			
			// Löschen
			if (isset($vso_del))//Löschen
			{
				$db->query("select menge, bezeichnung from vs_stapos where stapos_id = $vso_stapos_id");
				$sta=$db->fetch_row();
				$db->free_result();
				$db->query("Delete from vs_stapos where stapos_id=$vso_stapos_id");
				$db->free_result();		
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $nlt
				if (!isset($nlt))
					{$nlt = null;}
				$nlt = ptc($sta[0])." ".$sta[1]. " wurde(n) von der Standardbehandlung entfernt";
			}
			//visueller Seitenaufbau ab hier
			$top=new vs_text("<h2>&nbsp; STANDARDBEHANDLUNGEN - POSITIONEN</h2>");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $nlt
			if (!isset($nlt))
				{$nlt = null;}
			if ($nlt=="")  $nlt="Liste der Einzelleistungen der Standardbehandlung";
			$bottom=navliste($nlt);
			$right=zeige_stapos($db,$vso_standard_id,$stapos_id,$num_rows);
			$sql="select standard_id,bezeichnung from vs_standard order by bezeichnung";
			$left= new vs_table("lefttable",2,1);
			$left->set_css_class("stammdaten_tabelle_links");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt",60,$db,$sql,1,1,0,0,$vso_standard_id,"standard.php?action=a_browse_detail&standard_id=",33,"");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2,1,$lb);
			$left->add(1,1,img_leiste($db,$num_rows,$vso_standard_id));
			seite($top,$bottom,$left,$right);
			//2013-12-26 KM: wie ueblich die Beseitigung eines undefined variable $e
			if (!isset($e))
				{$e = null;}
			if ($e!="") alert($e);
			//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			break;
          	//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	}
}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

