 <?php
/*
 *      bestellung.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8





// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links_schmal");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts_breit");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function make_email_text($text)
	{
	//$text=utf8_decode($text);
	//Sonderzeichen
	$text = str_replace(" ", "%20", $text); //Leerzeichen
	$text = str_replace("\n", "%0A", $text); //neue Zeile
	$text = str_replace("\r", "%0D", $text); //Wagenruecklauf 
	$text = str_replace("*", "%2A", $text);
	$text = str_replace("?", "%3F", $text);
	$text = str_replace("\"", "%22", $text);
	$text = str_replace("!", "%21", $text);
	$text = str_replace("?", "%3F", $text);
	$text = str_replace("/", "%2F", $text);
	$text = str_replace("#", "%23", $text);
	$text = str_replace("<", "%3C", $text);
	$text = str_replace(">", "%3E", $text);
	$text = str_replace("Ä", "%C4", $text);
	$text = str_replace("Ö", "%D6", $text);
	$text = str_replace("Ü", "%DC", $text);
	$text = str_replace("ä", "%E4", $text);
	$text = str_replace("ö", "%F6", $text);
	$text = str_replace("ü", "%FC", $text);
	$text = str_replace("ß", "%DF", $text);
	
	/*$text=str_replace("Ä","&Auml;",$text);
	$text=str_replace("Ö","&Ouml;",$text);
	$text=str_replace("Ü","&Uuml;",$text); 
	$text=str_replace("ä","&auml;",$text); 
	$text=str_replace("ö","&ouml;",$text);
	$text=str_replace("ü","&uuml;",$text);
	$text=str_replace("ß","&szlig",$text); */
	
	return $text;
	}

function firmeninfo($db, $name, &$email, &$www, &$kundennummer)
	{
	$db->query("Select email,bestelltelefon,www,portofrei,kundennummer from vs_lieferant where name = '$name'");
	$row          = $db->fetch_row();
	$email        = $row[0];
	$www          = $row[2];
	$kundennummer = $row[4];
	$firmeninfo   = "FIRMENINFO $name Mail $row[0] Telefon $row[1]  Internet $row[2] Kundennummer $row[4] portofrei ab $row[3] EUR";
	return $firmeninfo;
	}

function zeige_todo($db, &$bestellung_id, &$num_rows)
	{
	global $can_edit;
	global $user_kurz;
	global $user_name;
	$heute = getdate();
	if (!isset($bestellung_id))
		{
		$db->query("Select bestellung_id,datum_erstellt,datum_ziel,datum_bestellt,bestellt_durch,bestelltext,
				datum_lieferung,bemerkung,bestellart,lieferant,status from vs_bestellung order by datum_ziel");
		}
	else
		{
		$db->query("Select bestellung_id,datum_erstellt,datum_ziel,datum_bestellt,bestellt_durch,bestelltext,
				datum_lieferung,bemerkung,bestellart,lieferant,status from vs_bestellung where bestellung_id = $bestellung_id");
		}
	$row = $db->fetch_row();
	
	$num_rows = $db->num_rows();
	if ($num_rows > 0)
		{
		d_db2dis($row[1]);
		d_db2dis($row[2]);
		d_db2dis($row[3]);
		d_db2dis($row[6]);
		$bestellung_id = $row[0];
		$olddata       = $db->curr_row_as_string();
		$t             = new vs_form_x("todo_zeigen", 10);
		//Datum des Eintrags
		
		//2015-01-05 KM: Datum Umstellung auf Datepicker
		$dat = new vs_datepicker("datum_erstellt", $row[1], "multi_today1_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		
		$t->add_control(1, $dat);
		//lieferant
		$firma = new vs_db_listbox("lieferant", 40, $db, "vs_lieferant", "name", "name", $row[9]);
		$t->add_control(1, $firma);
		$firma_mail = "";
		$firma_www  = "";
		$k_nr       = "";
		$fi_title   = firmeninfo($db, $row[9], $firma_mail, $firma_www, $k_nr);
		if ($firma_www != "")
		//2015-01-07 KM: geaendert vs_new_window_img -> vs_link_img
			
		//$ai1= new vs_new_window_img("../img/www_icon.jpg","http://".$firma_www,1000,600,10,10);
			$ai1 = new vs_link_img("../img/www_24.gif", "http://" . $firma_www, "_blank");
		else
		//2015-01-07 KM: geaendert vs_new_window_img -> vs_link_img
			
		//$ai1= new vs_new_window_img("../img/info_24.gif","",800,550,10,10);
			$ai1 = new vs_link_img("../img/info_24.gif", "", "_blank");
		$ai1->set_title($fi_title);
		$t->add_control(1, $ai1);
		
		//e-mail
		
		if ($firma_mail != "")
			{
			if (use_mta) //mail-transfer-agent auf dem Server
				{
				$mail_text = zeile1 . "\n" . zeile2 . "\n" . zeile3 . "\n" . zeile4 . "\n" . zeile5 . "\n\n" . "Kundennummer  " . 
				$k_nr . "\n\n BESTELLUNG\n\n " . $row[5] . "\n\n\nDie Bestellung erfolgte am " . today() . " um " . now() . " durch Herrn/Frau " . $user_name;
				
				$mail_text = make_email_text($mail_text);
				//2015-01-07 KM: geaendert vs_new_window_img -> vs_link_img
				//$em=new vs_new_window_img("../img/email_24.gif","../kartei/mail_form.php?mail_adress=$firma_mail&subject=Bestellung&mail_text=$mail_text",500,550,10,10);
				$em        = new vs_link_img("../img/email_24.gif", "../kartei/mail_form.php?mail_adress=$firma_mail&subject=Bestellung&mail_text=$mail_text", "_blank");
				$em->set_title("per e-mail bestellen");
				$t->add_control(1, $em);
				}
			else
				{
				$em = new vs_link_img("../img/email_24.gif", "mailto: $firma_mail ");
				$em->set_title("per e-mail bestellen");
				$t->add_control(1, $em);
				}
			}
		//Ziel
		//2015-01-05 KM: Datum Umstellung auf Datepicker
		$ziel = new vs_datepicker("datum_ziel", $row[2], "multi_today2_Datepicker", "Ziel");
		
		$t->add_control(1, $ziel);
		//Bestellung noch nicht abgeschickt    
		if ($row[4] != "0") //0 ist default
			{
			//bestellt am 
			
			//2015-01-05 KM: Datum Umstellung auf Datepicker
			$bestellt = new vs_datepicker("datum_bestellt", $row[3], "multi_today3_Datepicker", "Bestellt am");
			
			$t->add_control(2, $bestellt);
			//bestellt von
			$e_von = new vs_edit("bestellt_durch", 2, 2, $row[4], "Von");
			if ($row[4] != $user_kurz)
				$e_von->set_readonly("true"); // nur der Besteller kann die Bestellung rueckgaengig machen
			$t->add_control(2, $e_von);
			//geliefert
			
			//2015-01-05 KM: Datum Umstellung auf Datepicker
			$geliefert = new vs_datepicker("datum_lieferung", $row[6], "multi_today4_Datepicker", "geliefert am");
			
			$t->add_control(2, $geliefert);
			}
		else
			{
			//als nu erledigen vermerken
			$row[10] = "0"; //status auf wartet zuruecksetzen 
			$erl     = new vs_checkbox("erledigt", "0");
			$erl->set_label("als bestellt / erledigt vermerken");
			$t->add_control(2, $erl);
			
			$t->add_control(8, new vs_hidden("datum_bestellt", "01.01.1980"));
			$t->add_control(8, new vs_hidden("datum_lieferung", "01.01.1980"));
			$t->add_control(8, new vs_hidden("bestellt_durch", "0"));
			}
		//Bestellart
		$art = new vs_listbox("bestellart", 12, $row[8]);
		$art->set_label("Bestellart");
		$art->add_item("Außendienst", "Außendienst");
		$art->add_item("Telefon", "Telefon");
		$art->add_item("email", "email");
		$art->add_item("online", "online");
		$t->add_control(2, $art);
		
		//Status
		$sta = new vs_listbox("status", 12, $row[10]);
		$sta->set_label("Status");
		$sta->add_item("0", "wartet");
		$sta->add_item("1", "bestellt");
		$sta->add_item("2", "geliefert");
		$sta->add_item("3", "anderer");
		$t->add_control(2, $sta);
		
		//Bestelltext
		$best = new vs_memo("bestelltext", 68, 17, $row[5], "Bestellung");
		$t->add_control(3, $best);
		
		$bem = new vs_edit("bemerkung", 70, 250, $row[7]);
		$t->add_control(4, $bem);
		
		$t->add_control(8, new vs_hidden("s_filter", $_REQUEST["s_filter"]));
		$t->add_control(8, new vs_hidden("bestellung_id", $row[0]));
		$t->add_control(8, new vs_hidden("action", "a_post_edit"));
		$t->add_control(8, new vs_hidden("olddata", $olddata));
		//alter Status wird extra gesichert; beim Wechsel wird die Aenderung dokumentiert
		$t->add_control(8, new vs_hidden("oldstatus", $row[6]));
		if ($can_edit == "1")
			{
			$t->add_control(8, new vs_submit("submit", "&Auml;ndern", "true"));
			//2015-01-07 KM: raus genommen, macht keinen Sinn
			//$t->add_control(8,new vs_reset("reset","Abbruch","true"));
			}
		//$t->add_control(9,new vs_text(firmeninfo($db,$row[9])));
		
		//---------------------------------------
		//if (($_REQUEST["s_filter"] == "") or  ($_REQUEST["s_filter"] == "where status < 1 "))
		if ($row[10] < 1) //wartend
			{
			$db->query("Select lieferant_id from vs_lieferant where name = '$row[9]'");
			$l_row = $db->fetch_row();
			
			$t->add_control(9, new vs_text("<b>Von $row[9] bezogene Artikel (I = Impfstoffe M = Medikamente V = Verbrauchsmaterial  F = Tierfutter)</b>"));
			
			//impfstoffe von diesem Lieferanten   
			$sql         = "select impfung_id,bezeichnung from vs_impfung where lieferant_id=$l_row[0] order by bezeichnung";
			$lb          = new vs_db_sql_link_listbox("lieferant_impfung", 100, $db, $sql, 1, 1, 0, 0, "", "bestellung.php?action=a_insert_impfung&s_filter=$_REQUEST[s_filter]&bestellung_id=$row[0]&impfung_id=", 10, "I");
			$lb->new_win = 1;
			$t->add_control(10, $lb);
			$lb->add_style("width:170px;height:130px;");
			
			//Medikamente von diesem Lieferanten   
			$sql         = "select m.medikament_id, m.bezeichnung from vs_medikament m, vs_med_typ t where m.med_typ_id = t.med_typ_id and  t.lieferant_id=$l_row[0] order by m.bezeichnung ";
			$lb          = new vs_db_sql_link_listbox("lieferant_med", 100, $db, $sql, 1, 1, 0, 0, "", "bestellung.php?action=a_insert_med&s_filter=$_REQUEST[s_filter]&bestellung_id=$row[0]&medikament_id=", 10, "M");
			$lb->new_win = 1;
			$t->add_control(10, $lb);
			$lb->add_style("width:170px;height:130px;");
			
			//Verbrauchsmaterial von diesem Lieferanten   
			$sql         = "select verbrauchsmaterial_id,bezeichnung from vs_verbrauchsmaterial where lieferant_id=$l_row[0] order by bezeichnung";
			$lb          = new vs_db_sql_link_listbox("lieferant_ver", 100, $db, $sql, 1, 1, 0, 0, "", "bestellung.php?action=a_insert_verbrauchsmaterial&s_filter=$_REQUEST[s_filter]&bestellung_id=$row[0]&verbrauchsmaterial_id=", 10, "V");
			$lb->new_win = 1;
			$t->add_control(10, $lb);
			$lb->add_style("width:170px;height:130px;");
			
			//Futtermittel von diesem Lieferanten   
			$sql         = "select futter_id,bezeichnung from vs_futter where lieferant_id=$l_row[0] order by bezeichnung";
			$lb          = new vs_db_sql_link_listbox("lieferant_futter", 100, $db, $sql, 1, 1, 0, 0, "", "bestellung.php?action=a_insert_futter&s_filter=$_REQUEST[s_filter]&bestellung_id=$row[0]&futter_id=", 10, "F");
			$lb->new_win = 1;
			$t->add_control(10, $lb);
			$lb->add_style("width:170px;height:130px;");
			
			$db->free_result();
			}
		//----------------------------------------
		$db->free_result();
		return $t;
		}
	else
		{
		return neuer_todo($db);
		}
	}



function neuer_todo($db)
	{
	global $can_insert;
	global $user_kurz;
	$t = new vs_form_x("todo_neu", 8);
	$t->set_cellspacing(2);
	$n    = now();
	$text = $n . " Besitzer hat die Praxis betreten" . chr(13);
	
	//Datum des Eintrags
	
	//2015-01-23 KM: Datum Umstellung auf Datepicker
	$dat = new vs_datepicker("datum_erstellt", "", "multi_today1_Datepicker", "Datum &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
	
	$t->add_control(1, $dat);
	//lieferant
	$firma = new vs_db_listbox("lieferant", 40, $db, "vs_lieferant", "name", "name", "");
	$t->add_control(1, $firma);
	//Ziel
	
	//2015-01-23 KM: Datum Umstellung auf Datepicker
	$ziel = new vs_datepicker("datum_ziel", "", "multi_today2_Datepicker", "Ziel");
	
	$t->add_control(1, $ziel);
	/*---------------------------------
	$bestellt=new vs_date_edit("datum_bestellt",10,10,today(),"Bestellt am"); 
	$t->add_control(1,$bestellt);
	
	$e_von=new vs_edit("bestellt_durch",2,2,$user_kurz,"Von");
	$e_von->set_readonly("true");
	$t->add_control(2,$e_von); 
	------------------------------*/
	//Bestellart
	$art = new vs_listbox("bestellart", 12, "");
	$art->set_label("Bestellart &nbsp;");
	$art->add_item("Außendienst", "Außendienst");
	$art->add_item("Telefon", "Telefon");
	$art->add_item("email", "email");
	$art->add_item("online", "online");
	$t->add_control(2, $art);
	
	//Status
	$sta = new vs_listbox("status", 12, "");
	$sta->set_label("Status");
	$sta->add_item("0", "wartet");
	$sta->add_item("1", "bestellt");
	$sta->add_item("2", "geliefert");
	$sta->add_item("3", "anderer");
	$t->add_control(2, $sta);
	
	
	/*
	//geliefert
	$geliefert=new vs_date_edit("datum_lieferung",10,10,today(),"geliefert am"); 
	$t->add_control(2,$geliefert);
	*/
	$best = new vs_memo("bestelltext", 68, 20, "", "Bestellung");
	$t->add_control(3, $best);
	
	$bem = new vs_edit("bemerkung", 70, 250, "");
	
	$t->add_control(4, $bem);
	
	//als erledigt vermerken
	$erl = new vs_checkbox("erledigt", "0");
	$erl->set_label("als bestellt / erledigt vermerken");
	$t->add_control(2, $erl);
	
	
	$t->add_control(8, new vs_hidden("s_filter", $_REQUEST["s_filter"]));
	$t->add_control(8, new vs_hidden("action", "a_post_ins"));
	if ($can_insert == "1")
		{
		$t->add_control(8, new vs_submit("submit", "Speichern", "true"));
		//2015-01-07 KM: raus genommen, macht keinen Sinn
		//$t->add_control(8,new vs_reset("reset","Abbruch","true"));
		}
	$db->free_result();
	return $t;
	}



function img_leiste($db, $num_rows, $bestellung_id)
	{
	global $can_insert;
	global $can_delete;
	$il = new vs_div("il", "60", "left");
	if ($can_insert == "1")
		$il->add(new vs_action_img("add", "../img/add_24.gif", "a_ins"));
	if ($num_rows > 0)
		{
		$il->add(new vs_action_img("delete", "../img/delete_24.gif", "a_del&bestellung_id=$bestellung_id"));
		}
	//$il->add(new vs_action_img("all","../img/alle_24.gif","a_show_all"));
	
	//Status-Filter
	$t   = new vs_form_x("todo_filter", 1);
	$sta = new vs_listbox("s_filter", 21, $_REQUEST["s_filter"]);
	$sta->set_label("");
	$sta->add_item("", "alle");
	$sta->add_item("where status < 1 ", "wartend");
	$sta->add_item("where status = 1 ", "abgeschickte");
	$sta->add_item("where status = 2 ", "geliefert");
	$sta->add_item("where status = 3 ", "sonstige");
	
	$t->add_control(1, $sta);
	$t->add_control(1, new vs_hidden("action", "a_browse"));
	$t->add_control(1, new vs_submit("submit", "OK", "true"));
	
	$il->add($t);
	return $il;
	}

//Legitimation	und Bereitstellung der user - Variablen

global $can_insert;
global $can_edit;
global $can_delete;
global $user_name;
global $user_kurz;
global $user_id;


office_login($db);

$b         = new vs_page_begin("Bestellungen", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();


if (!isset($_REQUEST["s_filter"]))
	$_REQUEST["s_filter"] = "where status < 1 ";
if ((!isset($vso_action)) or ($vso_action == ""))
	{
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	}
else
	{
	switch ($vso_action)
		{
		case "a_browse": //anzeigen
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today  = today();
			$heute  = d_dis2db($today);
			$top    = new vs_text("<h2>&nbsp; BESTELLUNGEN</h2>");
			$bottom = navliste("Alle wartenden Bestellungen anzeigen");
			$right  = zeige_todo($db, $vso_bestellung_id, $num_rows);
			$sql    = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter] order by datum_ziel";
			//error_row($sql);   
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "date");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		case "a_del": //Loeschen
			if ($can_delete == 1)
				{
				$db->query("delete from vs_bestellung where bestellung_id = $vso_bestellung_id");
				$db->free_result();
				unset($vso_bestellung_id); //gibt`s ja jetzt nicht mehr
				$bottom = navliste("Die Bestellung wurde gel&ouml;scht");
				}
			else
				$bottom = navliste("Die Bestellung konnte nicht gel&ouml;scht werden");
			//Daten anzeigen
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top   = new vs_text("<h2>&nbsp; Bestellungen</h2>");
			$right = zeige_todo($db, $vso_bestellung_id, $num_rows);
			$sql   = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter]  order by datum_ziel";
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "date");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
		case "a_ins": // Einfuegen
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top    = new vs_text("<h2>&nbsp; Bestellungen</h2>");
			$bottom = navliste("Neue Bestellung eintragen");
			$right  = neuer_todo($db);
			$sql    = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter]  order by datum_ziel";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_bestellung_id und $num_rows
			if (!isset($vso_bestellung_id))
				{
				$vso_bestellung_id = null;
				}
			if (!isset($num_rows))
				{
				$num_rows = null;
				}
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "time");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		case "a_post_edit": //nach dem Editieren
			//----------------------Daten zwischenzeitlich veraendert?-----------------
			
			$db->query("Select bestellung_id,datum_erstellt,datum_ziel,datum_bestellt,bestellt_durch,bestelltext,
			datum_lieferung,bemerkung,bestellart,lieferant,status from vs_bestellung where bestellung_id = $vso_bestellung_id");
			
			$row     = $db->fetch_row();
			$newdata = $db->curr_row_as_string();
			$db->free_result();
			if ($newdata == $vso_olddata)
				{
				//endlich die neuen Werte eintragen
				
				//Datum und Ankunft bleiben unberuecksichtigt
				
				//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_erledigt
				if (!isset($vso_erledigt))
					{
					$vso_erledigt = null;
					}
				if ($vso_erledigt == "1")
					{
					$vso_datum_bestellt = today();
					$vso_bestellt_durch = $user_kurz;
					if ($vso_status < 1)
						$vso_status = 1;
					d_dis2db($vso_datum_bestellt);
					d_dis2db($vso_datum_erstellt);
					d_dis2db($vso_datum_ziel);
					d_dis2db($vso_datum_lieferung);
					$vso_bestelltext .= "\n" . today() . " " . now() . " [" . $user_name . "] " . "hat die Bestellung aufgegeben." . chr(13);
					$db->query("update vs_bestellung set 
								datum_erstellt='$vso_datum_erstellt',
								datum_ziel='$vso_datum_ziel',
								datum_bestellt='$vso_datum_bestellt',
								datum_lieferung='$vso_datum_lieferung',
								lieferant='$vso_lieferant',
								bemerkung='$vso_bemerkung',
								bestelltext='$vso_bestelltext',
								bestellart='$vso_bestellart',
								status='$vso_status',
								bestellt_durch='$vso_bestellt_durch'
								where bestellung_id=$vso_bestellung_id");
					}
				else
					{
					d_dis2db($vso_datum_bestellt);
					d_dis2db($vso_datum_erstellt);
					d_dis2db($vso_datum_ziel);
					d_dis2db($vso_datum_lieferung);
					$db->query("update vs_bestellung set 
								datum_erstellt='$vso_datum_erstellt',
								lieferant='$vso_lieferant',
								datum_ziel='$vso_datum_ziel',
								bemerkung='$vso_bemerkung',
								bestelltext='$vso_bestelltext', 
								datum_lieferung='$vso_datum_lieferung',
								status='$vso_status',
								bestellt_durch='$vso_bestellt_durch',
								bestellart='$vso_bestellart'
							
								where bestellung_id=$vso_bestellung_id");
					
					}
				$bottom = navliste(" Die Bestellung bei $vso_lieferant wurde ge&auml;ndert");
				$db->free_result();
				echo $db->last_error();
				}
			
			//Fehlermeldung 
			else
				{
				error_row("Der Datensatz konnte nicht gespeichert werden, weil er vorher " . " von einem anderen Benutzer modifiziert wurde");
				$bottom = navliste(" Die Bestellung bei $vso_lieferant konnte nicht ge&auml;ndert werden");
				}
			//----------------Daten anzeigen----------------------------------------------------
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top = new vs_text("<h2>&nbsp; Bestellungen</h2>");
			
			$right = zeige_todo($db, $vso_bestellung_id, $num_rows);
			$sql   = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter]  order by datum_ziel";
			$left  = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "date");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_post_ins": //nach dem Einfuegen
			d_dis2db($vso_datum_erstellt);
			d_dis2db($vso_datum_ziel);
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_erledigt
			if (!isset($vso_erledigt))
				{
				$vso_erledigt = null;
				}
			if ($vso_erledigt == "1")
				{
				$vso_datum_bestellt = today();
				$vso_bestellt_durch = $user_kurz;
				d_dis2db($vso_datum_bestellt);
				$vso_bestelltext .= today() . " " . now() . " [" . $user_name . "] " . "hat die Bestellung erledigt." . chr(13);
				$db->query("insert into vs_bestellung (datum_erstellt,lieferant,user_id,datum_ziel, 
								bemerkung,bestelltext,datum_bestellt,bestellt_durch,bestellart,status) 
								values('$vso_datum_erstellt','$vso_lieferant','$user_id','$vso_datum_ziel',
								'$vso_bemerkung','$vso_bestelltext','$vso_datum_bestellt','$vso_bestellt_durch','$vso_bestellart','$vso_status')");
				}
			else
				{
				$db->query("insert into vs_bestellung (datum_erstellt,lieferant,user_id,datum_ziel, 
								bemerkung,bestelltext,bestellart,status) 
								values('$vso_datum_erstellt','$vso_lieferant','$user_id','$vso_datum_ziel',
								'$vso_bemerkung','$vso_bestelltext','$vso_bestellart','$vso_status')");
				}
			
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			//Moeglichst den eben eingegebenen Datensatz selektieren
			$db->free_result();
			//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_datum_bestellt
			if (!isset($vso_datum_bestellt))
				{
				$vso_datum_bestellt = null;
				}
			$db->query("select bestellung_id from vs_bestellung where datum='$vso_datum_bestellt' and lieferant='$vso_lieferant'");
			$row               = $db->fetch_row();
			$vso_bestellung_id = $row[0];
			$db->free_result();
			//----------------Daten anzeigen----------------------------------------------------
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top    = new vs_text("<h2>&nbsp; Bestellungen</h2>");
			$bottom = navliste(" Die Bestellung bei $vso_lieferant wurde eingef&uuml;gt");
			$right  = zeige_todo($db, $vso_bestellung_id, $num_rows);
			$sql    = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter] order by datum_ziel";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "date");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_insert_med":
			$db->query("select bezeichnung from vs_medikament where medikament_id= $vso_medikament_id");
			$m_row = $db->fetch_row();
			$b_new = "\n 1 x $m_row[0]";
			$db->query("select bestelltext from vs_bestellung where bestellung_id= $vso_bestellung_id");
			$b_row       = $db->fetch_row();
			$bestelltext = $b_row[0] . $b_new;
			$db->query("update vs_bestellung set bestelltext = '$bestelltext' where bestellung_id= $vso_bestellung_id");
			//Daten anzeigen
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top    = new vs_text("<h2>&nbsp; Bestellungen</h2>");
			$bottom = navliste(" $m_row[0] wurde der Bestellungen zugef&uuml;gt ");
			$right  = zeige_todo($db, $vso_bestellung_id, $num_rows);
			$sql    = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter] order by datum_ziel";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "date");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_insert_verbrauchsmaterial":
			$db->query("select bezeichnung from vs_verbrauchsmaterial where verbrauchsmaterial_id= $vso_verbrauchsmaterial_id");
			$v_row = $db->fetch_row();
			$v_new = "\n 1 x $v_row[0] ";
			$db->query("select bestelltext from vs_bestellung where bestellung_id= $vso_bestellung_id");
			$b_row       = $db->fetch_row();
			$bestelltext = $b_row[0] . $v_new;
			$db->query("update vs_bestellung set bestelltext = '$bestelltext' where bestellung_id= $vso_bestellung_id");
			//Daten anzeigen
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top    = new vs_text("<h2>&nbsp; Bestellungen</h2>");
			$bottom = navliste(" $v_row[0] wurde der Bestellungen zugef&uuml;gt ");
			$right  = zeige_todo($db, $vso_bestellung_id, $num_rows);
			$sql    = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter] order by datum_ziel";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "date");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_insert_futter":
			$db->query("select bezeichnung from vs_futter where futter_id= $vso_futter_id");
			$f_row = $db->fetch_row();
			$f_new = "\n 1 x $f_row[0] ";
			$db->query("select bestelltext from vs_bestellung where bestellung_id= $vso_bestellung_id");
			$b_row       = $db->fetch_row();
			$bestelltext = $b_row[0] . $f_new;
			$db->query("update vs_bestellung set bestelltext = '$bestelltext' where bestellung_id= $vso_bestellung_id");
			//Daten anzeigen
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top    = new vs_text("<h2>&nbsp; Bestellungen</h2>");
			$bottom = navliste(" $f_row[0] wurde der Bestellungen zugef&uuml;gt ");
			$right  = zeige_todo($db, $vso_bestellung_id, $num_rows);
			$sql    = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter] order by datum_ziel";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "date");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		case "a_insert_impfung":
			$db->query("select bezeichnung from vs_impfung where impfung_id= $vso_impfung_id");
			$i_row = $db->fetch_row();
			$i_new = "\n 1 x $i_row[0] ";
			$db->query("select bestelltext from vs_bestellung where bestellung_id= $vso_bestellung_id");
			$b_row       = $db->fetch_row();
			$bestelltext = $b_row[0] . $i_new;
			$db->query("update vs_bestellung set bestelltext = '$bestelltext' where bestellung_id= $vso_bestellung_id");
			//Daten anzeigen
			
			// 2014-09-11 KM: seit PHP 5.3.0 DEPRECATED
			//$heute = d_dis2db(today());
			$today = today();
			$heute = d_dis2db($today);
			
			$top    = new vs_text("<h2>&nbsp; Bestellungen</h2>");
			$bottom = navliste(" $i_row[0] wurde der Bestellungen zugef&uuml;gt ");
			$right  = zeige_todo($db, $vso_bestellung_id, $num_rows);
			$sql    = "Select bestellung_id,datum_ziel,lieferant from vs_bestellung $_REQUEST[s_filter] order by datum_ziel";
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links_schmal");
			//KM: Listbox links
			$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_bestellung_id, "bestellung.php?action=a_browse&s_filter=$_REQUEST[s_filter]&bestellung_id=", 32, "");
			$lb->set_field_typ(1, "date");
			$lb->add_style("width:265px;height:430px;");
			$left->add(2, 1, $lb);
			$left->add(1, 1, img_leiste($db, $num_rows, $vso_bestellung_id));
			seite($top, $bottom, $left, $right);
			break;
		}
	}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

