<?php
/*
 *      med_bilanz.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

$med_change_list = array();


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');



function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


function make_zeit_form($db, $medikament_id, $beginn, $ende)
	{
	$f = new vs_form_x("zeitraum", 2);
	$f->set_cellspacing(2);
	
	//2015-01-07 KM: Datum Umstellung auf Datepicker
	$f->add_control(1, new vs_datepicker("beginn", "", "multi_today1_Datepicker", "Beginn"));
	$f->add_control(1, new vs_datepicker("ende", "", "multi_today2_Datepicker", "Ende"));
	
	$f->add_control(8, new vs_hidden("medikament_id", $medikament_id));
	$f->add_control(8, new vs_hidden("action", "a_browse"));
	$f->add_control(1, new vs_submit("submit", "OK", true));
	return $f;
	}

//Hilfsfunktion fuer array_walk (s.u.)
function ausgabe($item, $key, $d)
	{
	$d->add(new vs_text($item->datum . " " . $item->menge . " " . $item->comment));
	}


function make_bilanz($db, $medikament_id, $beginn, $ende)
	{
	$a_id = 0; //fortlaufende Zahl, wird zu Datum zugegeben als Index für Array	
	if (!isset($medikament_id))
		{
		return new vs_text("<br><b>Noch kein Medikament ausgew&auml;hlt</b>");
		}
	else
		{
		$d  = new vs_div("670", "470", "left");
		$tb = new vs_table("ergebnis", 4, 2);
		d_dis2db($beginn);
		d_dis2db($ende);
		
		//Zugaenge
		$sql = "select sum(menge) from vs_med_zugang where 
            medikament_id=$medikament_id and datum >= '$beginn' and datum <='$ende' ";
		$db->query($sql);
		$zugang = $db->fetch_row();
		$tb->add(1, 1, new vs_text("Zugang (in OP)"));
		$tb->add(1, 2, new vs_text(round($zugang[0], 2)));
		
		$db->free_result();
		
		//einzeln
		$sql = "select med_zugang_id,datum,menge,lieferant from vs_med_zugang where 
            medikament_id=$medikament_id and datum >= '$beginn' and datum <='$ende' ";
		$db->query($sql);
		while ($zugang = $db->fetch_row())
			{
			$a_id++;
			$index                   = changedateformat($zugang[1], dbdate, "yyyy-mm-dd") . $a_id;
			//$index=d_dis2db($zugang[1]).$a_id;
			//2014-08-04 KM: Hochkommas eingefuegt wg. Use of undefined constant:
			$med_change['datum']     = $zugang[1];
			$med_change['menge']     = $zugang[2];
			$med_change['bemerkung'] = $zugang[3];
			$med_change_list[$index] = $med_change;
			echo $med_change;
			unset($med_change);
			}
		
		//Abgaenge
		//Feld Faktor wurde zum Abspeichern der medikament_id missbraucht, wegen Bilanzierung
		//Feld Ziffer wurde zum Abspeichern der Teilpackung / Nicht Teilpackung  missbraucht, wegen Bilanzierung
		
		//OP
		$sql = "select sum(p.menge) from 
				vs_behposition p,vs_behandlung b,vs_medikament med where p.behandlung_id=b.behandlung_id and 
				p.faktor=$medikament_id and med.medikament_id=$medikament_id and b.datum >= '$beginn' and 
				b.datum <='$ende' and p.ziffer='0' ";
		$db->query($sql);
		$abgang_op = $db->fetch_row();
		// $d->add(new vs_text("Abgang (in OP)  :".round($abgang_op[0],2)." <br>"));
		$db->free_result();
		$tb->add(2, 1, new vs_text("Abgang (in OP)"));
		$tb->add(2, 2, new vs_text(round($abgang_op[0], 2)));
		//TP
		$sql = "select sum(p.menge), med.t_anteil from 
				vs_behposition p,vs_behandlung b,vs_medikament med where p.behandlung_id=b.behandlung_id and 
				p.faktor=$medikament_id and med.medikament_id=$medikament_id and b.datum >= '$beginn' and 
				b.datum <='$ende' and p.ziffer='1' group by med.t_anteil";
		$db->query($sql);
		$abgang = $db->fetch_row();
		
		$tb->add(3, 1, new vs_text("Abgang (in TP)"));
		$tb->add(3, 2, new vs_text(round(($abgang[0] * $abgang[1]), 2)));
		$db->free_result();
		
		//Summe
		$tb->add(4, 1, new vs_text("Abgang (gesamt)"));
		$tb->add(4, 2, new vs_text(round(($abgang[0] * $abgang[1] + $abgang_op[0]), 2) . "<br>"));
		
		
		//Einzelne Abgaben
		
		$sql = "select p.behposition_id,b.datum,p.menge,p.bezeichnung,p.ziffer, med.t_anteil, bes.name,bes.vorname,bes.strasse,bes.wohnort, pat.rasse, pat.name from 
				vs_behposition p,vs_behandlung b,vs_medikament med, vs_patient pat,vs_besitzer bes  where p.behandlung_id=b.behandlung_id and 
				p.faktor=$medikament_id and med.medikament_id=$medikament_id and b.patient_id=pat.patient_id and  pat.besitzer_id=bes.besitzer_id  and b.datum >= '$beginn' and 
				b.datum <='$ende' ";
		
		$db->query($sql);
		while ($abgang = $db->fetch_row())
			{
			$a_id++;
			//$index=d_dis2db($abgang[1]).$a_id;
			$index = changedateformat($abgang[1], dbdate, "yyyy-mm-dd") . $a_id;
			if ($abgang[4] == 0)
			//OP       
				$menge = ($abgang[2]) * (-1);
			else
			//Teilpackung
				$menge = ($abgang[2] * $abgang[5]) * (-1);
			//Bezeichnung ändern 
			//2014-08-04 KM: Hochkommas eingefuegt wg. Use of undefined constant:
			$med_change['datum']     = $abgang[1];
			$med_change['menge']     = $menge;
			$med_change['bemerkung'] = $abgang[6] . ", " . $abgang[7] . "  " . $abgang[8] . " " . $abgang[9] . " <i>" . $abgang[10] . " " . $abgang[11] . "</i>";
			$med_change_list[$index] = $med_change;
			unset($med_change);
			
			}
		
		//Summen angeben
		$d->add($tb);
		//Wiedergabe der Liste
		//2014-08-03 KM: geaendert wg. undefined variable
		if (!isset($med_change_list))
		//{$med_change_list = null;}
		//KM TEST
			{
			$med_change_list = 0;
			}
		if (count($med_change_list) > 0)
			{
			ksort($med_change_list);
			$d->add(new vs_text("<table style=\"background-color:white;padding:3px;width:650px\">"));
			$bestand = 0;
			while (list($key, $val) = each($med_change_list))
				{
				//2014-08-04 KM: Hochkommas eingefuegt wg. Use of undefined constant:
				if (intval($val['menge']) > 0)
					$tdcolor = "style=\"background-color:green;\";";
				else
					$tdcolor = "style=\"background-color:red;\";";
				$bestand = $bestand + floatval($val['menge']);
				if ($bestand > 0)
					$tdfontcolor = "style=\"color:green;\";";
				else
					$tdfontcolor = "style=\"color:red;\";";
				$d->add(new vs_text("<tr><td>" . $val['datum'] . "</td>"));
				$d->add(new vs_text("<td " . $tdcolor . " >" . $val['menge'] . "</td>"));
				$d->add(new vs_text("<td " . $tdfontcolor . ">" . $bestand . "</td>"));
				$d->add(new vs_text("<td>" . $val['bemerkung'] . "</td></tr>"));
				}
			$d->add(new vs_text("</table>"));
			}
		return $d;
		}
	}



function make_right($db, $medikament_id, $beginn, $ende)
	{
	$t = new vs_table("rechts", 2, 1);
	$t->add(1, 1, make_zeit_form($db, $medikament_id, $beginn, $ende));
	$t->add(2, 1, make_bilanz($db, $medikament_id, $beginn, $ende));
	return $t;
	}


global $can_insert;
global $can_edit;
global $can_delete;
global $u_kurz;

office_login($db);

$b         = new vs_page_begin("Medikamente - Bilanz", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();


if ((!isset($vso_action)) or ($vso_action == ""))
	{
	
	echo "VETSOFT - OFFICE Falscher Aufruf der Seite";
	
	}
else
	{
	switch ($vso_action)
	{
		case "a_browse": //anzeigen 
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			if (!isset($vso_beginn))
				$vso_beginn = alterdate(today(), -365);
			if (!isset($vso_ende))
				$vso_ende = today();
			if (!isset($vso_medikament_id))
				{
				$sql = "select medikament_id from vs_medikament order by bezeichnung";
				$db->query($sql);
				$row               = $db->fetch_row();
				$vso_medikament_id = $row[0];
				}
			$top    = new vs_text("<h2>&nbsp; MEDIKAMENTE - BILANZIERUNG</h2>");
			$bottom = navliste("Einkauf und Anwendung der Praxismedikamente");
			$right  = make_right($db, $vso_medikament_id, $vso_beginn, $vso_ende);
			$left   = new vs_table("lefttable", 2, 1);
			$left->set_css_class("stammdaten_tabelle_links");
			$sql = "select medikament_id,bezeichnung from vs_medikament order by bezeichnung";
			//KM: Listbox links
			$lb  = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 2, 0, 0, $vso_medikament_id, "med_bilanz.php?action=a_browse&beginn=$vso_beginn&ende=$vso_ende&medikament_id=", 32, "");
			$lb->add_style("width:320px;height:460px;");
			$left->add(2, 1, $lb);
			seite($top, $bottom, $left, $right);
			
			//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			break;
	}
	
	}
$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();

?>
