<?php
/*
 *      preislisten.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../tcpdf/tcpdf.php";
include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//wichtig: keine Leerzeichen vor <?php und keine nach dem Ende!!!!!!!
//sonst streikt TCPDF

//$_GET und $_POST entpacken

extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

class preisliste extends TCPDF
	{
	//Page header
	function Header()
		{
		//Logo
		/*	$this->Image('logo_pb.png',10,8,33);
		//FreeSans bold 15
		$this->SetFont('FreeSans','B',15);
		//Move to the right
		$this->Cell(80);
		//Title
		$this->Cell(30,10,'Title',1,0,'C');
		//Line break
		$this->Ln(20); */
		}
	
	//Page footer
	function Footer()
		{
		global $vso_typ;
		
		//2013-12-28 KM: undefined constant: war ohne ""
		if ($vso_typ == "medikament")
			{
			//Zeichenerklaerung
			//Position at 2.5 cm from bottom
			$this->SetY(-20);
			//$this->Cell(194,10,". ",0,1);//nur als Abstandswahrer
			$this->SetFont('FreeSans', "", 10);
			$this->setfillcolor("230");
			$this->Cell(194, 8, 'F = Freiverkäuflich         A = Apothekenpflichtig          V = Verschreibungspflichtig        B = Betäubungsmittel ', 1, 0, "C", 1);
			}
		//Position at 1.5 cm from bottom
		$this->SetY(-15);
		//FreeSans italic 8
		$this->SetFont('FreeSans', 'I', 8);
		//Page number
		$this->Cell(0, 10, 'Seite ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
		}
	}


function preis_standard($db, $standard_id, $faktor) //aus handlekurz.php
	{
	//1) Leistungen	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(l.preis*p.menge) from vs_leistung l,vs_stapos p where p.typ='L' and l.leistung_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$l_sum = $row[0] * $faktor * (1 + $mwst / 100);
	$db->free_result();
	
	//2)Medikamente  OP	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(m.preis*p.menge) from vs_medikament m,vs_stapos p where p.typ='M' and p.tp = '0' and m.medikament_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$m_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//3)Medikamente  TP	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(m.t_vk*p.menge) from vs_medikament m,vs_stapos p where p.typ='M' and p.tp = '1' and m.medikament_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row    = $db->fetch_row();
	$mt_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//4) Impfungen	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(i.preis*p.menge) from vs_impfung i,vs_stapos p where p.typ='I' and i.impfung_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$i_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	
	//5) Futter	
	$mwst = ctp($dummy_B = B);
	$sql  = "Select sum(f.preis*p.menge) from vs_futter f,vs_stapos p where p.typ='F' and f.futter_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$f_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//6) Fremdleistungen	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(r.preis*p.menge) from vs_fremdleistung r,vs_stapos p where p.typ='R' and r.fremdleistung_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$r_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	
	//7) Verbrauchsmaterial	
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(v.preis*p.menge) from vs_verbrauchsmaterial v,vs_stapos p where p.typ='V' and v.verbrauchsmaterial_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$v_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	
	//7) Waren
	$mwst = ctp($dummy_A = A);
	$sql  = "Select sum(w.preis*p.menge) from vs_waren w,vs_stapos p where p.typ='W' and w.waren_id =p.position_id and p.standard_id=$standard_id";
	$db->query($sql);
	$row   = $db->fetch_row();
	$w_sum = $row[0] * (1 + $mwst / 100);
	$db->free_result();
	return $l_sum + $m_sum + $mt_sum + $i_sum + $f_sum + $r_sum + $v_sum + $w_sum;
	}





//Instanciation of inherited class
$db = new vs_db();
$db->connect();

office_login($db, $can_insert, $can_edit, $can_delete);

$preisliste = new preisliste(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true);
$preisliste->getAliasNbPages();
$preisliste->AddPage();
$preisliste->SetFont('FreeSans', 'B', 12);

$mwst_a = 1 + ctp($dummy_A = A) / 100; //voller MWST Satz
$mwst_b = 1 + ctp($dummy_B = B) / 100; //reduz. MWST Satz 
$today  = today();

$f1 = ctp($dummy_faktor = faktor); //Standardfaktor fuer Behandlungen
$f2 = 2;
$f3 = 3;


switch ($vso_typ)
{
	case "leistung":
		//Ueberschrift
		$preisliste->setx(5);
		$preisliste->cell(150, 20, "Preisliste (Leistungen) vom $today", 0, 1);
		$preisliste->SetFont('FreeSans', 'B', 10);
		$preisliste->setx(5);
		$preisliste->cell(80, 15, "Bezeichnung", 0, 0);
		$preisliste->cell(28, 15, "Faktor " . ptc($f1), 0, 0, "R");
		$preisliste->cell(28, 15, "Faktor " . ptc($f2), 0, 0, "R");
		$preisliste->cell(28, 15, "Faktor " . ptc($f3), 0, 1, "R");
		
		$sql = " select bezeichnung,(preis * $mwst_a * $f1) as f1 ,(preis* $mwst_a * $f2) as f2," . "(preis* $mwst_a * $f3) as f3  from vs_leistung order by bezeichnung";
		$db->query($sql);
		$preisliste->SetFont('FreeSans', '', 10);
		while ($row = $db->fetch_row())
			{
			$preisliste->setx(5);
			$preisliste->cell(80, 5, $row[0], 0, 0);
			$preisliste->cell(28, 5, ptc($row[1] = round($row[1], 2)) . " " . pdf_currency_string, 0, 0, "R");
			$preisliste->cell(28, 5, ptc($row[2] = round($row[2], 2)) . " " . pdf_currency_string, 0, 0, "R");
			$preisliste->cell(28, 5, ptc($row[3] = round($row[3], 2)) . " " . pdf_currency_string, 0, 1, "R");
			}
		break;
	//--------------------------------------------------------
	
	case "medikament":
		//Ueberschrift
		$preisliste->setx(5);
		$preisliste->cell(150, 20, "Preisliste (Medikamente) vom $today", 0, 1);
		$preisliste->SetFont('FreeSans', 'B', 10);
		$preisliste->setx(5);
		$preisliste->cell(10, 15, "Art", 0, 0);
		$preisliste->cell(80, 15, "Bezeichnung", 0, 0);
		
		$preisliste->cell(38, 15, "Originalpackung", 0, 0, "R");
		$preisliste->cell(38, 15, "Teilpackung", 0, 1, "R");
		
		
		$sql = " select m.bezeichnung,(m.preis * $mwst_a)  as f1 ,(m.t_vk * $mwst_a)  as f2, t.art from vs_medikament m , " . " vs_med_typ t where t.med_typ_id = m.med_typ_id order by bezeichnung";
		$db->query($sql);
		$preisliste->SetFont('FreeSans', '', 10);
		while ($row = $db->fetch_row())
			{
			$preisliste->setx(5);
			$preisliste->cell(10, 5, $row[3], 0, 0);
			$preisliste->cell(80, 5, $row[0], 0, 0);
			$preisliste->cell(38, 5, ptc($row[1] = round($row[1], 2)) . " " . pdf_currency_string, 0, 0, "R");
			if ($row[2] != 0) //nur wenn TP berechnet ist
				$preisliste->cell(38, 5, ptc($row[2] = round($row[2], 2)) . " " . pdf_currency_string, 0, 1, "R");
			else
				$preisliste->cell(38, 5, " ", 0, 1, "R");
			}
		break;
	//--------------------------------------------------------
	
	case "impfung":
		//Ueberschrift
		$preisliste->setx(5);
		$preisliste->cell(150, 20, "Preisliste (Impfungen) vom $today", 0, 1);
		$preisliste->SetFont('FreeSans', 'B', 10);
		$preisliste->setx(5);
		$preisliste->cell(80, 15, "Bezeichnung", 0, 0);
		$preisliste->cell(38, 15, "Preis", 0, 1, "R");
		
		$sql = " select bezeichnung,(preis * $mwst_a)  as f1 from vs_impfung order by bezeichnung";
		$db->query($sql);
		$preisliste->SetFont('FreeSans', '', 10);
		while ($row = $db->fetch_row())
			{
			$preisliste->setx(5);
			$preisliste->cell(80, 5, $row[0], 0, 0);
			$preisliste->cell(38, 5, ptc($row[1] = round($row[1], 2)) . " " . pdf_currency_string, 0, 1, "R");
			}
		break;
	//--------------------------------------------------------
	
	case "futter":
		//Ueberschrift
		$preisliste->setx(5);
		$preisliste->cell(150, 20, "Preisliste (Tierfutter) vom $today", 0, 1);
		$preisliste->SetFont('FreeSans', 'B', 10);
		$preisliste->setx(5);
		$preisliste->cell(80, 15, "Bezeichnung", 0, 0);
		$preisliste->cell(38, 15, "Preis", 0, 1, "R");
		
		$sql = " select bezeichnung,(preis * $mwst_b)  as f1 from vs_futter order by bezeichnung";
		$db->query($sql);
		$preisliste->SetFont('FreeSans', '', 10);
		while ($row = $db->fetch_row())
			{
			$preisliste->setx(5);
			$preisliste->cell(80, 5, $row[0], 0, 0);
			$preisliste->cell(38, 5, ptc($row[1] = round($row[1], 2)) . " " . pdf_currency_string, 0, 1, "R");
			}
		break;
	//--------------------------------------------------------------
	case "fremdleistung":
		//Ueberschrift
		$preisliste->setx(5);
		$preisliste->cell(150, 20, "Preisliste (Fremdleistungen) vom $today", 0, 1);
		$preisliste->SetFont('FreeSans', 'B', 10);
		$preisliste->setx(5);
		$preisliste->cell(80, 15, "Bezeichnung", 0, 0);
		$preisliste->cell(38, 15, "Preis", 0, 1, "R");
		$sql = " select bezeichnung,(preis * $mwst_a)  as f1 from vs_fremdleistung order by bezeichnung";
		$db->query($sql);
		$preisliste->SetFont('FreeSans', '', 10);
		while ($row = $db->fetch_row())
			{
			$preisliste->setx(5);
			$preisliste->cell(80, 5, $row[0], 0, 0);
			$preisliste->cell(38, 5, ptc($row[1] = round($row[1], 2)) . " " . pdf_currency_string, 0, 1, "R");
			}
		break;
	//----------------------------------------------------------------
	case "verbrauchsmaterial":
		//Ueberschrift
		$preisliste->setx(5);
		$preisliste->cell(150, 20, "Preisliste (Verbrauchsmaterial) vom $today", 0, 1);
		$preisliste->SetFont('FreeSans', 'B', 10);
		$preisliste->setx(5);
		$preisliste->cell(80, 15, "Bezeichnung", 0, 0);
		$preisliste->cell(38, 15, "Preis", 0, 1, "R");
		
		$sql = " select bezeichnung,(preis * $mwst_a)  as f1 from vs_verbrauchsmaterial order by bezeichnung";
		$db->query($sql);
		$preisliste->SetFont('FreeSans', '', 10);
		while ($row = $db->fetch_row())
			{
			$preisliste->setx(5);
			$preisliste->cell(80, 5, $row[0], 0, 0);
			$preisliste->cell(38, 5, ptc($row[1] = round($row[1], 2)) . " " . pdf_currency_string, 0, 1, "R");
			}
		break;
	//----------------------------------------------------------------
	case "waren":
		//Ueberschrift
		$preisliste->setx(5);
		$preisliste->cell(150, 20, "Preisliste (Abgabewaren) vom $today", 0, 1);
		$preisliste->SetFont('FreeSans', 'B', 10);
		$preisliste->setx(5);
		$preisliste->cell(80, 15, "Bezeichnung", 0, 0);
		$preisliste->cell(38, 15, "Preis", 0, 1, "R");
		
		$sql = " select bezeichnung,(preis * $mwst_a)  as f1 from vs_waren order by bezeichnung";
		$db->query($sql);
		$preisliste->SetFont('FreeSans', '', 10);
		while ($row = $db->fetch_row())
			{
			$preisliste->setx(5);
			$preisliste->cell(80, 5, $row[0], 0, 0);
			$preisliste->cell(38, 5, ptc($row[1] = round($row[1], 2)) . " " . pdf_currency_string, 0, 1, "R");
			}
		break;
	//----------------------------------------------------------------
	case "standard":
		//Ueberschrift
		$preisliste->setx(5);
		$preisliste->cell(150, 20, "Preisliste (Standardbehandlungen) vom $today", 0, 1);
		$preisliste->SetFont('FreeSans', 'B', 10);
		$preisliste->setx(5);
		$preisliste->cell(80, 15, "Bezeichnung", 0, 0);
		$preisliste->cell(28, 15, "Faktor " . ptc($f1), 0, 0, "R");
		$preisliste->cell(28, 15, "Faktor " . ptc($f2), 0, 0, "R");
		$preisliste->cell(28, 15, "Faktor " . ptc($f3), 0, 1, "R");
		
		
		
		$sql = "select bezeichnung,standard_id  from vs_standard order by bezeichnung";
		$db->query($sql);
		$preisliste->SetFont('FreeSans', '', 10);
		$db2 = new vs_db();
		$db2->connect();
		while ($row = $db->fetch_row())
			{
			$preisliste->setx(5);
			$preisliste->cell(80, 5, $row[0], 0, 0);
			$p1 = preis_standard($db2, $row[1], $f1);
			$p2 = preis_standard($db2, $row[1], $f2);
			$p3 = preis_standard($db2, $row[1], $f3);
			$preisliste->cell(28, 5, ptc($p1 = round($p1, 2)) . " " . pdf_currency_string, 0, 0, "R");
			$preisliste->cell(28, 5, ptc($p2 = round($p2, 2)) . " " . pdf_currency_string, 0, 0, "R");
			$preisliste->cell(28, 5, ptc($p3 = round($p3, 2)) . " " . pdf_currency_string, 0, 1, "R");
			}
		break;
} //switch


//Ende
$db->free_result();
$db->close();
ob_start();
$preisliste->Output();
ob_end_flush();

?>
