<?php
/*
 *      serienbrief.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_office_inc/vs_functions.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

define("sb_exportpath","/tmp/");

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken

extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');


//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$links=new vs_div("","","","","","stammdaten_mitte_links_schmal");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts_breit");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
	

	
function make_left($db,&$serienbrief_id,&$etikette_id)		
{
  if((!isset($serienbrief_id)) or ($serienbrief_id==""))
  {
    $db->query("select serienbrief_id from vs_serienbrief");
    $row=$db->fetch_row();
    $serienbrief_id=$row[0];
    $db->free_result();
  }
  if((!isset($etikette_id)) or ($etikette_id==""))
  {
    $db->query("select etikette_id from vs_etikette");
    $row=$db->fetch_row();
    $etikette_id=$row[0];
    $db->free_result();
  }
  $s_link= $_SERVER["PHP_SELF"]."?action=a_browse&etikette_id=".$etikette_id."&serienbrief_id=";
  $e_link= $_SERVER["PHP_SELF"]."?action=a_browse&serienbrief_id=".$serienbrief_id."&etikette_id=";
  $sql="select serienbrief_id,bezeichnung from vs_serienbrief";
  $left= new vs_table("lefttable",6,1);
  $left->add(1,1,new vs_text("<b>Serienbrief</b><br>"));
  $lb = new vs_db_sql_link_listbox("serienbrief",100,$db,$sql,1,1,0,0,$serienbrief_id,$s_link,20,"","123");
  $lb->add_style("width:260px;height:250px;");
  $left->add(2,1,$lb);  	
  $sql="select etikette_id,bezeichnung from vs_etikette";
  $left->add(3,1,new vs_text("<br><br>Etikettenformat<br>"));	
  $lb = new vs_db_sql_link_listbox("etikette",100,$db,$sql,1,1,0,0,$etikette_id,$e_link,10,"","123");	  
  $lb->add_style("width:260px;height:190px;");
  $left->add(4,1,$lb);  	
	  
  return $left;	  
}
			

function make_right($db,$serienbrief_id,$memodata)
{  

   $db->query("select sql,content,bezeichnung from vs_serienbrief where serienbrief_id=$serienbrief_id");
   $row=$db->fetch_row();
   $sql=$row[0];
   $s_text=$row[1];
   $bez=$row[2];
   $bez_file=strtolower(str_replace  (" ","_",$bez));
   $db->free_result();
   $righttable= new vs_table("righttable",6,1);
   
   $db->query($sql); 
   $row=$db->fetch_row();
   $felder=count($row);
   
   
   $f_export=new vs_form_x("impfung_zugang_zeigen",8);
    $f_export->set_cellspacing(2);
  
    //$sbt = new  vs_db_sql_listbox("result",100,$db,$sql,0,$felder-1,0,0,"first",$inputsize=12,"");
	//$sbt->add_style("width:640px;height:250px;");

	//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $memodata
	if (!isset ($memodata))
		{$memodata = null;}
	if($memodata=="") $memodata= "Noch keine Daten vorhanden - bitte erst auf Exportieren klicken !";
    $bt = new vs_memo ("daten",75,17,$memodata);   
   
    $f_export->add_control(1,new vs_memo("sql",84,3,$sql,""));
    $f_export->add_control(2,new vs_memo("text",84,3,$s_text,""));
   
    //$f_export->add_control(3,new vs_text("<b> Ausgew&auml;hlte Datens&auml;tze</b><br><br>"));
    $f_export->add_control(4,$bt);
   $typ=new vs_listbox("typ", 20,";",0);
    $typ->add_item("F","Textdatei");
    $typ->add_item("E","Etiketten");
    $f_export->add_control(5,$typ);  
   $tz=new vs_listbox("trenner", 1,";",0);
    $tz->add_item(";",";");
    $tz->add_item(",",",");
    $tz->add_item(":",":");
    $tz->add_item(" "," ");
    $tz->add_item("#","#");
    $f_export->add_control(5,$tz); 
    
    $lim=new vs_listbox("limiter", 1,"",0);
    
    $lim->add_item("1","\"");
    $lim->add_item("2","'");
    $lim->add_item("3","");
    
    $f_export->add_control(5,$lim); 
    $f_export->add_control(5,new vs_edit("datei",20,80,str_replace(' ', '',sb_exportpath.$bez_file.".txt")));
    $f_export->add_control(5,new vs_checkbox("feldnamen","1"));
    //$trennz=$tz->value;
    $f_export->add_control(6,new vs_hidden("action","a_export"));
    $f_export->add_control(6,new vs_submit("submit","Exportieren/Drucken"));
   
   $righttable->add(1,1,$f_export);
   return $righttable;
}


			
//Legitimation	und Bereitstellung der user - Variablen		

  global $can_insert;
  global $can_edit;
  global $can_delete;
  global $user_id;
  global $u_kurz;
  

office_login($db);

$b = new vs_page_begin("Serienbriefe drucken", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();
//echo "<br><br><br>";
$top=new vs_text("<h2>&nbsp; SERIENBRIEFE DRUCKEN</h2>");

    //2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_action
    if (!isset ($vso_action))
        {$vso_action = null;}
	switch ($vso_action) 
	{
		case "a_browse" : //anzeigen
		
		$left=make_left($db,$vso_serienbrief_id,$vso_etikette_id); 
		$right=make_right($db,$vso_serienbrief_id);
		$bottom=navliste("Bitte Kriterien w&auml;hlen...");
		seite($top,$bottom,$left,$right);
		break;
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
          	
		case "a_export" : //exportieren
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		if($vso_typ=="F") //Export in Textdatei
		{
		 $message="";
		
		 if ($vso_limiter=="1") $vso_limiter=chr(34);
		 if ($vso_limiter=="2") $vso_limiter=chr(39);
		 if ($vso_limiter=="3") $vso_limiter="";
		 
		 @$db->query($vso_sql); //modifiz. sql 	
		 if ($db->result != NULL)
		   {
		    $zeilen=="";
            if ($vso_feldnamen=="1")
		    {
		     //Feldnamen holen
		     $fields=array();
		     for ($i=0;$i < $db->num_fields();$i++)
                    {
						$fields[$i] = $db->field_name($i);
                    }
                   //Feldnamen ausgeben 
             for($i=0;$i < count($fields);$i++)	
		     {
		       $zeilen=$zeilen.$vso_limiter.$fields[$i].$vso_limiter;	
		       if($i< count($fields)-1) 
		       $zeilen=$zeilen.$vso_trenner; //kein Trenner nach dem letzten Feld	
		     } 	
		     //Zeilenende schreiben
		     $zeilen=$zeilen."\r";
		    }
		
		    while($row=$db->fetch_row())
		    //Textzeilen generieren
		    {
		     for($i=0;$i < count($row);$i++)	
		     {
		       $zeilen=$zeilen.$vso_limiter.$row[$i].$vso_limiter;	
		       if($i< count($row)-1) 
		       $zeilen=$zeilen.$vso_trenner; //kein Trenner nach dem letzten Feld	
		     } 	
		     //Zeilenende schreiben
		     $zeilen=$zeilen."\r";
		    }
                    //Exportdatei oeffnen
		    $f_handle = @fopen ($vso_datei,"w");
		    if($f_handle)
		    {
                     //Zeilen in Datei schreiben
                     //fwrite($f_handle, utf8_decode($zeilen));	
					fwrite($f_handle,$zeilen);	
                     //Exportdatei schliessen	
                     fclose($f_handle);
                     $message="als ".$vso_datei." erfolgreich exportiert....";	
                    }
                   else $message="Die Daten konnten als ".$vso_datei." nicht exportiert werden (Schreibrechte?)....";  	
		  }
		  else $message="Die Datenbankabfrage war nicht erfolgreich";  	
		}
				
		if($vso_typ=="E") //Export auf Etiketten ausdrucken
		{
			
		}
		$left=make_left($db,$vso_serienbrief_id,$vso_etikette_id); 
		$right=make_right($db,$vso_serienbrief_id,$zeilen);
		$bottom=navliste($message);	
		seite($top,$bottom,$left,$right);
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		
		break;
		
		case "a_ins" : // Einfuegen
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
		seite($top,$bottom,$left,$right);
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		break;
		case "a_post_edit" : //nach dem Editieren
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		break;
		default  : //nach dem Aufruf
		$left=make_left($db,$vso_serienbrief_id,$vso_etikette_id); 
		$right=make_right($db,$vso_serienbrief_id);
		$bottom=navliste("Bitte Kriterien w&auml;hlen...");
		seite($top,$bottom,$left,$right);
		//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
			
	}


$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 

