<?php
/*
 *      showlink.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";



//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top, $bottom, $left, $right)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite = new vs_div("", "", "", "", "", "vs_seite");
	$oben  = new vs_div("", "", "", "", "", "stammdaten_oben");
	//Auswahlmenue
	$menu  = new vs_div("", "", "", "", "", "id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte = new vs_div("", "", "", "", "", "stammdaten_seitenmitte");
	$unten = new vs_div;
	$unten->add($bottom);
	$t_seite = new vs_table("seite", 1, 2);
	$links   = new vs_div("", "", "", "", "", "stammdaten_mitte_links_schmal");
	$links->add($left);
	$rechts = new vs_div("", "", "", "", "", "stammdaten_mitte_rechts_breit");
	$rechts->add($right);
	$t_seite->add(1, 1, $links);
	$t_seite->add(1, 2, $rechts);
	$mitte->add($t_seite);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}

function zeige_link($db, $wwwlink_id)
	{
	if (($wwwlink_id == "") or (!isset($wwwlink_id)))
		$db->query("select adresse,text,show_iframe from vs_wwwlink");
	else
		$db->query("select adresse,text,show_iframe from vs_wwwlink where wwwlink_id=$wwwlink_id");
	$row = $db->fetch_row();
	$db->free_result();
	//KM: DIV, wo der iframe drin liegt
	$zl = new vs_div("810", "510");
	if ($row[2] != "1") //Anzeigemodus extern
		{
		$zl->add(new vs_text($row[1] . "<h2>Diese Seite wird in einem neuen Fenster angezeigt...</h2>"));
		//2014-10-17 KM: Design-Aenderung fuer all_tab_v2
		//new_tab($row[0],1024,800,20,20,"no");
		new_tab($row[0]);
		}
	else //Anzeigemodus iframe
		
	//2014-10-17 KM: Design-Aenderung fuer all_tab_v2, Rollbar eingeschaltet.
		
	//$zl->add(new vs_iframe("link",$row[0],795,510,"left","no"));
		$zl->add(new vs_iframe("link", $row[0], 780, 500, "left", "yes"));
	return $zl;
	}

//Legitimation	und Bereitstellung der user - Variablen		

global $can_insert;
global $can_edit;
global $can_delete;


office_login($db);

$b         = new vs_page_begin("Weblinks", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload = "javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();



$top    = new vs_text("<h2>&nbsp; WEBLINKS</h2>");
$bottom = navliste();
//2013-12-28 KM: wie ueblich die Beseitigung eines undefined variable $vso_wwwlink_id
if (!isset($vso_wwwlink_id))
	{
	$vso_wwwlink_id = null;
	}
$right = zeige_link($db, $vso_wwwlink_id);
$sql   = "select wwwlink_id,bezeichnung from vs_wwwlink order by bezeichnung";
$left  = new vs_table("lefttable", 2, 1);
$left->set_css_class("stammdaten_tabelle_links_schmal");
//KM: Listbox links
$lb = new vs_db_sql_link_listbox("mt", 60, $db, $sql, 1, 1, 0, 0, $vso_wwwlink_id, "showlink.php?wwwlink_id=", 34, "");
$lb->add_style("width:265px;height:460px;");
$left->add(2, 1, $lb);

seite($top, $bottom, $left, $right);



$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
