<?php
/*
 *      umsatz_bilanz.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)	
	{
	global $can_view_umsatz; 
	if ($can_view_umsatz == "1")
		{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("","","","","","stammdaten_seitenmitte");
		$unten=new vs_div;
		$unten->add($bottom);
		$t_seite=new vs_table("seite",1,2);
		$links=new vs_div("","","","","","stammdaten_mitte_links");
		$links->add($left);
		$rechts=new vs_div("","","","","","stammdaten_mitte_rechts");
		$rechts->add($right);
		$t_seite->add(1,1,$links);
		$t_seite->add(1,2,$rechts);
		$mitte->add($t_seite);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
		}
	else
		{
		//2015-02-27 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$seite->write();
		} 
	}

// KM: Function wird nirgends aufgerufen
/*
function zeige_link($db,$vso_wwwlink_id)
	{
	return new vs_div("test","30");
	}
*/

function tagesumsaetze($db,$begindate,$enddate,$behandlung_id,&$memotext,&$summe,&$datum)
	{
	$memotext="";
	
	$sql = "Select datum, sum(brutto),sum(ta_leistung), sum(brutto_b),sum(brutto_abgabemed),sum(bar),sum(karte),sum(offen) ".
		" from vs_v_umsatz ".
			"where datum >= '$begindate' and datum <= '$enddate' " .
			"group by datum order by datum";
	
	$lt= new vs_table("lefttable",3,1);
	$lt->set_css_class("stammdaten_tabelle_links");
	
	$disbegin=d_db2dis($begindate);
	$disend=d_db2dis($enddate);
	//KM: Listbox links
	$lb = new vs_db_sql_link_listbox("mt",170,$db,$sql,0,7,0,0,$datum,"umsatz_bilanz.php?begindate=$disbegin" .
										"&enddate=$disend&datum=",24,"");
	$lb->add_style("width:320px;height:380px;");
	$lt->add(2,1,$lb);
	$db->query($sql);
	$memotext="Datum,Gesamtumsatz;Leistung;Apo 7% ;Apo 16%;Bar;Karte;Offen".chr(13).chr(13);
	while ($row=$db->fetch_row())
		{
		if($row[1]=="") $row[1]=0.00;
		if($row[2]=="") $row[2]=0.00;
		if($row[3]=="") $row[3]=0.00;
		if($row[4]=="") $row[4]=0.00;
		if($row[5]=="") $row[5]=0.00;
		if($row[6]=="") $row[6]=0.00;
		if($row[7]=="") $row[7]=0.00;
		//2014-08-04 KM: Undefined offset
		if (!isset ($row[8]))
			{$row[8] = null;}
		if($row[8]=="") $row[8]=0.00;
		//2014-08-04 KM: Undefined offset
		if (!isset ($row[9]))
			{$row[9] = null;}
		if($row[9]=="") $row[9]=0.00;
		$memotext=$memotext.d_db2dis($row[0]).";".ptc($row[1]).";".ptc($row[2]).";". ptc($row[3]).";".ptc($row[4]).";".ptc($row[5]).";".
			ptc($row[6]).";".ptc($row[7]).chr(13);
		}
	$db->free_result();   
	//Gesamtsumme ueber den Zeitraum
	$sql =  "Select sum(brutto), sum(offen), sum(brutto)-sum(offen) from vs_v_umsatz where datum >= '$begindate' and datum <= '$enddate'" ;
	$db->query($sql);
	$row=$db->fetch_row();
	$summe=$row[0];
	$offen=$row[1];
	$bezahlt=$row[2];
	$db->free_result(); 
	$lt->add(1,1,new vs_text("Summe: ".$summe=ptc($summe)." ".currency_string." Bezahlt: ".$bezahlt=ptc($bezahlt)." ".
								currency_string." Offen: ".$offen=ptc($offen)." ".currency_string ));
	
	$a_form=new vs_form("behdoc_edit",2);
	
	//2015-01-05 KM: Datum Umstellung auf Datepicker
	$a_form->add_control(new vs_datepicker("begindate",d_db2dis($begindate),"multi_today1_Datepicker","Beginn"));
	$a_form->add_control(new vs_datepicker("enddate",d_db2dis($enddate),"multi_today2_Datepicker","Ende"));
	
	$lt->add(3,1,$a_form);
	
	return $lt;	
	}


function make_right($db,$begindate,$enddate,$datum,$behandlung_id,$memotext)

	{
	$sql = "Select behandlung_id,datum, brutto, ta_leistung, brutto_b, brutto_abgabemed,bar,karte,offen, ".
			"diagnose, patient, besitzer from vs_v_umsatz ".
			"where datum = '$datum' ";
	$rt = new vs_table("righttable",2,1); 
	$lb = new vs_db_sql_link_listbox("mt1",100,$db,$sql,1,11,0,0,$behandlung_id,
									"../kartei/kartei.php?action=a_karte_show_by_behandlung_id&behandlung_id=",14,"");
	$lb->add_style("width:580px;height:200px;");
	$rt->add(1,1,$lb);
	$rt->add(2,1,new vs_memo("",75,18,$memotext));       
	return $rt;     
	}


global $can_insert;
global $can_edit;
global $can_delete;
global $can_view_umsatz;  

office_login($db,$can_insert,$can_edit,$can_delete);

$b = new vs_page_begin("Ums&auml;tze - Bilanzierung", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();
    
if ($can_view_umsatz=="1")
	{
	//-----------------Seite		
	$top=new vs_text("<h2>&nbsp; UMS&Auml;TZE (BEZAHLT UND UNBEZAHLT) f&uuml;r die Erstellung einer Bilanz </h2>");
	//2013-12-28 KM: fest programmierten Praxisnamen entfernt
	$bottom=navliste("Tagesums&auml;tze und Exportliste f&uuml;r die Bilanzierung");
	if (! isset($vso_begindate)) 
		$vso_begindate= today();
	if (! isset($vso_enddate)) 
		$vso_enddate=today();
	if (! isset($vso_datum)) 
		$vso_datum=$vso_begindate;

	//DW: wie ueblich die Beseitigung eines undefined variable $vso_behandlung_id (not tested)
	//2015-02-27 KM: Variable einheitlich auf -1 gesetzt.
	if (!isset ($vso_behandlung_id))
		{$vso_handlung_id = -1;}
	//DW: wie ueblich die Beseitigung eines undefined variable $behandlung_id (not tested)
	//2015-02-27 KM: Variable einheitlich auf -1 gesetzt, Variablenname Fehler beseitigt.
	if (!isset ($behandlung_id))
		{$behandlung_id = -1;}
	$left=tagesumsaetze($db,d_dis2db($vso_begindate),d_dis2db($vso_enddate),d_dis2db($vso_behandlung_id),$memotext,$summe,$datum);
	$right=make_right($db,d_dis2db($vso_begindate),d_dis2db($vso_enddate),d_dis2db($vso_datum),$behandlung_id,$memotext);       
	seite($top,$bottom,$left,$right);
	//------------Seite
	}

else
	{
	echo "Sorry,keine Brechtigung <br> <br> ";
	}


$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
$db->free_result();
$db->close();
?> 

