<?php
/*
 *      zahlung_baroq.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

//Fibunummern  ggf zukuenftig in config.inc.php
define("fibu_bank_praxis","1210");
define("fibu_bank_apo","1211");
define("fibu_kasse","1000");
define("fibu_transit","1361");
define("fibu_transit_b","1362"); //Transit mit 7% von DB-> APO
define("fibu_transit_aag_praxis","1363"); //Transit mit 19% von APO->DB
define("fibu_praxis","8400");
define("fibu_arznei","8420");
define("fibu_futter","8301"); 
define("fibu_waehrung","EUR"); 

$can_edit="0";
$can_delete="0";
$can_insert="0";            
$can_view_umsatz="0";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

//$_GET und $_POST entpacken
extract($_REQUEST, EXTR_PREFIX_ALL|EXTR_REFS, 'vso');

//prinzipieller Seitenaufbau

function seite($top,$bottom,$left,$right)    
    {       
        global $can_view_umsatz; 
        if ($can_view_umsatz == "1")
        {  
			//2015-02-19 KM: Formatierung geaendert
			$seite=new vs_div("","","","","","vs_seite");
          $oben=new vs_div("1000","50","left");
          $oben->add($top);
          $mitte=new vs_div("1000","530","left");
          $unten=new vs_div("1000","20","left");
          $unten->add($bottom);
          $t_seite=new vs_table("seite",1,2);
          $links=new vs_div("200","530","left");
          $links->add($left);
          $rechts=new vs_div("800","530","left");
          $rechts->add($right);
          $t_seite->add(1,1,$links);
          $t_seite->add(1,2,$rechts);
          $mitte->add($t_seite);
          $seite->add($oben);
          $seite->add($mitte);
          $seite->add($unten);
          $seite->write();
        }
        else
        {
			//2015-02-19 KM: Formatierung geaendert
			$seite=new vs_div("","","","","","vs_seite");
          $seite->write();
        } 
    }
            

    
    
    
    
function navliste($zusatztext="")
{
  $nl= new vs_div("nl","20");
  $nl->add(new vs_link_img("logout.gif","../home/index.php",$typ="_self"));
 
  $nl->add(new vs_text(" Home -> ","../home/start.php"));
  $nl->add(new vs_text(" Tools -> ","tools.php"));
  $nl->add(new vs_text("<b> Zahlungseing&auml;nge </b>"));
  if ($zusatztext !="")
  {
      $nl->add(new vs_text(" "));
      $nl->add(new vs_img("info","info.gif","",12)); 
    $nl->add(new vs_text(" ".$zusatztext));
  }
  return $nl;
}

function zeige_link($db,$vso_wwwlink_id)
{
    return new vs_div("test","30");
}

            
//Legitimation    und Bereitstellung der user - Variablen        

   
function office_login($db)
{
  global $can_insert;
  global $can_edit;
  global $can_delete;
  global $can_view_umsatz;
  @session_start();
  $user=$_SESSION["user"];
  $pw=$_SESSION["pw"];
  $db->query("Select pw,can_insert,can_edit,can_delete,can_view_umsatz from vs_user where db_user='".$_SESSION["user"]."'");
  $row=$db->fetch_row();
  $num=$db->num_rows();
  $db->free_result();
  $can_edit=$row[2];
  $can_insert=$row[1];
  $can_delete=$row[3];
  $can_view_umsatz=$row[4];
  if (($num<1) or ($_SESSION["pw"]!=$row[0]))
  {
   $_SESSION['user']="oiuhzï¿½inï¿½";
   $_SESSION['pw']="i8rzpcqbrï¿½";    
   echo login;
   exit();
  }
}


function tagesumsaetze($db,$typ,$begindate,$enddate,$bezahlt_id,&$memotext,&$memotext2,&$summe,&$datum)
{
   //DW: 2013-08-27 bugfix wg. reference-error-fixing von MA
   $mindate = "01.01.2007";
   $mindate = d_dis2db($mindate);
   $memotext="";
   $memotext2="";
   $sql= "Select datum,typ, sum(brutto_a - brutto_abgabemed) , sum(brutto_abgabemed),sum(brutto_b) from vs_bezahlt where datum >= '$begindate' and " .
          "datum <= '$enddate' and datum > '$mindate' group by datum,typ order by datum" ;
   $lt= new vs_table("lefttable",2,1);
  
   $disbegin=d_db2dis($begindate);
   $disend=d_db2dis($enddate);
   
   $umsatz_lb= new vs_db_sql_link_listbox("mt",170,$db,$sql,0,4,0,0,$datum,"zahlung_baroq.php?typ=$typ&begindate=$disbegin" .
           "&enddate=$disend&datum=",34,"");
   $umsatz_lb->set_field_typ(0,"date");
   $umsatz_lb->set_field_typ(1,"numeric");    
   $umsatz_lb->refresh_values();
   $lt->add(2,1,$umsatz_lb);

   //Einnahmen ueber die Kasse (bar)
   $sql= "Select datum,typ, sum(brutto_a - brutto_abgabemed), sum(brutto_abgabemed),sum(brutto_b) from vs_bezahlt where datum >= '$begindate' and " .
          "datum <= '$enddate' and datum > '$mindate' and typ='B' group by datum,typ order by datum" ;
   $db->query($sql);
   while ($row=$db->fetch_row())
   {
       // hier koennten Anpassungen an die Exportdatei erfolgen
       //ist z.Z. spezifisch fuer meine Lexware Importdateien
    $memotext=$memotext.d_db2dis($row[0]).";0;Praxis;".ptc($row[2]).";".fibu_kasse.";".fibu_praxis.";".fibu_waehrung.chr(13);
    $memotext2=$memotext2.d_db2dis($row[0]).";0;Arzneimittel;".ptc($row[3]).";".fibu_kasse.";".fibu_arznei.";".fibu_waehrung.chr(13);
    $memotext2=$memotext2.d_db2dis($row[0]).";0;Tierfutter;".ptc($row[4]).";".fibu_kasse.";".fibu_futter.";".fibu_waehrung.chr(13);
   }
   $db->free_result(); 

   //Einnahmen ueber das Kartenkonto (APO, Praxis-Umsaetze als Transit buchen)
   $sql= "Select datum,typ, sum(brutto_a - brutto_abgabemed) as brutto_leistung, sum(brutto_abgabemed),sum(brutto_b) from vs_bezahlt where datum >= '$begindate' and " .
          "datum <= '$enddate' and datum > '$mindate' and typ = 'K' group by datum,typ order by datum" ;  
    $db->query($sql);
   
    while ($row=$db->fetch_row())
   {
       // hier koennten Anpassungen an die Exportdatei erfolgen
       //ist z.Z. spezifisch fuer meine Lexware Importdateien
    $memotext2=$memotext2.d_db2dis($row[0]).";0;Praxis;".ptc($row[2]).";".fibu_bank_apo.";".fibu_transit_aag_praxis.";".fibu_waehrung.chr(13);
    $memotext2=$memotext2.d_db2dis($row[0]).";0;Arzneimittel;".ptc($row[3]).";".fibu_bank_apo.";".fibu_arznei.";".fibu_waehrung.chr(13);
    $memotext2=$memotext2.d_db2dis($row[0]).";0;Tierfutter;".ptc($row[4]).";".fibu_bank_apo.";".fibu_futter.";".fibu_waehrung.chr(13);
   }
   $db->free_result();   
   
    //Einnahmen �ber das Ueberweisungskonto (DB, AAG-Umsaetze als Transit buchen)
   $sql= "Select datum,typ, sum(brutto_a - brutto_abgabemed) as brutto_leistung, sum(brutto_abgabemed),sum(brutto_b) from vs_bezahlt where datum >= '$begindate' and " .
          "datum <= '$enddate' and datum > '$mindate' and typ = 'U' group by datum,typ order by datum" ;  
    $db->query($sql);
   
    while ($row=$db->fetch_row())
   {
       // hier koennten Anpassungen an die Exportdatei erfolgen
       //ist z.Z. spezifisch fuer meine Lexware Importdateien
    $memotext=$memotext.d_db2dis($row[0]).";0;Praxis;".ptc($row[2]).";".fibu_bank_praxis.";".fibu_praxis.";".fibu_waehrung.chr(13);
    $memotext=$memotext.d_db2dis($row[0]).";0;Arzneimittel;".ptc($row[3]).";".fibu_bank_praxis.";".fibu_transit.";".fibu_waehrung.chr(13);
    $memotext=$memotext.d_db2dis($row[0]).";0;Tierfutter;".ptc($row[4]).";".fibu_bank_praxis.";".fibu_transit_b.";".fibu_waehrung.chr(13);
   }
   $db->free_result();   
   


   
   
   //Gesamtsumme ueber den Zeitraum
   $sql =  "Select sum(betrag) from vs_bezahlt where  datum >= '$begindate' and datum <= '$enddate' and datum > '$mindate'" ;
   $db->query($sql);
   $row=$db->fetch_row();
   $summe=$row[0];
   $db->free_result();
   $lt->add(1,1,new vs_text("Summe: ".$summe=ptc($summe)." ".currency_string));    
  return $lt;    
}


function make_right($db,$typ,$begindate,$enddate,$datum,$bezahlt_id,$memotext,$memotext2)

{
      
  $sql="Select z.bezahlt_id,z.datum,z.betrag,z.brutto_a,z.brutto_b,z.typ,b.name,p.name,h.diagnose from  vs_bezahlt z,vs_behandlung h,vs_patient p," .
        " vs_besitzer b " .
        " where z.behandlung_id=h.behandlung_id and h.patient_id = p.patient_id and p.besitzer_id = b.besitzer_id " .
        " and z.datum = '$datum' and z.typ = 'B' and z.quittung <>'1' and z.rechnung_id < 0 order by z.datum,z.betrag   ";

  $rt = new vs_table("righttable",1,2);
  
  $rtl= new vs_table("righttableleft",2,1);
  $rtl->add(2,1,new vs_db_sql_link_listbox("mt1",100,$db,$sql,1,8,0,0,$bezahlt_id,
        "../kartei/kartei.php?action=a_karte_show_by_bezahlt_id&bezahlt_id=",14,""));
     // Karteikarte sollte in neuem Fenster geoeffnet werden koennen !!!!!!!!!!!    
        
   $a_form=new vs_form_x("behdoc_edit",2);
   $a_form->set_cellspacing(5);
   
   //2015-01-07 KM: Datum Umstellung auf Datepicker
   $a_form->add_control(1,new vs_datepicker("begindate",d_db2dis($begindate),"multi_today1_Datepicker","Beginn"));
   $a_form->add_control(1,new vs_datepicker("enddate",d_db2dis($enddate),"multi_today2_Datepicker","Ende"));
   
   $a_form->add_control(1,new vs_edit("typ",1,1,"B","Typ"));
   $a_form->add_control(2,new vs_submit("submit","&Auml;ndern","true"));
   $a_form->add_control(2,new vs_reset("reset","Abbruch","true"));
    
   
   
    
    
  $rtl->add(2,1,$a_form);      
        
 // $rt->add(1,2,new vs_memo("pra",35,15,$memotext));       
 // $rt->add(1,2,new vs_memo("aag",35,15,$memotext2));     

  $rt->add(1,1,$rtl);      
  return $rt;     
}

office_login($db);

$b = new vs_page_begin("Zahlungseing&auml;nge", "../vs_office_inc/", "../vs_office_inc/head.inc", "../vs_office_inc/body.inc");
$b->write();
    
if ($can_view_umsatz=="1")
{
//-----------------Seite        
            
$top=new vs_text("<br><br><b>ZAHLUNGSEING&Auml;NGE (nach Zahlweisen!!!!!!!!!!!!!!!!!) </b>");
$bottom=navliste();

if (! isset($vso_begindate)) $vso_begindate= today();
if (! isset($vso_enddate)) $vso_enddate=today();
if (! isset($vso_typ)) $vso_typ="B";
if (! isset($vso_datum)) $vso_datum=$vso_begindate;

$left=tagesumsaetze($db,$vso_typ,d_dis2db($vso_begindate),d_dis2db($vso_enddate),d_dis2db($vso_bezahlt_id),$memotext,$memotext2,$summe,$datum);

$right=make_right($db,$vso_typ,d_dis2db($vso_begindate),d_dis2db($vso_enddate),d_dis2db($vso_datum),$bezahlt_id,$memotext,$memotext2);       
        

seite($top,$bottom,$left,$right);

//------------Seite
}
else
{
  echo "Sorry,keine Brechtigung <br> <br> ";
}

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot.inc");
$e->write();
$db->free_result();
$db->close();
?> 

